<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */
/*
Template Name: Blog
*/

get_header();

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$blog_categ = get_post_meta(get_the_ID(), 'blog_categ', true); 
$selected_perpage = get_post_meta(get_the_ID(), 'selected_perpage', true); 
$selected_order = get_post_meta(get_the_ID(), 'selected_order', true); 
$selected_order_type = get_post_meta(get_the_ID(), 'selected_order_type', true); 
$selected_numbercolumns_sidebarblog = get_post_meta(get_the_ID(), 'selected_numbercolumns_sidebarblog', true); 
$selected_numbercolumns_fullblog = get_post_meta(get_the_ID(), 'selected_numbercolumns_fullblog', true); 

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
					?>
							<div class="entry">
								<?php if (has_post_thumbnail()){ ?>
									<span class="image_shadow_container">
										<a href="<?php echo get_image_path_array(get_the_ID()); ?>" rel="prettyPhoto" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
											<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=930&amp;h=315&amp;zc=1'; } else { echo '&amp;w=610&amp;h=210&amp;zc=1'; } ?>" alt="" class="image_shadow" />
										</a>
										<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="" class="noimgbg" />
									</span>
								<?php } 
								the_content();
								
								if (get_query_var('paged')){ 
									$paged = get_query_var('paged'); 
								} elseif (get_query_var('page')){ 
									$paged = get_query_var('page'); 
								} else { 
									$paged = 1; 
								}
								query_posts( array( 'post_type' => 'post', 'orderby' => $selected_order_type, 'order' => $selected_order, 'posts_per_page' => $selected_perpage, 'paged' => $paged, 'cat' => $blog_categ ) );
								if (have_posts()) :
									if ($page_layout == 'nobg'){
										if ($selected_numbercolumns_fullblog == 'two'){ 
											echo '<div class="portfolio two_blocks">';
										} elseif ($selected_numbercolumns_fullblog == 'three'){ 
											echo '<div class="portfolio three_blocks">';
										} elseif ($selected_numbercolumns_fullblog == 'four'){ 
											echo '<div class="portfolio four_blocks">';
										}
										$colnumb = 0;
								?>
									<?php while (have_posts()) : the_post();
										$headingtools_active = get_post_meta(get_the_ID(), 'headingtools_active', true); 
										$headingtools_title = get_post_meta(get_the_ID(), 'headingtools_title', true); 
										$post_more_text = get_post_meta(get_the_ID(), 'post_more_text', true); 
										if (!$post_more_text){ $post_more_text = 'Read More'; }
										if ($selected_numbercolumns_fullblog == 'onefull'){ 
									?>
										<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="<?php the_permalink(); ?>" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=930&amp;h=315&amp;zc=1" alt="" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=940" alt="" class="noimgbg" />
												</span>
											<?php } ?>
											<h2><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h2>
											<?php if ($blog_page_full_onefull_comments || ($blog_page_full_onefull_categs && get_the_category()) || $blog_page_full_onefull_author || $blog_page_full_onefull_date){ ?>
												<div class="dotted_line">
													<?php if ($blog_page_full_onefull_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
													<?php if ($blog_page_full_onefull_date){ echo '<span class="post_data yellow">'.get_the_time('F j, Y').'</span>'; } ?>
													<?php if (($blog_page_full_onefull_categs && get_the_category() && $blog_page_full_onefull_date) || ($blog_page_full_onefull_author && $blog_page_full_onefull_date)){ echo '<span>'; } ?>
													<?php if ($blog_page_full_onefull_categs && get_the_category()){ echo __('in', 'clockstone').' '; the_category(', '); } ?>
													<?php if ($blog_page_full_onefull_author){ echo ' '.__('by', 'clockstone').' '; the_author_posts_link(); } ?>
													<?php if (($blog_page_full_onefull_categs && get_the_category() && $blog_page_full_onefull_date) || ($blog_page_full_onefull_author && $blog_page_full_onefull_date)){ echo '</span>'; } ?>
												</div>
											<?php 
												}
												if (has_excerpt()){
													echo the_excerpt(); 
												} else { 
													global $more;
													$more = 0;
													the_content(''); 
												}
											?>
											<?php if ($blog_page_full_onefull_link){ ?><a href="<?php the_permalink(); ?>" class="but_small_trans post_but"><span><?php echo $post_more_text; ?></span></a><?php } ?>
										</div>
									<?php 
										} elseif ($selected_numbercolumns_fullblog == 'two'){
											if ($colnumb == 2){
												echo '<div class="cl"></div>';
												$colnumb = 0;
											}
									?>
										<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="<?php the_permalink(); ?>" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="preloader">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=440&amp;h=210&amp;zc=1" alt="" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=450" alt="" class="noimgbg" />
												</span>
											<?php } ?>
											<h2><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h2>
											<?php if ($blog_page_full_two_comments || ($blog_page_full_two_categs && get_the_category()) || $blog_page_full_two_author || $blog_page_full_two_date){ ?>
												<div class="dotted_line">
													<?php if ($blog_page_full_two_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
													<?php if ($blog_page_full_two_date){ echo '<span class="post_data yellow">'.get_the_time('F j, Y').'</span>'; } ?>
													<?php if (($blog_page_full_two_categs && get_the_category() && $blog_page_full_two_date) || ($blog_page_full_two_author && $blog_page_full_two_date)){ echo '<span>'; } ?>
													<?php if ($blog_page_full_two_categs && get_the_category()){ echo __('in', 'clockstone').' '; the_category(', '); } ?>
													<?php if ($blog_page_full_two_author){ echo ' '.__('by', 'clockstone').' '; the_author_posts_link(); } ?>
													<?php if (($blog_page_full_two_categs && get_the_category() && $blog_page_full_two_date) || ($blog_page_full_two_author && $blog_page_full_two_date)){ echo '</span>'; } ?>
												</div>
											<?php 
												}
												if (has_excerpt()){
													echo the_excerpt(); 
												} else { 
													global $more;
													$more = 0;
													the_content(''); 
												}
											?>
											<?php if ($blog_page_full_two_link){ ?><a href="<?php the_permalink(); ?>" class="but_small_trans post_but"><span><?php echo $post_more_text; ?></span></a><?php } ?>
										</div>
									<?php 
											$colnumb = $colnumb + 1;
										} elseif ($selected_numbercolumns_fullblog == 'three'){ 
											if ($colnumb == 3){
												echo '<div class="cl"></div>';
												$colnumb = 0;
											}
									?>
										<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="<?php the_permalink(); ?>" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="preloader">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=280&amp;h=134&amp;zc=1" alt="" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=290" alt="" class="noimgbg" />
												</span>
											<?php } ?>
											<h3><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h3>
											<?php if (($blog_page_full_three_categs && get_the_category()) || $blog_page_full_three_author || $blog_page_full_three_date){ ?>
												<div class="dotted_line">
													<?php if ($blog_page_full_three_date){ echo '<span class="post_data yellow">'.get_the_time('F j, Y').'</span>'; } ?>
													<?php if (($blog_page_full_three_categs && get_the_category() && $blog_page_full_three_date) || ($blog_page_full_three_author && $blog_page_full_three_date)){ echo '<span>'; } ?>
													<?php if ($blog_page_full_three_categs && get_the_category()){ echo __('in', 'clockstone').' '; the_category(', '); } ?>
													<?php if ($blog_page_full_three_author){ echo ' '.__('by', 'clockstone').' '; the_author_posts_link(); } ?>
													<?php if (($blog_page_full_three_categs && get_the_category() && $blog_page_full_three_date) || ($blog_page_full_three_author && $blog_page_full_three_date)){ echo '</span>'; } ?>
												</div>
											<?php 
												}
												if (has_excerpt()){
													echo the_excerpt(); 
												} else { 
													global $more;
													$more = 0;
													the_content(''); 
												}
											?>
											<?php if ($blog_page_full_three_link){ ?><a href="<?php the_permalink(); ?>" class="but_small_trans post_but"><span><?php echo $post_more_text; ?></span></a><?php } ?>
											<?php if ($blog_page_full_three_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
										</div>
									<?php 
											$colnumb = $colnumb + 1;
										} elseif ($selected_numbercolumns_fullblog == 'four'){ 
											if ($colnumb == 4){
												echo '<div class="cl"></div>';
												$colnumb = 0;
											}
									?>
										<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="<?php the_permalink(); ?>" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="preloader">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=200&amp;h=95&amp;zc=1" alt="" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=210" alt="" class="noimgbg" />
												</span>
											<?php } ?>
											<h3><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h3>
											<?php 
												if (has_excerpt()){
													echo the_excerpt(); 
												} else { 
													global $more;
													$more = 0;
													the_content(''); 
												}
											?>
											<?php if ($blog_page_full_four_link){ ?><a href="<?php the_permalink(); ?>" class="but_small_trans post_but"><span><?php echo $post_more_text; ?></span></a><?php } ?>
											<?php if ($blog_page_full_four_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
										</div>
									<?php 
											$colnumb = $colnumb + 1;
										} else {
									?>
										<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container fl">
													<a href="<?php the_permalink(); ?>" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=210&amp;h=210&amp;zc=1" alt="" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=220" alt="" class="noimgbg" />
												</span>
											<?php } ?>
											<div class="blog_txt"<?php if (!has_post_thumbnail()){ echo ' style="padding-left:0;"'; } ?>>
												<h2><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h2>
												<?php if ($blog_page_full_onesmall_comments || ($blog_page_full_onesmall_categs && get_the_category()) || $blog_page_full_onesmall_author || $blog_page_full_onesmall_date){ ?>
													<div class="dotted_line">
														<?php if ($blog_page_full_onesmall_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
														<?php if ($blog_page_full_onesmall_date){ echo '<span class="post_data yellow">'.get_the_time('F j, Y').'</span>'; } ?>
														<?php if (($blog_page_full_onesmall_categs && get_the_category() && $blog_page_full_onesmall_date) || ($blog_page_full_onesmall_author && $blog_page_full_onesmall_date)){ echo '<span>'; } ?>
														<?php if ($blog_page_full_onesmall_categs && get_the_category()){ echo __('in', 'clockstone').' '; the_category(', '); } ?>
														<?php if ($blog_page_full_onesmall_author){ echo ' '.__('by', 'clockstone').' '; the_author_posts_link(); } ?>
														<?php if (($blog_page_full_onesmall_categs && get_the_category() && $blog_page_full_onesmall_date) || ($blog_page_full_onesmall_author && $blog_page_full_onesmall_date)){ echo '</span>'; } ?>
													</div>
												<?php } ?>
												<?php 
													if (has_excerpt()){
														echo the_excerpt(); 
													} else { 
														global $more;
														$more = 0;
														the_content(''); 
													}
												?>
												<?php if ($blog_page_full_onesmall_link){ ?><a href="<?php the_permalink(); ?>" class="but_small_trans post_but"><span><?php echo $post_more_text; ?></span></a><?php } ?>
											</div>
										</div>
									<?php 
										}
										endwhile;
										if ($selected_numbercolumns_fullblog == 'two' || $selected_numbercolumns_fullblog == 'three' || $selected_numbercolumns_fullblog == 'four'){ echo '<div class="cl"></div></div>'; }
									} else { 
										if ($selected_numbercolumns_sidebarblog == 'two'){ 
											echo '<div class="portfolio two_blocks">';
										} elseif ($selected_numbercolumns_sidebarblog == 'three'){ 
											echo '<div class="portfolio three_blocks">';
										}
										$colnumb = 0;
										while (have_posts()) : the_post();
											$headingtools_active = get_post_meta(get_the_ID(), 'headingtools_active', true); 
											$headingtools_title = get_post_meta(get_the_ID(), 'headingtools_title', true); 
											$post_more_text = get_post_meta(get_the_ID(), 'post_more_text', true); 
											if (!$post_more_text){ $post_more_text = 'Read More'; }
											if ($selected_numbercolumns_sidebarblog == 'one'){ 
									?>
										<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container fl">
													<a href="<?php the_permalink(); ?>" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=210&amp;h=210&amp;zc=1" alt="" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=220" alt="" class="noimgbg" />
												</span>
											<?php } ?>
											<div class="blog_txt"<?php if (!has_post_thumbnail()){ echo ' style="padding-left:0;"'; } ?>>
												<h3><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h3>
												<?php if ($blog_page_sidebar_onesmall_comments || ($blog_page_sidebar_onesmall_categs && get_the_category()) || $blog_page_sidebar_onesmall_author || $blog_page_sidebar_onesmall_date){ ?>
													<div class="dotted_line">
														<?php if ($blog_page_sidebar_onesmall_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
														<?php if ($blog_page_sidebar_onesmall_date){ echo '<span class="post_data yellow">'.get_the_time('F j, Y').'</span>'; } ?>
														<?php if (($blog_page_sidebar_onesmall_categs && get_the_category() && $blog_page_sidebar_onesmall_date) || ($blog_page_sidebar_onesmall_author && $blog_page_sidebar_onesmall_date)){ echo '<span>'; } ?>
														<?php if ($blog_page_sidebar_onesmall_categs && get_the_category()){ echo __('in', 'clockstone').' '; the_category(', '); } ?>
														<?php if ($blog_page_sidebar_onesmall_author){ echo ' '.__('by', 'clockstone').' '; the_author_posts_link(); } ?>
														<?php if (($blog_page_sidebar_onesmall_categs && get_the_category() && $blog_page_sidebar_onesmall_date) || ($blog_page_sidebar_onesmall_author && $blog_page_sidebar_onesmall_date)){ echo '</span>'; } ?>
													</div>
												<?php } ?>
												<?php 
													if (has_excerpt()){
														echo the_excerpt(); 
													} else { 
														global $more;
														$more = 0;
														the_content(''); 
													}
												?>
												<?php if ($blog_page_sidebar_onesmall_link){ ?><a href="<?php the_permalink(); ?>" class="but_small_trans post_but"><span><?php echo $post_more_text; ?></span></a><?php } ?>
											</div>
										</div>
									<?php 
										} elseif ($selected_numbercolumns_sidebarblog == 'two'){
											if ($colnumb == 2){
												echo '<div class="cl"></div>';
												$colnumb = 0;
											}
									?>
										<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="<?php the_permalink(); ?>" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="preloader">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=280&amp;h=134&amp;zc=1" alt="" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=290" alt="" class="noimgbg" />
												</span>
											<?php } ?>
											<h3><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h3>
											<?php if (($blog_page_sidebar_two_categs && get_the_category()) || $blog_page_sidebar_two_author || $blog_page_sidebar_two_date){ ?>
												<div class="dotted_line">
													<?php if ($blog_page_sidebar_two_date){ echo '<span class="post_data yellow">'.get_the_time('F j, Y').'</span>'; } ?>
													<?php if (($blog_page_sidebar_two_categs && get_the_category() && $blog_page_sidebar_two_date) || ($blog_page_sidebar_two_author && $blog_page_sidebar_two_date)){ echo '<span>'; } ?>
													<?php if ($blog_page_sidebar_two_categs && get_the_category()){ echo __('in', 'clockstone').' '; the_category(', '); } ?>
													<?php if ($blog_page_sidebar_two_author){ echo ' '.__('by', 'clockstone').' '; the_author_posts_link(); } ?>
													<?php if (($blog_page_sidebar_two_categs && get_the_category() && $blog_page_sidebar_two_date) || ($blog_page_sidebar_two_author && $blog_page_sidebar_two_date)){ echo '</span>'; } ?>
												</div>
											<?php 
												}
												if (has_excerpt()){
													echo the_excerpt(); 
												} else { 
													global $more;
													$more = 0;
													the_content(''); 
												}
											?>
											<?php if ($blog_page_sidebar_two_link){ ?><a href="<?php the_permalink(); ?>" class="but_small_trans post_but"><span><?php echo $post_more_text; ?></span></a><?php } ?>
											<?php if ($blog_page_sidebar_two_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
										</div>
									<?php 
											$colnumb = $colnumb + 1;
										} elseif ($selected_numbercolumns_sidebarblog == 'three'){ 
											if ($colnumb == 3){
												echo '<div class="cl"></div>';
												$colnumb = 0;
											}
									?>
										<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="<?php the_permalink(); ?>" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="preloader">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=173&amp;h=82&amp;zc=1" alt="" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=183" alt="" class="noimgbg" />
												</span>
											<?php } ?>
											<h4><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h4>
											<?php 
												if (has_excerpt()){
													echo the_excerpt(); 
												} else { 
													global $more;
													$more = 0;
													the_content(''); 
												}
											?>
											<?php if ($blog_page_sidebar_three_link){ ?><a href="<?php the_permalink(); ?>" class="but_small_trans post_but"><span><?php echo $post_more_text; ?></span></a><?php } ?>
											<?php if ($blog_page_sidebar_three_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
										</div>
									<?php
											$colnumb = $colnumb + 1; 
										} else { 
									?>
										<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="<?php the_permalink(); ?>" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=610&amp;h=210&amp;zc=1" alt="" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=620" alt="" class="noimgbg" />
												</span>
											<?php } ?>
											<h2><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h2>
											<?php if ($blog_page_sidebar_onefull_comments || ($blog_page_sidebar_onefull_categs && get_the_category()) || $blog_page_sidebar_onefull_author || $blog_page_sidebar_onefull_date){ ?>
												<div class="dotted_line">
													<?php if ($blog_page_sidebar_onefull_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
													<?php if ($blog_page_sidebar_onefull_date){ echo '<span class="post_data yellow">'.get_the_time('F j, Y').'</span>'; } ?>
													<?php if (($blog_page_sidebar_onefull_categs && get_the_category() && $blog_page_sidebar_onefull_date) || ($blog_page_sidebar_onefull_author && $blog_page_sidebar_onefull_date)){ echo '<span>'; } ?>
													<?php if ($blog_page_sidebar_onefull_categs && get_the_category()){ echo __('in', 'clockstone').' '; the_category(', '); } ?>
													<?php if ($blog_page_sidebar_onefull_author){ echo ' '.__('by', 'clockstone').' '; the_author_posts_link(); } ?>
													<?php if (($blog_page_sidebar_onefull_categs && get_the_category() && $blog_page_sidebar_onefull_date) || ($blog_page_sidebar_onefull_author && $blog_page_sidebar_onefull_date)){ echo '</span>'; } ?>
												</div>
											<?php 
												}
												if (has_excerpt()){
													echo the_excerpt(); 
												} else { 
													global $more;
													$more = 0;
													the_content(''); 
												}
											?>
											<?php if ($blog_page_sidebar_onefull_link){ ?><a href="<?php the_permalink(); ?>" class="but_small_trans post_but"><span><?php echo $post_more_text; ?></span></a><?php } ?>
										</div>
									<?php 
										}
									endwhile;
									if ($selected_numbercolumns_sidebarblog == 'two' || $selected_numbercolumns_sidebarblog == 'three'){ echo '<div class="cl"></div></div>'; }
									}
								?>
										<div class="navigation"><?php if (function_exists('wp_pagenavi')){ wp_pagenavi(); } ?></div>
								<?php endif; 
								wp_reset_query(); ?>
							</div>
						<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include 'footer.php'; ?>
