<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.1.1
 */
/*
Template Name: Gallery
*/

get_header();

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$gallery_categ = get_post_meta(get_the_ID(), 'gallery_categ', true); 
$selected_perpage = get_post_meta(get_the_ID(), 'selected_perpage', true); 
$selected_order = get_post_meta(get_the_ID(), 'selected_order', true); 
$selected_order_type = get_post_meta(get_the_ID(), 'selected_order_type', true); 
$selected_numbercolumns_sidebargall = get_post_meta(get_the_ID(), 'selected_numbercolumns_sidebargall', true); 
$selected_numbercolumns_fullgall = get_post_meta(get_the_ID(), 'selected_numbercolumns_fullgall', true); 
if ($_GET['columns']){
	$selected_numbercolumns_sidebargall = $_GET['columns'];
	$selected_numbercolumns_fullgall = $_GET['columns'];
}

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
					?>
							<div class="entry">
								<?php if (has_post_thumbnail()){ ?>
									<span class="image_shadow_container">
										<a href="<?php echo get_image_path_array(get_the_ID()); ?>" rel="prettyPhoto" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
											<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=930&amp;h=315&amp;zc=1'; } else { echo '&amp;w=610&amp;h=210&amp;zc=1'; } ?>" alt="" class="image_shadow" />
										</a>
										<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="" class="noimgbg" />
									</span>
								<?php } 
								the_content();
								
								if (get_query_var('paged')){ 
									$paged = get_query_var('paged'); 
								} elseif (get_query_var('page')){ 
									$paged = get_query_var('page'); 
								} else { 
									$paged = 1; 
								}
								query_posts( array( 'post_type' => 'gallery', 'orderby' => $selected_order_type, 'order' => $selected_order, 'posts_per_page' => $selected_perpage, 'paged' => $paged, 'gl-categ' => $gallery_categ ) );
								if (have_posts()) :
									if ($page_layout == 'nobg'){
										if ($selected_numbercolumns_fullgall == 'two'){ 
											echo '<div class="portfolio two_blocks">';
										} elseif ($selected_numbercolumns_fullgall == 'three'){ 
											echo '<div class="portfolio three_blocks">';
										} elseif ($selected_numbercolumns_fullgall == 'four'){ 
											echo '<div class="portfolio four_blocks">';
										} else { 
											echo '<div class="portfolio one_block">';
										}
										$colnumb = 0;
								?>
									<div class="fl">
									<?php while (have_posts()) : the_post();
										$headingtools_active = get_post_meta(get_the_ID(), 'headingtools_active', true); 
										$headingtools_title = get_post_meta(get_the_ID(), 'headingtools_title', true); 
										$album_more = get_post_meta(get_the_ID(), 'album_more', true); 
										if (!$album_more){ $album_more = 'More'; }
										$album_linking = get_post_meta(get_the_ID(), 'album_linking', true); 
										$album_url = get_post_meta(get_the_ID(), 'album_url', true); 
										$album_cover = get_post_meta(get_the_ID(), 'album_cover', true); 
										$attachments =& get_children('post_type=attachment&post_mime_type=image&post_parent='.get_the_ID().'&orderby=menu_order&order=ASC'); 
										if ($selected_numbercolumns_fullgall == 'two'){
											if ($colnumb == 2){
												echo '</div><div class="fl">';
												$colnumb = 0;
											}
									?>
										<div class="post all 
											<?php 
												$gl_sort_categs = get_the_terms(0, "gl-sort-categ");
												$gl_sort_categs_html = array();
												if ($gl_sort_categs != ''){
													foreach ($gl_sort_categs as $gl_sort_categ){
														array_push($gl_sort_categs_html, $gl_sort_categ->slug);
													}
													echo implode($gl_sort_categs_html, ' ');
												}
											?>
										">
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="
														<?php 
															if ($album_cover == 'true'){ 
																echo get_image_path_array(get_the_ID()); 
															} else {
																if ($album_linking == 'false' && $album_url != ''){
																	echo $album_url;
																} else {
																	the_permalink();
																}
															}
														?>
													" class="preloader"<?php if ($album_cover == 'true'){ echo ' rel="prettyPhoto[gallery_'.get_the_ID().']"'; } ?>>
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=440&amp;h=210&amp;zc=1" alt="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=450" alt="" class="noimgbg" />
												</span>
												<div class="dn">
													<?php 
														if (sizeof($attachments) > 1){
															foreach ($attachments as $attachment){ 
																if (str_replace(home_url(), '', get_image_path(get_the_ID())) != str_replace(home_url(), '', $attachment->guid)){
																	echo '<a rel="prettyPhoto[gallery_'.get_the_ID().']" href="'.$attachment->guid.'">&nbsp;</a>';
																}
															}
														}
													?>
												</div>
											<?php } ?>
											<h2 class="p_name"><a href="
												<?php 
													if ($album_linking == 'false' && $album_url != ''){
														echo $album_url;
													} else {
														the_permalink();
													}
												?>
											"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h2>
											<?php 
												if ($gallery_page_full_two_description){
													if (has_excerpt()){
														echo the_excerpt(); 
													} else { 
														echo '<p>'.the_admin_content_limit($gallery_page_full_two_description_number).'</p>';
													}
												}
											?>
											<?php if ($gallery_page_full_two_link){ ?>
												<a href="
													<?php 
														if ($album_linking == 'false' && $album_url != ''){
															echo $album_url;
														} else {
															the_permalink();
														}
													?>
												" class="but_small_trans post_but"><span><?php echo $album_more; ?></span></a>
											<?php } ?>
											<div class="p_date"><?php the_time('Y m d H i s'); ?></div>
										</div>
									<?php 
											$colnumb = $colnumb + 1;
										} elseif ($selected_numbercolumns_fullgall == 'three'){ 
											if ($colnumb == 3){
												echo '</div><div class="fl">';
												$colnumb = 0;
											}
									?>
										<div class="post all 
											<?php 
												$gl_sort_categs = get_the_terms(0, "gl-sort-categ");
												$gl_sort_categs_html = array();
												if ($gl_sort_categs != ''){
													foreach ($gl_sort_categs as $gl_sort_categ){
														array_push($gl_sort_categs_html, $gl_sort_categ->slug);
													}
													echo implode($gl_sort_categs_html, ' ');
												}
											?>
										">
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="
														<?php 
															if ($album_cover == 'true'){ 
																echo get_image_path_array(get_the_ID()); 
															} else {
																if ($album_linking == 'false' && $album_url != ''){
																	echo $album_url;
																} else {
																	the_permalink();
																}
															}
														?>
													" class="preloader"<?php if ($album_cover == 'true'){ echo ' rel="prettyPhoto[gallery_'.get_the_ID().']"'; } ?>>
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=280&amp;h=134&amp;zc=1" alt="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=290" alt="" class="noimgbg" />
												</span>
												<div class="dn">
													<?php 
														if (sizeof($attachments) > 1){
															foreach ($attachments as $attachment){ 
																if (str_replace(home_url(), '', get_image_path(get_the_ID())) != str_replace(home_url(), '', $attachment->guid)){
																	echo '<a rel="prettyPhoto[gallery_'.get_the_ID().']" href="'.$attachment->guid.'">&nbsp;</a>';
																}
															}
														}
													?>
												</div>
											<?php } ?>
											<h3 class="p_name"><a href="
												<?php 
													if ($album_linking == 'false' && $album_url != ''){
														echo $album_url;
													} else {
														the_permalink();
													}
												?>
											"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h3>
											<?php 
												if ($gallery_page_full_three_description){
													if (has_excerpt()){
														echo the_excerpt(); 
													} else { 
														echo '<p>'.the_admin_content_limit($gallery_page_full_three_description_number).'</p>';
													}
												}
											?>
											<?php if ($gallery_page_full_four_link){ ?>
												<a href="
													<?php 
														if ($album_linking == 'false' && $album_url != ''){
															echo $album_url;
														} else {
															the_permalink();
														}
													?>
												" class="but_small_trans post_but"><span><?php echo $album_more; ?></span></a>
											<?php } ?>
											<div class="p_date"><?php the_time('Y m d H i s'); ?></div>
										</div>
									<?php 
											$colnumb = $colnumb + 1;
										} elseif ($selected_numbercolumns_fullgall == 'four'){ 
											if ($colnumb == 4){
												echo '</div><div class="fl">';
												$colnumb = 0;
											}
									?>
										<div class="post all 
											<?php 
												$gl_sort_categs = get_the_terms(0, "gl-sort-categ");
												$gl_sort_categs_html = array();
												if ($gl_sort_categs != ''){
													foreach ($gl_sort_categs as $gl_sort_categ){
														array_push($gl_sort_categs_html, $gl_sort_categ->slug);
													}
													echo implode($gl_sort_categs_html, ' ');
												}
											?>
										">
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="
														<?php 
															if ($album_cover == 'true'){ 
																echo get_image_path_array(get_the_ID()); 
															} else {
																if ($album_linking == 'false' && $album_url != ''){
																	echo $album_url;
																} else {
																	the_permalink();
																}
															}
														?>
													" class="preloader"<?php if ($album_cover == 'true'){ echo ' rel="prettyPhoto[gallery_'.get_the_ID().']"'; } ?>>
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=200&amp;h=95&amp;zc=1" alt="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=210" alt="" class="noimgbg" />
												</span>
												<div class="dn">
													<?php 
														if (sizeof($attachments) > 1){
															foreach ($attachments as $attachment){ 
																if (str_replace(home_url(), '', get_image_path(get_the_ID())) != str_replace(home_url(), '', $attachment->guid)){
																	echo '<a rel="prettyPhoto[gallery_'.get_the_ID().']" href="'.$attachment->guid.'">&nbsp;</a>';
																}
															}
														}
													?>
												</div>
											<?php } ?>
											<h5 class="p_name"><a href="
												<?php 
													if ($album_linking == 'false' && $album_url != ''){
														echo $album_url;
													} else {
														the_permalink();
													}
												?>
											"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h5>
											<?php 
												if ($gallery_page_full_four_description){
													if (has_excerpt()){
														echo the_excerpt(); 
													} else { 
														echo '<p>'.the_admin_content_limit($gallery_page_full_four_description_number).'</p>';
													}
												}
											?>
											<?php if ($gallery_page_full_four_link){ ?>
												<a href="
													<?php 
														if ($album_linking == 'false' && $album_url != ''){
															echo $album_url;
														} else {
															the_permalink();
														}
													?>
												" class="but_small_trans post_but"><span><?php echo $album_more; ?></span></a>
											<?php } ?>
											<div class="p_date"><?php the_time('Y m d H i s'); ?></div>
										</div>
									<?php 
											$colnumb = $colnumb + 1;
										} else {
											if ($colnumb == 1){
												echo '</div><div class="fl">';
												$colnumb = 0;
											}
									?>
										<div class="post all 
											<?php 
												$gl_sort_categs = get_the_terms(0, "gl-sort-categ");
												$gl_sort_categs_html = array();
												if ($gl_sort_categs != ''){
													foreach ($gl_sort_categs as $gl_sort_categ){
														array_push($gl_sort_categs_html, $gl_sort_categ->slug);
													}
													echo implode($gl_sort_categs_html, ' ');
												}
											?>
										">
											<div class="one_block_text">
												<h2 class="p_name"><a href="
													<?php 
														if ($album_linking == 'false' && $album_url != ''){
															echo $album_url;
														} else {
															the_permalink();
														}
													?>
												"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h2>
												<?php 
													if ($gallery_page_full_one_description){
														if (has_excerpt()){
															echo the_excerpt(); 
														} else { 
															echo '<p>'.the_admin_content_limit($gallery_page_full_one_description_number).'</p>';
														}
													}
												?>
												<?php if ($gallery_page_full_one_link){ ?>
													<a href="
														<?php 
															if ($album_linking == 'false' && $album_url != ''){
																echo $album_url;
															} else {
																the_permalink();
															}
														?>
													" class="but_small_trans post_but"><span><?php echo $album_more; ?></span></a>
												<?php } ?>
												<div class="p_date"><?php the_time('Y m d H i s'); ?></div>
											</div>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="
														<?php 
															if ($album_cover == 'true'){ 
																echo get_image_path_array(get_the_ID());
															} else {
																if ($album_linking == 'false' && $album_url != ''){
																	echo $album_url;
																} else {
																	the_permalink();
																}
															}
														?>
													" class="preloader"<?php if ($album_cover == 'true'){ echo ' rel="prettyPhoto[gallery_'.get_the_ID().']"'; } ?>>
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=590&amp;h=282&amp;zc=1" alt="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=600" alt="" class="noimgbg" />
												</span>
												<div class="dn">
													<?php 
														if (sizeof($attachments) > 1){
															foreach ($attachments as $attachment){ 
																if (str_replace(home_url(), '', get_image_path(get_the_ID())) != str_replace(home_url(), '', $attachment->guid)){
																	echo '<a rel="prettyPhoto[gallery_'.get_the_ID().']" href="'.$attachment->guid.'">&nbsp;</a>';
																}
															}
														}
													?>
												</div>
											<?php } ?>
										</div>
									<?php 
											$colnumb = $colnumb + 1;
										}
										endwhile;
										echo '</div>';
									} else { 
										if ($selected_numbercolumns_sidebargall == 'two'){ 
											echo '<div class="portfolio two_blocks">';
										} elseif ($selected_numbercolumns_sidebargall == 'three'){ 
											echo '<div class="portfolio three_blocks">';
										} else {
											echo '<div class="portfolio one_block">';
										}
										$colnumb = 0;
										echo '<div class="fl">';
										while (have_posts()) : the_post();
											$headingtools_active = get_post_meta(get_the_ID(), 'headingtools_active', true); 
											$headingtools_title = get_post_meta(get_the_ID(), 'headingtools_title', true); 
											$album_more = get_post_meta(get_the_ID(), 'album_more', true); 
											if (!$album_more){ $album_more = 'More'; }
											$album_linking = get_post_meta(get_the_ID(), 'album_linking', true); 
											$album_url = get_post_meta(get_the_ID(), 'album_url', true); 
											$album_cover = get_post_meta(get_the_ID(), 'album_cover', true); 
											$attachments =& get_children('post_type=attachment&post_mime_type=image&post_parent='.get_the_ID().'&orderby=menu_order&order=ASC');
											if ($selected_numbercolumns_sidebargall == 'two'){
											if ($colnumb == 2){
												echo '</div><div class="fl">';
												$colnumb = 0;
											}
									?>
										<div class="post all 
											<?php 
												$gl_sort_categs = get_the_terms(0, "gl-sort-categ");
												$gl_sort_categs_html = array();
												if ($gl_sort_categs != ''){
													foreach ($gl_sort_categs as $gl_sort_categ){
														array_push($gl_sort_categs_html, $gl_sort_categ->slug);
													}
													echo implode($gl_sort_categs_html, ' ');
												}
											?>
										">
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="
														<?php 
															if ($album_cover == 'true'){ 
																echo get_image_path_array(get_the_ID()); 
															} else {
																if ($album_linking == 'false' && $album_url != ''){
																	echo $album_url;
																} else {
																	the_permalink();
																}
															}
														?>
													" class="preloader"<?php if ($album_cover == 'true'){ echo ' rel="prettyPhoto[gallery_'.get_the_ID().']"'; } ?>>
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=280&amp;h=134&amp;zc=1" alt="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=290" alt="" class="noimgbg" />
												</span>
												<div class="dn">
													<?php 
														if (sizeof($attachments) > 1){
															foreach ($attachments as $attachment){ 
																if (str_replace(home_url(), '', get_image_path(get_the_ID())) != str_replace(home_url(), '', $attachment->guid)){
																	echo '<a rel="prettyPhoto[gallery_'.get_the_ID().']" href="'.$attachment->guid.'">&nbsp;</a>';
																}
															}
														}
													?>
												</div>
											<?php } ?>
											<h3 class="p_name"><a href="
												<?php 
													if ($album_linking == 'false' && $album_url != ''){
														echo $album_url;
													} else {
														the_permalink();
													}
												?>
											"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h3>
											<?php 
												if ($gallery_page_sidebar_two_description){
													if (has_excerpt()){
														echo the_excerpt(); 
													} else { 
														echo '<p>'.the_admin_content_limit($gallery_page_sidebar_two_description_number).'</p>';
													}
												}
											?>
											<?php if ($gallery_page_sidebar_two_link){ ?>
												<a href="
													<?php 
														if ($album_linking == 'false' && $album_url != ''){
															echo $album_url;
														} else {
															the_permalink();
														}
													?>
												" class="but_small_trans post_but"><span><?php echo $album_more; ?></span></a>
											<?php } ?>
											<div class="p_date"><?php the_time('Y m d H i s'); ?></div>
										</div>
									<?php 
											$colnumb = $colnumb + 1;
										} elseif ($selected_numbercolumns_sidebargall == 'three'){ 
											if ($colnumb == 3){
												echo '</div><div class="fl">';
												$colnumb = 0;
											}
									?>
										<div class="post all 
											<?php 
												$gl_sort_categs = get_the_terms(0, "gl-sort-categ");
												$gl_sort_categs_html = array();
												if ($gl_sort_categs != ''){
													foreach ($gl_sort_categs as $gl_sort_categ){
														array_push($gl_sort_categs_html, $gl_sort_categ->slug);
													}
													echo implode($gl_sort_categs_html, ' ');
												}
											?>
										">
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="
														<?php 
															if ($album_cover == 'true'){ 
																echo get_image_path_array(get_the_ID()); 
															} else {
																if ($album_linking == 'false' && $album_url != ''){
																	echo $album_url;
																} else {
																	the_permalink();
																}
															}
														?>
													" class="preloader"<?php if ($album_cover == 'true'){ echo ' rel="prettyPhoto[gallery_'.get_the_ID().']"'; } ?>>
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=173&amp;h=82&amp;zc=1" alt="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=183" alt="" class="noimgbg" />
												</span>
												<div class="dn">
													<?php 
														if (sizeof($attachments) > 1){
															foreach ($attachments as $attachment){ 
																if (str_replace(home_url(), '', get_image_path(get_the_ID())) != str_replace(home_url(), '', $attachment->guid)){
																	echo '<a rel="prettyPhoto[gallery_'.get_the_ID().']" href="'.$attachment->guid.'">&nbsp;</a>';
																}
															}
														}
													?>
												</div>
											<?php } ?>
											<h5 class="p_name"><a href="
												<?php 
													if ($album_linking == 'false' && $album_url != ''){
														echo $album_url;
													} else {
														the_permalink();
													}
												?>
											"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h5>
											<?php 
												if ($gallery_page_sidebar_three_description){
													if (has_excerpt()){
														echo the_excerpt(); 
													} else { 
														echo '<p>'.the_admin_content_limit($gallery_page_sidebar_three_description_number).'</p>';
													}
												}
											?>
											<?php if ($gallery_page_sidebar_three_link){ ?>
												<a href="
													<?php 
														if ($album_linking == 'false' && $album_url != ''){
															echo $album_url;
														} else {
															the_permalink();
														}
													?>
												" class="but_small_trans post_but"><span><?php echo $album_more; ?></span></a>
											<?php } ?>
											<div class="p_date"><?php the_time('Y m d H i s'); ?></div>
										</div>
									<?php 
											$colnumb = $colnumb + 1;
										} else { 
											if ($colnumb == 1){
												echo '</div><div class="fl">';
												$colnumb = 0;
											}
									?>
										<div class="post all 
											<?php 
												$gl_sort_categs = get_the_terms(0, "gl-sort-categ");
												$gl_sort_categs_html = array();
												if ($gl_sort_categs != ''){
													foreach ($gl_sort_categs as $gl_sort_categ){
														array_push($gl_sort_categs_html, $gl_sort_categ->slug);
													}
													echo implode($gl_sort_categs_html, ' ');
												}
											?>
										">
											<div class="one_block_text">
												<h3 class="p_name"><a href="
													<?php 
														if ($album_linking == 'false' && $album_url != ''){
															echo $album_url;
														} else {
															the_permalink();
														}
													?>
												"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h3>
												<?php 
													if ($gallery_page_sidebar_one_description){
														if (has_excerpt()){
															echo the_excerpt(); 
														} else { 
															echo '<p>'.the_admin_content_limit($gallery_page_sidebar_one_description_number).'</p>';
														}
													}
												?>
												<?php if ($gallery_page_sidebar_one_link){ ?>
													<a href="
														<?php 
															if ($album_linking == 'false' && $album_url != ''){
																echo $album_url;
															} else {
																the_permalink();
															}
														?>
													" class="but_small_trans post_but"><span><?php echo $album_more; ?></span></a>
												<?php } ?>
												<div class="p_date"><?php the_time('Y m d H i s'); ?></div>
											</div>
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="
														<?php 
															if ($album_cover == 'true'){ 
																echo get_image_path_array(get_the_ID()); 
															} else {
																if ($album_linking == 'false' && $album_url != ''){
																	echo $album_url;
																} else {
																	the_permalink();
																}
															}
														?>
													" class="preloader"<?php if ($album_cover == 'true'){ echo ' rel="prettyPhoto[gallery_'.get_the_ID().']"'; } ?>>
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=350&amp;h=168&amp;zc=1" alt="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=360" alt="" class="noimgbg" />
												</span>
												<div class="dn">
													<?php 
														if (sizeof($attachments) > 1){
															foreach ($attachments as $attachment){ 
																if (str_replace(home_url(), '', get_image_path(get_the_ID())) != str_replace(home_url(), '', $attachment->guid)){
																	echo '<a rel="prettyPhoto[gallery_'.get_the_ID().']" href="'.$attachment->guid.'">&nbsp;</a>';
																}
															}
														}
													?>
												</div>
											<?php } ?>
										</div>
									<?php 
											$colnumb = $colnumb + 1; 
										}
									endwhile;
									echo '</div>';
									}
								?>
								</div>
								<div class="navigation"><?php if (function_exists('wp_pagenavi')){ wp_pagenavi(); } ?></div>
								<?php endif; 
								wp_reset_query(); ?>
							</div>
						<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include 'footer.php'; ?>
