<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */

get_header();

?>

<!-- _________________________ Start Content _________________________ -->
						<div id="content">
							<div class="entry">
								<?php 
								if (get_query_var('paged')){ 
									$paged = get_query_var('paged'); 
								} elseif (get_query_var('page')){ 
									$paged = get_query_var('page'); 
								} else { 
									$paged = 1; 
								}
								if ( have_posts() ) : 
									while ( have_posts() ) : the_post();
										$headingtools_active = get_post_meta(get_the_ID(), 'headingtools_active', true); 
										$headingtools_title = get_post_meta(get_the_ID(), 'headingtools_title', true); 
										$post_more_text = get_post_meta(get_the_ID(), 'post_more_text', true); 
										if (!$post_more_text){ $post_more_text = 'Read More'; }
									?>
										<div class="post">
											<?php if (has_post_thumbnail()){ ?>
												<span class="image_shadow_container">
													<a href="<?php the_permalink(); ?>" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=610&amp;h=210&amp;zc=1" alt="" class="image_shadow" />
													</a>
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=620" alt="" class="noimgbg" />
												</span>
											<?php } ?>
											<h2><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h2>
											<div class="dotted_line">
												<?php comments_popup_link('0', '1', '%', 'comment_left fr', '0'); ?>
												<?php echo '<span class="post_data yellow">'.get_the_time('F j, Y').'</span><span>'; ?>
												<?php if (get_the_category()){ echo __('in', 'clockstone').' '; the_category(', '); } ?>
												<?php echo ' '.__('by', 'clockstone').' '.get_the_author().'</span>'; ?>
											</div>
											<?php 
												if (has_excerpt()){
													echo the_excerpt(); 
												} else { 
													global $more;
													$more = 0;
													the_content(''); 
												}
											?>
											<a href="<?php the_permalink(); ?>" class="but_small_trans post_but"><span><?php echo $post_more_text; ?></span></a>
										</div>
									<?php endwhile; ?>
									<div class="navigation"><?php if (function_exists('wp_pagenavi')){ wp_pagenavi(); } ?></div>
								<?php endif; ?>
							</div>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include 'footer.php'; ?>
