<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */
/*
Template Name: Products
*/

get_header();

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$products_categ = get_post_meta(get_the_ID(), 'products_categ', true); 
$selected_perpage = get_post_meta(get_the_ID(), 'selected_perpage', true); 
$selected_order = get_post_meta(get_the_ID(), 'selected_order', true); 
$selected_order_type = get_post_meta(get_the_ID(), 'selected_order_type', true); 

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
					?>
							<div class="entry">
								<?php if (has_post_thumbnail()){ ?>
									<span class="image_shadow_container">
										<a href="<?php echo get_image_path_array(get_the_ID()); ?>" rel="prettyPhoto" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
											<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=930&amp;h=315&amp;zc=1'; } else { echo '&amp;w=610&amp;h=210&amp;zc=1'; } ?>" alt="" class="image_shadow" />
										</a>
										<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="" class="noimgbg" />
									</span>
								<?php } 
								the_content();
								
								if (get_query_var('paged')){ 
									$paged = get_query_var('paged'); 
								} elseif (get_query_var('page')){ 
									$paged = get_query_var('page'); 
								} else { 
									$paged = 1; 
								}
								query_posts( array( 'post_type' => 'products', 'orderby' => $selected_order_type, 'order' => $selected_order, 'posts_per_page' => $selected_perpage, 'paged' => $paged, 'pr-categ' => $products_categ ) );
								if (have_posts()) : ?>
									<?php while (have_posts()) : the_post();
										$headingtools_active = get_post_meta(get_the_ID(), 'headingtools_active', true); 
										$headingtools_title = get_post_meta(get_the_ID(), 'headingtools_title', true); 
										$product_atts = get_post_meta(get_the_ID(), 'product_atts', true);
										$product_atts_vals = get_post_meta(get_the_ID(), 'product_atts_vals', true);
										$product_price = get_post_meta(get_the_ID(), 'product_price', true); 
										$product_buy = get_post_meta(get_the_ID(), 'product_buy', true);
										$product_buy_text = get_post_meta(get_the_ID(), 'product_buy_text', true);
									?>
											<div class="post product">
												<?php if (has_post_thumbnail()){ ?>
												<div class="fl" style="padding-bottom:20px;">
													<a href="<?php the_permalink(); ?>">
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=200&amp;h=200&amp;zc=1" alt="" class="noimgbg" />
													</a>
												</div>
												<?php } ?>
												<div class="feature_txt fl">
													<h2><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h2>
													<?php if ($products_page_date){ ?><p><strong><?php _e('Date Added', 'clockstone'); ?>: </strong><?php the_time('l j F Y'); ?></p><?php } ?>
													<?php 
														$attrs = explode(';', $product_atts);
														$attrvs = explode(';', $product_atts_vals);
														$numbatt = 0;
														foreach ($attrs as $attr){ 
															if ($attr != ''){
																echo '<p><strong>'.$attr.': </strong>'.$attrvs[$numbatt].'</p>';
																$numbatt = $numbatt + 1;
															}
														}
													?>
													<?php if ($products_page_price && $product_price){ ?><p><strong><?php _e('Price', 'clockstone'); ?>: </strong><?php echo $product_price; ?></p><?php } ?>
													<?php if ($products_page_buy){ ?><br /><a href="<?php echo $product_buy; ?>" class="but_small_trans"<?php if ($products_page_buy_target){ echo ' target="_blank"'; } ?>><span><?php echo $product_buy_text; ?></span></a><?php } ?>
												</div>
												<div class="cl"></div>
												<div>
													<?php 
														if (has_excerpt()){
															echo the_excerpt(); 
														} else { 
															global $more;
															$more = 0;
															the_content(''); 
														}
													?>
													<?php if ($products_page_link){ ?><a href="<?php the_permalink(); ?>"><?php _e('Detailed Information', 'clockstone'); ?></a><?php } ?>
												</div>
											</div>
									<?php endwhile; ?>
										<div class="navigation"><?php if (function_exists('wp_pagenavi')){ wp_pagenavi(); } ?></div>
								<?php endif; 
								wp_reset_query(); ?>
							</div>
						<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include 'footer.php'; ?>
