<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */

get_header();

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$thumbnail_box = get_post_meta(get_the_ID(), 'thumbnail_box_active', true); 
if (!$thumbnail_box){ $thumbnail_box = 'true'; }
$sharing_box = get_post_meta(get_the_ID(), 'sharing_box_active', true); 
$author_box = get_post_meta(get_the_ID(), 'author_box_active', true); 
$posts_box = get_post_meta(get_the_ID(), 'posts_box_active', true); 

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
					?>
								<div class="entry">
									<?php if (has_post_thumbnail() && $thumbnail_box == 'true'){ ?>
										<span class="image_shadow_container bloghov">
											<a href="<?php echo get_image_path_array(get_the_ID()); ?>" rel="prettyPhoto" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
												<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=930&amp;h=315&amp;zc=1'; } else { echo '&amp;w=610&amp;h=210&amp;zc=1'; } ?>" alt="" class="image_shadow" />
											</a>
											<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="" class="noimgbg" />
										</span>
									<?php 
										}
										if ($blog_post_comments || ($blog_post_categs && get_the_category()) || $blog_post_author || $blog_post_date){ 
									?>
										<div class="dotted_line">
											<?php if ($blog_post_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
											<?php if ($blog_post_date){ echo '<span class="post_data yellow">'.get_the_time('F j, Y').'</span>'; } ?>
											<?php if (($blog_post_categs && get_the_category() && $blog_post_date) || ($blog_post_author && $blog_post_date)){ echo '<span>'; } ?>
											<?php if ($blog_post_categs && get_the_category()){ echo __('in', 'clockstone').' '; the_category(', '); } ?>
											<?php if ($blog_post_author){ echo ' '.__('by', 'clockstone').' '; the_author_posts_link(); } ?>
											<?php if (($blog_post_categs && get_the_category() && $blog_post_date) || ($blog_post_author && $blog_post_date)){ echo '</span>'; } ?>
										</div>
									<?php 
										}
										the_content();
										wp_link_pages('before=<div><strong>'.__('Pages', 'clockstone').':</strong>&link_before= . &after=</div>');
										if ($blog_post_tags && get_the_tags()){ 
											echo '<br />';
											foreach (get_the_tags() as $tagone){
												echo '<a href="'.get_tag_link($tagone->term_id).'" class="but_styled mbr5"><span><span class="tag">'.$tagone->name.'</span></span></a>';
											}
											echo '<div class="cl"></div>';
										}
										if ($sharing_box == 'true'){ 
									?>
										<div class="share_posts">
											<a href="#" class="share"><span><span><?php _e('Share This', 'clockstone'); ?></span></span></a>
											<div class="social"></div>
										</div>
									<?php
										}
										if ($author_box == 'true'){ 
									?>
										<div class="about_author_1">
											<div class="about_author_2">
												<div class="about_author">
													<h3><?php _e('About the author', 'clockstone'); ?></h3>
													<?php if (has_post_thumbnail()){ ?>
														<div class="fl">
															<span class="image_shadow_container">
																<?php echo get_avatar(get_the_author_meta('user_email'), 70, $default='<path_to_url>', get_the_author_meta(user_nicename)); ?>
																<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
															</span>
														</div>
													<?php } ?>
													<div class="blog_txt">
														<?php 
															$user_first_name = get_the_author_meta(first_name);
															$user_last_name = get_the_author_meta(last_name);
															$user_description = get_the_author_meta(description);
															if ($user_first_name){ $out .= $user_first_name; }
															if ($user_first_name && $user_last_name){ $out .= ' '.$user_last_name; } elseif ($user_last_name){ $out .= $user_last_name; }
															if (get_the_author() && ($user_first_name || $user_last_name)){ $out .= ' ('; }
															if (get_the_author()){ $out .= get_the_author(); }
															if (get_the_author() && ($user_first_name || $user_last_name)){ $out .= ')'; }
															if ($out != ''){ echo '<strong>'.$out.'</strong>'; }
															if ($user_description){ echo '<p>'.$user_description.'</p>'; } 
														?>
													</div>
												</div>
											</div>
										</div>
									<?php 
										} else { echo '<br />'; }
										
                                                                                     if ($blog_post_tags && get_the_tags()){      
                                                                                           $tgsarray = array(); 
                                                                                           foreach (get_the_tags() as $tagone){
                                                                                              $tgsarray[] = $tagone->term_id;
                                                                                           }  
                                                                                    }
                                                                                if ($posts_box == 'true' && ($blog_post_popular == 'true' || $blog_post_recent == 'true' || ( $blog_post_related == 'true' && (!empty($tgsarray)) ) ) ){
									?>
										<div class="related_posts">
											<ul>
                                                                                          <?php if( $blog_post_popular == 'true'){ ?>
												<li><a href="#" class="current"><?php _e('Popular Posts', 'clockstone'); ?></a></li>
                                                                                          <?php } ?>
                                                                                          <?php if( $blog_post_recent == 'true'){ ?>
												<li><a href="#" class=" <?php if( $blog_post_popular != 'true'){ echo'current'; }?>"><?php _e('Latest Posts', 'clockstone'); ?></a></li>
                                                                                          <?php } ?>
                                                                                          <?php if($blog_post_related == 'true' && (!empty($tgsarray)) ){ ?>
                                                                                                <li><a href="#" class="<?php if( $blog_post_popular != 'true' && $blog_post_recent != 'true'){ echo'current'; }?>"><?php _e('Related Posts', 'clockstone'); ?></a></li>
                                                                                          <?php } ?>
											</ul>
                                                                                      <?php if( $blog_post_popular == 'true'){ ?>
											<div class="related_posts_content">
												<?php 
													$p = new WP_Query(array('posts_per_page' => $blog_post_popularrecent_number, 'post_status' => 'publish', 'ignore_sticky_posts' => 1, 'post_type' => 'post', 'orderby' => 'comment_count', 'post__not_in' => array( get_the_ID() ) ) ) ; 
													if ($p->have_posts()) :
													$numb = 0;
													while ($p->have_posts()) : $p->the_post(); 
														$numb = $numb + 1;
												?>
													<?php if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '<div class="one_half last">'; } else { echo '<div class="one_half">'; } ?>
													<table class="feature_shortcode">
														<tbody>
															<tr>
															<?php if (has_post_thumbnail()){ ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=70&amp;h=70&amp;zc=1" alt="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>" class="image_shadow" />
																		</a>
																		<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
																	</span>
																</td>
															<?php } else { ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/no_thumbnail.jpg&amp;w=70&amp;h=70&amp;zc=1" alt="" class="image_shadow" />
																		</a>
																		<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
																	</span>
																</td>
															<?php } ?>
																<td class="feature_txt"><a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a></td>
															</tr>
														</tbody>
													</table>
													
												<?php 
                                                                                                        if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '</div><div class="cl"></div>'; } else { echo '</div>'; }
													endwhile;
													else : 
														_e('No Popular Posts Found', 'clockstone');
													endif;
													wp_reset_postdata();
												?>
											</div>
                                                                                    <?php } ?>
                                                                                          <?php if( $blog_post_recent == 'true'){ ?>
											<div class="related_posts_content" <?php if( $blog_post_popular != 'true'){ }else{ echo'style="display:none;"'; }?>>
												<?php 
													$r = new WP_Query(array('posts_per_page' => $blog_post_popularrecent_number, 'post_status' => 'publish', 'ignore_sticky_posts' => 1, 'post_type' => 'post','post__not_in' => array( get_the_ID() ) ) );
													if ($r->have_posts()) :
													$numb = 0;
													while ($r->have_posts()) : $r->the_post(); 
														$numb = $numb + 1;
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '<div class="one_half last">'; } else { echo '<div class="one_half">'; }
												?>
													<table class="feature_shortcode">
														<tbody>
															<tr>
															<?php if (has_post_thumbnail()){ ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=70&amp;h=70&amp;zc=1" alt="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>" class="image_shadow" />
																		</a>
																		<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
																	</span>
																</td>
															<?php } else { ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/no_thumbnail.jpg&amp;w=70&amp;h=70&amp;zc=1" alt="" class="image_shadow" />
																		</a>
																		<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
																	</span>
																</td>
															<?php } ?>
																<td class="feature_txt"><a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a></td>
															</tr>
														</tbody>
													</table>
												<?php 
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '</div><div class="cl"></div>'; } else { echo '</div>'; }
													endwhile;
													else : 
														_e('No Latest Posts Found', 'clockstone');
													endif;
													wp_reset_postdata();
												?>
											</div>
                                                                                        
                                                                                         <?php } ?>
                                                                                          <?php if($blog_post_related == 'true' && (!empty($tgsarray)) ){ ?>
                                                                                    
                                                                                        <div class="related_posts_content" <?php if( ($blog_post_popular != 'true') && ($blog_post_recent != 'true') ){ }else{ echo'style="display:none;"'; }?>>
												<?php 
													$r = new WP_Query(array('posts_per_page' => $blog_post_popularrecent_number, 'post_status' => 'publish', 'ignore_sticky_posts' => 1, 'tag__in' => $tgsarray, 'post_type' => 'post', 'post__not_in' => array( get_the_ID() ) ) );
													if ($r->have_posts()) :
													$numb = 0;
													while ($r->have_posts()) : $r->the_post(); 
														$numb = $numb + 1;
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '<div class="one_half last">'; } else { echo '<div class="one_half">'; }
												?>
													<table class="feature_shortcode">
														<tbody>
															<tr>
															<?php if (has_post_thumbnail()){ ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=70&amp;h=70&amp;zc=1" alt="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>" class="image_shadow" />
																		</a>
																		<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
																	</span>
																</td>
															<?php } else { ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/no_thumbnail.jpg&amp;w=70&amp;h=70&amp;zc=1" alt="" class="image_shadow" />
																		</a>
																		<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
																	</span>
																</td>
															<?php } ?>
																<td class="feature_txt"><a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a></td>
															</tr>
														</tbody>
													</table>
												<?php 
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '</div><div class="cl"></div>'; } else { echo '</div>'; }
													endwhile;
													else : 
														_e('No Related Posts Found', 'clockstone');
													endif;
													wp_reset_postdata();
												?>
											</div>
                                                                                    <?php } ?>
										</div>
									<?php
										}
										comments_template();
									?>
								</div>
							<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include 'footer.php'; ?>
