<?php
function cmsmasters_admin_options(){
	global $themename, $shortname, $options, $cmsmasters_categories;
	require(CMSMASTERS_CLASSES.'/var.php');
?>

<!--[if lt IE 9]>
<style type="text/css">
	.slider .rght .check_parent input[type="checkbox"], .slider .rght .check_parent input[type="radio"] {
		position:relative;
		top:auto;
		left:auto;
		opacity:1;
	}
	.slider .rght .check_parent input[type="checkbox"] + label {
		background:none;
		padding:2px 0 0 25px;
	}
	.slider .rght .check_parent input[type="checkbox"] + label span.labelon, .slider .rght .check_parent input[type="checkbox"] + label span.labeloff {font-weight:normal;}
	.slider .rght input[type="radio"] + label {
		background:none;
		padding-left:5px;
	}
</style>
<![endif]-->

<!--[if IE 7]>
<style type="text/css">
	body.wp-admin .slider .rght input[type="button"], body.wp-admin .slider .rght input[type="button"].fl, body.wp-admin .slider .rght input[type="submit"] {
		height:30px;
		padding:0;
	}
	body.wp-admin .slider .rght input[type="text"] {height:18px;}
	body.wp-admin .slider .rght input[type="button"].button.fl {height:30px;}
	body.wp-admin .slider .rght .spinner-wrpr input[type="text"] {width:35px;}
	.slider .rght .check_parent input[type="checkbox"] + label {padding-left:5px;}
</style>
<![endif]-->

<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/js/jquery-ui-1.8.12.custom.min.js"></script>
<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/js/spinner.js"></script>

<script type="text/javascript">
	jQuery(function(){
		jQuery('.rght .tabb input[name="save"]').click(function(){
			jQuery('#settings_save').hide();
			jQuery(this).parent().find('.submit_loader').addClass('active_submit_loader').fadeIn('fast');
			jQuery.post(jQuery('#adminoptions_form').attr('action'), jQuery('#adminoptions_form').serialize()+'&action=save').error(function(){
				jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
				jQuery('html, body').animate({scrollTop:0}, 'slow');
				jQuery('#settings_error').slideDown('fast').delay(5000).slideUp('slow');
				alert('Error on page! Please reload page and try again.');
			}).complete(function(){
				jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('slow');
				jQuery('html, body').animate({scrollTop:0}, 'slow');
				jQuery('#settings_save').slideDown('fast').delay(5000).slideUp('slow');
			});
			
			return false;
		});
		
		jQuery('.slider .tabs li a').click(function(){
			if (jQuery(this).parent().hasClass('select') || jQuery(this).next().find('li:first').hasClass('select')){ } else { 
				if (jQuery(this).parent().parent().hasClass('tabs')){
					if (jQuery(this).parent().hasClass('sel')){
						jQuery('.slider .tabs li.select').removeClass('select');
						jQuery('.slider .tabs li.sel').removeClass('sel');
					} else {
						jQuery('.slider .tabs li.select').removeClass('select').find('ul').slideUp(500);
						jQuery('.slider .tabs li.sel').removeClass('sel').find('ul').slideUp(500);
					}
					
					if (jQuery(this).next().find('li').length == '0'){ 
						var $href = jQuery(this).attr('href');
						
						jQuery(this).parent().addClass('select');
					} else {
						var $href = jQuery(this).next().find('a:first').attr('href');
						
						jQuery(this).next().find('li:first').addClass('select');
						jQuery(this).parent().addClass('sel');
					}
					
					jQuery(this).parent().find('ul').slideDown(500);
					jQuery('.slider .rght .tabb.select').slideUp(250).removeClass('select');
					jQuery('.slider .rght').find($href).slideDown(250).addClass('select');
				} else {
					var $href = jQuery(this).attr('href');
					
					jQuery('.slider .tabs li.select').removeClass('select');
					jQuery('.slider .tabs li.sel').removeClass('sel');
					jQuery(this).parent().addClass('select');
					jQuery(this).parent().parent().parent().addClass('sel');
					jQuery('.slider .rght .tabb.select').slideUp(250).removeClass('select');
					jQuery('.slider .rght').find($href).slideDown(250).addClass('select');
				}
			}
			
			return false;
		});
		
		jQuery('.slider .rght .tabb').css({minHeight:'680px'});
		jQuery('.slider .rght #dashboard').addClass('select');
	});
</script>
<div class="wrap" style="position:relative; overflow:hidden; padding-left:5px; padding-bottom:10px;">
<?php screen_icon('tools'); ?>
<h2 style="padding-top:12px;"><?php echo $themename; ?> Theme Settings</h2>
</div>

<div id="settings_save" class="updated fade below-h2 myadminpanel" style="display:none;"><p><strong><?php echo $themename; ?> settings saved.</strong></p></div>
<div id="settings_reset" class="updated fade below-h2 myadminpanel" style="display:none;"><p><strong><?php echo $themename; ?> settings reset.</strong></p></div>
<div id="settings_error" class="error fade below-h2 myadminpanel" style="display:none;"><p><strong>Sidebar already exists, please use a different name.</strong></p></div>
<div id="settings_import" class="updated fade below-h2 myadminpanel" style="display:none;"><p><strong><?php echo $themename; ?> theme demo content now added to your website database.</strong></p></div>

<?php if (isset($_GET['upgraded'])){ echo '<div id="settings_active" class="updated fade below-h2 myadminpanel"><p><strong>'.$themename.' is now activated. To get the most out of everything '.$themename.' has to offer please refer to the documentation that was include in the download. Should you require further assistance you can contact us thru our ThemeForest profile page <a target="_blank" href="http://themeforest.net/user/cmsmasters">here.</a></strong></p></div>'; } ?>

<div class="slider wrap">
	<div class="bot">
	<div class="logo"></div>
	<ul class="tabs">
		<li class="select"><a href="#dashboard"><img src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/icon_dashboard.png" alt="Dashboard" /><?php echo 'Dashboard'; ?></a></li>
		<li><a href="#general_options"><img src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/icon_general.png" alt="General" /><?php echo 'General Options'; ?></a>
			<ul>
				<li><a href="#general_options"><?php echo 'Theme Options'; ?></a></li>
				<li><a href="#sidebar_options"><?php echo 'Sidebars'; ?></a></li>
				<li><a href="#theme_bgs"><?php echo 'Backgrounds Manager'; ?></a></li>
				<li><a href="#social_icons"><?php echo 'Social Icons Manager'; ?></a></li>
				<li><a href="#theme_icons"><?php echo 'Theme Icons Manager'; ?></a></li>
				<li><a href="#theme_fonts"><?php echo 'Theme Fonts Manager'; ?></a></li>
				<li><a href="#sharing_options"><?php echo 'Sharing Options'; ?></a></li>
				<li><a href="#seo_options"><?php echo 'SEO Tools'; ?></a></li>
			</ul>
		</li>
		<li><a href="#background_options"><img src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/icon_styling.png" alt="Styling" /><?php echo 'Styling Options'; ?></a>
			<ul>
				<li><a href="#background_options"><?php echo 'Background Options'; ?></a></li>
				<li><a href="#header_options"><?php echo 'Header Constructor'; ?></a></li>
				<li><a href="#logo_options"><?php echo 'Logo &amp; Favicon'; ?></a></li>
				<li><a href="#font_family"><?php echo 'Font Name Options'; ?></a></li>
				<li><a href="#font_size"><?php echo 'Font Size Options'; ?></a></li>
				<li><a href="#font_color"><?php echo 'Font Color Options'; ?></a></li>
				<li><a href="#footer_options"><?php echo 'Footer Options'; ?></a></li>
			</ul>
		</li>
		<li><a href="#architector_options"><img src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/icon_slider.png" alt="Sliders" /><?php echo 'Sliders'; ?></a>
			<ul>
				<li><a href="#architect_options"><?php echo 'Architect Slider'; ?></a></li>
				<li><a href="#nivo_options"><?php echo 'Nivo Slider'; ?></a></li>
				<li><a href="#coin_options"><?php echo 'Coin Slider'; ?></a></li>
				<li><a href="#accordion_options"><?php echo 'Accordion Slider'; ?></a></li>
				<?php /* <li><a href="#anything_options"><?php echo 'Anything Slider'; ?></a></li> */ ?>
				<li><a href="#options_3d"><?php echo 'Flashmo 3D Slider'; ?></a></li>
				<li><a href="#piecemaker_options"><?php echo 'Piecemaker2 3D Slider'; ?></a></li>
			</ul>
		</li>
		<li><a href="#testimonial_options"><img src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/icon_posttypes.png" alt="Sliders" /><?php echo 'Post Types'; ?></a>
			<ul>
				<li><a href="#testimonial_options"><?php echo 'Testimonials'; ?></a></li>
				<li><a href="#news_options"><?php echo 'News'; ?></a></li>
				<li><a href="#product_options"><?php echo 'Products'; ?></a></li>
			</ul>
		</li>
		<li><a href="#blog_options_sb"><img src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/icon_blog.png" alt="Blog" /><?php echo 'Blog'; ?></a>
			<ul>
				<li><a href="#blog_options_sb"><?php echo 'Blog With Sidebar'; ?></a></li>
				<li><a href="#blog_options_fw"><?php echo 'Full Width Blog'; ?></a></li>
				<li><a href="#blog_options_pt"><?php echo 'Blog Posts'; ?></a></li>
			</ul>
		</li>
		<li><a href="#portfolio_options_fw"><img src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/icon_gallery.png" alt="Portfolio &amp; Gallery" /><?php echo 'Portfolio &amp; Gallery'; ?></a>
			<ul>
				<li><a href="#portfolio_options_fw"><?php echo 'Full Width Portfolio'; ?></a></li>
				<li><a href="#portfolio_options_sb"><?php echo 'Portfolio With Sidebar'; ?></a></li>
				<li><a href="#portfolio_options_pj"><?php echo 'Portfolio Projects'; ?></a></li>
				<li><a href="#gallery_options_fw"><?php echo 'Full Width Gallery'; ?></a></li>
				<li><a href="#gallery_options_sb"><?php echo 'Gallery With Sidebar'; ?></a></li>
				<li><a href="#gallery_options_ab"><?php echo 'Gallery Albums'; ?></a></li>
			</ul>
		</li>
	</ul>
<div class="rght">
<div class="lnk">
	<a target="_blank" href="http://themeforest.net/user/cmsmasters">Our Profile</a>
	<a target="_blank" href="http://cmsmasters.net">Website</a>
	<a target="_blank" href="http://twitter.com/cmsmasters">Twitter</a>
</div>
<form method="post" action="" id="adminoptions_form">

<?php 
$get_options = get_option($shortname.'_general_settings');

foreach ($options as $value) {
if (isset($value['id'])){ $id = $value['id']; } else { $id = ''; }
$selector = (isset($value['selector'])) ? ' class="selector"' : '';

switch ( $value['type'] ) {

case "opentab":
?>
<div id="<?php echo $value['id']; ?>" class="tabb">
	<div class="submit cmsmasters-submit" style="float:right; padding-top:2px;"><input type="submit" name="save" value="Save Changes" /><div class="fl" style="margin:7px 10px 0 0;"><img class="submit_loader" style="display:none;" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div></div>
	<h2><?php echo $value['name']; ?></h2>
<?php

break;
case "opentab_nobutton":
?>
<div id="<?php echo $value['id']; ?>" class="tabb">
	<h2><?php echo $value['name']; ?></h2>
<?php

break;
case "closetab":
?>
</div>
<?php

break;
case "title_h2":
?>
<table class="form-table cmsmasters-options">
<?php

break;
case "title_h3":
?>
<div class="submit cmsmasters-submit" style="float:right; padding:27px 0 8px;"><input type="submit" name="save" value="Save Changes" /><div class="fl" style="margin:7px 10px 0 0;"><img class="submit_loader" style="display:none;" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div></div>
<h3 <?php if ( isset($value['id']) ) { echo 'id="head_'.$value['id'].'"'; } ?>><?php echo $value['name']; ?></h3>
<table <?php if ( isset($value['id']) ) { echo 'id="table_'.$value['id'].'"'; } ?> class="form-table cmsmasters-options">
<?php

break;
case "title_h3_nobutton":
?>
<h3 <?php if ( isset($value['id']) ) { echo 'id="head_'.$value['id'].'"'; } ?>><?php echo $value['name']; ?></h3>
<table <?php if ( isset($value['id']) ) { echo 'id="table_'.$value['id'].'"'; } ?> class="form-table cmsmasters-options">
<?php

break;
case "title_nobutton":
?>
<table <?php if ( isset($value['id']) ) { echo 'id="table_'.$value['id'].'"'; } ?> class="form-table cmsmasters-options">
<?php

break;
case "title_p_nobutton":
?>
<p class="newline" <?php if ( isset($value['id']) ) { echo 'id="head_'.$value['id'].'"'; } ?>><?php echo $value['name']; ?></p>
<table <?php if ( isset($value['id']) ) { echo 'id="table_'.$value['id'].'"'; } ?> class="form-table cmsmasters-options">
<?php

break;
case "close":
?>
<tr><td style="padding:0; margin:0;"></td></tr>
</table>
<?php

break;
case 'update':

update_notifier_cmsms();

break;
case 'text':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td><input size="<?php echo $value['size']; ?>" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php echo stripslashes(htmlspecialchars($get_options[$id])); ?>" /></td>
</tr>
<?php 

break;
case 'text_show':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td><input size="<?php echo $value['size']; ?>" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( $get_options[$id] != "") { echo stripslashes(htmlspecialchars($get_options[$id])); } else { if (isset($value['std'])){ echo $value['std']; } } ?>" /></td>
</tr>
<?php 

break;
case 'slider':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top">
<input size="10" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" style="text-align:center;" value="<?php if ( $get_options[$id] != "") { echo stripslashes(htmlspecialchars($get_options[$id])); } else { echo $value['std']; } ?>" class="fl" />
<div class="fl" style="padding:11px 0 0 20px;"><div id="<?php echo $value['id']; ?>_slider" style='width:160px'></div></div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery("#<?php echo $value['id']; ?>_slider").slider({
			min:<?php echo $value['min']; ?>,
			max:<?php echo $value['max']; ?>,
			step:<?php echo $value['step']; ?>,
			<?php 
				if ( $get_options[$id] != "") { 
					echo 'value:'.stripslashes(htmlspecialchars($get_options[$id])).',';
				} else { 
					echo 'value:'.$value['std'].',';
				} 
			?>
			slide:function(event,ui) { jQuery("#<?php echo $value['id']; ?>").val(ui.value); }
		}); 
		jQuery("#<?php echo $value['id']; ?>").change(function(event){
			var data = jQuery("#<?php echo $value['id']; ?>").val();
			if (data.length > <?php echo $value['min']; ?>) {
				if (parseInt(data) >= <?php echo $value['min']; ?> && parseInt(data) <= <?php echo $value['max']; ?>) {
					jQuery("#<?php echo $value['id']; ?>_slider").slider("option", "value", data);
				} else {
					if (parseInt(data) < <?php echo $value['min']; ?>) {
						jQuery("#<?php echo $value['id']; ?>").val("<?php echo $value['min']; ?>");
						jQuery("#<?php echo $value['id']; ?>_slider").slider("option", "value", "<?php echo $value['min']; ?>");
					}
					if (parseInt(data) > <?php echo $value['max']; ?>) {
						jQuery("#<?php echo $value['id']; ?>").val("<?php echo $value['max']; ?>");
						jQuery("#<?php echo $value['id']; ?>_slider").slider("option", "value", "<?php echo $value['max']; ?>");
					}
				}
			} else { 
				jQuery("#<?php echo $value['id']; ?>_slider").slider("option", "value", "<?php echo $value['min']; ?>"); 
			}
		});
	});
</script>
</td>
</tr>
<?php 

break;
case 'spinner':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top">
<input size="5" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( $get_options[$id] != '') { echo $get_options[$id]; } else { echo $value['std']; } ?>" />
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#<?php echo $value['id']; ?>').spinner({
			min:<?php echo $value['min']; ?>, 
			max:<?php echo $value['max']; ?>, 
			step:<?php echo $value['step']; ?>
		});
	});
</script>
</td>
</tr>
<?php 

break;
case 'td_open':
?>
<tr valign="top">
<th align="left" id="<?php echo $value['id']; ?>"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top">
<?php

break;
case 'td_close':
?>
</td>
</tr>
<?php 

break;
case 'td_spinner':
?>
<div class="td_spinner">
<div style="padding:0 0 3px 5px;"><?php echo $value['name']; ?></div>
<div>
<input size="5" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( $get_options[$id] != '') { echo $get_options[$id]; } else { echo $value['std']; } ?>" />
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#<?php echo $value['id']; ?>').spinner({
			min:<?php echo $value['min']; ?>, 
			max:<?php echo $value['max']; ?>, 
			step:<?php echo $value['step']; ?>
		});
	});
</script>
</div>
</div>
<?php 

break;
case 'color':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top">
<div class="customchar">#</div>
<input size="10" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( $get_options[$id] != ''){ echo $get_options[$id]; } else { echo $value['std']; } ?>" class="fl" />
<div class="mycolorpicker_parent">
<div class="mycolorpicker" id="<?php echo $value['id']; ?>_mycolor"></div>
<div id="<?php echo $value['id']; ?>_colorpicker"<?php if ( $get_options[$id] != '') { ?> style="background-color:#<?php echo stripslashes(htmlspecialchars($get_options[$id])); ?>;"<?php } else { ?> style="background-color:#<?php echo $value['std']; ?>;"<?php } ?>></div>
</div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#<?php echo $value['id']; ?>, #<?php echo $value['id']; ?>_mycolor').ColorPicker({
			onSubmit: function(hsb, hex, rgb, el) {
				jQuery('#<?php echo $value['id']; ?>').val(hex);
				jQuery('#<?php echo $value['id']; ?>_colorpicker').css('backgroundColor', '#' + hex)
				jQuery(el).ColorPickerHide();
			},
			onBeforeShow: function () {
				jQuery(this).ColorPickerSetColor(jQuery('#<?php echo $value['id']; ?>').val());
			}
		});
	});
</script>
</td>
</tr>
<?php 

break;
case 'color_choose':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top">
<div class="colrs" id="<?php echo $value['id']; ?>_colrs">
<?php 
foreach ($value['options'] as $option){
	if ($get_options[$id] != ''){
		if (strstr($get_options[$id], $option) != false){
			$selected = ' class="selected"';
		} else {
			$selected = '';
		}
	} else {
		if ($value['std'] == $option){
			$selected = ' class="selected"';
		} else {
			$selected = '';
		}
	}

	if ($option != ''){
		echo "<a$selected href='".$option."' style='background-color:#".$option.";'>&nbsp;</a>";
	}
}
?>
</div>
<div class="customchar">#</div>
<input size="10" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( $get_options[$id] != ''){ echo stripslashes(htmlspecialchars($get_options[$id])); } else { echo $value['std']; } ?>" class="fl" />
<div class="mycolorpicker_parent">
<div class="mycolorpicker" id="<?php echo $value['id']; ?>_mycolor"></div>
<div id="<?php echo $value['id']; ?>_colorpicker"<?php if ( $get_options[$id] != '') { ?> style="background-color:#<?php echo stripslashes(htmlspecialchars($get_options[$id])); ?>;"<?php } else { ?> style="background-color:#<?php echo $value['std']; ?>;"<?php } ?>></div>
</div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#<?php echo $value['id']; ?>, #<?php echo $value['id']; ?>_mycolor').ColorPicker({
			onSubmit: function(hsb, hex, rgb, el) {
				jQuery('#<?php echo $value['id']; ?>').val(hex);
				jQuery('#<?php echo $value['id']; ?>_colorpicker').css('backgroundColor', '#' + hex)
				jQuery(el).ColorPickerHide();
			},
			onBeforeShow: function () {
				jQuery(this).ColorPickerSetColor(jQuery('#<?php echo $value['id']; ?>').val());
			}
		});
	});
</script>
</td>
</tr>
<?php 

break;
case 'textarea':
?>
<tr valign="top">
<th><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td><textarea id="<?php echo $value['id']; ?>" name="<?php echo $value['id']; ?>" cols="55" rows="5"><?php if ( $get_options[$id] != "") { echo stripslashes($get_options[$id]); } else { if (isset($value['std'])){ echo $value['std']; } } ?></textarea></td>
</tr>
<?php

break;
case 'background':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top" style="padding-bottom:0;">
<div class="select_bgs" id="<?php echo $value['id']; ?>_patterns_bgs">
<span class="fl" style="display:block; width:140px; padding:1px 0 0;">Patterns</span>
<?php 
foreach ($value['options'] as $option){
	if ($option->bg_type == 'bg_t'){
		if ($get_options[$id] != ''){
			$opt_id = str_replace(get_template_directory_uri().'/images/bgs/', '', $get_options[$id]);
			
			if (strstr($opt_id, $option->bg_url) != false){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		} else {
			if ($value['std'] == $option->bg_url){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		}
		
		if ($option->bg_url != ''){
			echo "<a$selected href='".get_template_directory_uri()."/images/bgs/".$option->bg_url."' style='background-image:url(".get_template_directory_uri()."/images/bgs/".$option->bg_thumb_url.");'>&nbsp;</a>";
		}
	}
}
?>
</div>
<div class="select_bgs" id="<?php echo $value['id']; ?>_transparents_bgs">
<span class="fl" style="display:block; width:140px; padding:1px 0 0;">Transparent Images</span>
<?php 
foreach ($value['options'] as $option){
	if ($option->bg_type == 'bg_t_i'){
		if ($get_options[$id] != ''){
			$opt_id = str_replace(get_template_directory_uri().'/images/bgs/', '', $get_options[$id]);
			
			if (strstr($opt_id, $option->bg_url) != false){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		} else {
			if ($value['std'] == $option->bg_url){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		}
		
		if ($option->bg_url != ''){
			echo "<a$selected href='".get_template_directory_uri()."/images/bgs/".$option->bg_url."' style='background-image:url(".get_template_directory_uri()."/images/bgs/".$option->bg_thumb_url.");'>&nbsp;</a>";
		}
	}
}
?>
</div>
<div class="select_bgs" id="<?php echo $value['id']; ?>_images_bgs">
<span class="fl" style="display:block; width:140px; padding:1px 0 0;">Background Images</span>
<?php 
foreach ($value['options'] as $option){
	if ($option->bg_type == 'bg_i'){
		if ($get_options[$id] != ''){
			$opt_id = str_replace(get_template_directory_uri().'/images/bgs/', '', $get_options[$id]);
			
			if (strstr($opt_id, $option->bg_url) != false){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		} else {
			if ($value['std'] == $option->bg_url){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		}
		
		if ($option->bg_url != ''){
			echo "<a$selected href='".get_template_directory_uri()."/images/bgs/".$option->bg_url."' style='background-image:url(".get_template_directory_uri()."/images/bgs/".$option->bg_thumb_url.");'>&nbsp;</a>";
		}
	}
}
?>
</div>
<input type="hidden" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php if ( $get_options[$id] != '') { echo stripslashes($get_options[$id]); } else { echo $value['std']; } ?>" />
<br /><br />
</td>
</tr>
<?php 

break;
case 'header':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<?php 
	$header_constructor_height = (int)$header_constructor_height/2;
	$header_constructor_logo_width = (int)$header_constructor_logo_width/2;
	$header_constructor_logo_height = (int)$header_constructor_logo_height/2;
	$header_constructor_logo_top = (int)$header_constructor_logo_top/2;
	$header_constructor_logo_left = (int)$header_constructor_logo_left/2;
	$header_constructor_menu_width = (int)$header_constructor_menu_width/2;
	$header_constructor_menu_top = (int)$header_constructor_menu_top/2;
	$header_constructor_menu_left = (int)$header_constructor_menu_left/2;
	$header_constructor_search_top = (int)$header_constructor_search_top/2;
	$header_constructor_search_left = (int)$header_constructor_search_left/2;
	$header_constructor_social_width = (int)$header_constructor_social_width/2;
	$header_constructor_social_top = (int)$header_constructor_social_top/2;
	$header_constructor_social_left = (int)$header_constructor_social_left/2;
	$header_constructor_login_width = (int)$header_constructor_login_width/2;
	$header_constructor_login_top = (int)$header_constructor_login_top/2;
	$header_constructor_login_left = (int)$header_constructor_login_left/2;
	$header_constructor_html_width = (int)$header_constructor_html_width/2;
	$header_constructor_html_height = (int)$header_constructor_html_height/2;
	$header_constructor_html_top = (int)$header_constructor_html_top/2;
	$header_constructor_html_left = (int)$header_constructor_html_left/2;
?>
<td valign="top">
	<div id="<?php echo $value['id']; ?>_parent">
		<div id="<?php echo $value['id']; ?>" style="<?php echo 'height:'.$header_constructor_height.'px;'; ?>">
			<div id="<?php echo $value['id']; ?>_logo" style="<?php echo 'width:'.$header_constructor_logo_width.'px; height:'.$header_constructor_logo_height.'px; top:'.$header_constructor_logo_top.'px; left:'.$header_constructor_logo_left.'px;'; ?>"><table><tr><td>Logo</td></tr></table></div>
			<div id="<?php echo $value['id']; ?>_menu" style="<?php echo 'width:'.$header_constructor_menu_width.'px; top:'.$header_constructor_menu_top.'px; left:'.$header_constructor_menu_left.'px;'; ?>"><table><tr><td>Menu</td></tr></table></div>
			<div id="<?php echo $value['id']; ?>_search" style="<?php echo 'top:'.$header_constructor_search_top.'px; left:'.$header_constructor_search_left.'px;'; ?><?php if (!$show_header_search){ echo ' display:none;'; } ?>"><table><tr><td>Search</td></tr></table></div>
			<div id="<?php echo $value['id']; ?>_social" style="<?php echo 'width:'.$header_constructor_social_width.'px; top:'.$header_constructor_social_top.'px; left:'.$header_constructor_social_left.'px;'; ?><?php if (!$show_header_social){ echo ' display:none;'; } ?>"><table><tr><td>Social</td></tr></table></div>
			<div id="<?php echo $value['id']; ?>_login" style="<?php echo 'width:'.$header_constructor_login_width.'px; top:'.$header_constructor_login_top.'px; left:'.$header_constructor_login_left.'px;'; ?><?php if (!$show_header_login){ echo ' display:none;'; } ?>"><table><tr><td>Login</td></tr></table></div>
			<div id="<?php echo $value['id']; ?>_html" style="<?php echo 'width:'.$header_constructor_html_width.'px; height:'.$header_constructor_html_height.'px; top:'.$header_constructor_html_top.'px; left:'.$header_constructor_html_left.'px;'; ?><?php if (!$show_header_html){ echo ' display:none;'; } ?>"><table><tr><td>Custom HTML</td></tr></table></div>
		</div>
	</div>
</td>
</tr>
<tr>
<td valign="top" style="padding-top:0;">
<input type="button" name="<?php echo $value['id']; ?>_button" id="<?php echo $value['id']; ?>_button" value="<?php echo $value['value']; ?>" style="height:30px; margin:0; cursor:pointer;" />
</td>
</tr>
<?php 

break;
case 'upload':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top">
<input size="<?php echo $value['size']; ?>" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( isset($get_options[$id]) && $get_options[$id] != "") { echo stripslashes(htmlspecialchars($get_options[$id])); } else { if (isset($value['std'])){ echo $value['std']; } } ?>" class="fl" />
<input type="button" name="imageupload" value="Upload" id="<?php echo $value['id']; ?>_upload" class="fl" />
<div style="margin:8px 0 0 8px; float:left; display:none;"><img id="<?php echo $value['id']; ?>_loading" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div>
<div style="clear:both;"></div>
<div id="<?php echo $value['id']; ?>_image"><?php if ($get_options[$id] != ''){ echo '<img src="'.stripslashes(htmlspecialchars($get_options[$id])).'" style="max-width:400px; margin:10px 0 0 3px;" alt="" />'; } ?>
<div<?php if ($get_options[$id] == ''){ ?> style="display:none;"<?php } ?>><br /><a href="#" id="<?php echo $value['id']; ?>_clear" style="font-weight:normal;">Reset [X]</a></div></div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		var btnUpload = jQuery('#<?php echo $value['id']; ?>_upload');
		var status = jQuery('#<?php echo $value['id']; ?>_loading');
		new AjaxUpload(btnUpload, {
			action: '<?php echo get_template_directory_uri(); ?>/theme/functions/upload.php',
			name: 'uploadfile',
			data: { url: '../../images/bgs/' },
			onSubmit: function(file, ext){
				 if (! (ext && /^(jpg|png|jpeg|gif)$/.test(ext))){ 
					alert('Only JPG, PNG or GIF files are allowed');
					return false;
				}
				status.parent().fadeIn();
			},
			onComplete: function(file, response){
				status.parent().fadeOut();
				if ( response != "error" ){
					jQuery('#<?php echo $value['id']; ?>').val('<?php echo get_template_directory_uri(); ?>/images/bgs/'+response);
					if (jQuery('#<?php echo $value['id']; ?>_image').find('img').length > 0){
						jQuery('#<?php echo $value['id']; ?>_image img').attr({src: '<?php echo get_template_directory_uri(); ?>/images/bgs/'+response});
					} else {
						jQuery('#<?php echo $value['id']; ?>_image').prepend('<img src="<?php echo get_template_directory_uri(); ?>/images/bgs/'+response+'" alt="" />');
					}
					jQuery('#<?php echo $value['id']; ?>_image img').css('margin', '10px 0 0 3px');
					jQuery('#<?php echo $value['id']; ?>_image img').fadeIn();
					jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeIn();
				} else {
					alert('File '+file+' do not load...');
				}
			}
		});
		jQuery('#<?php echo $value['id']; ?>_clear').click(function(){
			jQuery('#<?php echo $value['id']; ?>').val('');
			jQuery('#<?php echo $value['id']; ?>_image img').fadeOut();
			jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeOut();
			jQuery('#<?php echo $value['id']; ?>_image img').css('margin', '0');
			return false;
		});
	});
</script>
</td>
</tr>
<?php 

break;
case 'upload_background':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top">
<input size="<?php echo $value['size']; ?>" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( $get_options[$id] != "") { echo stripslashes(htmlspecialchars($get_options[$id])); } else { echo $value['std']; } ?>" class="fl" />
<input type="button" name="imageupload" value="Upload" id="<?php echo $value['id']; ?>_upload" class="fl" />
<div style="margin:8px 0 0 8px; float:left; display:none;"><img id="<?php echo $value['id']; ?>_loading" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div>
<div style="clear:both;"></div>
<div id="<?php echo $value['id']; ?>_image"<?php if ( $get_options[$id] != "") { ?> style="width:400px; height:250px; <?php if ( $get_options[$id] != "") { ?> margin:10px 0;<?php } ?> background:url(<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo stripslashes(htmlspecialchars($get_options[$id])); ?>&w=400&h=250&zc=1) top center no-repeat;"<?php } ?>></div>
<div<?php if ( $get_options[$id] == "") { ?> style="display:none;"<?php } ?>><a href="#" id="<?php echo $value['id']; ?>_clear" style="padding-top:15px; font-weight:normal;">Reset [X]</a></div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		var btnUpload=jQuery('#<?php echo $value['id']; ?>_upload');
		var status=jQuery('#<?php echo $value['id']; ?>_loading');
		new AjaxUpload(btnUpload, {
			action: '<?php echo get_template_directory_uri(); ?>/theme/functions/upload.php',
			name: 'uploadfile',
			data: { url: '../../images/bgs/' },
			onSubmit: function(file, ext){
				 if (! (ext && /^(jpg|png|jpeg|gif)$/.test(ext))){ 
					alert('Only JPG, PNG or GIF files are allowed');
					return false;
				}
				status.parent().fadeIn();
			},
			onComplete: function(file, response){
				status.parent().fadeOut();
				if ( response != "error" ){
					jQuery('#<?php echo $value['id']; ?>').val('<?php echo get_template_directory_uri(); ?>/images/bgs/'+response);
					jQuery('#<?php echo $value['id']; ?>_image').css('background', 'url(<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/bgs/'+response+'&w=400&h=250&zc=1) top center no-repeat').css('width', '400px').css('height', '250px').css('margin', '10px 0');
					if ( jQuery('input#custom_background_show:checked').attr('id') == 'custom_background_show' ) {
						jQuery('#<?php echo $value['id']; ?>_image').fadeIn();
					}
					jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeIn();
				} else {
					alert('File '+file+' do not load...')
				}
			}
		});
		jQuery('#<?php echo $value['id']; ?>_clear').click(function(){
			jQuery('#<?php echo $value['id']; ?>').val('');
			jQuery('#<?php echo $value['id']; ?>_image').fadeOut();
			jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeOut();
			jQuery('#<?php echo $value['id']; ?>_image').css('margin', '0');
			return false;
		});
	});
</script>
</td>
</tr>
<?php 

break;
case "checkbox":
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top" class="check_parent"><?php if ((!$get_options && isset($value['std']) && $value['std'] == 'true') || ($get_options && $get_options[$id] && $get_options[$id] == 'true')){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?>
<input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> /> <label for="<?php echo $value['id']; ?>"><span class="labelon"><?php echo $value['labelon']; ?></span><span class="fl">&nbsp;/&nbsp;</span><span class="labeloff"><?php echo $value['labeloff']; ?></span></label>
</td>
</tr>
<?php

break;
case "buttons":
?>
<tr>
<th valign="top">
<input type="button" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php echo $value['name']; ?>" style="display:block; font-weight:normal; font-size:0.9em; float:left; height:30px; margin:0 10px 0 0;" title="<?php echo $value['value']; ?>" onClick="self.location.href=this.title;" />
<input type="button" name="<?php echo $value['id']; ?>_2" id="<?php echo $value['id']; ?>_2" value="<?php echo $value['name2']; ?>" style="display:block; font-weight:normal; font-size:0.9em; float:left; height:30px; margin:0 10px 0 0;" title="<?php echo $value['value2']; ?>" onClick="self.location.href=this.title;" />
<input type="button" name="<?php echo $value['id']; ?>_3" id="<?php echo $value['id']; ?>_3" value="<?php echo $value['name3']; ?>" style="display:block; font-weight:normal; font-size:0.9em; float:left; height:30px; margin:0 10px 0 0;" title="<?php echo $value['value3']; ?>" onClick="self.location.href=this.title;" />
</th>
</tr>
<?php

break;
case "button":
?>
<tr>
<th valign="top">
<input type="button" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php echo $value['name']; ?>" style="font-weight:normal; font-size:0.9em;<?php if ($value['width']){ echo ' width:'.$value['width'].'px;'; } else { echo ' width:auto;'; } ?> float:left; height:30px; margin-left:0;" title="<?php echo $value['value']; ?>" onClick="self.location.href=this.title;" />
<a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light" style="margin:5px 0 0 10px;"></a>
<div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div>
<?php if (isset($value['margin']) && $value['margin'] == 'true'){ echo '<br /><br /><br />'; } ?>
</th>
</tr>
<?php

break;
case "button_normal":
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top">
<input type="button" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php echo $value['value']; ?>" style="height:30px; margin-left:0;" />
</td>
</tr>
<?php

break;
case "button_import":
?>
<tr>
<th valign="top">
<input type="button" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php echo $value['name']; ?>" style="font-weight:normal; font-size:0.9em;<?php if ($value['width']){ echo ' width:'.$value['width'].'px;'; } else { echo ' width:auto;'; } ?> float:left; height:30px; margin-left:0;" title="<?php echo $value['value']; ?>" />
<a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light" style="margin:5px 0 0 10px;"></a>
<div style="margin:7px 0 0 15px; float:left; display:none;"><img id="<?php echo $value['id']; ?>_loading" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div>
<div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div>
<?php if ($value['margin'] == 'true'){ echo '<br /><br /><br />'; } ?>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('input#<?php echo $value['id']; ?>').click(function(){
			jQuery('#<?php echo $value['id']; ?>_loading').parent().fadeIn('fast');
			
			jQuery.post(
				'<?php echo get_template_directory_uri().'/theme/functions/import.php'; ?>', 
				{active: 'true'}, 
				function(data){ 
					jQuery('#<?php echo $value['id']; ?>_loading').parent().fadeOut('fast');
					
					return false; 
				}
			);
			
			return false;
		});
	});
</script>
<p style="color:#dd0000;">Warning: By importing Demo Content you make changes in your Database!</p>
</th>
</tr>
<?php

break;
case 'select':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td><select style="width:270px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<option value="">Please select your color scheme here</option>
<?php
foreach ($value['options'] as $option){

if ($get_options[$id] == $option){
$selected = "selected='selected'";
	}else{
$selected = "";		
}
$optionname = str_replace('_', ' ', $option);
echo"<option $selected value='". $option."'>". $optionname."</option>";
}
?>
</select>
</td>
</tr>
<?php

break;
case 'select_cat':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td width="80%"><select style="width:270px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<option value="noSlideCategory">All slides categories</option>
<?php
foreach ($value['options'] as $option){

if (stripslashes($get_options[$id]) == $option[0]){
$selected = "selected='selected'";
	}else{
$selected = "";		
}
if ($option != ""){
echo"<option $selected value='". $option[0]."'>".$option[1]."</option>";
}

}
?>
</select>
</td>
</tr>
<?php

break;
case 'select_order':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td width="80%"><select style="width:270px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<option value="date"<?php if ($get_options[$id] == 'date'){ echo ' selected="selected"'; } ?>>Order By Date</option>
<option value="menu_order"<?php if ($get_options[$id] == 'menu_order'){ echo ' selected="selected"'; } ?>>Menu Order</option>
<option value="rand"<?php if ($get_options[$id] == 'rand'){ echo ' selected="selected"'; } ?>>Random Order</option>
</select>
</td>
</tr>
<?php

break;
case 'select_status':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td width="80%"><select style="width:270px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<option value="0"<?php if ($get_options[$id] == '0'){ echo ' selected="selected"'; } ?>>Hide Navigation &amp; Caption</option>
<option value="1"<?php if ($get_options[$id] == '1'){ echo ' selected="selected"'; } ?>>Show Only Navigation</option>
<option value="2"<?php if ($get_options[$id] == '2'){ echo ' selected="selected"'; } ?>>Show Navigation &amp; Caption</option>
</select>
</td>
</tr>
<?php

break;
case 'select_anim':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td width="80%"><select style="width:270px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<option value="none"<?php if ($get_options[$id] == ''){ echo ' selected="selected"'; } ?>>Random Animation</option>
<option value="slideFade"<?php if ($get_options[$id] == 'slideFade'){ echo ' selected="selected"'; } ?>>Slide Fade</option>
<option value="cubeInLinearHor"<?php if ($get_options[$id] == 'cubeInLinearHor'){ echo ' selected="selected"'; } ?>>Cube In Linear Horizontal</option>
<option value="cubeInLinearVer"<?php if ($get_options[$id] == 'cubeInLinearVer'){ echo ' selected="selected"'; } ?>>Cube In Linear Vertical</option>
<option value="cubeInDiagonal"<?php if ($get_options[$id] == 'cubeInDiagonal'){ echo ' selected="selected"'; } ?>>Cube In Diagonal</option>
<option value="cubeInRandom"<?php if ($get_options[$id] == 'cubeInRandom'){ echo ' selected="selected"'; } ?>>Cube In Random</option>
<option value="stripeMoveHor"<?php if ($get_options[$id] == 'stripeMoveHor'){ echo ' selected="selected"'; } ?>>Stripe Move Horizontal</option>
<option value="stripeMoveVer"<?php if ($get_options[$id] == 'stripeMoveVer'){ echo ' selected="selected"'; } ?>>Stripe Move Vertical</option>
<option value="stripeFadeHor"<?php if ($get_options[$id] == 'stripeFadeHor'){ echo ' selected="selected"'; } ?>>Stripe Fade Horizontal</option>
<option value="stripeFadeVer"<?php if ($get_options[$id] == 'stripeFadeVer'){ echo ' selected="selected"'; } ?>>Stripe Fade Vertical</option>
<option value="stripeChangeHor"<?php if ($get_options[$id] == 'stripeChangeHor'){ echo ' selected="selected"'; } ?>>Stripe Change Horizontal</option>
<option value="stripeChangeVer"<?php if ($get_options[$id] == 'stripeChangeVer'){ echo ' selected="selected"'; } ?>>Stripe Change Vertical</option>
<option value="stripeHalfHor"<?php if ($get_options[$id] == 'stripeHalfHor'){ echo ' selected="selected"'; } ?>>Stripe Half Horizontal</option>
<option value="stripeHalfVer"<?php if ($get_options[$id] == 'stripeHalfVer'){ echo ' selected="selected"'; } ?>>Stripe Half Vertical</option>
<option value="stripeHalfOtherHor"<?php if ($get_options[$id] == 'stripeHalfOtherHor'){ echo ' selected="selected"'; } ?>>Stripe Half Other Horizontal</option>
<option value="stripeHalfOtherVer"<?php if ($get_options[$id] == 'stripeHalfOtherVer'){ echo ' selected="selected"'; } ?>>Stripe Half Other Vertical</option>
</select>
</td>
</tr>
<?php

break;
case 'select_font':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td><select style="width:270px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php
$contentout = $googleout = $allout = '';
foreach ($value['options'] as $option){
	if ($option->font_type == 'content'){
		if (stripslashes($get_options[$id]) == $option->font_parameter){
			$selected = 'selected="selected"';
		} else {
			$selected = '';
			if ($value['std'] == $option->font_parameter && !$get_options[$id]){
				$selected = 'selected="selected"';
			}
		}
		
		$contentout .= '<option '.$selected.' value="'.$option->font_parameter.'">'.$option->font_name.'</option>';
	}
}
$allout = '<optgroup label="Content Fonts">'.$contentout.'</optgroup>';

foreach ($value['options'] as $option){
	if ($option->font_type == 'heading'){
		if (stripslashes($get_options[$id]) == $option->font_parameter){
			$selected = 'selected="selected"';
		} else {
			$selected = '';
			if ($value['std'] == $option->font_parameter && !$get_options[$id]){
				$selected = 'selected="selected"';
			}
		}
		
		$googleout .= '<option '.$selected.' value="'.$option->font_parameter.'">'.$option->font_name.'</option>';
	}
}
echo $allout.'<optgroup label="Google Fonts">'.$googleout.'</optgroup>';
?>
</select>
</td>
</tr>
<?php

break;
case 'select_pg':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td width="80%"><select style="width:270px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<option value="-false-">Select Page</option>  
<?php 
foreach ($value['options'] as $page){

if ($get_options[$id] == $page->ID){
$selected = "selected='selected'";
	}else{
$selected = "";		
}
echo"<option $selected value='". $page->ID."'>". $page->post_title."</option>";
}
?>
</select>
</td>
</tr>
<?php

break;
case 'select_slider':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td width="80%"><select style="width:270px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php
foreach ($value['options'] as $option){

if ($get_options[$id] == $option){
$selected = "selected='selected'";
	}else{
$selected = "";
if ($value['std'] == $option && !$get_options[$id]){
	$selected = 'selected="selected"';
}
}
if ( $option == 'random effects' ) { $option2 = ''; } else { $option2 = $option; }
echo"<option $selected value='". $option2."'>". $option."</option>";
}
?>
</select>
</td>
</tr>
<?php

break;
case 'select_slider_type':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td width="80%"><select style="width:270px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
<?php
foreach ($value['options'] as $option){

if ($get_options[$id] == $option){
$selected = "selected='selected'";
	}else{
$selected = "";		
}
if ( $option == 'random effects' ) { $option2 = ''; } else { $option2 = $option; }
echo"<option $selected value='". $option2."'>". $option."</option>";
}
?>
</select>
</td>
</tr>
<?php

break;
case "radio":
?>
<tr>
<th valign="top"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['help']; ?></div></th>
</tr>
<tr>
<td class="check_parent" style="padding-bottom:10px;"><div>
<div class="cl"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="radio" value="<?php echo $value['value']; ?>" <?php echo $selector; ?> <?php if ($get_options[$id] == $value['value'] || $get_options[$id] == ""){echo 'checked="checked"';}?> /> <label for="<?php echo $value['id']; ?>"> <?php echo $value['desc']; ?></label></div>
<div class="cl"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>_2" type="radio" value="<?php echo $value['value2']; ?>" <?php echo $selector; ?> <?php if ($get_options[$id] == $value['value2']){echo 'checked="checked"';}?> /> <label for="<?php echo $value['id']; ?>_2"> <?php echo $value['desc2']; ?></label></div>
</div></td>
</tr>
<?php

break;
case "radio_three":
?>
<tr>
<th valign="top"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['help']; ?></div></th>
</tr>
<tr>
<td class="check_parent" style="padding-bottom:10px;"><div>
<div class="cl"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="radio" value="<?php echo $value['value']; ?>" <?php echo $selector; ?> <?php if ($get_options[$id] == $value['value'] || $get_options[$id] == ""){echo 'checked="checked"';}?> /><label for="<?php echo $value['id']; ?>"> <?php echo $value['desc']; ?></label></div>
<div class="cl"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>_2" type="radio" value="<?php echo $value['value2']; ?>" <?php echo $selector; ?> <?php if ($get_options[$id] == $value['value2']){echo 'checked="checked"';}?> /><label for="<?php echo $value['id']; ?>_2"> <?php echo $value['desc2']; ?></label></div>
<div class="cl"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>_3" type="radio" value="<?php echo $value['value3']; ?>" <?php echo $selector; ?> <?php if ($get_options[$id] == $value['value3']){echo 'checked="checked"';}?> /><label for="<?php echo $value['id']; ?>_3"> <?php echo $value['desc3']; ?></label></div>
</div></td>
</tr>
<?php

break;
case "radio_multi":
?>
<tr>
<th valign="top"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['help']; ?></div></th>
</tr>
<tr>
<td class="check_parent" style="padding-bottom:10px;"><div>
<div class="cl"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="radio" value="<?php echo $value['value']; ?>" <?php echo $selector; ?> <?php if ($get_options[$id] == $value['value'] || $get_options[$id] == ""){echo 'checked="checked"';}?> /><label for="<?php echo $value['id']; ?>"> <?php echo $value['desc']; ?></label></div>
<div class="cl"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>_2" type="radio" value="<?php echo $value['value2']; ?>" <?php echo $selector; ?> <?php if ($get_options[$id] == $value['value2']){echo 'checked="checked"';}?> /><label for="<?php echo $value['id']; ?>_2"> <?php echo $value['desc2']; ?></label></div>
<div class="cl"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>_3" type="radio" value="<?php echo $value['value3']; ?>" <?php echo $selector; ?> <?php if ($get_options[$id] == $value['value3']){echo 'checked="checked"';}?> /><label for="<?php echo $value['id']; ?>_3"> <?php echo $value['desc3']; ?></label></div>
<div class="cl"><input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>_4" type="radio" value="<?php echo $value['value4']; ?>" <?php echo $selector; ?> <?php if ($get_options[$id] == $value['value4']){echo 'checked="checked"';}?> /><label for="<?php echo $value['id']; ?>_4"> <?php echo $value['desc4']; ?></label></div>
</div></td>
</tr>
<?php

break;
case "exclude_include_checkbox":
?>
<?php if ($value['selector']) { ?>
<tr id="toggle_click" class="selected_categories">
<?php }else{ ?>
<tr valign="top">
<?php } ?>
<th align="left"><?php echo $value['name']; ?></th>
<td style="position:relative; padding:0; vertical-align:top;"><div style="width:35px; line-height:normal; position:relative;"><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></div></td>
<td id="<?php echo $value['id']; ?>" class="cmsmasters_box_select">
<?php if($get_options[$id]){ $checked = "checked=\"checked\""; }else{ $checked = "";} ?>
<?php
foreach ($value['options'] as $cmsmasters_pgid => $cmsmasters_pgname) {
if ($cmsmasters_pgname !='') {
echo '<div style="border:1px solid #cccccc;margin-right:4px;margin-bottom:4px;padding:4px;white-space:nowrap;float:left;width:120px;overflow:hidden;"><input type="checkbox" name="'.$cmsmasters_pgid.'" id="'.$value['id'].'_'.$cmsmasters_pgid.'" class="select_' .$value['id']. '" /> '.$cmsmasters_pgname.'</div>';
}
}
?>

<div style="clear:both"></div>
<input style="width:400px;" readonly="readonly" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="<?php if ( $get_options[$id] != '') { echo stripslashes($get_options[$id]); } else { echo $value['std']; } ?>" />
<br /><span><?php echo $value['desc']; ?></span></td>
</tr>
<?php

break;
case 'include_type':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<ul class="check_container" id="list_<?php echo $value['id']; ?>">
<?php
foreach ($value['options'] as $option){
	if ($get_options[$id] != ''){
		if (strstr($get_options[$id], $option) != false){
			$selected = ' class="selected"';
		} else {
			$selected = '';
		}
	} else {
		$selected = ' class="selected"';
	}

	if ($option != ''){
		echo "<li$selected><a href='".$option."'><img src='".get_template_directory_uri()."/images/share_icons/".$option.".png' alt='".$option."' />".$option."</a></li>";
	}
}
?>
</ul>
<input type="hidden" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php if ($get_options[$id] != ''){ echo $get_options[$id]; } else { echo $value['std']; } ?>"  />
</td>
</tr>
<?php

break;
case 'include_type_add':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<ul class="include_container" id="list_<?php echo $value['id']; ?>">
<?php
foreach ($value['options'] as $option){
	if ($get_options[$id] != ''){
		if (strstr($get_options[$id], $option->icon_name) != false){
			$selected = ' class="selected"';
		} else {
			$selected = '';
		}
	} else {
		if (strstr($value['std'], $option->icon_name) != false){
			$selected = ' class="selected"';
		} else {
			$selected = '';
		}
	}
	
	if ($option->icon_name != ''){
		echo "<li$selected><span class='include'><a href='".$option->icon_name."'><img src='".get_template_directory_uri()."/images/social_icons/".$option->icon_file."' alt='".$option->icon_name."' />".$option->icon_tooltip."</a></span><span class='sharedel'><a href='#'>Delete</a></span></li>";
	}
}
?>
</ul>
<input type="hidden" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="<?php if ($get_options[$id] != ''){ echo $get_options[$id]; } else { echo $value['std']; } ?>"  />
</td>
</tr>
<tr><td style="padding:0; margin:0;"></td></tr>
</table>
<div class="submit cmsmasters-submit" style="float:right; padding-top:27px;"><input type="submit" name="save" value="Save Changes" /><div class="fl" style="margin:7px 10px 0 0;"><img class="submit_loader" style="display:none;" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div></div>
<h3>Add New Social Icon</h3>
<table class="form-table cmsmasters-options">
<tr>
<th align="left"><span class="label">Upload Icon</span></th>
</tr>
<tr>
<td valign="top" style="padding-bottom:0;">
<input size="36" name="<?php echo $value['id']; ?>_file" id="<?php echo $value['id']; ?>_file" type="text" value="" class="fl" />
<input type="button" name="imageupload" value="Upload" id="<?php echo $value['id']; ?>_upload" class="fl" />
<div style="margin:8px 0 0 8px; float:left; display:none;"><img id="<?php echo $value['id']; ?>_loading" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="" /></div>
<div style="clear:both;"></div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		var btnUpload = jQuery('#<?php echo $value['id']; ?>_upload');
		var status = jQuery('#<?php echo $value['id']; ?>_loading');
		new AjaxUpload(btnUpload, {
			action: '<?php echo get_template_directory_uri(); ?>/theme/functions/upload.php',
			name: 'uploadfile',
			data: { url: '../../images/social_icons/' },
			onSubmit: function(file, ext){
				 if (! (ext && /^(jpg|png|jpeg|gif)$/.test(ext))){ 
					alert('Only JPG, PNG or GIF files are allowed');
					return false;
				}
				status.parent().fadeOut('fast', function(){
					status.attr({src:'<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif'});
				});
				status.parent().fadeIn();
			},
			onComplete: function(file, response){
				if (response != 'error'){
					jQuery('#<?php echo $value['id']; ?>_file').val('<?php echo get_template_directory_uri(); ?>/images/social_icons/'+response);
					jQuery('#<?php echo $value['id']; ?>_file').attr({title:response});
					status.parent().fadeOut('fast', function(){
						status.attr({src:'<?php echo get_template_directory_uri(); ?>/images/social_icons/'+response});
					});
					status.parent().fadeIn();
				} else {
					alert('File '+file+' do not load...');
				}
			}
		});
		
		jQuery('#list_<?php echo $value['id']; ?> .sharedel a').live('click', function(){
			if (jQuery(this).parent().parent().is('.selected')){
				alert('You need unselect icon before deleting.');
			} else {
				jQuery(this).addClass('activedel');
				
				if (confirm('Do you realy want to delete this icon from social icons list?')){
					jQuery.ajax({
						type:'post',
						url:'<?php echo get_template_directory_uri(); ?>/theme/functions/db_operator.php',
						data:({type:'icon', option:'delete', iconname:jQuery(this).parent().parent().find('span.include').find('a').attr('href')}),
						complete:function(data){
							if (data.responseText != 'error'){
								jQuery('#list_<?php echo $value['id']; ?> a.activedel').parent().parent().fadeOut('slow', function(){
									jQuery(this).remove();
								});
							} else {
								jQuery('#list_<?php echo $value['id']; ?> a.activedel').removeClass('activedel');
								alert('Icon was not removed...');
							}
						}
					});
				} else {
					jQuery(this).removeClass('activedel');
				}
			}
			
			return false;
		});
		
		jQuery('#<?php echo $value['id']; ?>_addicon').click(function(){
			if (jQuery('#<?php echo $value['id']; ?>_file').val() != '' && jQuery('#<?php echo $value['id']; ?>_tooltip').val() != ''){
				if (jQuery('#<?php echo $value['id']; ?>_link').val() == ''){
					jQuery('#<?php echo $value['id']; ?>_link').val('#');
				}
				
				var $newiconname = jQuery('#<?php echo $value['id']; ?>_tooltip').val();
				var $newiconlink = jQuery('#<?php echo $value['id']; ?>_link').val();
				var $newiconfile = jQuery('#<?php echo $value['id']; ?>_file').val().replace('<?php echo get_template_directory_uri(); ?>/images/social_icons/', '');
				var $newicon = $newiconfile.replace('.png', '');
				$newicon = $newicon.replace('.jpg', '');
				$newicon = $newicon.replace('.jpeg', '');
				$newicon = $newicon.replace('.gif', '');
				
				jQuery.ajax({
					type:'post',
					url:'<?php echo get_template_directory_uri(); ?>/theme/functions/db_operator.php',
					data:({type:'icon', option:'add', icon:$newicon, iconfile:$newiconfile, icontooltip:$newiconname, iconlink:$newiconlink}),
					complete:function(data){
						if (data.responseText != 'error' && data.responseText != 'warning'){
							jQuery('#list_<?php echo $value['id']; ?>').append('<li class="iconadded" style="display:none;"><span class="include"><a href="'+$newicon+'"><img src="<?php echo get_template_directory_uri(); ?>/images/social_icons/'+$newiconfile+'" alt="'+$newicon+'" />'+$newiconname+'</a></span><span class="sharedel"><a href="#">Delete</a></span></li>');
							jQuery('.include_links_container').append('<div class="include_links"><input type="text" id="iconlink_'+$newicon+'" name="iconlink_'+$newicon+'" value="'+$newiconlink+'" size="50" style="padding-right:30px;" /><a href="#">&nbsp;</a><span>'+$newiconname+'</span></div>');
							jQuery('#<?php echo $value['id']; ?>_tooltip').val('');
							jQuery('#<?php echo $value['id']; ?>_link').val('');
							jQuery('#<?php echo $value['id']; ?>_file').val('');
							jQuery('#list_<?php echo $value['id']; ?> .iconadded').fadeIn('slow', function(){
								jQuery(this).removeClass('iconadded');
							});
						} else if (data.responseText == 'warning'){
							alert('This icon already exists...');
						} else {
							alert('Icon was not added...');
						}
					}
				});
			} else {
				alert('Upload icon file and enter tooltip!');
			}
			
			return false;
		});
		
		jQuery('.include_links a').live('click', function(){
			var $newicon = jQuery(this).parent().find('input').attr('name').replace('iconlink_', '');
			var $newiconlink = jQuery(this).parent().find('input').val();
			jQuery(this).fadeOut('fast', function(){
				jQuery(this).css({background:'url(<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif) 2px 2px no-repeat'}).fadeIn('fast', function(){
					jQuery.ajax({
						type:'post',
						url:'<?php echo get_template_directory_uri(); ?>/theme/functions/db_operator.php',
						data:({type:'icon', option:'update', icon:$newicon, iconlink:$newiconlink}),
						complete:function(data){
							if (data.responseText != 'error' && data.responseText != 'warning'){
								jQuery('#iconlink_'+$newicon).parent().find('a').fadeOut('fast', function(){
									jQuery(this).css({background:''}).fadeIn('fast');
								});
							} else if (data.responseText == 'warning'){
								alert('There is no such icon!');
								jQuery('#iconlink_'+$newicon).parent().find('a').fadeOut('fast', function(){
									jQuery(this).css({background:''}).fadeIn('fast');
								});
							} else {
								alert('Link was not updated...');
								jQuery('#iconlink_'+$newicon).parent().find('a').fadeOut('fast', function(){
									jQuery(this).css({background:''}).fadeIn('fast');
								});
							}
						}
					});
				})
			});
			
			return false;
		});
	});
</script>
</td>
</tr>
<tr>
<th align="left"><span class="label">Enter Tooltip Text</span></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<input size="50" name="<?php echo $value['id']; ?>_tooltip" id="<?php echo $value['id']; ?>_tooltip" type="text" value="" /></td>
</tr>
<tr>
<th align="left"><span class="label">Enter Icon Link</span></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<input size="50" name="<?php echo $value['id']; ?>_link" id="<?php echo $value['id']; ?>_link" type="text" value="" /></td>
</tr>
<tr>
<td><input name="<?php echo $value['id']; ?>_addicon" id="<?php echo $value['id']; ?>_addicon" type="button" value="Add Icon" style="height:30px; margin-left:0;" /></td>
</tr>
<?php if ($get_options[$id] != '' || $value['std'] != ''){ ?>
<tr><td style="padding:0; margin:0;"></td></tr>
</table>
<div class="submit cmsmasters-submit" style="float:right; padding-top:27px;"><input type="submit" name="save" value="Save Changes" /><div class="fl" style="margin:7px 10px 0 0;"><img class="submit_loader" style="display:none;" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div></div>
<h3>Social Icons Links</h3>
<table class="form-table cmsmasters-options">
<tr>
<td class="include_links_container" style="padding-bottom:0;">
<?php
foreach ($value['options'] as $option){
	if ($get_options[$id] != ''){
		if (strstr($get_options[$id], $option->icon_name) != false){
			$selected = ' selected';
		} else {
			$selected = '';
		}
	} else {
		if (strstr($value['std'], $option->icon_name) != false){
			$selected = ' selected';
		} else {
			$selected = '';
		}
	}
	
	if ($option->icon_name != ''){
		echo "<div class='include_links$selected'><input type='text' size='50' name='iconlink_".$option->icon_name."' value='".$option->icon_link."' id='iconlink_".$option->icon_name."' style='padding-right:30px;' /><a href='#'>&nbsp;</a><span>".$option->icon_tooltip."</span></div>";
	}
}
?>
</td>
</tr>
<?php
}

break;
case 'font_add':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div> <a id="<?php echo $value['id']; ?>_cancelfont" href="#" style="font-weight:normal; display:none; float:left; margin:2px 0 0 40px;">Cancel</a></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<select style="width:270px;" name="<?php echo $value['id']; ?>_selectfont" id="<?php echo $value['id']; ?>_selectfont">
<option value="" style="font-style:italic; font-weight:bold;">Select Font For Editing</option>
<?php
$contentout = $googleout = $allout = '';
foreach ($value['options'] as $option){
	if ($option->font_type == 'content'){
		if (stripslashes($get_options[$id]) == $option->font_parameter){
			$selected = 'selected="selected"';
		} else {
			$selected = '';
			if ($value['std'] == $option->font_parameter && !$get_options[$id]){
				$selected = 'selected="selected"';
			}
		}
		
		$contentout .= '<option '.$selected.' value="'.$option->font_parameter.'">'.$option->font_name.'</option>';
	}
}
$allout = '<optgroup label="Content Fonts">'.$contentout.'</optgroup>';

foreach ($value['options'] as $option){
	if ($option->font_type == 'heading'){
		if (stripslashes($get_options[$id]) == $option->font_parameter){
			$selected = 'selected="selected"';
		} else {
			$selected = '';
			if ($value['std'] == $option->font_parameter && !$get_options[$id]){
				$selected = 'selected="selected"';
			}
		}
		
		$googleout .= '<option '.$selected.' value="'.$option->font_parameter.'">'.$option->font_name.'</option>';
	}
}
echo $allout.'<optgroup label="Google Fonts">'.$googleout.'</optgroup>';
?>
</select>
</td>
</tr>
<tr>
<th align="left"><span class="label">Enter Google Font Name</span></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<input size="46" name="<?php echo $value['id']; ?>_name" id="<?php echo $value['id']; ?>_name" type="text" value="" /></td>
</tr>
<tr>
<th align="left"><span class="label">Enter Google Font API Parameter Name</span></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<input size="46" name="<?php echo $value['id']; ?>_parameter" id="<?php echo $value['id']; ?>_parameter" type="text" value="" /></td>
</tr>
<tr>
<th align="left"><span class="label">Choose Font Type (Advanced)</span></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<select name="<?php echo $value['id']; ?>_type" id="<?php echo $value['id']; ?>_type" style="width:270px;">
	<option value="heading">Heading</option>
	<option value="content">Content</option>
</select>
</td>
</tr>
<tr>
<td>
<div style="position:relative;">
<div style="display:none; position:absolute; top:7px; left:280px;"><img id="<?php echo $value['id']; ?>_loading" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="" /></div>
<input name="<?php echo $value['id']; ?>_addfont" id="<?php echo $value['id']; ?>_addfont" type="button" value="Add Font" style="float:left; height:30px; width:90px; margin-left:0;" />
<input name="<?php echo $value['id']; ?>_updatefont" id="<?php echo $value['id']; ?>_updatefont" type="button" value="Update Font" style="display:none; float:left; height:30px; width:90px; margin-left:0;" />
<input name="<?php echo $value['id']; ?>_deletefont" id="<?php echo $value['id']; ?>_deletefont" type="button" value="Delete Font" style="display:none; float:left; height:30px; width:90px; margin-left:90px;" />
</div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		function stripslashes(str){
			str = str.replace(/\\'/g, '\'');
			str = str.replace(/\\"/g, '"');
			str = str.replace(/\\0/g, '\0');
			str = str.replace(/\\\\/g, '\\');
			
			return str;
		}
		
		jQuery('#<?php echo $value['id']; ?>_selectfont').change(function(){
			if (jQuery('#<?php echo $value['id']; ?>_selectfont option:selected').val() != ''){
				var $newfontname = jQuery('#<?php echo $value['id']; ?>_selectfont option:selected').text();
				var $newfontparameter = jQuery('#<?php echo $value['id']; ?>_selectfont option:selected').val();
				
				if (jQuery('#<?php echo $value['id']; ?>_selectfont option:selected').parent().attr('label') == 'Content Fonts'){
					var $newfonttype = 'content';
					document.getElementById('<?php echo $value['id']; ?>_type').selectedIndex='1';
				} else if (jQuery('#<?php echo $value['id']; ?>_selectfont option:selected').parent().attr('label') == 'Google Fonts'){
					var $newfonttype = 'heading';
					document.getElementById('<?php echo $value['id']; ?>_type').selectedIndex='0';
				}
				
				jQuery('#<?php echo $value['id']; ?>_name').val($newfontname);
				jQuery('#<?php echo $value['id']; ?>_parameter').val(stripslashes($newfontparameter));
				
				jQuery('#<?php echo $value['id']; ?>_addfont').hide();
				jQuery('#<?php echo $value['id']; ?>_updatefont').show();
				jQuery('#<?php echo $value['id']; ?>_deletefont').show();
				jQuery('#<?php echo $value['id']; ?>_cancelfont').show();
			} else {
				jQuery('#<?php echo $value['id']; ?>_name').val('');
				jQuery('#<?php echo $value['id']; ?>_parameter').val('');
				document.getElementById('<?php echo $value['id']; ?>_type').selectedIndex='0';
				jQuery('#<?php echo $value['id']; ?>_addfont').show();
				jQuery('#<?php echo $value['id']; ?>_updatefont').hide();
				jQuery('#<?php echo $value['id']; ?>_deletefont').hide();
				jQuery('#<?php echo $value['id']; ?>_cancelfont').hide();
			}
			
			return false;
		});
		
		jQuery('#<?php echo $value['id']; ?>_addfont').click(function(){
			if (jQuery('#<?php echo $value['id']; ?>_name').val() != '' && jQuery('#<?php echo $value['id']; ?>_parameter').val() != '' && jQuery('#<?php echo $value['id']; ?>_type').val() != ''){
				jQuery('#<?php echo $value['id']; ?>_loading').parent().fadeIn('fast');
				
				var $newfontname = jQuery('#<?php echo $value['id']; ?>_name').val();
				var $newfontparameter = jQuery('#<?php echo $value['id']; ?>_parameter').val();
				var $newfonttype = jQuery('#<?php echo $value['id']; ?>_type').val();
				
				jQuery.ajax({
					type:'post',
					url:'<?php echo get_template_directory_uri(); ?>/theme/functions/db_operator.php',
					data:({type:'font', option:'add', fontname:$newfontname, fontparameter:$newfontparameter, fonttype:$newfonttype}),
					complete:function(data){
						if (data.responseText != 'error' && data.responseText != 'warning'){
							jQuery('#<?php echo $value['id']; ?>_name').val('');
							jQuery('#<?php echo $value['id']; ?>_parameter').val('');
							document.getElementById('<?php echo $value['id']; ?>_type').selectedIndex='0';
							alert('Font successfully added.');
						} else if (data.responseText == 'warning'){
							alert('This font already exists!');
						} else {
							alert('Font was not added!!!');
						}
						
						jQuery('#<?php echo $value['id']; ?>_loading').parent().fadeOut('fast');
					}
				});
			} else {
				alert('Enter font name and description!');
			}
			
			return false;
		});
		
		jQuery('#<?php echo $value['id']; ?>_deletefont').click(function(){
			jQuery('#<?php echo $value['id']; ?>_loading').parent().fadeIn('fast');
			
			var $newfontname = jQuery('#<?php echo $value['id']; ?>_name').val();
			
			if (confirm('Do you realy want to delete this font from your fonts list?')){
				jQuery.ajax({
					type:'post',
					url:'<?php echo get_template_directory_uri(); ?>/theme/functions/db_operator.php',
					data:({type:'font', option:'delete', fontname:$newfontname}),
					complete:function(data){
						if (data.responseText != 'error' && data.responseText != 'warning'){
							document.getElementById('<?php echo $value['id']; ?>_selectfont').selectedIndex='0';
							jQuery('#<?php echo $value['id']; ?>_name').val('');
							jQuery('#<?php echo $value['id']; ?>_parameter').val('');
							document.getElementById('<?php echo $value['id']; ?>_type').selectedIndex='0';
							jQuery('#<?php echo $value['id']; ?>_addfont').show();
							jQuery('#<?php echo $value['id']; ?>_updatefont').hide();
							jQuery('#<?php echo $value['id']; ?>_deletefont').hide();
							jQuery('#<?php echo $value['id']; ?>_cancelfont').hide();
							alert('Font successfully deleted.');
						} else if (data.responseText == 'warning'){
							alert('It is no font with this name! Refresh this page and try again.');
						} else {
							alert('Font was not deleted!!!');
						}
						
						jQuery('#<?php echo $value['id']; ?>_loading').parent().fadeOut('fast');
					}
				});
			} else {
				jQuery('#<?php echo $value['id']; ?>_loading').parent().fadeOut('fast');
			}
			
			return false;
		});
		
		jQuery('#<?php echo $value['id']; ?>_updatefont').click(function(){
			jQuery('#<?php echo $value['id']; ?>_loading').parent().fadeIn('fast');
			
			var $oldfontname = jQuery('#<?php echo $value['id']; ?>_selectfont option:selected').text();
			var $newfontname = jQuery('#<?php echo $value['id']; ?>_name').val();
			var $newfontparameter = jQuery('#<?php echo $value['id']; ?>_parameter').val();
			var $newfonttype = jQuery('#<?php echo $value['id']; ?>_type').val();
			
			jQuery.ajax({
				type:'post',
				url:'<?php echo get_template_directory_uri(); ?>/theme/functions/db_operator.php',
				data:({type:'font', option:'update', fontname:$oldfontname, newfontname:$newfontname, fontparameter:$newfontparameter, fonttype:$newfonttype}),
				complete:function(data){
					if (data.responseText != 'error' && data.responseText != 'warning'){
						document.getElementById('<?php echo $value['id']; ?>_selectfont').selectedIndex='0';
						jQuery('#<?php echo $value['id']; ?>_name').val('');
						jQuery('#<?php echo $value['id']; ?>_parameter').val('');
						document.getElementById('<?php echo $value['id']; ?>_type').selectedIndex='0';
						jQuery('#<?php echo $value['id']; ?>_addfont').show();
						jQuery('#<?php echo $value['id']; ?>_updatefont').hide();
						jQuery('#<?php echo $value['id']; ?>_deletefont').hide();
						jQuery('#<?php echo $value['id']; ?>_cancelfont').hide();
						alert('Font successfully updated.');
					} else if (data.responseText == 'warning'){
						alert('It is no font with this name! Refresh this page and try again.');
					} else {
						alert('Font was not updated!!!');
					}
					
					jQuery('#<?php echo $value['id']; ?>_loading').parent().fadeOut('fast');
				}
			});
			
			return false;
		});
		
		jQuery('#<?php echo $value['id']; ?>_cancelfont').click(function(){
			document.getElementById('<?php echo $value['id']; ?>_selectfont').selectedIndex='0';
			jQuery('#<?php echo $value['id']; ?>_name').val('');
			jQuery('#<?php echo $value['id']; ?>_parameter').val('');
			document.getElementById('<?php echo $value['id']; ?>_type').selectedIndex='0';
			jQuery('#<?php echo $value['id']; ?>_addfont').show();
			jQuery('#<?php echo $value['id']; ?>_updatefont').hide();
			jQuery('#<?php echo $value['id']; ?>_deletefont').hide();
			jQuery('#<?php echo $value['id']; ?>_cancelfont').hide();
			
			return false;
		});
	});
</script>
</td>
</tr>
<?php

break;








case 'bg_add':
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" title="<?php echo $value['name']; ?>" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td valign="top" style="padding-bottom:0;" class="theme_bg_add_block">
<div class="bgs" id="<?php echo $value['id']; ?>_patterns_bgs">
<span class="fl" style="display:block; width:140px; padding:1px 0 0;">Patterns</span>
<?php 
foreach ($value['options'] as $option){
	if ($option->bg_type == 'bg_t'){
		if ($get_options[$id] != ''){
			$opt_id = str_replace(get_template_directory_uri().'/images/bgs/', '', $get_options[$id]);
			
			if (strstr($opt_id, $option->bg_url) != false){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		} else {
			if ($value['std'] == $option->bg_url){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		}
		
		if ($option->bg_url != ''){
			echo "<a$selected href='".get_template_directory_uri()."/images/bgs/".$option->bg_url."' style='background-image:url(".get_template_directory_uri()."/images/bgs/".$option->bg_thumb_url.");' title='".$option->bg_url.",".$option->bg_thumb_url.",".$option->bg_position_y.",".$option->bg_position_x.",".$option->bg_repeat.",".$option->bg_attachment.",".$option->bg_type."'>&nbsp;</a>";
		}
	}
}
?>
</div>
<div class="bgs" id="<?php echo $value['id']; ?>_transparents_bgs">
<span class="fl" style="display:block; width:140px; padding:1px 0 0;">Transparent Images</span>
<?php 
foreach ($value['options'] as $option){
	if ($option->bg_type == 'bg_t_i'){
		if ($get_options[$id] != ''){
			$opt_id = str_replace(get_template_directory_uri().'/images/bgs/', '', $get_options[$id]);
			
			if (strstr($opt_id, $option->bg_url) != false){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		} else {
			if ($value['std'] == $option->bg_url){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		}
		
		if ($option->bg_url != ''){
			echo "<a$selected href='".get_template_directory_uri()."/images/bgs/".$option->bg_url."' style='background-image:url(".get_template_directory_uri()."/images/bgs/".$option->bg_thumb_url.");' title='".$option->bg_url.",".$option->bg_thumb_url.",".$option->bg_position_y.",".$option->bg_position_x.",".$option->bg_repeat.",".$option->bg_attachment.",".$option->bg_type."'>&nbsp;</a>";
		}
	}
}
?>
</div>
<div class="bgs" id="<?php echo $value['id']; ?>_images_bgs">
<span class="fl" style="display:block; width:140px; padding:1px 0 0;">Background Images</span>
<?php 
foreach ($value['options'] as $option){
	if ($option->bg_type == 'bg_i'){
		if ($get_options[$id] != ''){
			$opt_id = str_replace(get_template_directory_uri().'/images/bgs/', '', $get_options[$id]);
			
			if (strstr($opt_id, $option->bg_url) != false){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		} else {
			if ($value['std'] == $option->bg_url){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		}
		
		if ($option->bg_url != ''){
			echo "<a$selected href='".get_template_directory_uri()."/images/bgs/".$option->bg_url."' style='background-image:url(".get_template_directory_uri()."/images/bgs/".$option->bg_thumb_url.");' title='".$option->bg_url.",".$option->bg_thumb_url.",".$option->bg_position_y.",".$option->bg_position_x.",".$option->bg_repeat.",".$option->bg_attachment.",".$option->bg_type."'>&nbsp;</a>";
		}
	}
}
?>
</div>
</td>
</tr>
<tr valign="top">
<th align="left" style="padding-top:30px;"><span class="label">Upload Your Background Image</span> <a id="<?php echo $value['id']; ?>_cancelbg" href="#" style="font-weight:normal; display:none; float:left; margin:2px 0 0 75px;">Cancel</a></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<input size="36" name="<?php echo $value['id']; ?>_selectbgimg" id="<?php echo $value['id']; ?>_selectbgimg" type="text" value="" class="fl" />
<input type="button" name="imageupload" value="Upload" id="<?php echo $value['id']; ?>_upload" class="fl" />
<input size="36" name="<?php echo $value['id']; ?>_selectbgthumb" id="<?php echo $value['id']; ?>_selectbgthumb" type="hidden" value="" />
<div style="margin:8px 0 0 8px; float:left; display:none;"><img id="<?php echo $value['id']; ?>_loading" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div>
<div style="clear:both;"></div>
<div id="<?php echo $value['id']; ?>_image"></div>
<div<?php if ( $get_options[$id] == "") { ?> style="display:none;"<?php } ?>><a href="#" id="<?php echo $value['id']; ?>_clear" style="padding-top:15px; font-weight:normal;">Reset [X]</a></div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		var btnUpload=jQuery('#<?php echo $value['id']; ?>_upload');
		var status=jQuery('#<?php echo $value['id']; ?>_loading');
		new AjaxUpload(btnUpload, {
			action: '<?php echo get_template_directory_uri(); ?>/theme/functions/uploadbg.php',
			name: 'uploadfile',
			data: { url: '../../images/bgs/' },
			onSubmit: function(file, ext){
				 if (! (ext && /^(jpg|png|jpeg|gif)$/.test(ext))){ 
					alert('Only JPG, PNG or GIF files are allowed');
					return false;
				}
				status.parent().fadeIn();
			},
			onComplete: function(file, response){
				status.parent().fadeOut();
				if ( response != "error" ){
					jQuery('#<?php echo $value['id']; ?>_selectbgimg').val('<?php echo get_template_directory_uri(); ?>/images/bgs/'+response.split(',')[0]);
					jQuery('#<?php echo $value['id']; ?>_selectbgthumb').val('<?php echo get_template_directory_uri(); ?>/images/bgs/'+response.split(',')[1]);
					jQuery('#<?php echo $value['id']; ?>_image').css('background', 'url(<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/bgs/'+response.split(',')[0]+'&w=400&h=250&zc=1) top center no-repeat').css('width', '400px').css('height', '250px').css('margin', '10px 0');
					jQuery('#<?php echo $value['id']; ?>_image').fadeIn();
					jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeIn();
				} else {
					alert('File '+file+' do not load...')
				}
			}
		});
		jQuery('#<?php echo $value['id']; ?>_clear').click(function(){
			jQuery('#<?php echo $value['id']; ?>_selectbgimg').val('');
			jQuery('#<?php echo $value['id']; ?>_image').fadeOut();
			jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeOut();
			jQuery('#<?php echo $value['id']; ?>_image').css({border:'0', margin:'0'});
			return false;
		});
	});
</script>
</td>
</tr>
<tr>
<th align="left"><span class="label">Select Background Image Vertical Position</span></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<select style="width:297px;" name="<?php echo $value['id']; ?>_selectvpos" id="<?php echo $value['id']; ?>_selectvpos">
	<option value="top">Top</option>
	<option value="middle">Middle</option>
	<option value="bottom">Bottom</option>
</select>
</td>
</tr>
<tr>
<th align="left"><span class="label">Select Background Image Horizontal Position</span></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<select style="width:297px;" name="<?php echo $value['id']; ?>_selecthpos" id="<?php echo $value['id']; ?>_selecthpos">
	<option value="left">Left</option>
	<option value="center">Center</option>
	<option value="right">Right</option>
</select>
</tr>
<tr>
<th align="left"><span class="label">Select Background Image Repeat</span></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<select style="width:297px;" name="<?php echo $value['id']; ?>_selectrep" id="<?php echo $value['id']; ?>_selectrep">
	<option value="no-repeat">No Repeat</option>
	<option value="repeat-x">Repeat Horizontally</option>
	<option value="repeat-y">Repeat Vertically</option>
	<option value="repeat">Repeat</option>
</select>
</tr>
<tr>
<th align="left"><span class="label">Select Background Image Attachment</span></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<select name="<?php echo $value['id']; ?>_selectatt" id="<?php echo $value['id']; ?>_selectatt" style="width:297px;">
	<option value="scroll">Scroll</option>
	<option value="fixed">Fixed</option>
</select>
</td>
</tr>
<tr>
<th align="left"><span class="label">Select Background Image Type</span></th>
</tr>
<tr>
<td style="padding-bottom:0;">
<select style="width:297px;" name="<?php echo $value['id']; ?>_selectbgtype" id="<?php echo $value['id']; ?>_selectbgtype">
	<option value="bg_t">Patterns</option>
	<option value="bg_t_i">Transparent Images</option>
	<option value="bg_i">Background Images</option>
</select>
</tr>
<tr>
<td>
<div style="position:relative;">
<div style="display:none; position:absolute; top:7px; left:307px;"><img id="<?php echo $value['id']; ?>_loadingbg" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="" /></div>
<input name="<?php echo $value['id']; ?>_addbg" id="<?php echo $value['id']; ?>_addbg" type="button" value="Add Background" style="float:left; height:30px; width:120px; margin-left:0;" />
<input name="<?php echo $value['id']; ?>_updatebg" id="<?php echo $value['id']; ?>_updatebg" type="button" value="Update Background" style="display:none; float:left; height:30px; width:120px; margin-left:0;" />
<input name="<?php echo $value['id']; ?>_deletebg" id="<?php echo $value['id']; ?>_deletebg" type="button" value="Delete Background" style="display:none; float:left; height:30px; width:120px; margin-left:57px;" />
</div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		function stripslashes(str){
			return str.replace('/\0/g', '0').replace('/\(.)/g', '$1');
		}
		
		jQuery('.theme_bg_add_block a').live('click', function(){
			var $params = jQuery(this).attr('title').split(',');
			
			jQuery('.theme_bg_add_block a').removeClass('selected');
			jQuery(this).addClass('selected');
			
			jQuery('#<?php echo $value['id']; ?>_selectbgimg').val('<?php echo get_template_directory_uri(); ?>/images/bgs/'+$params[0]);
			jQuery('#<?php echo $value['id']; ?>_selectbgthumb').val('<?php echo get_template_directory_uri(); ?>/images/bgs/'+$params[1]);
			
			if ($params[6] == 'bg_t'){
				jQuery('#<?php echo $value['id']; ?>_image').css({background:'#ffffff url(<?php echo get_template_directory_uri(); ?>/images/bgs/'+$params[0]+') '+$params[2]+' '+$params[3]+' '+$params[4], width:'398px', height:'248px', border:'1px solid #000000', margin:'10px 0'});
			} else if ($params[6] == 'bg_t_i'){
				jQuery('#<?php echo $value['id']; ?>_image').css({background:'#333333 url(<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/bgs/'+$params[0]+'&w=400&h=250&zc=1) '+$params[2]+' '+$params[3]+' '+$params[4], width:'400px', height:'250px', border:'0', margin:'10px 0'});
			} else if ($params[6] == 'bg_i'){
				jQuery('#<?php echo $value['id']; ?>_image').css({background:'url(<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/bgs/'+$params[0]+'&w=400&h=250&zc=1) '+$params[2]+' '+$params[3]+' '+$params[4], width:'400px', height:'250px', border:'0', margin:'10px 0'});
			}
			
			jQuery('#<?php echo $value['id']; ?>_image').fadeIn();
			jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeIn();
			
			if ($params[2] == 'top'){
				document.getElementById('<?php echo $value['id']; ?>_selectvpos').selectedIndex='0';
			} else if ($params[2] == 'middle'){
				document.getElementById('<?php echo $value['id']; ?>_selectvpos').selectedIndex='1';
			} else if ($params[2] == 'bottom'){
				document.getElementById('<?php echo $value['id']; ?>_selectvpos').selectedIndex='2';
			}
			
			if ($params[3] == 'left'){
				document.getElementById('<?php echo $value['id']; ?>_selecthpos').selectedIndex='0';
			} else if ($params[3] == 'center'){
				document.getElementById('<?php echo $value['id']; ?>_selecthpos').selectedIndex='1';
			} else if ($params[3] == 'right'){
				document.getElementById('<?php echo $value['id']; ?>_selecthpos').selectedIndex='2';
			}
			
			if ($params[4] == 'no-repeat'){
				document.getElementById('<?php echo $value['id']; ?>_selectrep').selectedIndex='0';
			} else if ($params[4] == 'repeat-x'){
				document.getElementById('<?php echo $value['id']; ?>_selectrep').selectedIndex='1';
			} else if ($params[4] == 'repeat-y'){
				document.getElementById('<?php echo $value['id']; ?>_selectrep').selectedIndex='2';
			} else if ($params[4] == 'repeat'){
				document.getElementById('<?php echo $value['id']; ?>_selectrep').selectedIndex='3';
			}
			
			if ($params[5] == 'scroll'){
				document.getElementById('<?php echo $value['id']; ?>_selectatt').selectedIndex='0';
			} else if ($params[5] == 'fixed'){
				document.getElementById('<?php echo $value['id']; ?>_selectatt').selectedIndex='1';
			}
			
			if ($params[6] == 'bg_t'){
				document.getElementById('<?php echo $value['id']; ?>_selectbgtype').selectedIndex='0';
			} else if ($params[6] == 'bg_t_i'){
				document.getElementById('<?php echo $value['id']; ?>_selectbgtype').selectedIndex='1';
			} else if ($params[6] == 'bg_i'){
				document.getElementById('<?php echo $value['id']; ?>_selectbgtype').selectedIndex='2';
			}
			
			jQuery('#<?php echo $value['id']; ?>_addbg').hide();
			jQuery('#<?php echo $value['id']; ?>_updatebg').show();
			jQuery('#<?php echo $value['id']; ?>_deletebg').show();
			jQuery('#<?php echo $value['id']; ?>_cancelbg').show();
			
			return false;
		});
		
		jQuery('#<?php echo $value['id']; ?>_addbg').click(function(){
			if (jQuery('#<?php echo $value['id']; ?>_selectbgimg').val() != '' && jQuery('#<?php echo $value['id']; ?>_selectbgthumb').val() != '' && jQuery('#<?php echo $value['id']; ?>_selectvpos').val() != '' && jQuery('#<?php echo $value['id']; ?>_selecthpos').val() != '' && jQuery('#<?php echo $value['id']; ?>_selectrep').val() != '' && jQuery('#<?php echo $value['id']; ?>_selectatt').val() != '' && jQuery('#<?php echo $value['id']; ?>_selectbgtype').val() != ''){
				jQuery('#<?php echo $value['id']; ?>_loadingbg').parent().fadeIn('fast');
				
				var $newbgurl = jQuery('#<?php echo $value['id']; ?>_selectbgimg').val().replace('<?php echo get_template_directory_uri(); ?>/images/bgs/', '');
				var $newbgthumb = jQuery('#<?php echo $value['id']; ?>_selectbgthumb').val().replace('<?php echo get_template_directory_uri(); ?>/images/bgs/', '');
				var $newbgvpos = jQuery('#<?php echo $value['id']; ?>_selectvpos').val();
				var $newbghpos = jQuery('#<?php echo $value['id']; ?>_selecthpos').val();
				var $newbgrep = jQuery('#<?php echo $value['id']; ?>_selectrep').val();
				var $newbgatt = jQuery('#<?php echo $value['id']; ?>_selectatt').val();
				var $newbgtype = jQuery('#<?php echo $value['id']; ?>_selectbgtype').val();
				
				jQuery.ajax({
					type:'post',
					url:'<?php echo get_template_directory_uri(); ?>/theme/functions/db_operator.php',
					data:({type:'bg', option:'add', bgurl:$newbgurl, bgthumb:$newbgthumb, bgvpos:$newbgvpos, bghpos:$newbghpos, bgrep:$newbgrep, bgatt:$newbgatt, bgtype:$newbgtype}),
					complete:function(data){
						if (data.responseText != 'error' && data.responseText != 'warning'){
							if ($newbgtype == 'bg_t'){ 
								jQuery('#<?php echo $value['id']; ?>_patterns_bgs').append('<a href="<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgurl+'" style="background-image:url(<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgthumb+');" title="'+$newbgurl+','+$newbgthumb+','+$newbgvpos+','+$newbghpos+','+$newbgrep+','+$newbgatt+','+$newbgtype+'" style="display:none;">&nbsp;</a>').fadeIn('slow');
							} else if ($newbgtype == 'bg_t_i'){ 
								jQuery('#<?php echo $value['id']; ?>_transparents_bgs').append('<a href="<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgurl+'" style="background-image:url(<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgthumb+');" title="'+$newbgurl+','+$newbgthumb+','+$newbgvpos+','+$newbghpos+','+$newbgrep+','+$newbgatt+','+$newbgtype+'" style="display:none;">&nbsp;</a>').fadeIn('slow');
							} else if ($newbgtype == 'bg_i'){ 
								jQuery('#<?php echo $value['id']; ?>_images_bgs').append('<a href="<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgurl+'" style="background-image:url(<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgthumb+');" title="'+$newbgurl+','+$newbgthumb+','+$newbgvpos+','+$newbghpos+','+$newbgrep+','+$newbgatt+','+$newbgtype+'" style="display:none;">&nbsp;</a>').fadeIn('slow');
							}
							jQuery('#<?php echo $value['id']; ?>_selectbgimg').val('');
							jQuery('#<?php echo $value['id']; ?>_selectbgthumb').val('');
							jQuery('#<?php echo $value['id']; ?>_image').fadeOut();
							jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeOut();
							jQuery('#<?php echo $value['id']; ?>_image').css({border:'0', margin:'0'});
							document.getElementById('<?php echo $value['id']; ?>_selectvpos').selectedIndex='0';
							document.getElementById('<?php echo $value['id']; ?>_selecthpos').selectedIndex='0';
							document.getElementById('<?php echo $value['id']; ?>_selectrep').selectedIndex='0';
							document.getElementById('<?php echo $value['id']; ?>_selectatt').selectedIndex='0';
							document.getElementById('<?php echo $value['id']; ?>_selectbgtype').selectedIndex='0';
							alert('Background image successfully added.');
						} else if (data.responseText == 'warning'){
							alert('This background image already exists!');
						} else {
							alert('Background image was not added!!!');
						}
						
						jQuery('#<?php echo $value['id']; ?>_loadingbg').parent().fadeOut('fast');
					}
				});
			} else {
				alert('Choose background image file and parameters!');
			}
			
			return false;
		});
		
		jQuery('#<?php echo $value['id']; ?>_deletebg').live('click', function(){
			jQuery('#<?php echo $value['id']; ?>_loadingbg').parent().fadeIn('fast');
			
			var $newbgurl = jQuery('#<?php echo $value['id']; ?>_selectbgimg').val().replace('<?php echo get_template_directory_uri(); ?>/images/bgs/', '');
			
			if (confirm('Do you realy want to delete this background image from your backgrounds list?')){
				jQuery.ajax({
					type:'post',
					url:'<?php echo get_template_directory_uri(); ?>/theme/functions/db_operator.php',
					data:({type:'bg', option:'delete', bgurl:$newbgurl}),
					complete:function(data){
						if (data.responseText != 'error' && data.responseText != 'warning'){
							jQuery('.theme_bg_add_block a.selected').fadeOut('fast').remove();
							jQuery('#<?php echo $value['id']; ?>_selectbgimg').val('');
							jQuery('#<?php echo $value['id']; ?>_selectbgthumb').val('');
							jQuery('#<?php echo $value['id']; ?>_image').fadeOut();
							jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeOut();
							jQuery('#<?php echo $value['id']; ?>_image').css({border:'0', margin:'0'});
							document.getElementById('<?php echo $value['id']; ?>_selectvpos').selectedIndex='0';
							document.getElementById('<?php echo $value['id']; ?>_selecthpos').selectedIndex='0';
							document.getElementById('<?php echo $value['id']; ?>_selectrep').selectedIndex='0';
							document.getElementById('<?php echo $value['id']; ?>_selectatt').selectedIndex='0';
							document.getElementById('<?php echo $value['id']; ?>_selectbgtype').selectedIndex='0';
							jQuery('#<?php echo $value['id']; ?>_addbg').show();
							jQuery('#<?php echo $value['id']; ?>_updatebg').hide();
							jQuery('#<?php echo $value['id']; ?>_deletebg').hide();
							jQuery('#<?php echo $value['id']; ?>_cancelbg').hide();
							alert('Background image successfully deleted.');
						} else if (data.responseText == 'warning'){
							alert('It is no background image with this name! Refresh this page and try again.');
						} else {
							alert('Background image was not deleted!!!');
						}
						
						jQuery('#<?php echo $value['id']; ?>_loadingbg').parent().fadeOut('fast');
					}
				});
			} else {
				jQuery('#<?php echo $value['id']; ?>_loadingbg').parent().fadeOut('fast');
			}
			
			return false;
		});
		
		jQuery('#<?php echo $value['id']; ?>_updatebg').live('click', function(){
			jQuery('#<?php echo $value['id']; ?>_loadingbg').parent().fadeIn('fast');
			
			var $oldbgurl = jQuery('.theme_bg_add_block a.selected').attr('href').replace('<?php echo get_template_directory_uri(); ?>/images/bgs/', '');
			var $newbgurl = jQuery('#<?php echo $value['id']; ?>_selectbgimg').val().replace('<?php echo get_template_directory_uri(); ?>/images/bgs/', '');
			var $newbgthumb = jQuery('#<?php echo $value['id']; ?>_selectbgthumb').val().replace('<?php echo get_template_directory_uri(); ?>/images/bgs/', '');
			var $newbgvpos = jQuery('#<?php echo $value['id']; ?>_selectvpos').val();
			var $newbghpos = jQuery('#<?php echo $value['id']; ?>_selecthpos').val();
			var $newbgrep = jQuery('#<?php echo $value['id']; ?>_selectrep').val();
			var $newbgatt = jQuery('#<?php echo $value['id']; ?>_selectatt').val();
			var $newbgtype = jQuery('#<?php echo $value['id']; ?>_selectbgtype').val();
			
			jQuery.ajax({
				type:'post',
				url:'<?php echo get_template_directory_uri(); ?>/theme/functions/db_operator.php',
				data:({type:'bg', option:'update', bgurl:$oldbgurl, newbgurl:$newbgurl, bgthumb:$newbgthumb, bgvpos:$newbgvpos, bghpos:$newbghpos, bgrep:$newbgrep, bgatt:$newbgatt, bgtype:$newbgtype}),
				complete:function(data){
					if (data.responseText != 'error' && data.responseText != 'warning'){
						jQuery('.theme_bg_add_block a.selected').fadeOut('fast').remove();
						if ($newbgtype == 'bg_t'){ 
							jQuery('#<?php echo $value['id']; ?>_patterns_bgs').append('<a href="<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgurl+'" style="background-image:url(<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgthumb+');" title="'+$newbgurl+','+$newbgthumb+','+$newbgvpos+','+$newbghpos+','+$newbgrep+','+$newbgatt+','+$newbgtype+'" style="display:none;">&nbsp;</a>').fadeIn('slow');
						} else if ($newbgtype == 'bg_t_i'){ 
							jQuery('#<?php echo $value['id']; ?>_transparents_bgs').append('<a href="<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgurl+'" style="background-image:url(<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgthumb+');" title="'+$newbgurl+','+$newbgthumb+','+$newbgvpos+','+$newbghpos+','+$newbgrep+','+$newbgatt+','+$newbgtype+'" style="display:none;">&nbsp;</a>').fadeIn('slow');
						} else if ($newbgtype == 'bg_i'){ 
							jQuery('#<?php echo $value['id']; ?>_images_bgs').append('<a href="<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgurl+'" style="background-image:url(<?php echo get_template_directory_uri(); ?>/images/bgs/'+$newbgthumb+');" title="'+$newbgurl+','+$newbgthumb+','+$newbgvpos+','+$newbghpos+','+$newbgrep+','+$newbgatt+','+$newbgtype+'" style="display:none;">&nbsp;</a>').fadeIn('slow');
						}
						jQuery('#<?php echo $value['id']; ?>_selectbgimg').val('');
						jQuery('#<?php echo $value['id']; ?>_selectbgthumb').val('');
						jQuery('#<?php echo $value['id']; ?>_image').fadeOut();
						jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeOut();
						jQuery('#<?php echo $value['id']; ?>_image').css({border:'0', margin:'0'});
						document.getElementById('<?php echo $value['id']; ?>_selectvpos').selectedIndex='0';
						document.getElementById('<?php echo $value['id']; ?>_selecthpos').selectedIndex='0';
						document.getElementById('<?php echo $value['id']; ?>_selectrep').selectedIndex='0';
						document.getElementById('<?php echo $value['id']; ?>_selectatt').selectedIndex='0';
						document.getElementById('<?php echo $value['id']; ?>_selectbgtype').selectedIndex='0';
						jQuery('#<?php echo $value['id']; ?>_addbg').show();
						jQuery('#<?php echo $value['id']; ?>_updatebg').hide();
						jQuery('#<?php echo $value['id']; ?>_deletebg').hide();
						jQuery('#<?php echo $value['id']; ?>_cancelbg').hide();
						alert('Background image successfully updated.');
					} else if (data.responseText == 'warning'){
						alert('It is no background image with this name! Refresh this page and try again.');
					} else {
						alert('Background image was not updated!!!');
					}
					
					jQuery('#<?php echo $value['id']; ?>_loadingbg').parent().fadeOut('fast');
				}
			});
			
			return false;
		});
		
		jQuery('#<?php echo $value['id']; ?>_cancelbg').click(function(){
			jQuery('.theme_bg_add_block a').removeClass('selected');
			
			jQuery('#<?php echo $value['id']; ?>_selectbgimg').val('');
			jQuery('#<?php echo $value['id']; ?>_selectbgthumb').val('');
			
			jQuery('#<?php echo $value['id']; ?>_image').fadeOut();
			jQuery('#<?php echo $value['id']; ?>_clear').parent().fadeOut();
			jQuery('#<?php echo $value['id']; ?>_image').css({border:'0', margin:'0'});
			
			document.getElementById('<?php echo $value['id']; ?>_selectvpos').selectedIndex='0';
			document.getElementById('<?php echo $value['id']; ?>_selecthpos').selectedIndex='0';
			document.getElementById('<?php echo $value['id']; ?>_selectrep').selectedIndex='0';
			document.getElementById('<?php echo $value['id']; ?>_selectatt').selectedIndex='0';
			document.getElementById('<?php echo $value['id']; ?>_selectbgtype').selectedIndex='0';
			
			jQuery('#<?php echo $value['id']; ?>_addbg').show();
			jQuery('#<?php echo $value['id']; ?>_updatebg').hide();
			jQuery('#<?php echo $value['id']; ?>_deletebg').hide();
			jQuery('#<?php echo $value['id']; ?>_cancelbg').hide();
			
			return false;
		});
	});
</script>
</td>
</tr>
<?php

break;










case 'icons_list':
?>
<tr>
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['id']; ?>_light"></a><div class="dn" id="<?php echo $value['id']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td>
<ul class="icons_container" id="list_<?php echo $value['id']; ?>">
<?php
foreach ($value['options'] as $option){
	if ($option != ''){
		echo "<li><img src='".get_template_directory_uri()."/images/theme_icons/".$option."' alt='".$option."' width='59' height='60' style='cursor:pointer;' /><br /><a href='#'>Delete</a></li>";
	}
}
?>
</ul>
</td>
</tr>
<tr>
<th><span class="label">Icon Link</span></th>
</tr>
<tr>
<td>
<input size="100" name="<?php echo $value['id']; ?>_iconlink" id="<?php echo $value['id']; ?>_iconlink" type="text" value="" />
</td>
</tr>
<tr>
<th><span class="label">Add New Icon</span></th>
</tr>
<tr>
<td>
<input size="36" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="text" value="" class="fl" />
<input type="button" name="imageupload" value="Upload" id="<?php echo $value['id']; ?>_upload" class="fl" />
<div style="margin:8px 0 0 8px; float:left; display:none;"><img id="<?php echo $value['id']; ?>_loading" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div>
<div style="clear:both;"></div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		var btnUpload = jQuery('#<?php echo $value['id']; ?>_upload');
		var status = jQuery('#<?php echo $value['id']; ?>_loading');
		
		new AjaxUpload(btnUpload, {
			action:'<?php echo get_template_directory_uri(); ?>/theme/functions/uploadicon.php',
			name:'uploadfile',
			data:{url:'../../images/theme_icons/'},
			onSubmit:function(file, ext){
				if (!(ext && /^(jpg|png|jpeg|gif)$/.test(ext))){
					alert('Only JPG, PNG or GIF files are allowed');
					
					return false;
				} else {
					jQuery('#<?php echo $value['id']; ?>').val(file);
				}
				
				status.parent().fadeIn();
			},
			onComplete:function(file, response){
				status.parent().fadeOut();
				
				if (response != 'error' && response != 'warning'){
					jQuery('#<?php echo $value['id']; ?>').val('<?php echo get_template_directory_uri(); ?>/images/theme_icons/'+response);
					
					jQuery('#list_<?php echo $value['id']; ?>').append('<li class="added" style="display:none;"><img src="<?php echo get_template_directory_uri(); ?>/images/theme_icons/'+response+'" width="59" height="60" alt="'+response+'" /><br /><a href="#">Delete</a></li>');
					jQuery('#list_<?php echo $value['id']; ?>').find('li.added').removeClass('added').fadeIn('slow');
				} else if (response == 'warning'){
					alert('File '+file+' already exists!');
				} else {
					alert('File '+file+' do not load...');
				}
				
				jQuery('#<?php echo $value['id']; ?>').val('');
			}
		});
		
		jQuery('#list_<?php echo $value['id']; ?> a').live('click', function(){
			jQuery(this).addClass('active');
			
			if (confirm('Do you realy want to delete this file from the server?')){
				jQuery.post('<?php echo get_template_directory_uri(); ?>/theme/functions/delete.php',
				{file:jQuery(this).parent().find('img').attr('alt')},
				function(file, response){
					if (response != 'error'){
						jQuery('#list_<?php echo $value['id']; ?> a.active').parent().fadeOut('slow', function(){
							jQuery(this).remove();
						});
					} else {
						alert('File '+file+' do not delete...');
					}
				});
			} else {
				jQuery(this).removeClass('active');
			}
			
			return false;
		});
		
		jQuery('#list_<?php echo $value['id']; ?> img').live('click', function(){
			jQuery('#<?php echo $value['id']; ?>_iconlink').val(jQuery(this).attr('src'));
			
			return false;
		});
	});
</script>
</td>
</tr>
<?php

break;
case "sidebar":
?>
<tr valign="top">
<th align="left"><span class="label"><?php echo $value['name']; ?></span><a class="helpbox" href="?lightbox[width]=350&amp;lightbox[height]=150#<?php echo $value['htmlid']; ?>_light"></a><div class="dn" id="<?php echo $value['htmlid']; ?>_light"><?php echo $value['desc']; ?></div></th>
</tr>
<tr>
<td>
<input size="36" name="<?php echo $value['htmlid']; ?>" id="<?php echo $value['htmlid']; ?>" type="text" value="<?php if ( $get_options[$id] != "") { echo $get_options[$id]; } else { echo $value['std']; } ?>" class="fl" />
<input type="button" name="sidebar_add" id="sidebar_add" class="button fl" value="Add" style="padding-left:20px; padding-right:20px; margin:0 0 0 5px;" />
</td>
</tr>
<?php 

break;
case "sidebar_delete":
?>
<table class="form-table cmsmasters-options" id="side_del">
<?php
$get_sidebar_options = sidebar_generator_cmsmasters::get_sidebars();
if ($get_sidebar_options != ''){
$i = 1;

foreach ($get_sidebar_options as $sidebar_gen) { ?>
<?php if($i == 1) { ?>
<tr valign="top">
<td style="padding:0;"><h3 style="margin:10px 0 0; padding:25px 0 10px;"><?php echo $value['desc']; ?></h3></td>
</tr>
<?php } ?>

<tr class="sidebar_table" id="sidebar_table_<?php echo $i; ?>">
<td style="padding-bottom:0;">
<div class="sidename fl" align="left" style="width:217px;"><?php echo $sidebar_gen; ?></div>
<input type="button" name="sidebar_rm_<?php echo $i; ?>" id="sdbr_<?php echo $i; ?>" class="button fl" value="Delete" style="padding:5px 13px;" />
<div class="fl" style="margin:7px 0 0 10px;"><img class="sidebar_rm_<?php echo $i; ?>" style="display:none;" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div>
</td>
<td style="padding:0; margin:0;"><input id="<?php echo 'sidebar_generator_'.$i ?>" type="hidden" name="<?php echo 'sidebar_generator_'.$i ?>" value="<?php echo $sidebar_gen; ?>" /></td>
</tr>

<?php
$i++;  
} ?>
<tr valign="top">
<td style="padding:0; margin:0;"></td>
</tr>
<?php 
}

break;
case "submit":
?>
<div class="submit cmsmasters-submit"><input type="submit" name="save" value="Save Changes" style="float:left;" /><input type="hidden" name="action" value="save" /><div class="fl" style="margin:7px 0 0 10px;"><img class="submit_loader" style="display:none;" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div></div>
<?php

break;

}
}
?>

</form>
</div>
</div>
</div>

<?php 
}

function cmsmasters_add_admin_options(){
	global $themename, $shortname, $options ,$page_handle;
	
	if (isset($_GET['page'])) $send = $_GET['page'];
	
	if (isset($_GET['page']) && $_GET['page'] == $page_handle){
		if (isset($_REQUEST['action']) && 'save' == $_REQUEST['action']){
			foreach ($options as $value){
				if ($value['id'] != 'sidebar_generator_0') $options_array[$value['id']] = $_REQUEST[$value['id']];
			}
			
			update_option($shortname.'_general_settings', $options_array);
			$get_sidebar_options = sidebar_generator_cmsmasters::get_sidebars();
			$sidebar_name = str_replace(array("\n", "\r", "\t"), '', $_POST['sidebar_generator_0']);
			$sidebar_id = sidebar_generator_cmsmasters::name_to_class($sidebar_name);
			
			if ($sidebar_id == ''){
				$options_sidebar = $get_sidebar_options;
			} else {
				if (isset($get_sidebar_options[$sidebar_id])){
					header("Location: admin.php?page=$send&error=true");
					
					die;
				}
				
				if (is_array($get_sidebar_options)){
					$new_sidebar_gen[$sidebar_id] = $sidebar_id;
					$options_sidebar = array_merge($get_sidebar_options, (array) $new_sidebar_gen);	
				} else {
					$options_sidebar[$sidebar_id] = $sidebar_id;
				}		
			}
			
			update_option( $shortname.'_sidebar_generator', $options_sidebar);
			header("Location: admin.php?page=$send&saved=true");
			
			die;
		} else if (isset($_REQUEST['action']) && 'reset' == $_REQUEST['action']){
			foreach ($options as $value){
				delete_option($value['id']);
			}
			
			header("Location: admin.php?page=$send&reset=true");
			
			die;
		}
	}
	
	add_menu_page($themename.' Options', $themename, 'edit_themes', $page_handle, 'cmsmasters_admin_options');
}

function update_notifier_menu_cmsms(){
	global $themename, $shortname, $options ,$page_handle;
	
	if (function_exists('simplexml_load_string')){
		$xml = get_latest_theme_version(NOTIFIER_CACHE_INTERVAL);
		$theme_data = get_theme_data(TEMPLATEPATH.'/style.css');
		
		if ((float)$xml->latest > (float)$theme_data['Version']){
			remove_menu_page($page_handle);
			add_menu_page($themename." Options", $themename.' <span class="update-plugins count-1"><span class="update-count">'.$xml->latest.'</span></span>', 'edit_themes', $page_handle, 'cmsmasters_admin_options');
		}
	}
}

function ajax_update_widgets($sidebar_id){
	$get_widgets = wp_get_sidebars_widgets();
	unset($get_widgets['array_version']);
	$before_delete = true;
	$i = 0;
	
	foreach ($get_widgets as $key => $value){
		if (!preg_match('/cmsmasters_sidebar-([0-9]+)/', $key)) $update_widgets[$key] = $value;
		
		if (preg_match('/cmsmasters_sidebar-([0-9]+)/', $key)){
			if ($key == "cmsmasters_sidebar-$sidebar_id"){
				$before_delete = false;
				$inactive_widgets = $value;
			}
			
			if($key != "cmsmasters_sidebar-$sidebar_id" && $before_delete == true) $update_widgets[$key] = $value;
			
			if($key != "cmsmasters_sidebar-$sidebar_id" && $before_delete == false) $update_widgets['cmsmasters_sidebar-'.$i] = $value;
			
			$i++;
		}
	}
	
	$update_widgets['wp_inactive_widgets'] = array_merge($inactive_widgets, (array) $update_widgets['wp_inactive_widgets']);
	wp_set_sidebars_widgets($update_widgets);
}

function ajax_sidebar_add(){	
	global $shortname, $wpdb;
	
	$sidebar = $_POST['sidebar'];
	$sidebar_id = $_POST['sidebar_id'];
	$sidebar_name = $_POST['sidebar_name'];
	$pieces = explode(",", $sidebar);

	foreach ($pieces as $key => $value){
		if ($value != '') $options_sidebar_add[ $value ] = $value;
	}
	
	update_option( $shortname.'_sidebar_generator', $options_sidebar_add);
}

function ajax_sidebar_rm(){	
	global $shortname, $wpdb;
	
	$sidebar = $_POST['sidebar'];
	$sidebar_id = $_POST['sidebar_id'];
	$sidebar_name = $_POST['sidebar_name'];
	$pieces = explode(",", $sidebar);

	foreach ($pieces as $key => $value){
		if ($value != '') $options_sidebar_rm[ $value ] = $value;
	}
	
	update_option( $shortname.'_sidebar_generator', $options_sidebar_rm);
	ajax_update_widgets($sidebar_id);
	$sidebar_meta = $wpdb->get_results("SELECT post_id FROM $wpdb->postmeta WHERE meta_value = '$sidebar_name'", ARRAY_A);
	
	if (is_array($sidebar_meta)){
		foreach ($sidebar_meta as $key => $value){
			delete_post_meta($value['post_id'], 'selected_sidebar');
		}
	}
}

add_action('wp_ajax_sidebar_add', 'ajax_sidebar_add');
add_action('wp_ajax_sidebar_rm', 'ajax_sidebar_rm');
add_action('admin_menu', 'cmsmasters_add_admin_options');
add_action('admin_menu', 'update_notifier_menu_cmsms');

?>
