/*
 * Form Builder v1.0 - jQuery Form Builder
 * 
 * (c) Copyright Steven "cmsmasters" Masters
 * http://cmsmastrs.net/
 * For sale on ThemeForest.net
 */

 

jQuery(document).ready(function(){
	var insaving = false;
	var $loaderImageUrl = jQuery('input[name="loader_image_url"]').val();
	
	
	// Save/Update Form Function
	function saveAction(saveOption, formName){
		jQuery('input[name="form_name"], input[name="field_label"], input[name="opt_label"], textarea[name="composer_message"], textarea[name="composer_subject"], textarea[name="composer_success"]').removeAttr('style');
		
		if (saveOption == 'add'){
			if (formName){
				var $form_try_label = formName;
			} else {
				var $form_try_label = jQuery('input[name="form_name"]').val();
			}
			
			if ($form_try_label == '' || $form_try_label == ' '){
				alert('Enter Form Name!');
				
				jQuery('input[name="form_name"]').css({border:'1px solid #ff0000'});
				jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
				
				insaving = false;
				return false;
			}
			
			if (jQuery('textarea[name="composer_message"]').val() == '' || jQuery('textarea[name="composer_message"]').val() == ' '){
				alert('Enter your message text!');
				
				jQuery('textarea[name="composer_message"]').css({border:'1px solid #ff0000'});
				jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
				
				insaving = false;
				return false;
			}
			
			if (jQuery('textarea[name="composer_subject"]').val() == '' || jQuery('textarea[name="composer_subject"]').val() == ' '){
				alert('Enter your message subject text!');
				
				jQuery('textarea[name="composer_subject"]').css({border:'1px solid #ff0000'});
				jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
				
				insaving = false;
				return false;
			}
			
			if (jQuery('textarea[name="composer_success"]').val() == '' || jQuery('textarea[name="composer_success"]').val() == ' '){
				alert('Enter your message successful sending text!');
				
				jQuery('textarea[name="composer_success"]').css({border:'1px solid #ff0000'});
				jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
				
				insaving = false;
				return false;
			}
			
			var $field_label = jQuery('input[name="field_label"]');
			
			for (var $i = 0; $i < $field_label.length; $i++){
				if ($field_label.eq($i).val() == '' || $field_label.eq($i).val() == ' '){
					alert('Please fill all field labels!');
					
					$field_label.eq($i).css({border:'1px solid #ff0000'});
					jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
					
					insaving = false;
					return false;
				}
			}
			
			var $opt_label = jQuery('input[name="opt_label"]');
			
			for (var $i = 0; $i < $opt_label.length; $i++){
				if ($opt_label.eq($i).val() == '' || $opt_label.eq($i).val() == ' '){
					alert('Please fill all field options!');
					
					$opt_label.eq($i).css({border:'1px solid #ff0000'});
					jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
					
					insaving = false;
					return false;
				}
			}
			
			function addForm(tryVal){
				var $form_label = tryVal;
				var $form_name = $form_label.toLowerCase().replace(/ /g, '_').replace(/[^a-zA-Z0-9_]/g, '');
				
				if ($form_name == '' || $form_name == '_'){
					$form_name = 'form_'+Math.random()*1000000000000000000;
				} else {
					$form_name = $form_name+'_'+Math.random()*1000000000000000000;
				}
				
				jQuery.post($loaderImageUrl+'/theme/functions/form_builder_operator.php', {type:'form', option:'try', data:$form_name}).error(function(){
					jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
					alert('Error on page! Please reload page and try again.');
					
					return false;
				}).complete(function(data){
					if (data.responseText == $form_name){
						var $newName = prompt('Form with this name already exists, try another name.');
						
						if ($newName && $newName != '' && $newName != ' '){
							addForm($newName);
						} else {
							jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
						}
						
						insaving = false;
						return false;
					} else {
						var $form_value = jQuery('textarea[name="composer_message"]').val();
						var $form_descr = jQuery('textarea[name="composer_subject"]').val()+'{|%|}'+jQuery('textarea[name="composer_success"]').val();
						var $form_params = '';
						
						if (jQuery('input[name="composer_use_captcha"]').is(':checked')) $form_params = jQuery('input[name="composer_use_captcha"]:checked').val();
						
						if ($form_params != '') $form_params = $form_params + ',';
						
						if (jQuery('input[name="composer_reset_button"]').is(':checked')) $form_params = $form_params + jQuery('input[name="composer_reset_button"]:checked').val();
						
						var $savedForm = '0{%|%}'+$form_name+'{%|%}'+$form_name+'{%|%}'+'form{%|%}'+$form_label+'{%|%}'+$form_value+'{%|%}'+$form_descr+'{%|%}'+$form_params;
						
						var $savedFields = '[{'+$savedForm+'}';
						
						for (var $i = 0, $ilength = jQuery('#fields-list li').length; $i < $ilength; $i++){
							var $field_number = jQuery('#fields-list li:eq('+$i+')').find('input[name="field_order"]').val();
							var $field_type = jQuery('#fields-list li:eq('+$i+')').find('input[name="field_type"]').val();
							var $field_label = jQuery('#fields-list li:eq('+$i+')').find('input[name="field_label"]').val();
							var $field_name = 'field_'+Math.random()*1000000000000000000;
							var $field_descr = jQuery('#fields-list li:eq('+$i+')').find('textarea[name="field_descr"]').val();
							var $min = jQuery('#fields-list li:eq('+$i+')').find('input[name="min_size"]').val();
							var $max = jQuery('#fields-list li:eq('+$i+')').find('input[name="max_size"]').val();
							var $verify = jQuery('#fields-list li:eq('+$i+')').find('select[name="field_verify"]').val();
							var $field_params = '';
							
							if (jQuery('#fields-list li:eq('+$i+')').find('.opt_cont').is('div')){
								var $field_value = '';
								
								for (var $j = 0, $jlength = jQuery('#fields-list li:eq('+$i+') .opt_cont .opt_item').length; $j < $jlength; $j++){
									$field_value = $field_value + jQuery('#fields-list li:eq('+$i+') .opt_cont .opt_item:eq('+$j+')').find('input[name="opt_label"]').val() + '|';
								}
								
								$field_value = $field_value.slice(0, -1);
							} else {
								var $field_value = '';
							}
							
							if (jQuery('#fields-list li:eq('+$i+')').find('input[name="field_required"]').is(':checked')) $field_params = jQuery('input[name="field_required"]:checked').val() + ',';
							
							if ($min != '' && $min != '0' && $min != undefined) $field_params = $field_params + 'minSize['+$min+'],';
							
							if ($max != '' && $max != '0' && $max != undefined) $field_params = $field_params + 'maxSize['+$max+'],';
							
							if ($verify != '' && $verify != undefined) $field_params = $field_params + $verify + ',';
							
							$field_params = $field_params.slice(0, -1);
							
							var $savedField = '||{'+$field_number+'{%|%}'+$field_name+'{%|%}'+$form_name+'{%|%}'+$field_type+'{%|%}'+$field_label+'{%|%}'+$field_value+'{%|%}'+$field_descr+'{%|%}'+$field_params+'}';
							
							$savedFields = $savedFields + $savedField;
						}
						
						$savedFields = $savedFields + ']';
						
						jQuery.post($loaderImageUrl+'/theme/functions/form_builder_operator.php', {type:'fields', option:'add', data:$savedFields}).error(function(){
							jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
							alert('Error on page! Please reload page and try again.');
							
							insaving = false;
							return false;
						}).complete(function(data){
							jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('slow');
							
							if (data.responseText == 'error'){
								alert('Form saving error was detected! Please try again.');
								
								insaving = false;
								return false;
							} else {
								jQuery('select#form_choose').append('<option value="'+$form_name+'">'+$form_label+'</option>');
								
								jQuery('html, body').animate({scrollTop:0}, 'slow');
								jQuery('#settings_save').slideDown('fast').delay(5000).slideUp('slow');
								
								insaving = false;
								
								jQuery('.rght .tabb input[name="cancel_form"]').hide();
								jQuery('.rght .tabb input[name="save_as_form"]').hide();
								jQuery('.rght .tabb input[name="add_form"]').show();
								jQuery('#form_build_tab').empty();
								jQuery('.slider .rght .tabb.bot').parent().slideUp('fast');
							}
						});
					}
				});
			}
			
			addForm($form_try_label);
		} else if (saveOption == 'update'){
			jQuery('input[name="form_name"], input[name="field_label"], input[name="opt_label"], textarea[name="composer_message"]').removeAttr('style');
			
			var $form_try_name = jQuery('input[name="form_name"]').attr('id');
			
			if ($form_try_name == '' || $form_try_name == ' '){
				alert('Error on page! Please reload page and try again.');
				
				insaving = false;
				return false;
			}
			
			if (jQuery('textarea[name="composer_message"]').val() == '' || jQuery('textarea[name="composer_message"]').val() == ' '){
				alert('Enter your message text!');
				
				jQuery('textarea[name="composer_message"]').css({border:'1px solid #ff0000'});
				jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
				
				insaving = false;
				return false;
			}
			
			if (jQuery('textarea[name="composer_subject"]').val() == '' || jQuery('textarea[name="composer_subject"]').val() == ' '){
				alert('Enter your message subject text!');
				
				jQuery('textarea[name="composer_subject"]').css({border:'1px solid #ff0000'});
				jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
				
				insaving = false;
				return false;
			}
			
			if (jQuery('textarea[name="composer_success"]').val() == '' || jQuery('textarea[name="composer_success"]').val() == ' '){
				alert('Enter your message successful sending text!');
				
				jQuery('textarea[name="composer_success"]').css({border:'1px solid #ff0000'});
				jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
				
				insaving = false;
				return false;
			}
			
			var $field_label = jQuery('input[name="field_label"]');
			
			for (var $i = 0; $i < $field_label.length; $i++){
				if ($field_label.eq($i).val() == '' || $field_label.eq($i).val() == ' '){
					alert('Please fill all field labels!');
					
					$field_label.eq($i).css({border:'1px solid #ff0000'});
					jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
					
					insaving = false;
					return false;
				}
			}
			
			var $opt_label = jQuery('input[name="opt_label"]');
			
			for (var $i = 0; $i < $opt_label.length; $i++){
				if ($opt_label.eq($i).val() == '' || $opt_label.eq($i).val() == ' '){
					alert('Please fill all field options!');
					
					$opt_label.eq($i).css({border:'1px solid #ff0000'});
					jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
					
					insaving = false;
					return false;
				}
			}
			
			function updateForm(tryVal){
				var $form_label = jQuery('input[name="form_name"]').val();
				var $form_name = tryVal;
				
				jQuery.post($loaderImageUrl+'/theme/functions/form_builder_operator.php', {type:'form', option:'try', data:$form_name}).error(function(){
					jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
					alert('Error on page! Please reload page and try again.');
					
					insaving = false;
					return false;
				}).complete(function(data){
					if (data.responseText != $form_name){
						var $ask = confirm('It is no form with this name in your database. Save this form as "'+$form_label+'"?');
						
						if ($ask && $form_label != '' && $form_label != ' '){
							jQuery('input[name="form_option"]').val('add');
							
							saveAction('add');
						} else {
							jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
							
							insaving = false;
						}
						
						return false;
					} else {
						var $form_id = jQuery('input[name="form_id"]').val();
						var $form_value = jQuery('textarea[name="composer_message"]').val();
						var $form_descr = jQuery('textarea[name="composer_subject"]').val()+'{|%|}'+jQuery('textarea[name="composer_success"]').val();
						var $form_params = '';
						
						if (jQuery('input[name="composer_use_captcha"]').is(':checked')) $form_params = jQuery('input[name="composer_use_captcha"]:checked').val();
						
						if ($form_params != '') $form_params = $form_params + ',';
						
						if (jQuery('input[name="composer_reset_button"]').is(':checked')) $form_params = $form_params + jQuery('input[name="composer_reset_button"]:checked').val();
						
						var $savedForm = $form_id+'{%|%}0{%|%}'+$form_name+'{%|%}'+$form_name+'{%|%}'+'form{%|%}'+$form_label+'{%|%}'+$form_value+'{%|%}'+$form_descr+'{%|%}'+$form_params;
						
						var $savedFields = '[{'+$savedForm+'}';
						
						for (var $i = 0, $ilength = jQuery('#fields-list li').length; $i < $ilength; $i++){
							var $field_id = jQuery('#fields-list li:eq('+$i+')').find('input[name="field_id"]').val();
							var $field_number = jQuery('#fields-list li:eq('+$i+')').find('input[name="field_order"]').val();
							var $field_type = jQuery('#fields-list li:eq('+$i+')').find('input[name="field_type"]').val();
							var $field_label = jQuery('#fields-list li:eq('+$i+')').find('input[name="field_label"]').val();
							var $field_name = jQuery('#fields-list li:eq('+$i+')').find('input[name="field_label"]').attr('id');
							var $field_descr = jQuery('#fields-list li:eq('+$i+')').find('textarea[name="field_descr"]').val();
							var $min = jQuery('#fields-list li:eq('+$i+')').find('input[name="min_size"]').val();
							var $max = jQuery('#fields-list li:eq('+$i+')').find('input[name="max_size"]').val();
							var $verify = jQuery('#fields-list li:eq('+$i+')').find('select[name="field_verify"]').val();
							var $field_params = '';
							
							if ($field_name == '' || $field_name == '_') $field_name = 'field_'+Math.random()*1000000000000000000;
							
							if (jQuery('#fields-list li:eq('+$i+')').find('.opt_cont').is('div')){
								var $field_value = '';
								
								for (var $j = 0, $jlength = jQuery('#fields-list li:eq('+$i+') .opt_cont .opt_item').length; $j < $jlength; $j++){
									$field_value = $field_value + jQuery('#fields-list li:eq('+$i+') .opt_cont .opt_item:eq('+$j+')').find('input[name="opt_label"]').val() + '|';
								}
								
								$field_value = $field_value.slice(0, -1);
							} else {
								var $field_value = '';
							}
							
							if (jQuery('#fields-list li:eq('+$i+')').find('input[name="field_required"]').is(':checked')) $field_params = jQuery('input[name="field_required"]:checked').val() + ',';
							
							if ($min != '' && $min != '0' && $min != undefined) $field_params = $field_params + 'minSize['+$min+'],';
							
							if ($max != '' && $max != '0' && $max != undefined) $field_params = $field_params + 'maxSize['+$max+'],';
							
							if ($verify != '' && $verify != undefined) $field_params = $field_params + $verify + ',';
							
							$field_params = $field_params.slice(0, -1);
							
							var $savedField = '||{'+$field_id+'{%|%}'+$field_number+'{%|%}'+$field_name+'{%|%}'+$form_name+'{%|%}'+$field_type+'{%|%}'+$field_label+'{%|%}'+$field_value+'{%|%}'+$field_descr+'{%|%}'+$field_params+'}';
							
							$savedFields = $savedFields + $savedField;
						}
						
						$savedFields = $savedFields + ']';
						
						jQuery.post($loaderImageUrl+'/theme/functions/form_builder_operator.php', {type:'fields', option:'update', data:$savedFields}).error(function(){
							jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
							alert('Error on page! Please reload page and try again.');
							
							insaving = false;
							return false;
						}).complete(function(data){
							jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('slow');
							
							if (data.responseText == 'error'){
								alert('Form saving error was detected! Please try again.');
								
								insaving = false;
								return false;
							} else {
								jQuery('select#form_choose').find('option[value="'+$form_name+'"]').text($form_label);
								
								jQuery('html, body').animate({scrollTop:0}, 'slow');
								jQuery('#settings_save').slideDown('fast').delay(5000).slideUp('slow');
								
								insaving = false;
								
								jQuery('.rght .tabb input[name="cancel_form"]').hide();
								jQuery('.rght .tabb input[name="save_as_form"]').hide();
								jQuery('.rght .tabb input[name="add_form"]').show();
								jQuery('#form_build_tab').empty();
								jQuery('.slider .rght .tabb.bot').parent().slideUp('fast');
							}
						});
					}
				});
			}
			
			updateForm($form_try_name);
		}
	}



	// Choose Field Type
	function fieldChoose(type, parameters){
		var $field_html = '';
		
		if (parameters){
			var $val = parameters.split('{%|%}');
			var $id = $val[0];
			var $number = $val[1];
			var $name = $val[2];
			var $par_sl = $val[3];
			var $ps_n = $par_sl+'_'+$number;
			var $type = $val[4];
			var $label = $val[5];
			var $value = $val[6];
			var $descr = $val[7];
			var $params = $val[8];
			var $params_split = $params.split(',');
			var $minSize = '';
			var $maxSize = '';
			var $required = ($params.replace('required', '') != $params) ? ' checked="checked"' : '';
			var $customEmail = ($params.replace('custom[email]', '') != $params) ? ' selected="selected"' : '';
			var $customUrl = ($params.replace('custom[url]', '') != $params) ? ' selected="selected"' : '';
			var $customNumber = ($params.replace('custom[number]', '') != $params) ? ' selected="selected"' : '';
			var $customOnlyNumberSp = ($params.replace('custom[onlyNumberSp]', '') != $params) ? ' selected="selected"' : '';
			var $customOnlyLetterSp = ($params.replace('custom[onlyLetterSp]', '') != $params) ? ' selected="selected"' : '';
			
			if ($params.replace('minSize', '') != $params){
				for (var $n = 0; $n < $params_split.length; $n++){
					if ($params_split[$n].replace('minSize', '') != $params_split[$n]) $minSize = $params_split[$n].replace(']', '').replace('minSize[', '');
				}
			}
			
			if ($params.replace('maxSize', '') != $params){
				for (var $x = 0; $x < $params_split.length; $x++){
					if ($params_split[$x].replace('maxSize', '') != $params_split[$x]) $maxSize = $params_split[$x].replace(']', '').replace('maxSize[', '');
				}
			}
		} else {
			var $id = '';
			var $number = jQuery('#fields-list li').length + 1;
			var $name = '';
			var $par_sl = jQuery('input[name="form_name"]').attr('id');
			var $ps_n = $par_sl+'_'+Math.random()*1000000000000000000;
			var $type = '';
			var $label = '';
			var $value = '';
			var $descr = '';
			var $params = '';
			var $minSize = '';
			var $maxSize = '';
			var $required = '';
			var $customEmail = '';
			var $customUrl = '';
			var $customNumber = '';
			var $customOnlyNumberSp = '';
			var $customOnlyLetterSp = '';
		}
		
		switch (type){
			case 'text':
				$field_html += '<li>'+
					'<table class="form-table cmsmasters-options">'+
						'<tr>'+
							'<td class="sep">'+
								'<input class="delete small_but" type="button" name="delete_field" value="" style="width:0; height:30px; float:right; margin-left:0;" />'+
								'<input type="hidden" name="field_id" value="'+$id+'" />'+
								'<input type="hidden" name="field_order" value="'+$number+'" />'+
								'<input type="hidden" name="field_type" value="text" />'+
								'<div class="fl_field">'+
									'<span class="label">Text Field Label <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Text Field Label" href="?lightbox[width]=350&amp;lightbox[height]=150#field_label_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_label_'+$ps_n+'_light">Enter your field label here</div>'+
									'<div class="cl"><br /></div>'+
									'<input size="36" name="field_label" type="text" value="'+$label+'" id="'+$name+'" />'+
									'<div class="cl"><br /></div>'+
									'<div class="check_parent">'+
										'<input type="checkbox" name="field_required" id="field_required_'+$ps_n+'" value="required"'+$required+' />'+
										'<label for="field_required_'+$ps_n+'"><span class="labelon">Required</span></label>'+
									'</div>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Text Field Description</span>'+
									'<a class="helpbox" title="Text Field Description" href="?lightbox[width]=350&amp;lightbox[height]=150#field_descr_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_descr_'+$ps_n+'_light">Enter your field description here</div>'+
									'<div class="cl"><br /></div>'+
									'<textarea name="field_descr" cols="36" rows="5">'+$descr+'</textarea>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Text Field Options</span>'+
									'<a class="helpbox" title="Text Field Options" href="?lightbox[width]=350&amp;lightbox[height]=150#field_opts_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_opts_'+$ps_n+'_light">Choose your field options here</div>'+
									'<div class="cl"><br /></div>'+
									'<div class="td_spinner">'+
										'<div class="fl">'+
											'<input size="3" name="min_size" id="min_size_'+$ps_n+'" type="text" value="'+$minSize+'" />'+
										'</div>'+
										'<label style="float:left; padding:7px 0 0 7px;">&nbsp; Min text size</label>'+
									'</div>'+
									'<div class="cl"><br /></div>'+
									'<div class="td_spinner">'+
										'<div class="fl">'+
											'<input size="3" name="max_size" id="max_size_'+$ps_n+'" type="text" value="'+$maxSize+'" />'+
										'</div>'+
										'<label style="float:left; padding:7px 0 0 7px;">&nbsp; Max text size</label>'+
									'</div>'+
								'</div>'+
								'<div class="fl_field" style="padding-top:37px;">'+
									'<select style="width:180px;" name="field_verify" id="field_verify_'+$ps_n+'">'+
										'<option value="">Choose verification</option>'+
										'<option value="custom[email]"'+$customEmail+'>Email</option>'+
										'<option value="custom[url]"'+$customUrl+'>URL</option>'+
										'<option value="custom[number]"'+$customNumber+'>Number</option>'+
										'<option value="custom[onlyNumberSp]"'+$customOnlyNumberSp+'>Only Numbers &amp; Spaces</option>'+
										'<option value="custom[onlyLetterSp]"'+$customOnlyLetterSp+'>Only Letters &amp; Spaces</option>'+
									'</select>'+
								'</div>'+
							'</td>'+
						'</tr>'+
					'</table>'+
				'</li>';
			break;
			case 'email':
				$field_html += '<li>'+
					'<table class="form-table cmsmasters-options">'+
						'<tr>'+
							'<td class="sep">'+
								'<input class="delete small_but" type="button" name="delete_field" value="" style="width:0; height:30px; float:right; margin-left:0;" />'+
								'<input type="hidden" name="field_id" value="'+$id+'" />'+
								'<input type="hidden" name="field_order" value="'+$number+'" />'+
								'<input type="hidden" name="field_type" value="email" />'+
								'<div class="fl_field">'+
									'<span class="label">Email Field Label <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Email Field Label" href="?lightbox[width]=350&amp;lightbox[height]=150#field_label_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_label_'+$ps_n+'_light">Enter your field label here</div>'+
									'<div class="cl"><br /></div>'+
									'<input size="36" name="field_label" type="text" value="'+$label+'" id="'+$name+'" />'+
									'<div class="cl"><br /></div>'+
									'<div class="check_parent">'+
										'<input type="checkbox" name="field_required" id="field_required_'+$ps_n+'" value="required"'+$required+' />'+
										'<label for="field_required_'+$ps_n+'"><span class="labelon">Required</span></label>'+
									'</div>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Email Field Description</span>'+
									'<a class="helpbox" title="Email Field Description" href="?lightbox[width]=350&amp;lightbox[height]=150#field_descr_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_descr_'+$ps_n+'_light">Enter your field description here</div>'+
									'<div class="cl"><br /></div>'+
									'<textarea name="field_descr" cols="36" rows="5">'+$descr+'</textarea>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Email Field Options</span>'+
									'<a class="helpbox" title="Email Field Options" href="?lightbox[width]=350&amp;lightbox[height]=150#field_opts_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_opts_'+$ps_n+'_light">Choose your email field verification here</div>'+
									'<div class="cl"><br /></div>'+
									'<select style="width:180px;" name="field_verify" id="field_verify_'+$ps_n+'">'+
										'<option value="">Choose verification</option>'+
										'<option value="custom[email]"'+$customEmail+'>Email</option>'+
									'</select>'+
								'</div>'+
							'</td>'+
						'</tr>'+
					'</table>'+
				'</li>';
			break;
			case 'textarea':
				$field_html += '<li>'+
					'<table class="form-table cmsmasters-options">'+
						'<tr>'+
							'<td class="sep">'+
								'<input class="delete small_but" type="button" name="delete_field" value="" style="width:0; height:30px; float:right; margin-left:0;" />'+
								'<input type="hidden" name="field_id" value="'+$id+'" />'+
								'<input type="hidden" name="field_order" value="'+$number+'" />'+
								'<input type="hidden" name="field_type" value="textarea" />'+
								'<div class="fl_field">'+
									'<span class="label">Text Area Field Label <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Text Area Field Label" href="?lightbox[width]=350&amp;lightbox[height]=150#field_label_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_label_'+$ps_n+'_light">Enter your field label here</div>'+
									'<div class="cl"><br /></div>'+
									'<input size="36" name="field_label" type="text" value="'+$label+'" id="'+$name+'" />'+
									'<div class="cl"><br /></div>'+
									'<div class="check_parent">'+
										'<input type="checkbox" name="field_required" id="field_required_'+$ps_n+'" value="required"'+$required+' />'+
										'<label for="field_required_'+$ps_n+'"><span class="labelon">Required</span></label>'+
									'</div>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Text Area Field Description</span>'+
									'<a class="helpbox" title="Text Area Field Description" href="?lightbox[width]=350&amp;lightbox[height]=150#field_descr_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_descr_'+$ps_n+'_light">Enter your field description here</div>'+
									'<div class="cl"><br /></div>'+
									'<textarea name="field_descr" cols="36" rows="5">'+$descr+'</textarea>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Text Area Field Options</span>'+
									'<a class="helpbox" title="Text Area Field Options" href="?lightbox[width]=350&amp;lightbox[height]=150#field_opts_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_opts_'+$ps_n+'_light">Choose your field options here</div>'+
									'<div class="cl"><br /></div>'+
									'<div class="td_spinner">'+
										'<div class="fl">'+
											'<input size="3" name="min_size" id="min_size_'+$ps_n+'" type="text" value="'+$minSize+'" />'+
										'</div>'+
										'<label style="float:left; padding:7px 0 0 7px;">&nbsp; Min text size</label>'+
									'</div>'+
									'<div class="cl"><br /></div>'+
									'<div class="td_spinner">'+
										'<div class="fl">'+
											'<input size="3" name="max_size" id="max_size_'+$ps_n+'" type="text" value="'+$maxSize+'" />'+
										'</div>'+
										'<label style="float:left; padding:7px 0 0 7px;">&nbsp; Max text size</label>'+
									'</div>'+
								'</div>'+
							'</td>'+
						'</tr>'+
					'</table>'+
				'</li>';
			break;
			case 'dropdown':
				$field_html += '<li>'+
					'<table class="form-table cmsmasters-options">'+
						'<tr>'+
							'<td class="sep">'+
								'<input class="delete small_but" type="button" name="delete_field" value="" style="width:0; height:30px; float:right; margin-left:0;" />'+
								'<input type="hidden" name="field_id" value="'+$id+'" />'+
								'<input type="hidden" name="field_order" value="'+$number+'" />'+
								'<input type="hidden" name="field_type" value="dropdown" />'+
								'<div class="fl_field">'+
									'<span class="label">Dropdown Field Label <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Dropdown Field Label" href="?lightbox[width]=350&amp;lightbox[height]=150#field_label_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_label_'+$ps_n+'_light">Enter your field label here</div>'+
									'<div class="cl"><br /></div>'+
									'<input size="36" name="field_label" type="text" value="'+$label+'" id="'+$name+'" />'+
									'<div class="cl"><br /></div>'+
									'<div class="check_parent">'+
										'<input type="checkbox" name="field_required" id="field_required_'+$ps_n+'" value="required"'+$required+' />'+
										'<label for="field_required_'+$ps_n+'"><span class="labelon">Required</span></label>'+
									'</div>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Dropdown Field Description</span>'+
									'<a class="helpbox" title="Dropdown Field Description" href="?lightbox[width]=350&amp;lightbox[height]=150#field_descr_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_descr_'+$ps_n+'_light">Enter your field description here</div>'+
									'<div class="cl"><br /></div>'+
									'<textarea name="field_descr" cols="36" rows="5">'+$descr+'</textarea>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Dropdown Items <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Dropdown Items" href="?lightbox[width]=350&amp;lightbox[height]=150#field_opts_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_opts_'+$ps_n+'_light">Add/Remove your dropdown items here</div>'+
									'<div class="cl"><br /></div>'+
									'<div class="opt_cont">';
									
									var $vals = $value.split('|');
									
									if ($vals.length > 1){
										for (var $v = 0; $v < $vals.length; $v++){
											$field_html += '<div class="opt_item" style="padding-bottom:10px;">'+
												'<input size="36" name="opt_label" type="text" value="'+$vals[$v]+'" class="fl" />'+
												'<input class="delete small_but" type="button" name="delete_opt" value="" style="width:0; height:30px; float:left; margin-left:12px;" />'+
												'<div class="cl"></div>'+
											'</div>';
										}
									} else {
										$field_html += '<div class="opt_item" style="padding-bottom:10px;">'+
											'<input size="36" name="opt_label" type="text" value="" class="fl" />'+
											'<input class="delete small_but" type="button" name="delete_opt" value="" style="width:0; height:30px; float:left; margin-left:12px;" />'+
											'<div class="cl"></div>'+
										'</div>'+
										'<div class="opt_item" style="padding-bottom:10px;">'+
											'<input size="36" name="opt_label" type="text" value="" class="fl" />'+
											'<input class="delete small_but" type="button" name="delete_opt" value="" style="width:0; height:30px; float:left; margin-left:12px;" />'+
											'<div class="cl"></div>'+
										'</div>';
									}
									
									$field_html += '<input class="add small_but" type="button" name="add_opt" value="" style="width:0; height:30px; float:right; margin-left:12px;" />'+
									'</div>'+
								'</div>'+
							'</td>'+
						'</tr>'+
					'</table>'+
				'</li>';
			break;
			case 'radiobutton':
				$field_html += '<li>'+
					'<table class="form-table cmsmasters-options">'+
						'<tr>'+
							'<td class="sep">'+
								'<input class="delete small_but" type="button" name="delete_field" value="" style="width:0; height:30px; float:right; margin-left:0;" />'+
								'<input type="hidden" name="field_id" value="'+$id+'" />'+
								'<input type="hidden" name="field_order" value="'+$number+'" />'+
								'<input type="hidden" name="field_type" value="radiobutton" />'+
								'<div class="fl_field">'+
									'<span class="label">Radiobutton Field Label <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Radiobutton Field Label" href="?lightbox[width]=350&amp;lightbox[height]=150#field_label_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_label_'+$ps_n+'_light">Enter your field label here</div>'+
									'<div class="cl"><br /></div>'+
									'<input size="36" name="field_label" type="text" value="'+$label+'" id="'+$name+'" />'+
									'<div class="cl"><br /></div>'+
									'<div class="check_parent">'+
										'<input type="checkbox" name="field_required" id="field_required_'+$ps_n+'" value="required"'+$required+' />'+
										'<label for="field_required_'+$ps_n+'"><span class="labelon">Required</span></label>'+
									'</div>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Radiobutton Field Description</span>'+
									'<a class="helpbox" title="Radiobutton Field Description" href="?lightbox[width]=350&amp;lightbox[height]=150#field_descr_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_descr_'+$ps_n+'_light">Enter your field description here</div>'+
									'<div class="cl"><br /></div>'+
									'<textarea name="field_descr" cols="36" rows="5">'+$descr+'</textarea>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Radiobuttons <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Radiobuttons" href="?lightbox[width]=350&amp;lightbox[height]=150#field_opts_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_opts_'+$ps_n+'_light">Add/Remove radiobuttons here</div>'+
									'<div class="cl"><br /></div>'+
									'<div class="opt_cont">';
									
									var $vals = $value.split('|');
									
									if ($vals.length > 1){
										for (var $v = 0; $v < $vals.length; $v++){
											$field_html += '<div class="opt_item" style="padding-bottom:10px;">'+
												'<input size="36" name="opt_label" type="text" value="'+$vals[$v]+'" class="fl" />'+
												'<input class="delete small_but" type="button" name="delete_opt" value="" style="width:0; height:30px; float:left; margin-left:12px;" />'+
												'<div class="cl"></div>'+
											'</div>';
										}
									} else {
										$field_html += '<div class="opt_item" style="padding-bottom:10px;">'+
											'<input size="36" name="opt_label" type="text" value="" class="fl" />'+
											'<input class="delete small_but" type="button" name="delete_opt" value="" style="width:0; height:30px; float:left; margin-left:12px;" />'+
											'<div class="cl"></div>'+
										'</div>'+
										'<div class="opt_item" style="padding-bottom:10px;">'+
											'<input size="36" name="opt_label" type="text" value="" class="fl" />'+
											'<input class="delete small_but" type="button" name="delete_opt" value="" style="width:0; height:30px; float:left; margin-left:12px;" />'+
											'<div class="cl"></div>'+
										'</div>';
									}
									
									$field_html += '<input class="add small_but" type="button" name="add_opt" value="" style="width:0; height:30px; float:right; margin-left:12px;" />'+
									'</div>'+
								'</div>'+
							'</td>'+
						'</tr>'+
					'</table>'+
				'</li>';
			break;
			case 'checkbox':
				$field_html += '<li>'+
					'<table class="form-table cmsmasters-options">'+
						'<tr>'+
							'<td class="sep">'+
								'<input class="delete small_but" type="button" name="delete_field" value="" style="width:0; height:30px; float:right; margin-left:0;" />'+
								'<input type="hidden" name="field_id" value="'+$id+'" />'+
								'<input type="hidden" name="field_order" value="'+$number+'" />'+
								'<input type="hidden" name="field_type" value="checkbox" />'+
								'<div class="fl_field">'+
									'<span class="label">Checkbox Field Label <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Checkbox Field Label" href="?lightbox[width]=350&amp;lightbox[height]=150#field_label_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_label_'+$ps_n+'_light">Enter your field label here</div>'+
									'<div class="cl"><br /></div>'+
									'<input size="36" name="field_label" type="text" value="'+$label+'" id="'+$name+'" />'+
									'<div class="cl"><br /></div>'+
									'<div class="check_parent">'+
										'<input type="checkbox" name="field_required" id="field_required_'+$ps_n+'" value="required"'+$required+' />'+
										'<label for="field_required_'+$ps_n+'"><span class="labelon">Required</span></label>'+
									'</div>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Checkbox Field Description</span>'+
									'<a class="helpbox" title="Checkbox Field Description" href="?lightbox[width]=350&amp;lightbox[height]=150#field_descr_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_descr_'+$ps_n+'_light">Enter your field description here</div>'+
									'<div class="cl"><br /></div>'+
									'<textarea name="field_descr" cols="36" rows="5">'+$descr+'</textarea>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Checkbox Label <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Checkboxes" href="?lightbox[width]=350&amp;lightbox[height]=150#field_opts_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_opts_'+$ps_n+'_light">Enter checkbox label here</div>'+
									'<div class="cl"><br /></div>'+
									'<div class="opt_cont">'+
										'<div class="opt_item">'+
											'<input size="36" name="opt_label" type="text" value="'+$value+'" />'+
										'</div>'+
									'</div>'+
								'</div>'+
							'</td>'+
						'</tr>'+
					'</table>'+
				'</li>';
			break;
			case 'checkboxes':
				$field_html += '<li>'+
					'<table class="form-table cmsmasters-options">'+
						'<tr>'+
							'<td class="sep">'+
								'<input class="delete small_but" type="button" name="delete_field" value="" style="width:0; height:30px; float:right; margin-left:0;" />'+
								'<input type="hidden" name="field_id" value="'+$id+'" />'+
								'<input type="hidden" name="field_order" value="'+$number+'" />'+
								'<input type="hidden" name="field_type" value="checkboxes" />'+
								'<div class="fl_field">'+
									'<span class="label">Checkboxes Field Label <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Checkboxes Field Label" href="?lightbox[width]=350&amp;lightbox[height]=150#field_label_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_label_'+$ps_n+'_light">Enter your field label here</div>'+
									'<div class="cl"><br /></div>'+
									'<input size="36" name="field_label" type="text" value="'+$label+'" id="'+$name+'" />'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Checkboxes Field Description</span>'+
									'<a class="helpbox" title="Checkboxes Field Description" href="?lightbox[width]=350&amp;lightbox[height]=150#field_descr_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_descr_'+$ps_n+'_light">Enter your field description here</div>'+
									'<div class="cl"><br /></div>'+
									'<textarea name="field_descr" cols="36" rows="5">'+$descr+'</textarea>'+
								'</div>'+
								'<div class="fl_field">'+
									'<span class="label">Checkboxes <span style="color:#ff0000;">*</span></span>'+
									'<a class="helpbox" title="Checkboxes" href="?lightbox[width]=350&amp;lightbox[height]=150#field_opts_'+$ps_n+'_light"></a>'+
									'<div class="dn" id="field_opts_'+$ps_n+'_light">Add/Remove checkboxes here</div>'+
									'<div class="cl"><br /></div>'+
									'<div class="opt_cont">';
									
									var $vals = $value.split('|');
									
									if ($vals.length > 1){
										for (var $v = 0; $v < $vals.length; $v++){
											$field_html += '<div class="opt_item" style="padding-bottom:10px;">'+
												'<input size="36" name="opt_label" type="text" value="'+$vals[$v]+'" class="fl" />'+
												'<input class="delete small_but" type="button" name="delete_opt" value="" style="width:0; height:30px; float:left; margin-left:12px;" />'+
												'<div class="cl"></div>'+
											'</div>';
										}
									} else {
										$field_html += '<div class="opt_item" style="padding-bottom:10px;">'+
											'<input size="36" name="opt_label" type="text" value="" class="fl" />'+
											'<input class="delete small_but" type="button" name="delete_opt" value="" style="width:0; height:30px; float:left; margin-left:12px;" />'+
											'<div class="cl"></div>'+
										'</div>'+
										'<div class="opt_item" style="padding-bottom:10px;">'+
											'<input size="36" name="opt_label" type="text" value="" class="fl" />'+
											'<input class="delete small_but" type="button" name="delete_opt" value="" style="width:0; height:30px; float:left; margin-left:12px;" />'+
											'<div class="cl"></div>'+
										'</div>';
									}
									
									$field_html += '<input class="add small_but" type="button" name="add_opt" value="" style="width:0; height:30px; float:right; margin-left:12px;" />'+
									'</div>'+
								'</div>'+
							'</td>'+
						'</tr>'+
					'</table>'+
				'</li>';
			break;
		}
		
		return $field_html;
	}



	// Add New Form
	jQuery('.rght .tabb input[name="add_form"]').click(function(){
		if (insaving) return false;
		
		insaving = true;
		
		var $formName = prompt('Enter form name.');
		
		if (!$formName || $formName == '' || $formName == ' '){
			alert('Form name is invalid.');
			
			insaving = false;
			
			return false;
		} else {
			var $form_name = $formName.toLowerCase().replace(/ /g, '_').replace(/[^a-zA-Z0-9_]/g, '');
			
			if ($form_name == '' || $form_name == '_') $form_name = 'form_'+Math.random()*1000000000000000000;
			
			jQuery(this).hide();
			jQuery('.rght .tabb input[name="cancel_form"]').show();
			jQuery('#form_build_tab').empty();
			
			var $formHTML = '';
			
			$formHTML += '<table class="form-table cmsmasters-options">'+
				'<tr>'+
					'<td style="padding-top:10px;">'+
						'<input type="hidden" name="form_option" value="add" />'+
						'<input type="hidden" name="form_id" value="" />'+
						'<h2 class="fb_h2">Form Name <span style="color:#ff0000;">*</span></h2>'+
						'<div>'+
							'<input type="submit" name="save" value="Save Form" style="height:30px; float:right; margin-left:0;" />'+
							'<div class="fr" style="margin:7px 10px 0 0;"><img class="submit_loader" style="display:none;" src="'+$loaderImageUrl+'/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div>'+
						'</div>'+
						'<input size="50" maxlength="100" name="form_name" id="'+$form_name+'" type="text" value="'+$formName+'" class="fl" />'+
						'<a class="helpbox" title="Form Name" href="?lightbox[width]=350&amp;lightbox[height]=150#form_name_light" style="margin-top:4px;"></a>'+
						'<div class="dn" id="form_name_light">Enter your form name here.<br /><strong>Important: Form Name must be unique and not longer than 100 characters!</strong></div>'+
					'</td>'+
				'</tr>'+
				'<tr>'+
					'<td style="padding-top:0;">'+
						'<p class="fr" style="padding-top:33px; margin-bottom:0;">Drag and Drop to change fields order</p>'+
						'<h3 style="padding-bottom:5px;">Add / Remove / Edit Fields</h3>'+
					'</td>'+
				'</tr>'+
			'</table>'+
			'<ul id="fields-list">'+
			'</ul>'+
			'<table class="form-table cmsmasters-options">'+
				'<tr>'+
					'<td class="sep" style="padding-bottom:10px;">'+
						'<input class="add small_but" type="button" name="add_field" value="" style="width:0; height:30px; float:right; margin-left:12px;" />'+
						'<select style="width:150px; float:right;" id="field_choose">'+
							'<option value="">Choose field type</option>'+
							'<option value="text">Text Field</option>'+
							'<option value="email">Email Field</option>'+
							'<option value="textarea">Text Area</option>'+
							'<option value="dropdown">Dropdown</option>'+
							'<option value="radiobutton">Radiobuttons</option>'+
							'<option value="checkbox">Checkbox</option>'+
							'<option value="checkboxes">Checkboxes</option>'+
						'</select>'+
						'<a class="helpbox" title="Form Name" href="?lightbox[width]=350&amp;lightbox[height]=150#field_type_light" style="float:right; margin:4px 12px 0 0;"></a>'+
						'<div class="dn" id="field_type_light">Choose your field type here</div>'+
						'<div class="cl"></div>'+
						'<h3 style="padding-bottom:0; margin-top:30px;">Message Composer</h3>'+
					'</td>'+
				'</tr>'+
				'<tr>'+
					'<td>'+
						'<div class="message_composer_buttons" style="margin-left:-7px;"></div>'+
						'<div class="cl"></div>'+
						'<textarea name="composer_message" cols="100" rows="15">Your message text...</textarea>'+
					'</td>'+
				'</tr>'+
				'<tr>'+
					'<td>'+
						'<h3>The Message Subgect</h3>'+
						'<textarea name="composer_subject" cols="100" rows="1">Form Subject</textarea>'+
					'</td>'+
				'</tr>'+
				'<tr>'+
					'<td style="padding-top:0;">'+
						'<h3>The Message About Succesful Sending Text</h3>'+
						'<textarea name="composer_success" cols="100" rows="5">Thank You! <br />Your message has been sent successfully.</textarea>'+
					'</td>'+
				'</tr>'+
				'<tr>'+
					'<td class="sep">'+
						'<div class="check_parent fl">'+
							'<input type="checkbox" name="composer_use_captcha" id="composer_use_captcha" value="captcha" />'+
							'<label for="composer_use_captcha"><span class="labelon">Use CAPTCHA</span></label>'+
						'</div>'+
						'<div class="check_parent fl">'+
							'<input type="checkbox" name="composer_reset_button" id="composer_reset_button" value="reset" />'+
							'<label for="composer_reset_button"><span class="labelon">Add Reset Button</span></label>'+
						'</div>'+
						'<div class="cl" style="padding-top:50px;">'+
							'<input type="submit" name="save" value="Save Form" style="height:30px; float:left; margin-left:0;" />'+
							'<div class="fl" style="margin:7px 0 0 10px;"><img class="submit_loader" style="display:none;" src="'+$loaderImageUrl+'/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div>'+
						'</div>'+
					'</td>'+
				'</tr>'+
			'</table>';
			
			jQuery('#form_build_tab').append($formHTML);
			
			jQuery('.slider .rght .tabb.bot').parent().slideDown('slow');
			
			insaving = false;
			
			
			
			// Enable Fields Sorting
			jQuery('#fields-list').sortable({
				placeholder:'ui-sortable-placeholder',
				forcePlaceholderSize:true,
				cursor:'move',
				update:function(event, ui){
					jQuery('.message_composer_buttons').empty();
					
					for (var $i = 0, $length = jQuery('#fields-list li').length; $i < $length; $i++){
						jQuery('#fields-list li:eq('+$i+')').find('input[name="field_order"]').val($i+1);
						
						var $but_val = jQuery('#fields-list li:eq('+$i+')').find('input[name="field_label"]').val();
						
						if ($but_val == '' || $but_val == ' ') $but_val = 'Field';
						
						jQuery('.message_composer_buttons').append('<input type="button" name="composer_add_button" value="'+$but_val+'" style="height:30px; margin-left:7px;" />');
					}
				}
			});
			
			return false;
		}
	});



	// Cancel
	jQuery('.rght .tabb input[name="cancel_form"]').click(function(){
		if (insaving) return false;
		
		var $ask = (jQuery('#form_build_tab').find('input[name="form_name"]').attr('name') != undefined) ? confirm('All unsaved changes will be lost! Do you want to proceed?') : true;
		
		if (!$ask) return false;
		
		jQuery(this).hide();
		jQuery('.rght .tabb input[name="save_as_form"]').hide();
		jQuery('.rght .tabb input[name="add_form"]').show();
		jQuery('#form_build_tab').empty();
		jQuery('.slider .rght .tabb.bot').parent().slideUp('fast');
		
		return false;
	});



	// Delete Form
	jQuery('.rght .tabb input[name="delete_form"]').click(function(){
		if (insaving) return false;
		
		var $form_choose = jQuery('#form_choose').val();
		
		if ($form_choose == ''){
			alert('Please choose form!');
			
			return false;
		}
		
		var $form_choose_text = jQuery('#form_choose option:selected').text();
		
		var $ask = confirm('Are you sure you want to delete the form "'+$form_choose_text+'" and all the fields it contains?');
		
		if (!$ask) return false;
		
		insaving = true;
		
		jQuery('#settings_error').hide();
		jQuery(this).parent().find('.submit_loader').addClass('active_submit_loader').fadeIn('fast');
		
		if (jQuery('#form_build_tab input[name="form_name"]').attr('id') == $form_choose){
			jQuery('.rght .tabb input[name="cancel_form"]').hide();
			jQuery('.rght .tabb input[name="save_as_form"]').hide();
			jQuery('.rght .tabb input[name="add_form"]').show();
			jQuery('#form_build_tab').empty();
			jQuery('.slider .rght .tabb.bot').parent().slideUp('fast');
		}
		
		jQuery.post($loaderImageUrl+'/theme/functions/form_builder_operator.php', {type:'form', option:'delete', data:$form_choose}).error(function(){
			jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
			alert('Error on page! Please reload page and try again.');
			
			insaving = false;
			return false;
		}).complete(function(data){
			jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('slow');
			
			if (data.responseText == 'error'){
				alert('Form deleting error was detected! It is no such form in your database.');
				
				insaving = false;
				return false;
			} else {
				jQuery('select#form_choose').find('option[value="'+$form_choose+'"]').remove();
				
				jQuery('html, body').animate({scrollTop:0}, 'slow');
				jQuery('#settings_error').slideDown('fast').delay(5000).slideUp('slow');
				
				insaving = false;
			}
		});
		
		return false;
	});



	// Edit Form
	jQuery('.rght .tabb input[name="edit_form"]').click(function(){
		if (insaving) return false;
		
		var $form_choose = jQuery('#form_choose').val();
		
		if ($form_choose == ''){
			alert('Please choose form!');
			
			return false;
		}
		
		var $ask = (jQuery('#form_build_tab').find('input[name="form_name"]').attr('name') != undefined) ? confirm('All unsaved changes will be lost! Do you want to proceed?') : true;
		
		if (!$ask) return false;
		
		insaving = true;
		
		jQuery('#form_build_tab').empty();
		jQuery('.slider .rght .tabb.bot').parent().slideUp('fast');
		
		jQuery.post($loaderImageUrl+'/theme/functions/form_builder_operator.php', {type:'form', option:'edit', data:$form_choose}).error(function(){
			jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
			alert('Error on page! Please reload page and try again.');
			
			insaving = false;
			return false;
		}).complete(function(data){
			jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('slow');
			
			if (data.responseText == 'error'){
				alert('Error was detected! It is no such form in your database.');
				
				insaving = false;
				return false;
			} else {
				jQuery('.rght .tabb input[name="add_form"]').hide();
				jQuery('.rght .tabb input[name="cancel_form"]').show();
				jQuery('.rght .tabb input[name="save_as_form"]').show();
				
				var $formHTML = '';
				var $table_values = data.responseText;
				
				$table_values = $table_values.replace('[{', '');
				$table_values = $table_values.replace('}]', '');
				
				var $line_values = $table_values.split('}||{');
				
				for (var $l = 0; $l < $line_values.length; $l++){
					var $lValue = $line_values[$l].split('{%|%}');
					
					if ($lValue[4] == 'form') var $form_value = $lValue;
				}
				
				var $form_vals = $form_value[7].split('{|%|}');
				
				var $composer_value = '';
				
				for (var $c = 0; $c < $line_values.length; $c++){
					var $cValue = $line_values[$c].split('{%|%}');
					
					if ($cValue[4] != 'form'){
						$composer_value += '<input type="button" name="composer_add_button" value="'+$cValue[5]+'" style="height:30px; margin-left:7px;" />';
					}
				}
				
				var $captcha = ($form_value[8].replace('captcha', '') != $form_value[8]) ? ' checked="checked"' : '';
				var $reset = ($form_value[8].replace('reset', '') != $form_value[8]) ? ' checked="checked"' : '';
				
				$formHTML += '<table class="form-table cmsmasters-options">'+
					'<tr>'+
						'<td style="padding-top:10px;">'+
							'<input type="hidden" name="form_option" value="update" />'+
							'<input type="hidden" name="form_id" value="'+$form_value[0]+'" />'+
							'<h2 class="fb_h2">Form Name <span style="color:#ff0000;">*</span></h2>'+
							'<div>'+
								'<input type="submit" name="save" value="Save Form" style="height:30px; float:right; margin-left:0;" />'+
								'<div class="fr" style="margin:7px 10px 0 0;"><img class="submit_loader" style="display:none;" src="'+$loaderImageUrl+'/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div>'+
							'</div>'+
							'<input size="50" maxlength="100" name="form_name" id="'+$form_value[3]+'" type="text" value="'+$form_value[5]+'" class="fl" />'+
							'<a class="helpbox" title="Form Name" href="?lightbox[width]=350&amp;lightbox[height]=150#form_name_light" style="margin-top:4px;"></a>'+
							'<div class="dn" id="form_name_light">Enter your form name here.<br /><strong>Important: Form Name must be unique and not longer than 100 characters!</strong></div>'+
						'</td>'+
					'</tr>'+
					'<tr>'+
						'<td style="padding-top:0;">'+
							'<p class="fr" style="padding-top:33px; margin-bottom:0;">Drag and Drop to change fields order</p>'+
							'<h3 style="padding-bottom:5px;">Add / Remove / Edit Fields</h3>'+
						'</td>'+
					'</tr>'+
				'</table>'+
				'<ul id="fields-list">';
				
				for (var $j = 0; $j < $line_values.length; $j++){
					var $value = $line_values[$j].split('{%|%}');
					
					$formHTML += fieldChoose($value[4], $line_values[$j]);
				}
				
				$formHTML += '</ul>'+
				'<table class="form-table cmsmasters-options">'+
					'<tr>'+
						'<td class="sep" style="padding-bottom:10px;">'+
							'<input class="add small_but" type="button" name="add_field" value="" style="width:0; height:30px; float:right; margin-left:12px;" />'+
							'<select style="width:150px; float:right;" id="field_choose">'+
								'<option value="">Choose field type</option>'+
								'<option value="text">Text Field</option>'+
								'<option value="email">Email Field</option>'+
								'<option value="textarea">Text Area</option>'+
								'<option value="dropdown">Dropdown</option>'+
								'<option value="radiobutton">Radiobuttons</option>'+
								'<option value="checkbox">Checkbox</option>'+
								'<option value="checkboxes">Checkboxes</option>'+
							'</select>'+
							'<a class="helpbox" title="Form Name" href="?lightbox[width]=350&amp;lightbox[height]=150#field_type_light" style="float:right; margin:4px 12px 0 0;"></a>'+
							'<div class="dn" id="field_type_light">Choose your field type here</div>'+
							'<div class="cl"></div>'+
							'<h3 style="padding-bottom:0; margin-top:30px;">Message Composer</h3>'+
						'</td>'+
					'</tr>'+
					'<tr>'+
						'<td>'+
							'<div class="message_composer_buttons" style="margin-left:-7px;">'+$composer_value+'</div>'+
							'<div class="cl"></div>'+
							'<textarea name="composer_message" cols="100" rows="15">'+$form_value[6]+'</textarea>'+
						'</td>'+
					'</tr>'+
					'<tr>'+
						'<td>'+
							'<h3>The Message Subgect</h3>'+
							'<textarea name="composer_subject" cols="100" rows="1">'+$form_vals[0]+'</textarea>'+
						'</td>'+
					'</tr>'+
					'<tr>'+
						'<td style="padding-top:0;">'+
							'<h3>The Message About Succesful Sending Text</h3>'+
							'<textarea name="composer_success" cols="100" rows="5">'+$form_vals[1]+'</textarea>'+
						'</td>'+
					'</tr>'+
					'<tr>'+
						'<td class="sep">'+
							'<div class="check_parent fl">'+
								'<input type="checkbox" name="composer_use_captcha" id="composer_use_captcha" value="captcha"'+$captcha+' />'+
								'<label for="composer_use_captcha"><span class="labelon">Use CAPTCHA</span></label>'+
							'</div>'+
							'<div class="check_parent fl">'+
								'<input type="checkbox" name="composer_reset_button" id="composer_reset_button" value="reset"'+$reset+' />'+
								'<label for="composer_reset_button"><span class="labelon">Add Reset Button</span></label>'+
							'</div>'+
							'<div class="cl" style="padding-top:50px;">'+
								'<input type="submit" name="save" value="Save Form" style="height:30px; float:left; margin-left:0;" />'+
								'<div class="fl" style="margin:7px 0 0 10px;"><img class="submit_loader" style="display:none;" src="'+$loaderImageUrl+'/theme/administrator/images/wpspin_light.gif" alt="Loading" /></div>'+
							'</div>'+
						'</td>'+
					'</tr>'+
				'</table>';
				
				jQuery('#form_build_tab').append($formHTML);
				
				jQuery('.slider .rght .tabb.bot').parent().slideDown('slow');
				
				insaving = false;
				
				
				
				// Enable Fields Sorting
				jQuery('#fields-list').sortable({
					placeholder:'ui-sortable-placeholder',
					forcePlaceholderSize:true,
					cursor:'move',
					update:function(event, ui){
						jQuery('.message_composer_buttons').empty();
						
						for (var $i = 0, $length = jQuery('#fields-list li').length; $i < $length; $i++){
							jQuery('#fields-list li:eq('+$i+')').find('input[name="field_order"]').val($i+1);
							
							var $but_val = jQuery('#fields-list li:eq('+$i+')').find('input[name="field_label"]').val();
							
							if ($but_val == '' || $but_val == ' ') $but_val = 'Field';
							
							jQuery('.message_composer_buttons').append('<input type="button" name="composer_add_button" value="'+$but_val+'" style="height:30px; margin-left:7px;" />');
						}
					}
				});
				
				
				
				// Enable Min/Max Size Spinner
				jQuery('input[name="min_size"], input[name="max_size"]').spinner({
					min:0,
					max:999,
					step:1,
					allowNull:true
				});
			}
		});
		
		return false;
	});



	// Save As Form
	jQuery('.rght .tabb input[name="save_as_form"]').click(function(){
		if (insaving) return false;
		
		insaving = true;
		
		jQuery('#settings_save').hide();
		jQuery(this).parent().find('.submit_loader').addClass('active_submit_loader').fadeIn('fast');
		
		var $formName = prompt('Enter form name.');
		
		if ($formName && $formName != '' && $formName != ' '){
			saveAction('add', $formName);
		} else {
			alert('Form not saved! Form name is invalid.');
			
			jQuery('.submit_loader.active_submit_loader').removeClass('active_submit_loader').fadeOut('fast');
		}
		
		insaving = false;
		
		return false;
	});



	// Save Form
	jQuery('.rght .tabb input[name="save"]').live('click', function(){
		if (insaving) return false;
		
		insaving = true;
		
		jQuery('#settings_save').hide();
		jQuery(this).parent().find('.submit_loader').addClass('active_submit_loader').fadeIn('fast');
		
		$saveOption = jQuery('input[name="form_option"]').val();
		
		saveAction($saveOption);
		
		insaving = false;
		
		return false;
	});



	// Add New Field
	jQuery('.rght .tabb input[name="add_field"]').live('click', function(){
		if (insaving) return false;
		
		var $field_type = jQuery('#field_choose').val();
		
		if ($field_type == ''){
			alert('Please choose field type!');
			
			return false;
		}
		
		jQuery('#fields-list').append(fieldChoose($field_type));
		
		jQuery('.message_composer_buttons').append('<input type="button" name="composer_add_button" value="Field" style="height:30px; margin-left:7px;" />');
		
		
		
		// Enable Min/Max Size Spinner
		jQuery('input[name="min_size"], input[name="max_size"]').spinner({
			min:0,
			max:999,
			step:1,
			allowNull:true
		});
		
		return false;
	});



	// Delete Field
	jQuery('.rght .tabb input[name="delete_field"]').live('click', function(){
		if (insaving) return false;
		
		var $field = jQuery(this).parent().parent().parent().parent().parent();
		
		if (jQuery($field).is('li')){
			var $ask = confirm('Are you sure you want to delete this field?');
			
			if (!$ask) return false;
			
			if (jQuery('input[name="form_option"]').val() == 'update'){
				var $field_choose = $field.find('input[name="field_id"]').val();
				
				if ($field_choose == ''){
					alert('Error on page! Please reload page and try again.');
					
					return false;
				}
				
				jQuery.post($loaderImageUrl+'/theme/functions/form_builder_operator.php', {type:'fields', option:'delete', data:$field_choose}).error(function(){
					alert('Error on page! Please reload page and try again.');
					
					return false;
				}).complete(function(data){
					if (data.responseText == 'error'){
						alert('Field deleting error was detected! It is no such field in your database.');
						
						$field.slideUp('fast', function(){ jQuery(this).remove(); });
						
						jQuery('.message_composer_buttons').find('input[name="composer_add_button"]:eq('+$field.index()+')').remove();
						
						return false;
					} else {
						$field.slideUp('fast', function(){ jQuery(this).remove(); });
						
						jQuery('.message_composer_buttons').find('input[name="composer_add_button"]:eq('+$field.index()+')').remove();
						
						return false;
					}
				});
			} else if (jQuery('input[name="form_option"]').val() == 'add'){
				$field.slideUp('fast', function(){ jQuery(this).remove(); });
				
				jQuery('.message_composer_buttons').find('input[name="composer_add_button"]:eq('+$field.index()+')').remove();
				
				return false;
			}
		} else {
			alert('Error on page! Please reload page and try again.');
			
			return false;
		}
	});



	// Add Option
	jQuery('.rght .tabb input[name="add_opt"]').live('click', function(){
		if (insaving) return false;
		
		var $opt = '<div class="opt_item" style="padding-bottom:10px;">'+
			'<input class="fl" type="text" value="" name="opt_label" size="36">'+
			'<input class="delete small_but" type="button" style="width:0; height:30px; float:left; margin-left:12px;" value="" name="delete_opt">'+
			'<div class="cl"></div>'+
		'</div>';
		
		jQuery(this).before($opt);
		
		return false;
	});



	// Delete Option
	jQuery('.rght .tabb input[name="delete_opt"]').live('click', function(){
		if (insaving) return false;
		
		if (jQuery(this).parent().parent().find('.opt_item').length > 2){
			var $ask = confirm('Are you sure you want to delete this option?');
			
			if (!$ask) return false;
			
			jQuery(this).parent().fadeOut('fast', function(){
				jQuery(this).remove();
			});
		} else {
			alert("Here can't be less than 2 options!");
		}
		
		return false;
	});



	// Composer Add/Edit Buttons On Blur
	jQuery('.rght .tabb input[name="field_label"]').live('blur', function(){
		if (insaving) return false;
		
		var $element = jQuery(this).parent().parent().parent().parent().parent().parent().index();
		
		var $vl = jQuery(this).val();
		
		if ($vl == '' || $vl == ' ') $vl = 'Field';
		
		jQuery('.message_composer_buttons').find('input[name="composer_add_button"]:eq('+$element+')').val($vl);
		
		return false;
	});



	// Composer Add/Edit Buttons On Change
	jQuery('.rght .tabb input[name="field_label"]').live('change', function(){
		if (insaving) return false;
		
		var $element = jQuery(this).parent().parent().parent().parent().parent().parent().index();
		
		var $vl = jQuery(this).val();
		
		if ($vl == '' || $vl == ' ') $vl = 'Field';
		
		jQuery('.message_composer_buttons').find('input[name="composer_add_button"]:eq('+$element+')').val($vl);
		
		return false;
	});



	// Composer Button Click
	jQuery('.rght .tabb input[name="composer_add_button"]').live('click', function(){
		if (insaving) return false;
		
		var $newVal = jQuery(this).val();
		
		var $oldVal = jQuery('textarea[name="composer_message"]').val();
		
		jQuery('textarea[name="composer_message"]').val($oldVal+'[%'+$newVal+'%]').focus();
		
		return false;
	});
});
