(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode10');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode10', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode10', function() {
				ed.windowManager.open({
					file : url + '/window_column.php',
					width : 700 + ed.getLang('cmsmasters_shortcode10.delta_width', 0),
					height : 620 + ed.getLang('cmsmasters_shortcode10.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode10', {
				title : 'cmsmasters_shortcode10.desc',
				cmd : 'mcecmsmasters_shortcode10',
				image : url + '/columns.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode10', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode10',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode10', tinymce.plugins.cmsmasters_shortcode10);
})();
