(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode2');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode2', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode2', function() {
				ed.windowManager.open({
					file : url + '/window_contact.php',
					width : 500 + ed.getLang('cmsmasters_shortcode2.delta_width', 0),
					height : 250 + ed.getLang('cmsmasters_shortcode2.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode2', {
				title : 'cmsmasters_shortcode2.desc',
				cmd : 'mcecmsmasters_shortcode2',
				image : url + '/form.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode2', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode2',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode2', tinymce.plugins.cmsmasters_shortcode2);
})();
