(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode7');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode7', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode7', function() {
				ed.windowManager.open({
					file : url + '/window_pricing.php',
					width : 700 + ed.getLang('cmsmasters_shortcode7.delta_width', 0),
					height : 530 + ed.getLang('cmsmasters_shortcode7.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode7', {
				title : 'cmsmasters_shortcode7.desc',
				cmd : 'mcecmsmasters_shortcode7',
				image : url + '/pricing.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode7', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode7',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode7', tinymce.plugins.cmsmasters_shortcode7);
})();
