(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode12');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode12', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode12', function() {
				ed.windowManager.open({
					file : url + '/window_widget.php',
					width : 400 + ed.getLang('cmsmasters_shortcode12.delta_width', 0),
					height : 230 + ed.getLang('cmsmasters_shortcode12.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode12', {
				title : 'cmsmasters_shortcode12.desc',
				cmd : 'mcecmsmasters_shortcode12',
				image : url + '/widgets.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode12', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode12',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode12', tinymce.plugins.cmsmasters_shortcode12);
})();
