function init(){
	tinyMCEPopup.resizeToInnerSize()
}

function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}

function insertCMSMastersLink() {
	
	var tagtext;
	
	var infobox = document.getElementById('infobox_panel');
	var blockquote = document.getElementById('blockquote_panel');
	var code = document.getElementById('code_panel');
	var block = document.getElementById('block_panel');

	if (infobox.className.indexOf('current') != -1){
		var type = document.getElementById('infobox_type').value;
		var text = document.getElementById('infobox_text').value;
		
		tagtext = "[" + type + "_box]" + text + "[/" + type + "_box]";
	}

	if (blockquote.className.indexOf('current') != -1){
		var text = document.getElementById('blockquote_text').value;
		
		tagtext = "[blockquote]" + text + "[/blockquote]";
	}

	if (code.className.indexOf('current') != -1){
		var text = document.getElementById('code_text').value;
		
		tagtext = "[code]" + text + "[/code]";
	}
	
	if (block.className.indexOf('current') != -1){
		var color = document.getElementById('block_text_color').value;
		var text = document.getElementById('block_text').value;
		var btext = document.getElementById('block_button').value;
		var link = document.getElementById('block_link').value;
		if (color != 0 && text != 0 && link != 0 && btext != 0) {
			tagtext = "[custom_block textcolor=\"" + color + "\" buttontext=\"" + btext + "\" buttonlink=\"" + link + "\"]" + text + "[/custom_block]";
		} else {
			if (color != 0 && text != 0){
				tagtext = "[custom_block textcolor=\"" + color + "\"]" + text + "[/custom_block]";
			} else {
				alert('Fill in the required fields!');
			}
		}
	}
	
	if(window.tinyMCE) {
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, tagtext);
		tinyMCEPopup.editor.execCommand('mceRepaint');
		tinyMCEPopup.close();
	}
	return;
}
