function init(){
	tinyMCEPopup.resizeToInnerSize()
}

function getCheckedValue(radioObj){
	if (!radioObj)
		return "";
	
	var radioLength = radioObj.length;
	
	if (radioLength == undefined)
		if (radioObj.checked)
			return radioObj.value;
		else
			return "";
	
	for (var i = 0; i < radioLength; i++){
		if (radioObj[i].checked){
			return radioObj[i].value;
		}
	}
	
	return "";
}

function insertCMSMastersLink(){
	var tagtext;
	var column = document.getElementById('column_panel');
	var two_column = document.getElementById('two_column_panel');
	var three_column = document.getElementById('three_column_panel');
	var four_column = document.getElementById('four_column_panel');
	var five_column = document.getElementById('five_column_panel');

	if (column.className.indexOf('current') != -1){
		var type = document.getElementById('column_type').value;
		var text = document.getElementById('column_text').value;
		
		tagtext = "["+type+"]"+text+"[/"+type+"]";
	}
	
	if (two_column.className.indexOf('current') != -1) {
		var type = document.getElementById('two_column_type').value;
		var text1 = document.getElementById('two_column_text1').value;
		var text2 = document.getElementById('two_column_text2').value;
		
		if (type == 'onehalf_onehalf'){
			tagtext = "[one_half]"+text1+"[/one_half] [one_half_last]"+text2+"[/one_half_last]";
		} else if (type == 'onethird_twothird'){
			tagtext = "[one_third]"+text1+"[/one_third] [two_third_last]"+text2+"[/two_third_last]";
		} else if (type == 'twothird_onethird'){
			tagtext = "[two_third]"+text1+"[/two_third] [one_third_last]"+text2+"[/one_third_last]";
		} else if (type == 'onefourth_threefourth'){
			tagtext = "[one_fourth]"+text1+"[/one_fourth] [three_fourth_last]"+text2+"[/three_fourth_last]";
		} else if (type == 'threefourth_onefourth'){
			tagtext = "[three_fourth]"+text1+"[/three_fourth] [one_fourth_last]"+text2+"[/one_fourth_last]";
		} else if (type == 'onefifth_fourfifth'){
			tagtext = "[one_fifth]"+text1+"[/one_fifth] [four_fifth_last]"+text2+"[/four_fifth_last]";
		} else if (type == 'fourfifth_onefifth'){
			tagtext = "[four_fifth]"+text1+"[/four_fifth] [one_fifth_last]"+text2+"[/one_fifth_last]";
		} else if (type == 'twofifth_threefifth'){
			tagtext = "[two_fifth]"+text1+"[/two_fifth] [three_fifth_last]"+text2+"[/three_fifth_last]";
		} else if (type == 'threefifth_twofifth'){
			tagtext = "[three_fifth]"+text1+"[/three_fifth] [two_fifth_last]"+text2+"[/two_fifth_last]";
		} else {
			tinyMCEPopup.close();
		}
	}
	
	if (three_column.className.indexOf('current') != -1){
		var type = document.getElementById('three_column_type').value;
		var text1 = document.getElementById('three_column_text1').value;
		var text2 = document.getElementById('three_column_text2').value;
		var text3 = document.getElementById('three_column_text3').value;
		
		if (type == 'onethird_onethird_onethird'){
			tagtext = "[one_third]"+text1+"[/one_third] [one_third]"+text2+"[/one_third] [one_third_last]"+text3+"[/one_third_last]";
		} else if (type == 'onefourth_onefourth_onehalf'){
			tagtext = "[one_fourth]"+text1+"[/one_fourth] [one_fourth]"+text2+"[/one_fourth] [one_half_last]"+text3+"[/one_half_last]";
		} else if (type == 'onehalf_onefourth_onefourth'){
			tagtext = "[one_half]"+text1+"[/one_half] [one_fourth]"+text2+"[/one_fourth] [one_fourth_last]"+text3+"[/one_fourth_last]";
		} else if (type == 'onefourth_onehalf_onefourth'){
			tagtext = "[one_fourth]"+text1+"[/one_fourth] [one_half]"+text2+"[/one_half] [one_fourth_last]"+text3+"[/one_fourth_last]";
		} else if (type == 'onefifth_onefifth_threefifth'){
			tagtext = "[one_fifth]"+text1+"[/one_fifth] [one_fifth]"+text2+"[/one_fifth] [three_fifth_last]"+text3+"[/three_fifth_last]";
		} else if (type == 'onefifth_threefifth_onefifth'){
			tagtext = "[one_fifth]"+text1+"[/one_fifth] [three_fifth]"+text2+"[/three_fifth] [one_fifth_last]"+text3+"[/one_fifth_last]";
		} else if (type == 'threefifth_onefifth_onefifth'){
			tagtext = "[three_fifth]"+text1+"[/three_fifth] [one_fifth]"+text2+"[/one_fifth] [one_fifth_last]"+text3+"[/one_fifth_last]";
		} else if (type == 'onefifth_twofifth_twofifth'){
			tagtext = "[one_fifth]"+text1+"[/one_fifth] [two_fifth]"+text2+"[/two_fifth] [two_fifth_last]"+text3+"[/two_fifth_last]";
		} else if (type == 'twofifth_onefifth_twofifth'){
			tagtext = "[two_fifth]"+text1+"[/two_fifth] [one_fifth]"+text2+"[/one_fifth] [two_fifth_last]"+text3+"[/two_fifth_last]";
		} else if (type == 'twofifth_twofifth_onefifth'){
			tagtext = "[two_fifth]"+text1+"[/two_fifth] [two_fifth]"+text2+"[/two_fifth] [one_fifth_last]"+text3+"[/one_fifth_last]";
		} else {
			tinyMCEPopup.close();
		}
	}
	
	if (four_column.className.indexOf('current') != -1){
		var type = document.getElementById('four_column_type').value;
		var text1 = document.getElementById('four_column_text1').value;
		var text2 = document.getElementById('four_column_text2').value;
		var text3 = document.getElementById('four_column_text3').value;
		var text4 = document.getElementById('four_column_text4').value;
		
		if (type == 'onefourth_onefourth_onefourth_onefourth'){
			tagtext = "[one_fourth]"+text1+"[/one_fourth] [one_fourth]"+text2+"[/one_fourth] [one_fourth]"+text3+"[/one_fourth] [one_fourth_last]"+text4+"[/one_fourth_last]";
		} else if (type == 'onefifth_onefifth_onefifth_twofifth'){
			tagtext = "[one_fifth]"+text1+"[/one_fifth] [one_fifth]"+text2+"[/one_fifth] [one_fifth]"+text3+"[/one_fifth] [two_fifth_last]"+text4+"[/two_fifth_last]";
		} else if (type == 'onefifth_onefifth_twofifth_onefifth'){
			tagtext = "[one_fifth]"+text1+"[/one_fifth] [one_fifth]"+text2+"[/one_fifth] [two_fifth]"+text3+"[/two_fifth] [one_fifth_last]"+text4+"[/one_fifth_last]";
		} else if (type == 'onefifth_twofifth_onefifth_onefifth'){
			tagtext = "[one_fifth]"+text1+"[/one_fifth] [two_fifth]"+text2+"[/two_fifth] [one_fifth]"+text3+"[/one_fifth] [one_fifth_last]"+text4+"[/one_fifth_last]";
		} else if (type == 'twofifth_onefifth_onefifth_onefifth'){
			tagtext = "[two_fifth]"+text1+"[/two_fifth] [one_fifth]"+text2+"[/one_fifth] [one_fifth]"+text3+"[/one_fifth] [one_fifth_last]"+text4+"[/one_fifth_last]";
		}
	}
	
	if (five_column.className.indexOf('current') != -1){
		var text1 = document.getElementById('five_column_text1').value;
		var text2 = document.getElementById('five_column_text2').value;
		var text3 = document.getElementById('five_column_text3').value;
		var text4 = document.getElementById('five_column_text4').value;
		var text5 = document.getElementById('five_column_text5').value;
		
		tagtext = "[one_fifth]"+text1+"[/one_fifth] [one_fifth]"+text2+"[/one_fifth] [one_fifth]"+text3+"[/one_fifth] [one_fifth]"+text4+"[/one_fifth] [one_fifth_last]"+text5+"[/one_fifth_last]";
	}
	
	if (window.tinyMCE){
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, tagtext);
		tinyMCEPopup.editor.execCommand('mceRepaint');
		tinyMCEPopup.close();
	}
	
	return;
}
