function init(){
	tinyMCEPopup.resizeToInnerSize()
}

function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}

function insertCMSMastersLink() {
	
	var tagtext;
	
	var table = document.getElementById('table_panel');

	if (table.className.indexOf('current') != -1) {
		var cols = document.getElementById('table_cols').value;
		var rows = document.getElementById('table_rows').value;
		var thead = document.getElementById('table_head_top');
		var bhead = document.getElementById('table_head_bot');
		if (cols != 0 && rows != 0) {
			tagtext = "[custom_table]<table class='table'>\r";
			if ( thead.checked ) {
				tagtext = tagtext + "<thead><tr>\r";
				for (var i = 0; i < cols; i++) {
					var n = i + 1;
					var th_item = 'Header ' + n;
					tagtext = tagtext + "<th>" + th_item + "</th>\r";
				}
				tagtext = tagtext + "</tr></thead>\r";
			}
			tagtext = tagtext + "<tbody>\r";
			for (var i = 0; i < rows; i++) {
				tagtext = tagtext + "<tr>\r";
				for (var j = 0; j < cols; j++) {
					var n = j + 1;
					var td_item = 'Division ' + n;
					tagtext = tagtext + "<td>" + td_item + "</td>";
				}
				tagtext = tagtext + "</tr>\r";
			}
			tagtext = tagtext + "</tbody>\r";
			if ( bhead.checked ) {
				tagtext = tagtext + "<tfoot><tr>\r";
				for (var i = 0; i < cols; i++) {
					var n = i + 1;
					var th_item = 'Header ' + n;
					tagtext = tagtext + "<th>" + th_item + "</th>\r";
				}
				tagtext = tagtext + "</tr></tfoot>\r";
			}
			tagtext = tagtext + "</table>[/custom_table]";
		} else {
			alert('Fill in the required fields!');
		}
	}
		
	if(window.tinyMCE) {
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, tagtext);
		tinyMCEPopup.editor.execCommand('mceRepaint');
		tinyMCEPopup.close();
	}
	return;
}
