function init(){
	tinyMCEPopup.resizeToInnerSize()
}

function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}

function insertCMSMastersLink() {
	
	var tagtext;
	
	var toggle = document.getElementById('toggle_panel');
	var tabs = document.getElementById('tabs_panel');
	var accordion = document.getElementById('accordion_panel');
	var tour = document.getElementById('tour_panel');

	if (toggle.className.indexOf('current') != -1) {
		var title = document.getElementById('toggle_title').value;
		var text = document.getElementById('toggle_text').value;
		if (title != 0) {
			tagtext = "[toggle title=\"" + title + "\"]" + text + "[/toggle]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	
	
	if (accordion.className.indexOf('current') != -1) {
		var number = document.getElementById('toggle_number').value;
		var acc_title1 = document.getElementById('accordion_title1').value;
		var acc_text1 = document.getElementById('accordion_text1').value;
		var acc_title2 = document.getElementById('accordion_title2').value;
		var acc_text2 = document.getElementById('accordion_text2').value;
		if (number != 0 && acc_title1 != 0 && acc_title2 != 0) {
			tagtext = "[accordion]<br />[toggle title=\"" + acc_title1 + "\"]" + acc_text1 + "[/toggle]<br />[toggle title=\"" + acc_title2 + "\"]" + acc_text2 + "[/toggle]<br />";
			for (var i = 2; i < number; i++) {
				var n = i + 1;
				var accordion_title = 'accordion_title' + n;
				var accordion_text = 'accordion_text' + n;
				var acc_title = document.getElementById(accordion_title).value;
				var acc_text = document.getElementById(accordion_text).value;
				tagtext = tagtext + "[toggle title=\"" + acc_title + "\"]" + acc_text + "[/toggle]<br />";
			}
			tagtext = tagtext + "[/accordion]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	

	if (tabs.className.indexOf('current') != -1) {
		var number = document.getElementById('tabs_number').value;
		var tab_title1 = document.getElementById('tab_title1').value;
		var tab_text1 = document.getElementById('tab_text1').value;
		var tab_title2 = document.getElementById('tab_title2').value;
		var tab_text2 = document.getElementById('tab_text2').value;
		if (number != 0 && tab_title1 != 0 && tab_title2 != 0) {
			tagtext = "[tabs tab1=\"" + tab_title1 + "\" tab2=\"" + tab_title2 + "\"";
			for (var i = 2; i < number; i++) {
				var n = i + 1;
				var tabs_title = 'tab_title' + n;
				var tab_title = document.getElementById(tabs_title).value;
				tagtext = tagtext + " tab" + n + "=\"" + tab_title + "\"";
			}
			tagtext = tagtext + "]<br />[tab]" + tab_text1 + "[/tab]<br />[tab]" + tab_text2 + "[/tab]<br />";
			for (var i = 2; i < number; i++) {
				var n = i + 1;
				var tabs_text = 'tab_text' + n;
				var tab_text = document.getElementById(tabs_text).value;
				tagtext = tagtext + "[tab]" + tab_text + "[/tab]<br />";
			}
			tagtext = tagtext + "[/tabs]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	

	if (tour.className.indexOf('current') != -1) {
		var number = document.getElementById('tours_number').value;
		var tour_title = document.getElementById('tour_title').value;
		var tour_title1 = document.getElementById('tour_title1').value;
		var tour_text1 = document.getElementById('tour_text1').value;
		var tour_title2 = document.getElementById('tour_title2').value;
		var tour_text2 = document.getElementById('tour_text2').value;
		if (number != 0 && tour_title != 0 && tour_title1 != 0 && tour_title2 != 0){
			tagtext = "[tours title=\"" + tour_title + "\" tour1=\"" + tour_title1 + "\" tour2=\"" + tour_title2 + "\"";
			for (var i = 2; i < number; i++) {
				var n = i + 1;
				var tours_title = 'tour_title' + n;
				var tour_title = document.getElementById(tours_title).value;
				tagtext = tagtext + " tour" + n + "=\"" + tour_title + "\"";
			}
			tagtext = tagtext + "]<br />[tour]" + tour_text1 + "[/tour]<br />[tour]" + tour_text2 + "[/tour]<br />";
			for (var i = 2; i < number; i++) {
				var n = i + 1;
				var tours_text = 'tour_text' + n;
				var tour_text = document.getElementById(tours_text).value;
				tagtext = tagtext + "[tour]" + tour_text + "[/tour]<br />";
			}
			tagtext = tagtext + "[/tours]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	
	if(window.tinyMCE) {
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, tagtext);
		tinyMCEPopup.editor.execCommand('mceRepaint');
		tinyMCEPopup.close();
	}
	return;
}
