function init(){
	tinyMCEPopup.resizeToInnerSize()
}

function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}

function insertCMSMastersLink() {
	
	var tagtext;
	
	var flickr = document.getElementById('flickr_panel');
	var twitter = document.getElementById('twitter_panel');

	if (flickr.className.indexOf('current') != -1) {
		var id = document.getElementById('flickr_id').value;
		var count = document.getElementById('flickr_count').value;
		if (id != 0 && count != 0) {
			tagtext = "[flickr id=\"" + id + "\" count=\"" + count + "\"]";
		} else {
			alert('Fill in the required fields!');
		}
	}

	if (twitter.className.indexOf('current') != -1) {
		var username = document.getElementById('twitter_username').value;
		var count = document.getElementById('twitter_count').value;
		if (username != 0 && count != 0) {
			tagtext = "[twitter username=\"" + username + "\" count=\"" + count + "\"]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	
	if(window.tinyMCE) {
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, tagtext);
		tinyMCEPopup.editor.execCommand('mceRepaint');
		tinyMCEPopup.close();
	}
	return;
}
