<?php

require_once('config.php');

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $themename .' Table Shortcode'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/tinymce/tinymce_table.js"></script>
	<base target="_self" />
	<style type="text/css">
		.tabs a, td, legend, textarea, input, select { font-size:11px; }
	</style>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display: none">
	<form name="cmsmasters_portfolio" action="#">
	<div class="tabs"></div>
	
	<div class="panel_wrapper" style="height:175px;">
		<div id="table_panel" class="panel current" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter table number of columns, rows and choose headings</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="table_cols">Number of Columns: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="table_cols" name="table_cols" size="10" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="table_rows">Number of Rows: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="table_rows" name="table_rows" size="10" /><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="table_head_top">Top Heading:</label></td>
            <td><input type="checkbox" id="table_head_top" name="table_head_top" /><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="table_head_bot"> Bottom Heading:</label></td>
            <td><input type="checkbox" id="table_head_bot" name="table_head_bot" /><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		<br />
		<span style="color:#ff0000;">* - Requaired fields</span>
	</div>

	<div class="mceActionPanel">
		<br />
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onclick="insertCMSMastersLink();" />
		</div>
	</div>
</form>
</body>
</html>
