<?php

require_once('config.php');

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $themename .' Video and Audio Shortcodes'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/tinymce/tinymce_video.js"></script>
	<base target="_self" />
	<style type="text/css">
		.tabs a, td, legend, textarea, input, select {font-size:11px;}
	</style>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display: none">
	<form name="cmsmasters_portfolio" action="#">
	<div class="tabs">
		<ul>
			<li id="video_tab" class="current"><span><a href="javascript:mcTabs.displayTab('video_tab','video_panel');" onmousedown="return false;"><?php echo 'Embeded Video'; ?></a></span></li>
			<li id="html5video_tab"><span><a href="javascript:mcTabs.displayTab('html5video_tab','html5video_panel');" onmousedown="return false;"><?php echo 'HTML5 Video'; ?></a></span></li>
			<li id="html5audio_tab"><span><a href="javascript:mcTabs.displayTab('html5audio_tab','html5audio_panel');" onmousedown="return false;"><?php echo 'HTML5 Audio'; ?></a></span></li>
		</ul>
	</div>
	
	<div class="panel_wrapper" style="min-height:430px; height:auto;">
		<div id="video_panel" class="panel current" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your video url, width and height</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="video_id">Video URL: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="video_id" name="video_id" size="70" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="video_width">Video Width:</label></td>
            <td><input type="text" id="video_width" name="video_width" size="10" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="video_height">Video Height:</label></td>
            <td><input type="text" id="video_height" name="video_height" size="10" /><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		

		<div id="html5video_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your HTML5 video parameters</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="html5video_ogg">*.ogg File URL: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="html5video_ogg" name="html5video_ogg" size="70" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_mp4">*.mp4 File URL: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="html5video_mp4" name="html5video_mp4" size="70" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_webm">*.webm File URL: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="html5video_webm" name="html5video_webm" size="70" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_poster">Video Poster URL:</label></td>
            <td><input type="text" id="html5video_poster" name="html5video_poster" size="70" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_text">Not Support Text:</label></td>
            <td><input type="text" id="html5video_text" name="html5video_text" size="70" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_width">Video Width:</label></td>
            <td><input type="text" id="html5video_width" name="html5video_width" size="10" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_height">Video Height:</label></td>
            <td><input type="text" id="html5video_height" name="html5video_height" size="10" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_controls">Select Controls:</label></td>
            <td><select id="html5video_controls" name="html5video_controls">
                <option value="controls">Show Controls</option>
                <option value="">Hide Controls</option>
            </select></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_autoplay">Select Autoplay:</label></td>
            <td><select id="html5video_autoplay" name="html5video_autoplay">
                <option value="">Not Autoplay</option>
                <option value="autoplay">Autoplay</option>
            </select></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_videoaudio">Select Audio:</label></td>
            <td><select id="html5video_videoaudio" name="html5video_videoaudio">
                <option value="">Audio Play</option>
                <option value="muted">Audio Muted</option>
            </select></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_loop">Select Repeat:</label></td>
            <td><select id="html5video_loop" name="html5video_loop">
                <option value="">Not Repeat</option>
                <option value="loop">Repeat</option>
            </select></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5video_preload">Select Preload:</label></td>
            <td><select id="html5video_preload" name="html5video_preload">
                <option value="">Not Preload</option>
                <option value="preload">Preload</option>
            </select></td>
          </tr>
        </table>
		</fieldset>
		</div>
		
		
		<div id="html5audio_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your HTML5 audio parameters</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="html5audio_mp3">*.mp3 File URL: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="html5audio_mp3" name="html5audio_mp3" size="70" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5audio_ogg">*.ogg File URL: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="html5audio_ogg" name="html5audio_ogg" size="70" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5audio_text">Not Support Text:</label></td>
            <td><input type="text" id="html5audio_text" name="html5audio_text" size="70" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5audio_controls">Select Controls:</label></td>
            <td><select id="html5audio_controls" name="html5audio_controls">
                <option value="controls">Show Controls</option>
                <option value="">Hide Controls</option>
            </select></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5audio_autoplay">Select Autoplay:</label></td>
            <td><select id="html5audio_autoplay" name="html5audio_autoplay">
                <option value="">Not Autoplay</option>
                <option value="autoplay">Autoplay</option>
            </select></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5audio_loop">Select Repeat:</label></td>
            <td><select id="html5audio_loop" name="html5audio_loop">
                <option value="">Not Repeat</option>
                <option value="loop">Repeat</option>
            </select></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="html5audio_preload">Select Preload:</label></td>
            <td><select id="html5audio_preload" name="html5audio_preload">
                <option value="none">Not Preload</option>
                <option value="metadata">Metadata</option>
                <option value="auto">Preload Auto</option>
            </select></td>
          </tr>
        </table>
		</fieldset>
		</div>
		<br />
		<span style="color:#ff0000;">* - Requaired fields</span>
	</div>

	<div class="mceActionPanel">
		<br />
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onclick="insertCMSMastersLink();" />
		</div>
		<div style="clear:both;"></div>
	</div>
</form>
</body>
</html>
