<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */

get_header();

require CMSMASTERS_CLASSES.'/var.php';

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$thumbnail_box = get_post_meta(get_the_ID(), 'thumbnail_box_active', true); 
if (!$thumbnail_box){ $thumbnail_box = 'true'; }
$sharing_box = get_post_meta(get_the_ID(), 'sharing_box_active', true); 
$author_box = get_post_meta(get_the_ID(), 'author_box_active', true); 
$posts_box = get_post_meta(get_the_ID(), 'posts_box_active', true); 

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
							$nws_categs = get_the_terms(get_the_ID(), 'nw-categs');
							if ($nws_categs){
								$nws_categs_html = array();
								foreach ($nws_categs as $nws_categ){ array_push($nws_categs_html, '<a href="'.get_term_link($nws_categ->slug, 'nw-categs').'">'.$nws_categ->name.'</a>'); }
							}
							$nws_tags = get_the_terms(get_the_ID(), 'nw-tags');
							if ($nws_tags){
								$nws_tags_html = array();
								foreach ($nws_tags as $nws_tag){ array_push($nws_tags_html, '<a href="'.get_term_link($nws_tag->slug, 'nw-tags').'" class="but_styled mbr5"><span><span class="tag">'.$nws_tag->name.'</span></span></a>'); }
							}
					?>
								<div class="entry">
									<?php if (has_post_thumbnail() && $thumbnail_box == 'true'){ ?>
										<span class="image_shadow_container bloghov">
											<a href="<?php echo get_image_path_array(get_the_ID()); ?>" rel="prettyPhoto" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
												<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=930&amp;h=315&amp;zc=1'; } else { echo '&amp;w=610&amp;h=210&amp;zc=1'; } ?>" alt="" class="image_shadow" />
											</a>
											<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="" class="noimgbg" />
										</span>
									<?php 
										}
										if ($news_post_comments || ($news_post_categs && $nws_categs) || $news_post_author || $news_post_date){ 
									?>
										<div class="dotted_line">
											<?php if ($news_post_comments){ comments_popup_link('0', '1', '%', 'comment_left fr', '0'); } ?>
											<?php if ($news_post_date){ echo '<span class="post_data yellow">'.get_the_time('F j, Y').'</span>'; } ?>
											<?php if (($news_post_categs && $nws_categs && $news_post_date) || ($news_post_author && $news_post_date)){ echo '<span>'; } ?>
											<?php if ($news_post_categs && $nws_categs){ echo __('in', 'clockstone').' '.implode($nws_categs_html, ', '); } ?>
											<?php if ($news_post_author){ echo ' '.__('by', 'clockstone').' '.get_the_author(); } ?>
											<?php if (($news_post_categs && $nws_categs && $news_post_date) || ($news_post_author && $news_post_date)){ echo '</span>'; } ?>
										</div>
									<?php 
										}
										the_content();
										wp_link_pages('before=<div><strong>'.__('Pages', 'clockstone').':</strong>&link_before= . &after=</div>');
										if ($news_post_tags && $nws_tags){ echo '<br />'.implode($nws_tags_html, '').'<div class="cl"></div>'; }
										if ($sharing_box == 'true'){ 
									?>
										<div class="share_posts">
											<a href="#" class="share"><span><span><?php _e('Share This', 'clockstone'); ?></span></span></a>
											<div class="social"></div>
										</div>
									<?php
										}
										if ($author_box == 'true'){ 
									?>
										<div class="about_author_1">
											<div class="about_author_2">
												<div class="about_author">
													<h3><?php _e('About the author', 'clockstone'); ?></h3>
													<?php if (has_post_thumbnail()){ ?>
														<div class="fl">
															<span class="image_shadow_container">
																<?php echo get_avatar(get_the_author_meta('user_email'), 70, $default='<path_to_url>', get_the_author_meta(user_nicename)); ?>
																<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
															</span>
														</div>
													<?php } ?>
													<div class="blog_txt">
														<?php 
															$user_first_name = get_the_author_meta(first_name);
															$user_last_name = get_the_author_meta(last_name);
															$user_description = get_the_author_meta(description);
															if ($user_first_name){ $out .= $user_first_name; }
															if ($user_first_name && $user_last_name){ $out .= ' '.$user_last_name; } elseif ($user_last_name){ $out .= $user_last_name; }
															if (get_the_author() && ($user_first_name || $user_last_name)){ $out .= ' ('; }
															if (get_the_author()){ $out .= get_the_author(); }
															if (get_the_author() && ($user_first_name || $user_last_name)){ $out .= ')'; }
															if ($out != ''){ echo '<strong>'.$out.'</strong>'; }
															if ($user_description){ echo '<p>'.$user_description.'</p>'; } 
														?>
													</div>
												</div>
											</div>
										</div>
									<?php 
										} else { echo '<br />'; }
										if ($posts_box == 'true'){ 
									?>
										<div class="related_posts">
											<ul>
												<li><a href="#" class="current"><?php _e('Popular News', 'clockstone'); ?></a></li>
												<li><a href="#"><?php _e('Latest News', 'clockstone'); ?></a></li>
											</ul>
											<div class="related_posts_content">
												<?php 
													$p = new WP_Query(array('posts_per_page' => $news_post_popularrecent_number, 'post_status' => 'publish', 'ignore_sticky_posts' => 1, 'post_type' => 'news', 'orderby' => 'comment_count')); 
													if ($p->have_posts()) :
													$numb = 0;
													while ($p->have_posts()) : $p->the_post(); 
														$numb = $numb + 1;
												?>
													<?php if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '<div class="one_half last">'; } else { echo '<div class="one_half">'; } ?>
													<table class="feature_shortcode">
														<tbody>
															<tr>
															<?php if (has_post_thumbnail()){ ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=70&amp;h=70&amp;zc=1" alt="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>" class="image_shadow" />
																		</a>
																		<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
																	</span>
																</td>
															<?php } else { ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/no_thumbnail.jpg&amp;w=70&amp;h=70&amp;zc=1" alt="" class="image_shadow" />
																		</a>
																		<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
																	</span>
																</td>
															<?php } ?>
																<td class="feature_txt"><a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a></td>
															</tr>
														</tbody>
													</table>
													</div>
												<?php 
													endwhile;
													else : 
														_e('No Popular News Found', 'clockstone');
													endif;
													wp_reset_postdata();
												?>
											</div>
											<div class="related_posts_content" style="display:none;">
												<?php 
													$r = new WP_Query(array('posts_per_page' => $news_post_popularrecent_number, 'post_status' => 'publish', 'ignore_sticky_posts' => 1, 'post_type' => 'news'));
													if ($r->have_posts()) :
													$numb = 0;
													while ($r->have_posts()) : $r->the_post(); 
														$numb = $numb + 1;
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '<div class="one_half last">'; } else { echo '<div class="one_half">'; }
												?>
													<table class="feature_shortcode">
														<tbody>
															<tr>
															<?php if (has_post_thumbnail()){ ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=70&amp;h=70&amp;zc=1" alt="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>" class="image_shadow" />
																		</a>
																		<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
																	</span>
																</td>
															<?php } else { ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/no_thumbnail.jpg&amp;w=70&amp;h=70&amp;zc=1" alt="" class="image_shadow" />
																		</a>
																		<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
																	</span>
																</td>
															<?php } ?>
																<td class="feature_txt"><a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a></td>
															</tr>
														</tbody>
													</table>
												<?php 
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '</div><div class="cl"></div>'; } else { echo '</div>'; }
													endwhile;
													else : 
														_e('No Latest News Found', 'clockstone');
													endif;
													wp_reset_postdata();
												?>
											</div>
										</div>
									<?php
										}
										comments_template();
									?>
								</div>
							<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include TEMPLATEPATH.'/footer.php'; ?>
