<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */

get_header();

require CMSMASTERS_CLASSES.'/var.php';

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$author_subtitle = get_post_meta(get_the_ID(), 'author_subtitle', true); 
$author_box = get_post_meta(get_the_ID(), 'author_box_active', true); 
$author_description = get_post_meta(get_the_ID(), 'author_description', true); 

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
					?>
								<div class="entry">
									<blockquote><?php the_content(); ?></blockquote>
									<?php if ($author_box == 'true'){ ?>
										<br />
										<div class="about_author_1">
											<div class="about_author_2">
												<div class="about_author">
													<h3><?php _e('About the author', 'clockstone'); ?></h3>
													<?php if (has_post_thumbnail()){ ?>
														<div class="fl">
															<span class="image_shadow_container">
																<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=70&amp;h=70&amp;zc=1" alt="" class="image_shadow" />
																<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
															</span>
														</div>
													<?php } else { ?>
														<div class="fl">
															<span class="image_shadow_container">
																<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/no_thumbnail.jpg&amp;w=70&amp;h=70&amp;zc=1" alt="" class="image_shadow" />
																<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=80" alt="" class="noimgbg" />
															</span>
														</div>
													<?php } ?>
													<div class="blog_txt"<?php if (!has_post_thumbnail()){ echo ' style="padding-left:0;"'; } ?>>
														<strong>
															<?php 
																$out .= get_the_title();
																if ($author_subtitle){ $out .= ' ('.$author_subtitle.')'; }
																echo $out;
															?>
														</strong>
														<?php if ($author_description){ echo '<p>'.$author_description.'</p>'; } ?>
													</div>
												</div>
											</div>
										</div>
									<?php } ?>
								</div>
							<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include TEMPLATEPATH.'/footer.php'; ?>
