<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */

require(CMSMASTERS_CLASSES.'/var.php');

if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('Please do not load this page directly. Thanks!');

if ( post_password_required() ) { ?>
	<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'clockstone'); ?></p>
<?php
	return;
}
?>
<?php if ( have_comments() ) : ?>
<h3 class="headwhite h3color"><?php comments_number(__('No Comments', 'clockstone'), __('1 Comment', 'clockstone'), __('Comments', 'clockstone').' (%)'); ?></h3>
	<?php if (get_previous_comments_link() || get_next_comments_link()){ ?>
	<div class="comments_navigation" style="padding:10px 0 20px; margin:0 0 30px;">
		<div class="yellow fl"><?php previous_comments_link('< '.__('Older Comments', 'clockstone')); ?></div>
		<div class="yellow fr"><?php next_comments_link(__('Newer Comments', 'clockstone').' >'); ?></div>
	</div>
	<?php } ?>
	<ol class="commentlist" id="comments">
		<?php wp_list_comments('type=comment&callback=mytheme_comment'); ?>
	</ol>
	<?php if (get_previous_comments_link() || get_next_comments_link()){ ?>
	<div class="comments_navigation" style="padding:0 0 25px; margin:0 0 30px;">
		<div class="yellow fl"><?php previous_comments_link('< '.__('Older Comments', 'clockstone')); ?></div>
		<div class="yellow fr"><?php next_comments_link(__('Newer Comments', 'clockstone').' >'); ?></div>
	</div>
	<?php } ?>
<?php else : ?>
	<?php if ( comments_open() ) : ?>
	<?php else : ?>
	<?php endif; ?>
<?php endif; ?>
<?php if ( comments_open() ) : ?>
<div id="respond">
<h3 class="headwhite h3color"><?php comment_form_title(__('Leave a Reply', 'clockstone'), __('Leave your comment to', 'clockstone').' %s'); ?></h3>
<div class="cancel-comment-reply"><?php cancel_comment_reply_link(__('Cancel Reply', 'clockstone')); ?></div>
<p><?php _e('Your email address will not be published. Required fields are marked', 'clockstone'); ?></p>
<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
<p><?php _e('You must be', 'clockstone'); ?> <a href="<?php echo wp_login_url( get_permalink() ); ?>"><?php _e('logged in', 'clockstone'); ?></a> <?php _e('to post a comment', 'clockstone'); ?>.</p>
<?php else : ?>
<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<?php if ( is_user_logged_in() ) : ?>
<p><?php _e('Logged in as', 'clockstone'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a class="all" href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account', 'clockstone'); ?>"><?php _e('Log out', 'clockstone'); ?></a></p>
<ins style="text-decoration:none;">&nbsp;</ins>
<?php else : ?>
<div class="inp_l"><div class="inp_r"><input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> /></div></div>
<p><?php _e('Name', 'clockstone'); ?> *</p>
<div class="cl"></div>
<div class="inp_l"><div class="inp_r"><input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> /></div></div>
<p><?php _e('Email', 'clockstone'); ?> *</p>
<div class="cl"></div>
<div class="inp_l"><div class="inp_r"><input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="22" tabindex="3" /></div></div>
<p><?php _e('Website', 'clockstone'); ?></p>
<div class="cl"></div>
<?php endif; ?>
<table><tbody><tr><td class="text_t_l"></td><td class="text_t"></td><td class="text_t_r"></td></tr><tr><td class="text_l"></td><td class="text_m"><textarea name="comment" id="comment" cols="28" rows="6" tabindex="4"></textarea></td><td class="text_r"></td></tr><tr><td class="text_b_l"></td><td class="text_b"></td><td class="text_b_r"></td></tr></tbody></table>
<div>
<?php comment_id_fields(); ?>
<?php do_action('comment_form', $post->ID); ?>
</div>
</form>
<p><?php _e('You may use these', 'clockstone'); ?> <abbr title="HyperText Markup Language">HTML</abbr> <?php _e('tags and attributes', 'clockstone'); ?>:</p>
<code>&lt;a href="" title=""&gt; &lt;abbr title=""&gt; &lt;acronym title=""&gt; &lt;b&gt; &lt;blockquote cite=""&gt; &lt;cite&gt; &lt;code&gt; &lt;del datetime=""&gt; &lt;em&gt; &lt;i&gt; &lt;q cite=""&gt; &lt;strike&gt; &lt;s&gt; &lt;ins&gt; &lt;strong&gt;</code>
<br />
<a class="but_styled" id="submittedContact" href="javascript: submitform();"><span><span class="check"><?php _e('Add Comment', 'clockstone'); ?></span></span></a>
<div class="cl"></div>
<br />
<?php endif; ?>
</div>
<?php endif; ?>
