<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */

get_header();

?>


<!-- _________________________ Start Content _________________________ -->

						<div id="content">
							<div class="entry">
								<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
									<div class="post" id="post-<?php the_ID(); ?>">
										<div class="entry">
											<p class="attachment" style="text-align:center;"><a href="<?php echo wp_get_attachment_url(get_the_ID()); ?>" rel="prettyPhoto" title=""><?php echo wp_get_attachment_image(get_the_ID(), 'medium'); ?></a></p>
											<div class="caption"><?php if (has_excerpt()){ the_excerpt(); } ?></div>
											<?php the_content('[...]'); ?>
											<br /><br />
											<div class="navigation">
												<div class="fl"><?php previous_image_link(); ?></div>
												<div class="fr"><?php next_image_link(); ?></div>
											</div>
											<br class="cl" />
											<br />
											<p class="postmetadata alt">
												<?php echo __('This entry was posted on', 'clockstone').' '; the_time('l, F jS, Y'); echo ' '.__('at', 'clockstone').' '; the_time(); echo ' '.__('and is filed under', 'clockstone').' '; the_category(', '); echo '.';
												the_taxonomies();
												echo __('You can follow any responses to this entry through the', 'clockstone').' '; post_comments_feed_link(__('RSS 2.0', 'clockstone')); echo ' '.__('feed', 'clockstone').'.';
												if (comments_open() && pings_open()){
													_e('You can', 'clockstone'); ?> <a href="#respond"><?php _e('leave a response', 'clockstone'); ?></a>, <?php _e('or', 'clockstone'); ?> <a href="<?php trackback_url(); ?>" rel="trackback"><?php _e('trackback', 'clockstone'); ?></a> <?php _e('from your own site.', 'clockstone');
												} elseif (!comments_open() && pings_open()){
													_e('Responses are currently closed, but you can', 'clockstone'); ?> <a href="<?php trackback_url(); ?> " rel="trackback"><?php _e('trackback', 'clockstone'); ?></a> <?php _e('from your own site.', 'clockstone');
												} elseif (comments_open() && !pings_open()){
													_e('You can skip to the end and leave a response. Pinging is currently not allowed.', 'clockstone');
												} elseif (!comments_open() && !pings_open()){
													_e('Both comments and pings are currently closed.', 'clockstone');
												} edit_post_link(__('Edit this entry', 'clockstone'), '<br />', ''); ?>
											</p>
										</div>
									</div>
								<?php endwhile; endif; ?>
							</div>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include 'footer.php'; ?>
