<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */
/*
Template Name: News
*/

get_header();

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$news_categ = get_post_meta(get_the_ID(), 'news_categ', true); 
$selected_perpage = get_post_meta(get_the_ID(), 'selected_perpage', true); 
$selected_order = get_post_meta(get_the_ID(), 'selected_order', true); 
$selected_order_type = get_post_meta(get_the_ID(), 'selected_order_type', true); 

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
					?>
							<div class="entry">
								<?php if (has_post_thumbnail()){ ?>
									<span class="image_shadow_container">
										<a href="<?php echo get_image_path_array(get_the_ID()); ?>" rel="prettyPhoto" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
											<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=930&amp;h=315&amp;zc=1'; } else { echo '&amp;w=610&amp;h=210&amp;zc=1'; } ?>" alt="" class="image_shadow" />
										</a>
										<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="" class="noimgbg" />
									</span>
								<?php } 
								the_content();
								
								if (get_query_var('paged')){ 
									$paged = get_query_var('paged'); 
								} elseif (get_query_var('page')){ 
									$paged = get_query_var('page'); 
								} else { 
									$paged = 1; 
								}
								query_posts( array( 'post_type' => 'news', 'orderby' => $selected_order_type, 'order' => $selected_order, 'posts_per_page' => $selected_perpage, 'paged' => $paged, 'nw-types' => $news_categ ) );
								if (have_posts()) : ?>
										<div class="content_news">
									<?php while (have_posts()) : the_post();
										$headingtools_active = get_post_meta(get_the_ID(), 'headingtools_active', true); 
										$headingtools_title = get_post_meta(get_the_ID(), 'headingtools_title', true); 
									?>
											<div class="post">
												<?php if (has_post_thumbnail()){ ?>
												<div class="one_fourth">
													<span class="image_shadow_container">
														<a href="<?php the_permalink(); ?>">
															<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=200&amp;h=200&amp;zc=1'; } else { echo '&amp;w=130&amp;h=130&amp;zc=1'; } ?>" alt="" class="image_shadow" />
														</a>
														<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=210'; } else { echo '&amp;w=140'; } ?>" alt="" class="noimgbg" />
													</span>
												</div>
												<div class="three_fourth last">
												<?php } else { ?>
												<div class="ovh" style="padding-bottom:20px;">
												<?php } ?>
													<h2><a href="<?php the_permalink(); ?>"><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></a></h2>
													<?php 
														if (has_excerpt()){
															echo the_excerpt(); 
														} else { 
															global $more;
															$more = 0;
															the_content(''); 
														}
													?>
													<?php if ($news_page_date){ ?><span class="post_data"><small class="trans"><?php the_time('F j, Y'); ?></small></span><?php } ?>
													<?php if ($news_page_comments){ comments_popup_link(__('No Comments', 'clockstone'), __('1 Comment', 'clockstone'), '% '.__('Comments', 'clockstone'), 'comment_left fr', __('Comments Off', 'clockstone')); } ?>
												</div>
												<div class="cl"></div>
											</div>
									<?php endwhile; ?>
										</div>
										<div class="navigation"><?php if (function_exists('wp_pagenavi')){ wp_pagenavi(); } ?></div>
								<?php endif; 
								wp_reset_query(); ?>
							</div>
						<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include 'footer.php'; ?>
