<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */
/*
Template Name: Testimonials
*/

get_header();

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$tests_categ = get_post_meta(get_the_ID(), 'tests_categ', true); 
$selected_perpage = get_post_meta(get_the_ID(), 'selected_perpage', true); 
$selected_order = get_post_meta(get_the_ID(), 'selected_order', true); 
$selected_order_type = get_post_meta(get_the_ID(), 'selected_order_type', true); 

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
					?>
							<div class="entry">
								<?php if (has_post_thumbnail()){ ?>
									<span class="image_shadow_container">
										<a href="<?php echo get_image_path_array(get_the_ID()); ?>" rel="prettyPhoto" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
											<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=930&amp;h=315&amp;zc=1'; } else { echo '&amp;w=610&amp;h=210&amp;zc=1'; } ?>" alt="" class="image_shadow" />
										</a>
										<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="" class="noimgbg" />
									</span>
								<?php } 
								the_content();
								
								if (get_query_var('paged')){ 
									$paged = get_query_var('paged'); 
								} elseif (get_query_var('page')){ 
									$paged = get_query_var('page'); 
								} else { 
									$paged = 1; 
								}
								query_posts( array( 'post_type' => 'testimonials', 'orderby' => $selected_order_type, 'order' => $selected_order, 'posts_per_page' => $selected_perpage, 'paged' => $paged, 'ts-categs' => $tests_categ ) );
								if (have_posts()) : 
									while (have_posts()) : the_post();
										$author_subtitle = get_post_meta(get_the_ID(), 'author_subtitle', true); 
										$headingtools_active = get_post_meta(get_the_ID(), 'headingtools_active', true); 
										$headingtools_title = get_post_meta(get_the_ID(), 'headingtools_title', true); 
									?>
										<div class="post_block">
											<div class="blockquote_top">
												<div class="blockquote_top_l"></div>
												<div class="blockquote_top_r"></div>
												<div class="blockquote_top_c"></div>
											</div>
											<div class="blockquote_mid_l">
												<div class="quotation">&ldquo;</div>
												<div class="blockquote_mid_r">
													<div class="quotation">&rdquo;</div>
													<div class="blockquote_mid_c">
														<?php 
															if (has_excerpt()){
																echo the_excerpt(); 
															} else { 
																global $more;
																$more = 0;
																the_content(''); 
															}
														?>
													</div>
												</div>
											</div>
											<div class="blockquote_bot">
												<div class="blockquote_bot_l"></div>
												<div class="blockquote_bot_r"></div>
												<div class="blockquote_bot_c"></div>
											</div>
											<div class="cl"></div>
											<?php if ($test_page_fulltext){ ?><a class="but_small_trans test_but" href="<?php the_permalink(); ?>"><span><?php _e('Full View', 'clockstone'); ?></span></a><?php } ?>
											<div class="blockquote_name">
												<strong><?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?></strong><?php if ($author_subtitle){ echo '<br />'.$author_subtitle; } ?>
											</div>
										</div>
									<?php endwhile; ?>
										<div class="navigation"><?php if(function_exists('wp_pagenavi')){ wp_pagenavi(); } ?></div>
								<?php endif; 
								wp_reset_query(); ?>
							</div>
						<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include 'footer.php'; ?>
