<?php
$themename = 'Clockstone';
$shortname = 'clockstone';
$page_handle = $shortname.'-options';

$cmsmasters_categories_obj = get_categories('hide_empty=0');
$cmsmasters_categories = array();
$cmsmasters_categories[] = '';
foreach ($cmsmasters_categories_obj as $cmsmasters_cat) {
	$cmsmasters_categories[$cmsmasters_cat->cat_ID] = $cmsmasters_cat->cat_name;
}

global $wpdb, $current_user;
get_currentuserinfo();
$sql = "SELECT tt.term_id, ts.slug, ts.name FROM $wpdb->term_taxonomy AS tt INNER JOIN $wpdb->terms AS ts ON ( (tt.term_id = ts.term_id) ) WHERE ( (tt.taxonomy = 'sl-categs') )";
$recentslides = $sql;
$cmsmasters_slides_categories_obj = $wpdb->get_results($recentslides);
$cmsmasters_slides_categories = array();
$cmsmasters_slides_categories[] = '';
$i = 0;
foreach ($cmsmasters_slides_categories_obj as $cmsmasters_slides_cat){
	$cmsmasters_slides_categories[$i] = array($cmsmasters_slides_cat->slug, $cmsmasters_slides_cat->name);
	
	$i++;
}

$pages_list = get_pages();
$getpagnav = array();
foreach($pages_list as $apage) {
	$getpagnav[$apage->ID] = $apage->post_title;
}



$themeicons = array();
if (is_dir(TEMPLATEPATH.'/images/theme_icons/')){
	if ($open_dirs = opendir(TEMPLATEPATH.'/images/theme_icons/')){
		while (($themeicon = readdir($open_dirs)) !== false){
			if (stristr($themeicon, '.png') !== false || stristr($themeicon, '.jpg') !== false || stristr($themeicon, '.jpeg') !== false || stristr($themeicon, '.gif') !== false){
				$themeicons[] = $themeicon;
			}
		}
	}
}



function get_theme_bgs(){
	global $wpdb, $shortname;
	
	$theme_bgs = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.$shortname.'_bgs');
	
	return $theme_bgs;
}



function get_theme_fonts(){
	global $wpdb, $shortname;
	
	$theme_fonts = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.$shortname.'_fonts');
	
	return $theme_fonts;
}



function get_theme_icons(){
	global $wpdb, $shortname;
	
	$theme_icons = $wpdb->get_results('SELECT * FROM '.$wpdb->prefix.$shortname.'_icons');
	
	return $theme_icons;
}



$bgs = get_theme_bgs();

$gfonts = get_theme_fonts();

$social = get_theme_icons();



$sharing = array();
$sharing[] = 'nujij';
$sharing[] = 'linkedin';
$sharing[] = 'ekudos';
$sharing[] = 'digg';
$sharing[] = 'sphere';
$sharing[] = 'technorati';
$sharing[] = 'delicious';
$sharing[] = 'furl';
$sharing[] = 'netscape';
$sharing[] = 'yahoo';
$sharing[] = 'google';
$sharing[] = 'newsvine';
$sharing[] = 'reddit';
$sharing[] = 'blogmarks';
$sharing[] = 'magnolia';
$sharing[] = 'live';
$sharing[] = 'tailrank';
$sharing[] = 'facebook';
$sharing[] = 'twitter';
$sharing[] = 'stumbleupon';
$sharing[] = 'bligg';
$sharing[] = 'symbaloo';
$sharing[] = 'misterwong';
$sharing[] = 'mail';
$sharing[] = 'googleplus';

$nivo = array();
$nivo[] = 'random';
$nivo[] = 'fade';
$nivo[] = 'fold';
$nivo[] = 'sliceUp';
$nivo[] = 'sliceUpLeft';
$nivo[] = 'sliceDown';
$nivo[] = 'sliceDownLeft';
$nivo[] = 'sliceUpDown';
$nivo[] = 'sliceUpDownLeft';
$nivo[] = 'slideInLeft';
$nivo[] = 'slideInRight';
$nivo[] = 'boxRandom';
$nivo[] = 'boxRain';
$nivo[] = 'boxRainReverse';
$nivo[] = 'boxRainGrow';
$nivo[] = 'boxRainGrowReverse';

$coin = array();
$coin[] = 'random effects';
$coin[] = 'rand';
$coin[] = 'swirl';
$coin[] = 'rain';
$coin[] = 'straight';

$align = array();
$align[] = 'center';
$align[] = 'left';
$align[] = 'right';

$bgcolors = array();
$bgcolors[] = '433834';
$bgcolors[] = '483e37';
$bgcolors[] = '403b38';
$bgcolors[] = '444444';
$bgcolors[] = '7a6e61';
$bgcolors[] = '606060';
$bgcolors[] = '640226';
$bgcolors[] = '830226';
$bgcolors[] = '8f1318';
$bgcolors[] = '992e20';
$bgcolors[] = '8f3713';
$bgcolors[] = '994c26';
$bgcolors[] = '2e2b4d';
$bgcolors[] = '003567';
$bgcolors[] = '063e8e';
$bgcolors[] = '004772';
$bgcolors[] = '32617f';
$bgcolors[] = '006b8f';
$bgcolors[] = '004541';
$bgcolors[] = '006734';
$bgcolors[] = '007d2f';
$bgcolors[] = '177d00';
$bgcolors[] = '406a12';
$bgcolors[] = '567726';
$bgcolors[] = '503a65';
$bgcolors[] = '811780';
$bgcolors[] = '904266';
$bgcolors[] = '985256';
$bgcolors[] = '91412f';
$bgcolors[] = '987752';

$easing = array();
$easing[] = 'linear';
$easing[] = 'easeInSine';
$easing[] = 'easeOutSine';
$easing[] = 'easeInOutSine';
$easing[] = 'easeInQuad';
$easing[] = 'easeOutQuad';
$easing[] = 'easeInOutQuad';
$easing[] = 'easeInCubic';
$easing[] = 'easeOutCubic';
$easing[] = 'easeInOutCubic';
$easing[] = 'easeInQuart';
$easing[] = 'easeOutQuart';
$easing[] = 'easeInOutQuart';
$easing[] = 'easeInQuint';
$easing[] = 'easeOutQuint';
$easing[] = 'easeInOutQuint';
$easing[] = 'easeInExpo';
$easing[] = 'easeOutExpo';
$easing[] = 'easeInOutExpo';
$easing[] = 'easeInCirc';
$easing[] = 'easeOutCirc';
$easing[] = 'easeInOutCirc';
$easing[] = 'easeInElastic';
$easing[] = 'easeOutElastic';
$easing[] = 'easeInOutElastic';
$easing[] = 'easeInBack';
$easing[] = 'easeOutBack';
$easing[] = 'easeInOutBack';
$easing[] = 'easeInBounce';
$easing[] = 'easeOutBounce';
$easing[] = 'easeInOutBounce';


$options = array (
		
		array(	"name" => "Hello, ".$current_user->user_login."! What we will do today?",
			"id" => "dashboard",
			"type" => "opentab_nobutton"),
			
		array(	"type" => "title_h2"),
			
		array(	"name" => "Create/Edit Main Menu",
			"name2" => "Sidebars &amp; Widgets",
			"name3" => "Set Front Page",
			"id" => "dashboard_pages",
			"value" => "nav-menus.php",
			"value2" => "widgets.php",
			"value3" => "options-reading.php",
			"type" => "buttons"),
			
		array(	"type" => "close"),

		
		array(	"name" => "Quick page create",
			"type" => "title_p_nobutton"),
			
		array(	"name" => "Blog Page",
			"desc" => "Click this button if you want to create blog page.",
			"id" => "dashboard_blog",
			"value" => "post-new.php?post_type=page&amp;template=1",
			"width" => "100",
			"type" => "button"),
			
		array(	"name" => "Portfolio",
			"desc" => "Click this button if you want to create portfolio page.",
			"id" => "dashboard_portfolio",
			"value" => "post-new.php?post_type=page&amp;template=4",
			"width" => "100",
			"type" => "button"),
			
		array(	"name" => "Gallery",
			"desc" => "Click this button if you want to create gallery page.",
			"id" => "dashboard_gallery",
			"value" => "post-new.php?post_type=page&amp;template=2",
			"width" => "100",
			"type" => "button"),
			
		array(	"name" => "Testimonials",
			"desc" => "Click this button if you want to create testimonials page.",
			"id" => "dashboard_testimonials",
			"value" => "post-new.php?post_type=page&amp;template=7",
			"width" => "100",
			"type" => "button"),
			
		array(	"name" => "News Page",
			"desc" => "Click this button if you want to create news page.",
			"id" => "dashboard_news",
			"value" => "post-new.php?post_type=page&amp;template=3",
			"width" => "100",
			"type" => "button"),
			
		array(	"name" => "Products",
			"desc" => "Click this button if you want to create products page.",
			"id" => "dashboard_products",
			"value" => "post-new.php?post_type=page&amp;template=5",
			"width" => "100",
			"type" => "button"),
			
		array(	"name" => "Sitemap",
			"desc" => "Click this button if you want to create sitemap page.",
			"id" => "dashboard_sitemap",
			"value" => "post-new.php?post_type=page&amp;template=6",
			"width" => "100",
			"type" => "button"),
			
		array(	"type" => "close"),

		
		array(	"name" => "Import Clockstone theme demo data",
			"type" => "title_p_nobutton"),
			
		array(	"name" => "Import Demo Content",
			"desc" => "Click this button if you want to import clockstone theme demo data to your website database. <br /><strong>Note: Do not install it on your existing website database if you use not a fresh install. Select another database if you don't want to mess up or loose your data. If you want use existing database but you don't need data in it, then clean up it before installing demo data.</strong>",
			"id" => "dashboard_demodata",
			"value" => "admin.php?page=clockstone-options&amp;import=true",
			"margin" => "true",
			"type" => "button_import"),
			
		array(	"type" => "close"),

		
		array(	"type" => "title_nobutton"),
			
		array(	"name" => "Import Demo Content",
			"id" => "cmsms_theme_update",
			"type" => "update"),
			
		array(	"type" => "close"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "General Theme Options",
			"id" => "general_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
			
		array(	"name" => "Site Style-Changer",
			"desc" => "Check this box if you want to disable Site Style-Changer on your website.",
			"id" => "styles_disable",
			"std" => "",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),
			
		array(	"name" => "Bottom Sidebar",
			"desc" => "Check this box if you want to disable the bottom sidebar.",
			"id" => "disable_bottom_sidebar",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"name" => "Breadcrumbs",
			"desc" => "Check this box if you want to show the breadcrumbs.",
			"id" => "breadcrumbs_active",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"name" => "Google Analytics",
			"desc" => "Enter your Google Analytics code here (or you can enter other custom code).",
			"id" => "analytic_code",
			"type" => "textarea"),
			
		array(	"name" => "reCAPTCHA Public Key",
			"desc" => "Enter your reCAPTCHA public key. You can get the reCAPTCHA public and private keys <a target='_blank' href='https://www.google.com/recaptcha/admin/create'>here</a>",
			"id" => "recaptcha_public_key",
			"type" => "text",
			"std" => "",
			"size" => "63"),
			
		array(	"name" => "reCAPTCHA Private Key",
			"desc" => "Enter your reCAPTCHA private key. You can get the reCAPTCHA public and private keys <a target='_blank' href='https://www.google.com/recaptcha/admin/create'>here</a>",
			"id" => "recaptcha_private_key",
			"type" => "text",
			"std" => "",
			"size" => "63"),
			
		array(	"type" => "close"),

		
		array(	"name" => "Custom Codes (Advanced Options)",
			"type" => "title_h3"),
			
		array(	"name" => "Custom CSS",
			"desc" => "Enter your custom CSS code.",
			"id" => "header_css",
			"type" => "textarea"),
			
		array(	"name" => "Custom JavaScript",
			"desc" => "Enter your custom JavaScript code.",
			"id" => "header_js",
			"type" => "textarea"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "404 Error Page Settings",
			"type" => "title_h3"),
			
		array(	"name" => "Search",
			"desc" => "Check this box if you want to show the search on 404 error page.",
			"id" => "error_search_show",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"name" => "Sitemap Button",
			"desc" => "Check this box if you want to show the sitemap button on 404 error page.",
			"id" => "error_sitemap_show",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"name" => "Sitemap Button Link",
			"desc" => "Enter your 404 error page sitemap button link.",
			"id" => "error_sitemap_link",
			"type" => "text",
			"std" => "#",
			"size" => "63"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Sitemap Page Settings",
			"type" => "title_h3"),
			
		array(	"name" => "Pages",
			"desc" => "Check this box if you want to show the pages list on sitemap page.",
			"id" => "sitemap_pages_show",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"name" => "Categories",
			"desc" => "Check this box if you want to show the categories list on sitemap page.",
			"id" => "sitemap_categories_show",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"name" => "Archives",
			"desc" => "Check this box if you want to show the archives list on sitemap page.",
			"id" => "sitemap_archives_show",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Sidebars",
			"id" => "sidebar_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Add Sidebar",
			"desc" => "Enter the name of the new sidebar that you would like to create.",
			"htmlid" => "sidebar_generator_0",
			"type" => "sidebar",
			"size" => "25"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Sidebars created",
			"desc" => "Sidebars that you create",
			"type" => "sidebar_delete"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
			
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Theme Background Images Manager",
			"id" => "theme_bgs",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Choose Background Image For Editing",
			"desc" => "Here you can add, edit or remove your website background images.",
			"id" => "bg_img_choose",
			"options" => $bgs,
			"type" => "bg_add"),

		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Header Social Networks Icons Manager",
			"id" => "social_icons",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Header Social Icons",
			"desc" => "Choose social icons that you want to show in your website header.",
			"id" => "header_social_icons",
			"type" => "include_type_add",
			"std" => "twitter,facebook,email,website",
			"options" => $social),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Theme Icons Manager",
			"id" => "theme_icons",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Theme Icons List",
			"desc" => "Here you can see default theme icons or upload your own.",
			"id" => "template_icons",
			"type" => "icons_list",
			"options" => $themeicons),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Theme Fonts Manager",
			"id" => "theme_fonts",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Manage Your Theme Fonts",
			"desc" => "Here you can create, delete or edit your theme fonts.",
			"id" => "template_fonts",
			"type" => "font_add",
			"options" => $gfonts),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Sharing Options",
			"id" => "sharing_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Sharing Social Icons",
			"desc" => "Choose social networks that you want to show in your sharing box.",
			"id" => "sharing_icons",
			"type" => "include_type",
			"std" => "nujij,linkedin,ekudos,digg,sphere,technorati,delicious,furl,netscape,yahoo,google,newsvine,reddit,blogmarks,magnolia,live,tailrank,facebook,twitter,stumbleupon,bligg,symbaloo,misterwong,mail,googleplus",
			"options" => $sharing),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "SEO Tools",
			"id" => "seo_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),

		array(	"name" => "SEO Settings",
			"desc" => "Check this box if you want to enable your site custom SEO settings.<br />Note: metadata that you specify in the fields below, will apply to those pages that do not have custom-metadata. If these fields are empty, metatags will be set with Wordpress.",
			"id" => "seo_enable",
			"std" => "true",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),
		
		array(	"name" => "Default Title",
			"desc" => "Enter your default title text.",
			"id" => "seo_title",
			"type" => "text",
			"size" => "63"),

		array(	"name" => "Default Description",
			"desc" => "Enter your default description text.",
			"id" => "seo_description",
			"type" => "textarea"),
			
		array(	"name" => "Default Keywords",
			"desc" => "Enter your default keywords.",
			"id" => "seo_keywords",
			"type" => "textarea"),
			
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
			
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Background Options",
			"id" => "background_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Theme Skin",
			"desc" => "Please select your theme skin here.",
			"id" => "theme_skin",
			"std" => "true",
			"labelon" => "Light",
			"labeloff" => "Dark",
			"type" => "checkbox"),
		
		array(	"name" => "Background Color",
			"desc" => "Select you website background color from our colors gallery or choose your custom background color.",
			"id" => "custom_background_color",
			"std" => "433834",
			"options" => $bgcolors,
			"type" => "color_choose"),
		
		array(	"name" => "Background Image",
			"desc" => "Select you website background image from our backgrounds gallery or upload your custom background image.",
			"id" => "custom_background_img",
			"std" => get_template_directory_uri()."/images/bgs/bg_t_8.png",
			"options" => $bgs,
			"type" => "background"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Header Constructor",
			"id" => "header_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Header Constructor Preview",
			"desc" => "Here you can move, resize, enable and disable all parts of your website header.",
			"id" => "header_constructor",
			"value" => "Full Size",
			"type" => "header"),
			
		array(	"name" => "Header Height",
			"desc" => "Please select you website header height here.",
			"id" => "header_constructor_height",
			"std" => "135",
			"type" => "spinner",
			"min" => "50",
			"max" => "300",
			"step" => "1"),
		
		array(	"name" => "Logo Parameters",
			"desc" => "Please select you logo parameters (width, height, top and left position in pixels).",
			"id" => "header_constructor_logo_parameters",
			"type" => "td_open"),
		
		array(	"name" => "Width",
			"id" => "header_constructor_logo_width",
			"std" => "250",
			"type" => "td_spinner",
			"min" => "50",
			"max" => "1000",
			"step" => "1"),
		
		array(	"name" => "Height",
			"id" => "header_constructor_logo_height",
			"std" => "50",
			"type" => "td_spinner",
			"min" => "50",
			"max" => "300",
			"step" => "1"),
		
		array(	"name" => "Top",
			"id" => "header_constructor_logo_top",
			"std" => "15",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "250",
			"step" => "1"),
		
		array(	"name" => "Left",
			"id" => "header_constructor_logo_left",
			"std" => "15",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "950",
			"step" => "1"),
		
		array(	"type" => "td_close"),
		
		array(	"name" => "Main Menu Parameters",
			"desc" => "Please select you main menu parameters (width, top and left position in pixels).",
			"id" => "header_constructor_menu_parameters",
			"type" => "td_open"),
		
		array(	"name" => "Width",
			"id" => "header_constructor_menu_width",
			"std" => "600",
			"type" => "td_spinner",
			"min" => "80",
			"max" => "1000",
			"step" => "1"),
		
		array(	"name" => "Top",
			"id" => "header_constructor_menu_top",
			"std" => "80",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "260",
			"step" => "1"),
		
		array(	"name" => "Left",
			"id" => "header_constructor_menu_left",
			"std" => "20",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "920",
			"step" => "1"),
		
		array(	"type" => "td_close"),
		
		array(	"name" => "Show Header Search Box",
			"desc" => "Check this box if you want to show search box in your website header.",
			"id" => "show_header_search",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Search Box Position",
			"desc" => "Please select you search box position (top and left in pixels).",
			"id" => "header_constructor_search_parameters",
			"type" => "td_open"),
		
		array(	"name" => "Top",
			"id" => "header_constructor_search_top",
			"std" => "80",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "260",
			"step" => "1"),
		
		array(	"name" => "Left",
			"id" => "header_constructor_search_left",
			"std" => "770",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "790",
			"step" => "1"),
		
		array(	"type" => "td_close"),
		
		array(	"name" => "Show Header Social Icons Box",
			"desc" => "Check this box if you want to show social icons box in your website header.",
			"id" => "show_header_social",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Social Icons Box Parameters",
			"desc" => "Please select you social icons box parameters (width, top and left position in pixels).",
			"id" => "header_constructor_social_parameters",
			"type" => "td_open"),
		
		array(	"name" => "Width",
			"id" => "header_constructor_social_width",
			"std" => "115",
			"type" => "td_spinner",
			"min" => "50",
			"max" => "1000",
			"step" => "1"),
		
		array(	"name" => "Top",
			"id" => "header_constructor_social_top",
			"std" => "20",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "260",
			"step" => "1"),
		
		array(	"name" => "Left",
			"id" => "header_constructor_social_left",
			"std" => "868",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "885",
			"step" => "1"),
		
		array(	"type" => "td_close"),
		
		array(	"name" => "Show Header User Area (Login) Box",
			"desc" => "Check this box if you want to show user area (login) box in your website header.",
			"id" => "show_header_login",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "User Area (Login) Box Parameters",
			"desc" => "Please select you user area (login) box parameters (width, top and left position in pixels).",
			"id" => "header_constructor_login_parameters",
			"type" => "td_open"),
		
		array(	"name" => "Width",
			"id" => "header_constructor_login_width",
			"std" => "80",
			"type" => "td_spinner",
			"min" => "50",
			"max" => "1000",
			"step" => "1"),
		
		array(	"name" => "Top",
			"id" => "header_constructor_login_top",
			"std" => "25",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "270",
			"step" => "1"),
		
		array(	"name" => "Left",
			"id" => "header_constructor_login_left",
			"std" => "773",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "950",
			"step" => "1"),
		
		array(	"type" => "td_close"),
		
		array(	"name" => "Show Header Custom HTML Box",
			"desc" => "Check this box if you want to show custom HTML box in your website header.",
			"id" => "show_header_html",
			"std" => "",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Header Custom HTML Box Parameters",
			"desc" => "Please select you header custom HTML box parameters (width, top and left position in pixels).",
			"id" => "header_constructor_html_parameters",
			"type" => "td_open"),
		
		array(	"name" => "Width",
			"id" => "header_constructor_html_width",
			"std" => "200",
			"type" => "td_spinner",
			"min" => "20",
			"max" => "1000",
			"step" => "1"),
		
		array(	"name" => "Height",
			"id" => "header_constructor_html_height",
			"std" => "40",
			"type" => "td_spinner",
			"min" => "10",
			"max" => "300",
			"step" => "1"),
		
		array(	"name" => "Top",
			"id" => "header_constructor_html_top",
			"std" => "20",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "290",
			"step" => "1"),
		
		array(	"name" => "Left",
			"id" => "header_constructor_html_left",
			"std" => "540",
			"type" => "td_spinner",
			"min" => "0",
			"max" => "980",
			"step" => "1"),
		
		array(	"type" => "td_close"),
		
		array(	"name" => "Header Custom HTML",
			"desc" => "Insert your website header custom HTML here.",
			"id" => "header_constructor_html_text",
			"type" => "textarea"),
			
		array(	"name" => "Default Header Parameters",
			"desc" => "Click on this button if you want to set all parameters of header blocks on their default values.",
			"id" => "header_constructor_default_values",
			"value" => "Change To Default",
			"type" => "button_normal"),
			
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Logo &amp; Favicon Options",
			"id" => "logo_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Display Logo or Title",
			"desc" => "Display Logo",
			"desc2" => "Display Title",
			"value" => "",
			"value2" => "1",
			"help" => "You can choose what do you want to display as logo of the site - Title or Logo image.",
			"id" => "site_name",
			"std" => "",
			"type" => "radio"),
		
		array(	"name" => "Your Custom Logo",
			"desc" => "Upload you custom logo image. Logo area is 365 x 85 px.",
			"id" => "custom_logo",
			"type" => "upload",
			"size" => "36"),

		array(	"name" => "Your Custom Title",
			"desc" => "You can type you custom site title text.",
			"id" => "custom_title_text",
			"type" => "text",
			"size" => "50"),
			
		array(	"name" => "Site Description",
			"desc" => "Check this box if you want to show site description text on your logo.",
			"id" => "site_descr",
			"std" => "",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"name" => "Your Custom Description",
			"desc" => "You can type you custom site description text.",
			"id" => "custom_descr_text",
			"type" => "text",
			"size" => "50"),

		array(	"name" => "Site Favicon",
			"desc" => "Check this box if you want to show site favicon.",
			"id" => "site_favicon",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"name" => "Your Custom Favicon",
			"desc" => "You can insert the full URL of your custom favicon image (http://clockstone.cmsmasters.net/wp-content/themes/clockstone/images/favicon.ico)",
			"id" => "custom_favicon",
			"type" => "upload",
			"size" => "36"),

		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Font Name Options",
			"id" => "font_family",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Content Font",
			"desc" => "Please select your website content font here.",
			"id" => "content_font",
			"type" => "select_font",
			"std" => "Trebuchet MS",
			"options" => $gfonts),
			
		array(	"name" => "H1 Heading Font",
			"desc" => "Please select your H1 tag font here.",
			"id" => "h1_font",
			"type" => "select_font",
			"std" => "Ubuntu",
			"options" => $gfonts),
			
		array(	"name" => "H2 Heading Font",
			"desc" => "Please select your H2 tag font here.",
			"id" => "h2_font",
			"type" => "select_font",
			"std" => "Ubuntu",
			"options" => $gfonts),
			
		array(	"name" => "H3 Heading Font",
			"desc" => "Please select your H3 tag font here.",
			"id" => "h3_font",
			"type" => "select_font",
			"std" => "Ubuntu",
			"options" => $gfonts),
			
		array(	"name" => "H4 Heading Font",
			"desc" => "Please select your H4 tag font here.",
			"id" => "h4_font",
			"type" => "select_font",
			"std" => "Ubuntu",
			"options" => $gfonts),
			
		array(	"name" => "H5 Heading Font",
			"desc" => "Please select your H5 tag font here.",
			"id" => "h5_font",
			"type" => "select_font",
			"std" => "Ubuntu",
			"options" => $gfonts),
			
		array(	"name" => "H6 Heading Font",
			"desc" => "Please select your H6 tag font here.",
			"id" => "h6_font",
			"type" => "select_font",
			"std" => "Ubuntu",
			"options" => $gfonts),
			
		array(	"name" => "Dropcap Font",
			"desc" => "Please select your dropcap font here.",
			"id" => "dcp_font",
			"type" => "select_font",
			"std" => "Ubuntu",
			"options" => $gfonts),
			
		array(	"name" => "Large &amp; Medium Buttons Font",
			"desc" => "Please select your large &amp; medium buttons font here.",
			"id" => "btn_font",
			"type" => "select_font",
			"std" => "Ubuntu",
			"options" => $gfonts),
			
		array(	"name" => "Blockquote Font",
			"desc" => "Please select your blockquote font here.",
			"id" => "bqt_font",
			"type" => "select_font",
			"std" => "Trebuchet MS",
			"options" => $gfonts),
			
		array(	"name" => "Code Font",
			"desc" => "Please select your code tag font here.",
			"id" => "code_font",
			"type" => "select_font",
			"std" => "Trebuchet MS",
			"options" => $gfonts),
			
		array(	"name" => "Small Font",
			"desc" => "Please select your small tag font here.",
			"id" => "small_font",
			"type" => "select_font",
			"std" => "Trebuchet MS",
			"options" => $gfonts),
			
		array(	"name" => "Input &amp; Textarea Font",
			"desc" => "Please select your input &amp; textarea tags font here.",
			"id" => "input_font",
			"type" => "select_font",
			"std" => "Trebuchet MS",
			"options" => $gfonts),
			
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Font Size Options",
			"id" => "font_size",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Content Font Size",
			"desc" => "Please select you website content font size here (in pixels).",
			"id" => "content_font_size",
			"std" => "13",
			"type" => "spinner",
			"min" => "9",
			"max" => "16",
			"step" => "1"),
		
		array(	"name" => "H1 Heading Font Size",
			"desc" => "Please select you H1 tag font size here (in pixels).",
			"id" => "h1_font_size",
			"std" => "24",
			"type" => "spinner",
			"min" => "10",
			"max" => "40",
			"step" => "1"),
		
		array(	"name" => "H2 Heading Font Size",
			"desc" => "Please select you H2 tag font size here (in pixels).",
			"id" => "h2_font_size",
			"std" => "24",
			"type" => "spinner",
			"min" => "10",
			"max" => "40",
			"step" => "1"),
		
		array(	"name" => "H3 Heading Font Size",
			"desc" => "Please select you H3 tag font size here (in pixels).",
			"id" => "h3_font_size",
			"std" => "20",
			"type" => "spinner",
			"min" => "10",
			"max" => "40",
			"step" => "1"),
		
		array(	"name" => "H4 Heading Font Size",
			"desc" => "Please select you H4 tag font size here (in pixels).",
			"id" => "h4_font_size",
			"std" => "18",
			"type" => "spinner",
			"min" => "10",
			"max" => "40",
			"step" => "1"),
		
		array(	"name" => "H5 Heading Font Size",
			"desc" => "Please select you H5 tag font size here (in pixels).",
			"id" => "h5_font_size",
			"std" => "18",
			"type" => "spinner",
			"min" => "10",
			"max" => "40",
			"step" => "1"),
		
		array(	"name" => "H6 Heading Font Size",
			"desc" => "Please select you H6 tag font size here (in pixels).",
			"id" => "h6_font_size",
			"std" => "14",
			"type" => "spinner",
			"min" => "10",
			"max" => "40",
			"step" => "1"),
		
		array(	"name" => "Blockquote Font Size",
			"desc" => "Please select you Blockquote tag font size here (in pixels).",
			"id" => "bqt_font_size",
			"std" => "13",
			"type" => "spinner",
			"min" => "9",
			"max" => "16",
			"step" => "1"),
		
		array(	"name" => "Code Font Size",
			"desc" => "Please select you Code tag font size here (in pixels).",
			"id" => "code_font_size",
			"std" => "13",
			"type" => "spinner",
			"min" => "9",
			"max" => "16",
			"step" => "1"),
		
		array(	"name" => "Small Font Size",
			"desc" => "Please select you Small tag font size here (in pixels).",
			"id" => "small_font_size",
			"std" => "11",
			"type" => "spinner",
			"min" => "9",
			"max" => "16",
			"step" => "1"),
		
		array(	"name" => "Input &amp; Textarea Font Size",
			"desc" => "Please select you Input &amp; Textarea tags font size here (in pixels).",
			"id" => "input_font_size",
			"std" => "13",
			"type" => "spinner",
			"min" => "9",
			"max" => "16",
			"step" => "1"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Font Color Options",
			"id" => "font_color",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"type" => "close"),
		
		array(	"name" => "Header, Breadcrumbs, Bottom &amp; Footer Blocks",
			"type" => "title_h3_nobutton"),
		
		array(	"name" => "Text Color",
			"desc" => "Color of the text in the top and bottom parts of your website.",
			"id" => "header_text_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "Links Color",
			"desc" => "Color of the links in the top and bottom parts of your website.",
			"id" => "header_link_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H1 Heading Color",
			"desc" => "Color of the H1 heading in the top and bottom parts of your website.",
			"id" => "header_h1_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "H2 Heading Color",
			"desc" => "Color of the H2 heading in the top and bottom parts of your website.",
			"id" => "header_h2_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H3 Heading Color",
			"desc" => "Color of the H3 heading in the top and bottom parts of your website.",
			"id" => "header_h3_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "H4 Heading Color",
			"desc" => "Color of the H4 heading in the top and bottom parts of your website.",
			"id" => "header_h4_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H5 Heading Color",
			"desc" => "Color of the H5 heading in the top and bottom parts of your website.",
			"id" => "header_h5_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H6 Heading Color",
			"desc" => "Color of the H6 heading in the top and bottom parts of your website.",
			"id" => "header_h6_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "Blockquote Tag Color",
			"desc" => "Color of the blockquote tag in the top and bottom parts of your website.",
			"id" => "header_bqt_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "Code Tag Color",
			"desc" => "Color of the code tag in the top and bottom parts of your website.",
			"id" => "header_code_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Sliders Caption",
			"type" => "title_h3"),
		
		array(	"name" => "Text Color",
			"desc" => "Color of the text in the sliders on your website.",
			"id" => "slider_text_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "Links Color",
			"desc" => "Color of the links in the sliders on your website.",
			"id" => "slider_link_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H1 Heading Color",
			"desc" => "Color of the H1 heading in the sliders on your website.",
			"id" => "slider_h1_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "H2 Heading Color",
			"desc" => "Color of the H2 heading in the sliders on your website.",
			"id" => "slider_h2_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H3 Heading Color",
			"desc" => "Color of the H3 heading in the sliders on your website.",
			"id" => "slider_h3_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "H4 Heading Color",
			"desc" => "Color of the H4 heading in the sliders on your website.",
			"id" => "slider_h4_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H5 Heading Color",
			"desc" => "Color of the H5 heading in the sliders on your website.",
			"id" => "slider_h5_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H6 Heading Color",
			"desc" => "Color of the H6 heading in the sliders on your website.",
			"id" => "slider_h6_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "Blockquote Tag Color",
			"desc" => "Color of the blockquote tag in the sliders on your website.",
			"id" => "slider_bqt_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "Code Tag Color",
			"desc" => "Color of the code tag in the sliders on your website.",
			"id" => "slider_code_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Dark Middle Block",
			"type" => "title_h3"),
		
		array(	"name" => "Text Color",
			"desc" => "Color of the text in the dark version middle (content) part of your website.",
			"id" => "dark_text_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "Links Color",
			"desc" => "Color of the links in the dark version middle (content) part of your website.",
			"id" => "dark_link_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H1 Heading Color",
			"desc" => "Color of the H1 heading in the dark version middle (content) part of your website.",
			"id" => "dark_h1_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "H2 Heading Color",
			"desc" => "Color of the H2 heading in the dark version middle (content) part of your website.",
			"id" => "dark_h2_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H3 Heading Color",
			"desc" => "Color of the H3 heading in the dark version middle (content) part of your website.",
			"id" => "dark_h3_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "H4 Heading Color",
			"desc" => "Color of the H4 heading in the dark version middle (content) part of your website.",
			"id" => "dark_h4_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H5 Heading Color",
			"desc" => "Color of the H5 heading in the dark version middle (content) part of your website.",
			"id" => "dark_h5_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "H6 Heading Color",
			"desc" => "Color of the H6 heading in the dark version middle (content) part of your website.",
			"id" => "dark_h6_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "Blockquote Tag Color",
			"desc" => "Color of the blockquote tag in the dark version middle (content) part of your website.",
			"id" => "dark_bqt_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "Code Tag Color",
			"desc" => "Color of the code tag in the dark version middle (content) part of your website.",
			"id" => "dark_code_color",
			"std" => "fefefe",
			"type" => "color"),
		
		array(	"name" => "Small Tag Color",
			"desc" => "Color of the small tag in the dark version middle (content) part of your website.",
			"id" => "dark_small_color",
			"std" => "e6e1a8",
			"type" => "color"),
		
		array(	"name" => "Input &amp; Textarea Tags Color",
			"desc" => "Color of the input &amp; textarea tags in the dark version middle (content) part of your website.",
			"id" => "dark_input_color",
			"std" => "fefefe",
			"type" => "color"),
			
		array(	"type" => "close"),
		
		
		array(	"name" => "White Middle (Content) Block",
			"type" => "title_h3"),
		
		array(	"name" => "Text Color",
			"desc" => "Color of the text in the white version middle (content) part of your website.",
			"id" => "white_text_color",
			"std" => "191919",
			"type" => "color"),
		
		array(	"name" => "Links Color",
			"desc" => "Color of the links in the white version middle (content) part of your website.",
			"id" => "white_link_color",
			"std" => "d83f35",
			"type" => "color"),
		
		array(	"name" => "H1 Heading Color",
			"desc" => "Color of the H1 heading in the white version middle (content) part of your website.",
			"id" => "white_h1_color",
			"std" => "191919",
			"type" => "color"),
		
		array(	"name" => "H2 Heading Color",
			"desc" => "Color of the H2 heading in the white version middle (content) part of your website.",
			"id" => "white_h2_color",
			"std" => "d83f35",
			"type" => "color"),
		
		array(	"name" => "H3 Heading Color",
			"desc" => "Color of the H3 heading in the white version middle (content) part of your website.",
			"id" => "white_h3_color",
			"std" => "191919",
			"type" => "color"),
		
		array(	"name" => "H4 Heading Color",
			"desc" => "Color of the H4 heading in the white version middle (content) part of your website.",
			"id" => "white_h4_color",
			"std" => "d83f35",
			"type" => "color"),
		
		array(	"name" => "H5 Heading Color",
			"desc" => "Color of the H5 heading in the white version middle (content) part of your website.",
			"id" => "white_h5_color",
			"std" => "d83f35",
			"type" => "color"),
		
		array(	"name" => "H6 Heading Color",
			"desc" => "Color of the H6 heading in the white version middle (content) part of your website.",
			"id" => "white_h6_color",
			"std" => "d83f35",
			"type" => "color"),
		
		array(	"name" => "Blockquote Tag Color",
			"desc" => "Color of the blockquote tag in the white version middle (content) part of your website.",
			"id" => "white_bqt_color",
			"std" => "191919",
			"type" => "color"),
		
		array(	"name" => "Code Tag Color",
			"desc" => "Color of the code tag in the white version middle (content) part of your website.",
			"id" => "white_code_color",
			"std" => "191919",
			"type" => "color"),
		
		array(	"name" => "Small Tag Color",
			"desc" => "Color of the small tag in the white version middle (content) part of your website.",
			"id" => "white_small_color",
			"std" => "d83f35",
			"type" => "color"),
		
		array(	"name" => "Input &amp; Textarea Tags Color",
			"desc" => "Color of the input &amp; textarea tags in the white version middle (content) part of your website.",
			"id" => "white_input_color",
			"std" => "191919",
			"type" => "color"),
			
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Footer Options",
			"id" => "footer_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Footer Content",
			"desc" => "Check this box if you want to enable site footer additional content.",
			"id" => "site_footer",
			"std" => "",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Footer Content Type",
			"desc" => "Show Navigation",
			"desc2" => "Show Custom HTML",
			"value" => "",
			"value2" => "html",
			"help" => "You can choose here your footer content type.",
			"id" => "site_footer_content",
			"std" => "",
			"type" => "radio"),
			
		array(	"name" => "Custom HTML",
			"desc" => "Insert your custom HTML (or you can insert custom text).",
			"id" => "footer_html",
			"type" => "textarea"),
			
		array(	"name" => "Copyright Text",
			"desc" => "Enter your custom copyright text that display in the footer.",
			"id" => "footer_text",
			"type" => "text_show",
			"std" => "Clockstone &copy; 2011 | All Rights Reserved",
			"size" => "63"),
		
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
			
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Architect Slider",
			"id" => "architect_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),

		array(	"name" => "Pause Time",
			"desc" => "Choose pause time for slider between slides in milliseconds (1 Second = 1000 milliseconds), default is 7 seconds.",
			"id" => "architect_slider_pause_time",
			"std" => "7000",
			"type" => "slider",
			"min" => "1000",
			"max" => "20000",
			"step" => "500"),

		array(	"name" => "Animation Speed",
			"desc" => "Choose animation time for slider in milliseconds (1 Second = 1000 milliseconds), default is 0.5 seconds.",
			"id" => "architect_slider_speed",
			"std" => "500",
			"type" => "slider",
			"min" => "0",
			"max" => "5000",
			"step" => "100"),
			
		array(  "name" => "Animation Effect",
			"desc" => "Choose your slider animation effect.",
			"id" => "architect_slider_effect",
			"std" => "",
			"type" => "select_anim"),
			
		array(  "name" => "Easing Effect",
			"desc" => "Choose your slider easing effect. <br />Note: You can see all possible effects in action <a target='_blank' href='http://jqueryui.com/demos/effect/easing.html'>here &gt;</a>",
			"id" => "architect_slider_easing",
			"std" => "linear",
			"type" => "select_slider",
			"options" => $easing),
		
		array(	"name" => "Caption Opacity",
			"desc" => "Choose slider caption opacity.",
			"id" => "architect_slider_opacity",
			"std" => "1",
			"type" => "spinner",
			"min" => "0",
			"max" => "1",
			"step" => "0.05"),
		
		array(	"name" => "Slides Navigation",
			"desc" => "Check this box if you want to show slides navigation.",
			"id" => "architect_slider_nav",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"name" => "Thumbnail Navigation",
			"desc" => "Check this box if you want to show thumbnail on slider navigation (if disabled show circles).",
			"id" => "architect_slider_thumbs",
			"std" => "true",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),
		
		array(	"name" => "Thumbnails Width",
			"desc" => "Choose slider thumbnails width.",
			"id" => "architect_slider_thumbnails_width",
			"std" => "100",
			"type" => "spinner",
			"min" => "0",
			"max" => "250",
			"step" => "1"),
		
		array(	"name" => "Thumbnails Height",
			"desc" => "Choose slider thumbnails height.",
			"id" => "architect_slider_thumbnails_height",
			"std" => "42",
			"type" => "spinner",
			"min" => "0",
			"max" => "100",
			"step" => "1"),
		
		array(	"name" => "Slides Navigation Autohide",
			"desc" => "Check this box if you want to enable slides navigation autohide (show when mouseover).",
			"id" => "architect_slider_nav_autohide",
			"std" => "",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),
		
		array(	"name" => "Time Line",
			"desc" => "Check this box if you want to show time line.",
			"id" => "architect_slider_timeline",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Nivo Slider",
			"id" => "nivo_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
			
		array(  "name" => "Animation Effect",
			"desc" => "Choose your slider animation effect.",
			"id" => "nivo_slider_effect",
			"std" => "random",
			"type" => "select_slider",
			"options" => $nivo),
		
		array(	"name" => "Animation Slices Count",
			"desc" => "Choose slider animation slices count, default is 15 (for slice animation).",
			"id" => "nivo_slider_slices",
			"std" => "15",
			"type" => "spinner",
			"min" => "1",
			"max" => "50",
			"step" => "1"),
		
		array(	"name" => "Animation Box Columns Count",
			"desc" => "Choose slider animation box columns count, default is 10 (for box animation).",
			"id" => "nivo_slider_cols",
			"std" => "10",
			"type" => "spinner",
			"min" => "1",
			"max" => "50",
			"step" => "1"),
		
		array(	"name" => "Animation Box Rows Count",
			"desc" => "Choose slider animation box rows count, default is 4 (for box animation).",
			"id" => "nivo_slider_rows",
			"std" => "4",
			"type" => "spinner",
			"min" => "1",
			"max" => "50",
			"step" => "1"),

		array(	"name" => "Animation Speed",
			"desc" => "Choose animation time for slider in milliseconds (1 Second = 1000 milliseconds), default is 0.5 seconds.",
			"id" => "nivo_slider_speed",
			"std" => "500",
			"type" => "slider",
			"min" => "0",
			"max" => "5000",
			"step" => "100"),

		array(	"name" => "Pause Time",
			"desc" => "Choose pause time for slider between slides in milliseconds (1 Second = 1000 milliseconds), default is 7 seconds.",
			"id" => "nivo_slider_pause_time",
			"std" => "5000",
			"type" => "slider",
			"min" => "1000",
			"max" => "20000",
			"step" => "500"),
			
		array(	"name" => "Caption Opacity",
			"desc" => "Choose slider caption opacity value (it must be number from 0.1 to 1), default is 1.",
			"id" => "nivo_slider_opacity",
			"std" => "0.8",
			"type" => "spinner",
			"min" => "0",
			"max" => "1",
			"step" => "0.05"),
			
		array(	"name" => "Autoslide",
			"desc" => "Check this box if you want start slideshow when slider load.",
			"id" => "nivo_slider_autoslide",
			"std" => "true",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),
			
		array(	"name" => "Thumbnail Navigation",
			"desc" => "Check this box if you want to show thumbnail on slider navigation (if disabled show circles).",
			"id" => "nivo_slider_thumbs",
			"std" => "true",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),
			
		array(	"name" => "Pause on Hover",
			"desc" => "Check this box if you want pause slider on mouseover.",
			"id" => "nivo_slider_pause_hover",
			"std" => "true",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),
		
		array(	"name" => "Arrow Navigation",
			"desc" => "Check this box if you want to show arrow navigation.",
			"id" => "nivo_slider_nav",
			"std" => "",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Arrow Navigation Autohide",
			"desc" => "Check this box if you want to enable arrow navigation autohide (show when mouseover).",
			"id" => "nivo_slider_nav_autohide",
			"std" => "",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),

		array(	"name" => "Keybord Navigation",
			"desc" => "Check this box if you want turn on keyboard slider navigation.",
			"id" => "nivo_slider_keyboard",
			"std" => "true",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),
			
		array(	"type" => "close"),
				
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Coin Slider",
			"id" => "coin_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
			
		array(	"name" => "Pause Time",
			"desc" => "Choose pause time for slider between slides in milliseconds (1 Second = 1000 milliseconds), default is 5 seconds.",
			"id" => "coin_slider_pause_time",
			"std" => "5000",
			"type" => "slider",
			"min" => "1000",
			"max" => "20000",
			"step" => "500"),

		array(	"name" => "Per Squares Pause Time",
			"desc" => "Choose pause time for slider between slides squares in milliseconds (1 Second = 1000 milliseconds), default is 0.03 seconds.",
			"id" => "coin_slider_squares_time",
			"std" => "30",
			"type" => "slider",
			"min" => "0",
			"max" => "100",
			"step" => "1"),

		array(	"name" => "Squares Per Width",
			"desc" => "Choose the number of squares per slider width, default is 10.",
			"id" => "coin_slider_squares_width",
			"std" => "10",
			"type" => "slider",
			"min" => "1",
			"max" => "50",
			"step" => "1"),

		array(	"name" => "Squares Per Height",
			"desc" => "Choose the number of squares per slider height, default is 4.",
			"id" => "coin_slider_squares_height",
			"std" => "4",
			"type" => "slider",
			"min" => "1",
			"max" => "50",
			"step" => "1"),
			
		array(	"name" => "Caption Opacity",
			"desc" => "Choose slider caption opacity value (it must be number from 0.1 to 1), default is 0.9",
			"id" => "coin_slider_opacity",
			"std" => "0.7",
			"type" => "slider",
			"min" => "0",
			"max" => "1",
			"step" => "0.05"),

		array(	"name" => "Title Animation Speed",
			"desc" => "Choose animation time for slides titles in milliseconds (1 Second = 1000 milliseconds), default is 0.5 seconds.",
			"id" => "coin_slider_speed",
			"std" => "500",
			"type" => "slider",
			"min" => "0",
			"max" => "5000",
			"step" => "100"),
			
		array(  "name" => "Animation Effect",
			"desc" => "Choose your slider animation effect.",
			"id" => "coin_slider_effect",
			"std" => "",
			"type" => "select_slider",
			"options" => $coin),
			
		array(	"name" => "Slider Navigation",
			"desc" => "Check this box if you want to show slider navigation.",
			"id" => "coin_slider_nav",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"name" => "Slides as Links",
			"desc" => "Check this box if you want to show slides as links.",
			"id" => "coin_slider_links",
			"std" => "true",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),
			
		array(	"name" => "Pause on Hover",
			"desc" => "Check this box if you want pause slider on mouseover.",
			"id" => "coin_slider_pause_hover",
			"std" => "true",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),

		array(	"type" => "close"),
				
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),	
		

		
		array(	"name" => "Accordion Slider",
			"id" => "accordion_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
			
		array(	"name" => "Orientation",
			"desc" => "Choose your slider orientation type.",
			"id" => "accordion_slider_orientation",
			"std" => "",
			"labelon" => "Vertical",
			"labeloff" => "Horizontal",
			"type" => "checkbox"),
		
		array(	"name" => "One Slide Always Open",
			"desc" => "If on, then one slide always will be open.",
			"id" => "accordion_slider_sticky",
			"std" => "",
			"labelon" => "Enable",
			"labeloff" => "Disable",
			"type" => "checkbox"),
		
		array(	"name" => "Number Of Slide That Open",
			"desc" => "Choose number of slide that open, work if one slide always open parameter enabled. (start from 0)",
			"id" => "accordion_slider_default_slide",
			"std" => "0",
			"type" => "spinner",
			"min" => "0",
			"max" => "50",
			"step" => "1"),
		
		array(	"name" => "Hover Slide Max Width/Height",
			"desc" => "Choose max width of slider hover slide in pixels, default is 800 pixels. <br />Note: if you choose Slider Orientation - Vertical than this parameter set max height, not width",
			"id" => "accordion_slider_width",
			"std" => "800",
			"type" => "slider",
			"min" => "100",
			"max" => "1500",
			"step" => "10"),
			
		array(	"name" => "Animation Speed",
			"desc" => "Choose animation time for slider in milliseconds (1 Second = 1000 milliseconds), default is 1.75 seconds.",
			"id" => "accordion_slider_speed",
			"std" => "1750",
			"type" => "slider",
			"min" => "500",
			"max" => "10000",
			"step" => "50"),
		
		array(	"name" => "Caption Animation Speed",
			"desc" => "Choose animation time for slider caption in milliseconds (1 Second = 1000 milliseconds), default is 0.7 seconds",
			"id" => "accordion_slider_caption",
			"std" => "700",
			"type" => "slider",
			"min" => "100",
			"max" => "1000",
			"step" => "10"),
			
		array(  "name" => "Easing Effect",
			"desc" => "Choose your slider easing effect. <br />Note: You can see all possible effects in action <a target='_blank' href='http://jqueryui.com/demos/effect/easing.html'>here &gt;</a>",
			"id" => "accordion_slider_easing",
			"std" => "easeOutBack",
			"type" => "select_slider",
			"options" => $easing),
		
		array(	"name" => "Caption Opacity",
			"desc" => "Choose slider caption opacity.",
			"id" => "accordion_slider_opacity",
			"std" => "0.8",
			"type" => "spinner",
			"min" => "0",
			"max" => "1",
			"step" => "0.05"),

		array(	"type" => "close"),
				
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),	

		
		
		array(	"name" => "Anything Slider",
			"id" => "anything_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Flashmo 3D Slider",
			"id" => "options_3d",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
			
		array(  "name" => "Slider Category",
			"desc" => "Choose Flashmo 3D slider category.",
			"id" => "sliderf3d_category",
			"std" => "",
			"type" => "select_cat",
			"options" => $cmsmasters_slides_categories),
			
		array(  "name" => "Order Type",
			"desc" => "Choose Flashmo 3D slider order type.",
			"id" => "sliderf3d_order_type",
			"std" => "",
			"type" => "select_order"),
		
		array(  "name" => "Order Type",
			"help" => "Choose Flashmo 3D slider order.",
			"id" => "sliderf3d_order",
			"std" => "",
			"desc" => "DESC",
			"desc2" => "ASC",
			"value" => "DESC",
			"value2" => "ASC",
			"type" => "radio"),
			
		array(	"name" => "Slides Number",
			"desc" => "Choose Flashmo 3D slider slides number.",
			"id" => "sliderf3d_perpage",
			"std" => "10",
			"type" => "spinner",
			"min" => "1",
			"max" => "50",
			"step" => "1"),
		
		array(  "name" => "Slider Autoplay",
			"help" => "Choose Flashmo 3D slider autoplay.",
			"id" => "sliderf3d_autoplay",
			"std" => "true",
			"desc" => "Enable",
			"desc2" => "Disable",
			"value" => "true",
			"value2" => "false",
			"type" => "radio"),
			
		array(	"name" => "Pause Time Between Animation",
			"desc" => "Choose pause time between slider animation in seconds (default value is 5).",
			"id" => "sliderf3d_pause",
			"std" => "5",
			"type" => "spinner",
			"min" => "1",
			"max" => "100",
			"step" => "1"),
			
		array(	"name" => "Squares Per Height",
			"desc" => "Choose the number of squares per height of the slider (default value is 4).",
			"id" => "sliderf3d_rows",
			"std" => "4",
			"type" => "spinner",
			"min" => "1",
			"max" => "20",
			"step" => "1"),
			
		array(	"name" => "Squares Per Width",
			"desc" => "Choose the number of squares per width of the slider (default value is 7).",
			"id" => "sliderf3d_cols",
			"std" => "7",
			"type" => "spinner",
			"min" => "1",
			"max" => "40",
			"step" => "1"),
			
		array(	"name" => "Animation Speed",
			"desc" => "Choose slider animation slice speed in seconds (default value is 0.02).",
			"id" => "sliderf3d_slice_speed",
			"std" => "0.02",
			"type" => "spinner",
			"min" => "0.005",
			"max" => "1",
			"step" => "0.005"),
			
		array(  "name" => "Slider Navigation &amp; Caption Visibility",
			"desc" => "Choose slider navigation and caption visibility.",
			"id" => "sliderf3d_bar_status",
			"std" => "1",
			"type" => "select_status"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Piecemaker2 3D Slider",
			"id" => "piecemaker_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
			
		array(  "name" => "Slider Category",
			"desc" => "Choose Piecemaker2 3D slider category.",
			"id" => "slider3d_category",
			"std" => "",
			"type" => "select_cat",
			"options" => $cmsmasters_slides_categories),
			
		array(  "name" => "Order Type",
			"desc" => "Choose Piecemaker2 3D slider order type.",
			"id" => "slider3d_order_type",
			"std" => "",
			"type" => "select_order"),
		
		array(  "name" => "Order Type",
			"help" => "Choose Piecemaker2 3D slider order.",
			"id" => "slider3d_order",
			"std" => "",
			"desc" => "DESC",
			"desc2" => "ASC",
			"value" => "DESC",
			"value2" => "ASC",
			"type" => "radio"),
			
		array(	"name" => "Slides Number",
			"desc" => "Choose Piecemaker2 3D slider slides number.",
			"id" => "slider3d_perpage",
			"std" => "10",
			"type" => "spinner",
			"min" => "1",
			"max" => "50",
			"step" => "1"),
			
		array(	"name" => "Slider Height",
			"desc" => "Choose Piecemaker2 3D slider height.",
			"id" => "slider3d_height",
			"std" => "400",
			"type" => "spinner",
			"min" => "100",
			"max" => "800",
			"step" => "5"),
			
		array(	"name" => "Cubes Color",
			"desc" => "Color of the cubes before the first image appears, also the color of the back sides of the cube, which become visible at some transition types.",
			"id" => "slider_cubes_color",
			"std" => "333333",
			"type" => "color"),

		array(	"name" => "Inner Side Color",
			"desc" => "Color of the inner sides of the cube when sliced.",
			"id" => "slider_innerside_color",
			"std" => "222222",
			"type" => "color"),
			
		array(	"name" => "Side Shadow Alpha",
			"desc" => "Sides get darker when moved away from the front. This is the degree of darkness - 0 == no change, 1 == 100% black.",
			"id" => "slider_sideshadow_alpha",
			"std" => "0.7",
			"type" => "spinner",
			"min" => "0",
			"max" => "1",
			"step" => "0.05"),
			
		array(	"name" => "Drop Shadow Alpha",
			"desc" => "Alpha of the drop shadow - 0 == no shadow, 1 == opaque.",
			"id" => "slider_dropshadow_alpha",
			"std" => "0.7",
			"type" => "spinner",
			"min" => "0",
			"max" => "1",
			"step" => "0.05"),
			
		array(	"name" => "Drop Shadow Distance",
			"desc" => "Distance of the shadow from the bottom of the image.",
			"id" => "slider_dropshadow_distance",
			"std" => "25",
			"type" => "slider",
			"min" => "0",
			"max" => "100",
			"step" => "1"),
			
		array(	"name" => "Drop Shadow Scale",
			"desc" => "As the shadow is blurred, it appears wider that the actual image, when not resized. Thus it is a good idea to make it slightly smaller. - 1 would be no resizing at all.",
			"id" => "slider_dropshadow_scale",
			"std" => "0.95",
			"type" => "spinner",
			"min" => "0",
			"max" => "1",
			"step" => "0.05"),
			
		array(	"name" => "Drop Shadow Blur X",
			"desc" => "Blur of the drop shadow on the x-axis.",
			"id" => "slider_dropshadow_blurx",
			"std" => "70",
			"type" => "slider",
			"min" => "0",
			"max" => "100",
			"step" => "1"),
			
		array(	"name" => "Drop Shadow Blur Y",
			"desc" => "Blur of the drop shadow on the y-axis.",
			"id" => "slider_dropshadow_blury",
			"std" => "7",
			"type" => "spinner",
			"min" => "0",
			"max" => "20",
			"step" => "1"),
			
		array(	"name" => "Menu Distance X",
			"desc" => "Distance between two menu items (from center to center).",
			"id" => "slider_menu_distancex",
			"std" => "20",
			"type" => "slider",
			"min" => "0",
			"max" => "100",
			"step" => "1"),
			
		array(	"name" => "Menu Distance Y",
			"desc" => "Distance of the menu from the bottom of the image.",
			"id" => "slider_menu_distancey",
			"std" => "40",
			"type" => "slider",
			"min" => "0",
			"max" => "100",
			"step" => "1"),
			
		array(	"name" => "Menu Color 1",
			"desc" => "Color of an inactive menu item.",
			"id" => "slider_menu_color1",
			"std" => "999999",
			"type" => "color"),
			
		array(	"name" => "Menu Color 2",
			"desc" => "Color of an active menu item.",
			"id" => "slider_menu_color2",
			"std" => "333333",
			"type" => "color"),
			
		array(	"name" => "Menu Color 3",
			"desc" => "Color of the inner circle of an active menu item. Should equal the background color of the whole thing.",
			"id" => "slider_menu_color3",
			"std" => "ffffff",
			"type" => "color"),
			
		array(	"name" => "Control Size",
			"desc" => "Size of the controls, which appear on rollover (play, stop, info, link).",
			"id" => "slider_control_size",
			"std" => "80",
			"type" => "slider",
			"min" => "0",
			"max" => "200",
			"step" => "1"),
			
		array(	"name" => "Control Distance",
			"desc" => "Distance between the controls (from the borders).",
			"id" => "slider_control_distance",
			"std" => "20",
			"type" => "slider",
			"min" => "0",
			"max" => "100",
			"step" => "1"),
			
		array(	"name" => "Control Color 1",
			"desc" => "Background color of the controls.",
			"id" => "slider_control_color1",
			"std" => "222222",
			"type" => "color"),
			
		array(	"name" => "Control Color 2",
			"desc" => "Font color of the controls.",
			"id" => "slider_control_color2",
			"std" => "ffffff",
			"type" => "color"),
			
		array(	"name" => "Control Alpha",
			"desc" => "Alpha of a control, when mouse is not over.",
			"id" => "slider_control_alpha",
			"std" => "0.7",
			"type" => "spinner",
			"min" => "0",
			"max" => "1",
			"step" => "0.05"),
			
		array(	"name" => "Control Alpha Over",
			"desc" => "Alpha of a control, when mouse is over.",
			"id" => "slider_control_alphaover",
			"std" => "0.9",
			"type" => "spinner",
			"min" => "0",
			"max" => "1",
			"step" => "0.05"),
			
		array(	"name" => "Controls X",
			"desc" => "X-position of the point, which aligns the controls (measured from [0,0] of the image).",
			"id" => "slider_controls_x",
			"std" => "480",
			"type" => "slider",
			"min" => "0",
			"max" => "1000",
			"step" => "5"),
			
		array(	"name" => "Controls Y",
			"desc" => "Y-position of the point, which aligns the controls (measured from [0,0] of the image).",
			"id" => "slider_controls_y",
			"std" => "200",
			"type" => "slider",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
			
		array(  "name" => "Controls Align",
			"desc" => "Type of alignment from the point [controlsX, controlsY] (can be center, left or right).",
			"id" => "slider_controls_align",
			"std" => "center",
			"type" => "select_slider",
			"options" => $align),
		
		array(	"name" => "Tooltip Height",
			"desc" => "Height of the tooltip surface in the menu.",
			"id" => "slider_tooltip_height",
			"std" => "30",
			"type" => "slider",
			"min" => "0",
			"max" => "100",
			"step" => "1"),
			
		array(	"name" => "Tooltip Color",
			"desc" => "Color of the tooltip surface in the menu.",
			"id" => "slider_tooltip_color",
			"std" => "222222",
			"type" => "color"),
			
		array(	"name" => "Tooltip Text Y",
			"desc" => "Y-distance of the tooltip text field from the top of the tooltip.",
			"id" => "slider_tooltip_texty",
			"std" => "5",
			"type" => "spinner",
			"min" => "0",
			"max" => "20",
			"step" => "1"),
			
		array(	"name" => "Tooltip Text Style",
			"desc" => "The style of the tooltip text, specified in the CSS file.",
			"id" => "slider_tooltip_textstyle",
			"type" => "text_show",
			"std" => "P-Italic",
			"size" => "42"),
			
		array(	"name" => "Tooltip Text Color",
			"desc" => "Color of the tooltip text.",
			"id" => "slider_tooltip_textcolor",
			"std" => "ffffff",
			"type" => "color"),
			
		array(	"name" => "Tooltip Margin Left",
			"desc" => "Margin of the text to the left end of the tooltip.",
			"id" => "slider_tooltip_marginleft",
			"std" => "5",
			"type" => "spinner",
			"min" => "0",
			"max" => "20",
			"step" => "1"),
			
		array(	"name" => "Tooltip Margin Right",
			"desc" => "Margin of the text to the right end of the tooltip.",
			"id" => "slider_tooltip_marginright",
			"std" => "7",
			"type" => "spinner",
			"min" => "0",
			"max" => "20",
			"step" => "1"),
			
		array(	"name" => "Tooltip Text Sharpness",
			"desc" => "Sharpness of the tooltip text (-400 to 400) - see Adobe Docs.",
			"id" => "slider_tooltip_textsharpness",
			"std" => "50",
			"type" => "slider",
			"min" => "-400",
			"max" => "400",
			"step" => "10"),
			
		array(	"name" => "Tooltip Text Thickness",
			"desc" => "Thickness of the tooltip text (-400 to 400) - see Adobe Docs.",
			"id" => "slider_tooltip_textthickness",
			"std" => "-100",
			"type" => "slider",
			"min" => "-400",
			"max" => "400",
			"step" => "10"),
			
		array(	"name" => "Info Width",
			"desc" => "The width of the info text field.",
			"id" => "slider_info_width",
			"std" => "400",
			"type" => "slider",
			"min" => "0",
			"max" => "1000",
			"step" => "10"),
			
		array(	"name" => "Info Background",
			"desc" => "The background color of the info text field.",
			"id" => "slider_info_background",
			"std" => "ffffff",
			"type" => "color"),
			
		array(	"name" => "Info Background Alpha",
			"desc" => "The alpha of the background of the info text, the image shines through, when smaller than 1.",
			"id" => "slider_info_backgroundalpha",
			"std" => "0.95",
			"type" => "spinner",
			"min" => "0",
			"max" => "1",
			"step" => "0.05"),
			
		array(	"name" => "Info Margin",
			"desc" => "The margin of the text field in the info section to all sides.",
			"id" => "slider_info_margin",
			"std" => "15",
			"type" => "slider",
			"min" => "0",
			"max" => "100",
			"step" => "1"),
			
		array(	"name" => "Info Sharpness",
			"desc" => "Sharpness of the info text (see above).",
			"id" => "slider_info_sharpness",
			"std" => "0",
			"type" => "spinner",
			"min" => "0",
			"max" => "10",
			"step" => "1"),
			
		array(	"name" => "Info Thickness",
			"desc" => "Thickness of the info text (see above).",
			"id" => "slider_info_thickness",
			"std" => "0",
			"type" => "spinner",
			"min" => "0",
			"max" => "10",
			"step" => "1"),
			
		array(	"name" => "Autoplay",
			"desc" => "Number of seconds from one transition to another, if not stopped. Set to 0 to disable autoplay.",
			"id" => "slider_autoplay",
			"std" => "10",
			"type" => "slider",
			"min" => "0",
			"max" => "100",
			"step" => "1"),
			
		array(	"name" => "Field Of View",
			"desc" => "see the official Adobe Docs.",
			"id" => "slider_field_ofview",
			"std" => "45",
			"type" => "slider",
			"min" => "0",
			"max" => "100",
			"step" => "1"),
		
		array(	"type" => "close"),
				
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Testimonials Options",
			"id" => "testimonial_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Default Testimonials Page Options",
			"type" => "title_h3_nobutton"),
		
		array(	"name" => "Testimonials Full Text Button",
			"desc" => "Check this box if you want to show testimonials full text button.",
			"id" => "test_page_fulltext",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Default Testimonial Post Options",
			"type" => "title_h3"),
		
		array(	"name" => "Testimonial Post Layout Default",
			"desc" => "Right Sidebar",
			"desc2" => "Left Sidebar",
			"desc3" => "Full Width",
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			"std" => "sidebar_bg",
			"help" => "You can choose here your testimonial post layout type.",
			"id" => "test_post_layout",
			"type" => "radio_three"),
		
		array(	"name" => "Testimonial About Author Block Default",
			"desc" => "Check this box if you want to show testimonial about author block.",
			"id" => "test_post_aboutauthor",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "News Options",
			"id" => "news_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Default News Page Options",
			"type" => "title_h3_nobutton"),
		
		array(	"name" => "News Date",
			"desc" => "Check this box if you want to show news date.",
			"id" => "news_page_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "News Comments Count",
			"desc" => "Check this box if you want to show news comments count.",
			"id" => "news_page_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Default News Post Options",
			"type" => "title_h3"),
		
		array(	"name" => "News Post Layout Default",
			"desc" => "Right Sidebar",
			"desc2" => "Left Sidebar",
			"desc3" => "Full Width",
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			"std" => "sidebar_bg",
			"help" => "You can choose here your news post layout type.",
			"id" => "news_post_layout",
			"type" => "radio_three"),
		
		array(	"name" => "Article Date",
			"desc" => "Check this box if you want to show article date.",
			"id" => "news_post_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Article Categorioes",
			"desc" => "Check this box if you want to show article categorioes.",
			"id" => "news_post_categs",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Article Comments",
			"desc" => "Check this box if you want to show article comments.",
			"id" => "news_post_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Article Tags",
			"desc" => "Check this box if you want to show article tags.",
			"id" => "news_post_tags",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Article Author",
			"desc" => "Check this box if you want to show article author.",
			"id" => "news_post_author",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Article Share This Block",
			"desc" => "Check this box if you want to show article share this block.",
			"id" => "news_post_share",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Article About Author Block Default",
			"desc" => "Check this box if you want to show article about author block.",
			"id" => "news_post_aboutauthor",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "News Popular &amp; Latest Articles Block Default",
			"desc" => "Check this box if you want to show popular &amp; latest articles block.",
			"id" => "news_post_popularrecent",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "News Popular &amp; Latest Articles Number Default",
			"desc" => "Please choose popular &amp; latest articles block items number.",
			"id" => "news_post_popularrecent_number",
			"std" => "4",
			"type" => "spinner",
			"min" => "2",
			"max" => "10",
			"step" => "2"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Products Options",
			"id" => "product_options",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Default Products Page Options",
			"type" => "title_h3_nobutton"),
		
		array(	"name" => "Products Date",
			"desc" => "Check this box if you want to show products date.",
			"id" => "products_page_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Products Price",
			"desc" => "Check this box if you want to show products price.",
			"id" => "products_page_price",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Products Buy Button",
			"desc" => "Check this box if you want to show products buy button.",
			"id" => "products_page_buy",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Products Buy Button Target",
			"desc" => "Check this box if you want to open product buy button link on new tab (winwow).",
			"id" => "products_page_buy_target",
			"std" => "true",
			"labelon" => "Blank",
			"labeloff" => "Self",
			"type" => "checkbox"),
		
		array(	"name" => "Products Read More Link",
			"desc" => "Check this box if you want to show products read more link.",
			"id" => "products_page_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Default Product Post Options",
			"type" => "title_h3"),
		
		array(	"name" => "Product Post Layout Default",
			"desc" => "Right Sidebar",
			"desc2" => "Left Sidebar",
			"desc3" => "Full Width",
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			"std" => "sidebar_bg",
			"help" => "You can choose here your product post layout type.",
			"id" => "products_post_layout",
			"type" => "radio_three"),
		
		array(	"name" => "Product Date",
			"desc" => "Check this box if you want to show product date.",
			"id" => "products_post_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Product Price",
			"desc" => "Check this box if you want to show product price.",
			"id" => "products_post_price",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Product Buy Button",
			"desc" => "Check this box if you want to show product buy button.",
			"id" => "products_post_buy",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Product Buy Button Target",
			"desc" => "Check this box if you want to open product buy button link on new tab (winwow).",
			"id" => "products_post_buy_target",
			"std" => "true",
			"labelon" => "Blank",
			"labeloff" => "Self",
			"type" => "checkbox"),
		
		array(	"name" => "Product Share This Block Default",
			"desc" => "Check this box if you want to show product share this block.",
			"id" => "products_post_share",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Product Latest Posts Block Default",
			"desc" => "Check this box if you want to show latest products block.",
			"id" => "products_post_popularrecent",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Product Latest Posts Number Default",
			"desc" => "Please choose latest products block items number.",
			"id" => "products_post_popularrecent_number",
			"std" => "4",
			"type" => "spinner",
			"min" => "2",
			"max" => "10",
			"step" => "2"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Blog With Sidebar Templates Options",
			"id" => "blog_options_sb",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "One Column Full Size Image Template",
			"type" => "title_h3_nobutton"),
		
		array(	"name" => "Posts Date",
			"desc" => "Check this box if you want to show posts date.",
			"id" => "blog_page_sidebar_onefull_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Categorioes",
			"desc" => "Check this box if you want to show posts categorioes.",
			"id" => "blog_page_sidebar_onefull_categs",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Author",
			"desc" => "Check this box if you want to show posts author.",
			"id" => "blog_page_sidebar_onefull_author",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Comments",
			"desc" => "Check this box if you want to show posts comments.",
			"id" => "blog_page_sidebar_onefull_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Read More Button",
			"desc" => "Check this box if you want to show posts read more button.",
			"id" => "blog_page_sidebar_onefull_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "One Column Left Image Template",
			"type" => "title_h3"),
		
		array(	"name" => "Posts Date",
			"desc" => "Check this box if you want to show posts date.",
			"id" => "blog_page_sidebar_onesmall_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Categorioes",
			"desc" => "Check this box if you want to show posts categorioes.",
			"id" => "blog_page_sidebar_onesmall_categs",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Author",
			"desc" => "Check this box if you want to show posts author.",
			"id" => "blog_page_sidebar_onesmall_author",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Comments",
			"desc" => "Check this box if you want to show posts comments.",
			"id" => "blog_page_sidebar_onesmall_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Read More Button",
			"desc" => "Check this box if you want to show posts read more button.",
			"id" => "blog_page_sidebar_onesmall_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Two Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Posts Date",
			"desc" => "Check this box if you want to show posts date.",
			"id" => "blog_page_sidebar_two_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Categorioes",
			"desc" => "Check this box if you want to show posts categorioes.",
			"id" => "blog_page_sidebar_two_categs",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Author",
			"desc" => "Check this box if you want to show posts author.",
			"id" => "blog_page_sidebar_two_author",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Comments",
			"desc" => "Check this box if you want to show posts comments.",
			"id" => "blog_page_sidebar_two_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Read More Button",
			"desc" => "Check this box if you want to show posts read more button.",
			"id" => "blog_page_sidebar_two_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Three Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Posts Comments",
			"desc" => "Check this box if you want to show posts comments.",
			"id" => "blog_page_sidebar_three_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Read More Button",
			"desc" => "Check this box if you want to show posts read more button.",
			"id" => "blog_page_sidebar_three_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Full Width Blog Templates Options",
			"id" => "blog_options_fw",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "One Column Full Size Image Template",
			"type" => "title_h3_nobutton"),
		
		array(	"name" => "Posts Date",
			"desc" => "Check this box if you want to show posts date.",
			"id" => "blog_page_full_onefull_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Categorioes",
			"desc" => "Check this box if you want to show posts categorioes.",
			"id" => "blog_page_full_onefull_categs",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Author",
			"desc" => "Check this box if you want to show posts author.",
			"id" => "blog_page_full_onefull_author",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Comments",
			"desc" => "Check this box if you want to show posts comments.",
			"id" => "blog_page_full_onefull_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Read More Button",
			"desc" => "Check this box if you want to show posts read more button.",
			"id" => "blog_page_full_onefull_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "One Column Left Image Template",
			"type" => "title_h3"),
		
		array(	"name" => "Posts Date",
			"desc" => "Check this box if you want to show posts date.",
			"id" => "blog_page_full_onesmall_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Categorioes",
			"desc" => "Check this box if you want to show posts categorioes.",
			"id" => "blog_page_full_onesmall_categs",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Author",
			"desc" => "Check this box if you want to show posts author.",
			"id" => "blog_page_full_onesmall_author",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Comments",
			"desc" => "Check this box if you want to show posts comments.",
			"id" => "blog_page_full_onesmall_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Read More Button",
			"desc" => "Check this box if you want to show posts read more button.",
			"id" => "blog_page_full_onesmall_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Two Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Posts Date",
			"desc" => "Check this box if you want to show posts date.",
			"id" => "blog_page_full_two_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Categorioes",
			"desc" => "Check this box if you want to show posts categorioes.",
			"id" => "blog_page_full_two_categs",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Author",
			"desc" => "Check this box if you want to show posts author.",
			"id" => "blog_page_full_two_author",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Comments",
			"desc" => "Check this box if you want to show posts comments.",
			"id" => "blog_page_full_two_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Read More Button",
			"desc" => "Check this box if you want to show posts read more button.",
			"id" => "blog_page_full_two_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Three Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Posts Date",
			"desc" => "Check this box if you want to show posts date.",
			"id" => "blog_page_full_three_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Categorioes",
			"desc" => "Check this box if you want to show posts categorioes.",
			"id" => "blog_page_full_three_categs",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Author",
			"desc" => "Check this box if you want to show posts author.",
			"id" => "blog_page_full_three_author",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Comments",
			"desc" => "Check this box if you want to show posts comments.",
			"id" => "blog_page_full_three_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Read More Button",
			"desc" => "Check this box if you want to show posts read more button.",
			"id" => "blog_page_full_three_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Four Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Posts Comments",
			"desc" => "Check this box if you want to show posts comments.",
			"id" => "blog_page_full_four_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Posts Read More Button",
			"desc" => "Check this box if you want to show posts read more button.",
			"id" => "blog_page_full_four_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Blog Posts Default Options Default",
			"id" => "blog_options_pt",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Blog Post Layout",
			"desc" => "Right Sidebar",
			"desc2" => "Left Sidebar",
			"desc3" => "Full Width",
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			"std" => "sidebar_bg",
			"help" => "You can choose here your blog post layout type.",
			"id" => "blog_post_layout",
			"type" => "radio_three"),
		
		array(	"name" => "Post Date",
			"desc" => "Check this box if you want to show post date.",
			"id" => "blog_post_date",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Post Categorioes",
			"desc" => "Check this box if you want to show post categorioes.",
			"id" => "blog_post_categs",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Post Author",
			"desc" => "Check this box if you want to show post author.",
			"id" => "blog_post_author",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Post Comments",
			"desc" => "Check this box if you want to show post comments.",
			"id" => "blog_post_comments",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Post Tags",
			"desc" => "Check this box if you want to show post tags.",
			"id" => "blog_post_tags",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Post Share This Block",
			"desc" => "Check this box if you want to show post share this block.",
			"id" => "blog_post_share",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Post About Author Block Default",
			"desc" => "Check this box if you want to show post about author block.",
			"id" => "blog_post_aboutauthor",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Blog Popular Block Default",
			"desc" => "Check this box if you want to show blog popular posts block.",
			"id" => "blog_post_popular",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
                
                array(	"name" => "Blog Latest Posts Block Default",
			"desc" => "Check this box if you want to show blog  latest posts block.",
			"id" => "blog_post_recent",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
    
                array(	"name" => "Blog Related Posts Block Default",
			"desc" => "Check this box if you want to show blog related posts block.",
			"id" => "blog_post_related",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Blog Popular &amp; Latest Posts Number",
			"desc" => "Please choose popular &amp; latest posts block items number.",
			"id" => "blog_post_popularrecent_number",
			"std" => "4",
			"type" => "spinner",
			"min" => "2",
			"max" => "10",
			"step" => "2"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Full Width Portfolio Templates Options",
			"id" => "portfolio_options_fw",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "One Column Template",
			"type" => "title_h3_nobutton"),
		
		array(	"name" => "Projects Description",
			"desc" => "Check this box if you want to show projects description.",
			"id" => "portfolio_page_full_one_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Projects Description Length In Symbols",
			"desc" => "Please choose this template projects description length in symbols.",
			"id" => "portfolio_page_full_one_description_number",
			"std" => "200",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Projects Features",
			"desc" => "Check this box if you want to show projects features.",
			"id" => "portfolio_page_full_one_features",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Projects Read More Button",
			"desc" => "Check this box if you want to show projects read more button.",
			"id" => "portfolio_page_full_one_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Two Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Projects Description",
			"desc" => "Check this box if you want to show projects description.",
			"id" => "portfolio_page_full_two_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Projects Description Length In Symbols",
			"desc" => "Please choose this template projects description length in symbols.",
			"id" => "portfolio_page_full_two_description_number",
			"std" => "200",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Projects Read More Button",
			"desc" => "Check this box if you want to show projects read more button.",
			"id" => "portfolio_page_full_two_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Three Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Projects Description",
			"desc" => "Check this box if you want to show projects description.",
			"id" => "portfolio_page_full_three_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Projects Description Length In Symbols",
			"desc" => "Please choose this template projects description length in symbols.",
			"id" => "portfolio_page_full_three_description_number",
			"std" => "150",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Projects Read More Button",
			"desc" => "Check this box if you want to show projects read more button.",
			"id" => "portfolio_page_full_three_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Four Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Projects Description",
			"desc" => "Check this box if you want to show projects description.",
			"id" => "portfolio_page_full_four_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Projects Description Length In Symbols",
			"desc" => "Please choose this template projects description length in symbols.",
			"id" => "portfolio_page_full_four_description_number",
			"std" => "100",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Projects Read More Button",
			"desc" => "Check this box if you want to show projects read more button.",
			"id" => "portfolio_page_full_four_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Portfolio With Sidebar Templates Options",
			"id" => "portfolio_options_sb",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "One Column Template",
			"type" => "title_h3_nobutton"),
		
		array(	"name" => "Projects Description",
			"desc" => "Check this box if you want to show projects description.",
			"id" => "portfolio_page_sidebar_one_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Projects Description Length In Symbols",
			"desc" => "Please choose this template projects description length in symbols.",
			"id" => "portfolio_page_sidebar_one_description_number",
			"std" => "100",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Projects Features",
			"desc" => "Check this box if you want to show projects features.",
			"id" => "portfolio_page_sidebar_one_features",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Projects Read More Button",
			"desc" => "Check this box if you want to show projects read more button.",
			"id" => "portfolio_page_sidebar_one_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Two Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Projects Description",
			"desc" => "Check this box if you want to show projects description.",
			"id" => "portfolio_page_sidebar_two_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Projects Description Length In Symbols",
			"desc" => "Please choose this template projects description length in symbols.",
			"id" => "portfolio_page_sidebar_two_description_number",
			"std" => "150",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Projects Read More Button",
			"desc" => "Check this box if you want to show projects read more button.",
			"id" => "portfolio_page_sidebar_two_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Three Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Projects Description",
			"desc" => "Check this box if you want to show projects description.",
			"id" => "portfolio_page_sidebar_three_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Projects Description Length In Symbols",
			"desc" => "Please choose this template projects description length in symbols.",
			"id" => "portfolio_page_sidebar_three_description_number",
			"std" => "75",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Projects Read More Button",
			"desc" => "Check this box if you want to show projects read more button.",
			"id" => "portfolio_page_sidebar_three_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Portfolio Projects Default Options",
			"id" => "portfolio_options_pj",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Portfolio Project Layout Default",
			"desc" => "Right Sidebar",
			"desc2" => "Left Sidebar",
			"desc3" => "Full Width",
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			"std" => "sidebar_bg",
			"help" => "You can choose here your portfolio project layout type.",
			"id" => "portfolio_post_layout",
			"type" => "radio_three"),
		
		array(	"name" => "Project Share This Block",
			"desc" => "Check this box if you want to show project share this block.",
			"id" => "portfolio_post_share",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Portfolio Latest Projects Block Default",
			"desc" => "Check this box if you want to show latest projects block.",
			"id" => "portfolio_post_popularrecent",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Portfolio Latest Projects Number Default",
			"desc" => "Please choose latest projects block items number.",
			"id" => "portfolio_post_popularrecent_number",
			"std" => "4",
			"type" => "spinner",
			"min" => "2",
			"max" => "10",
			"step" => "2"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Full Width Gallery Templates Options",
			"id" => "gallery_options_fw",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "One Column Template",
			"type" => "title_h3_nobutton"),
		
		array(	"name" => "Albums Description",
			"desc" => "Check this box if you want to show albums description.",
			"id" => "gallery_page_full_one_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Albums Description Length In Symbols",
			"desc" => "Please choose this template albums description length in symbols.",
			"id" => "gallery_page_full_one_description_number",
			"std" => "400",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Albums Read More Button",
			"desc" => "Check this box if you want to show albums read more button.",
			"id" => "gallery_page_full_one_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Two Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Albums Description",
			"desc" => "Check this box if you want to show albums description.",
			"id" => "gallery_page_full_two_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Albums Description Length In Symbols",
			"desc" => "Please choose this template albums description length in symbols.",
			"id" => "gallery_page_full_two_description_number",
			"std" => "200",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Albums Read More Button",
			"desc" => "Check this box if you want to show albums read more button.",
			"id" => "gallery_page_full_two_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Three Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Albums Description",
			"desc" => "Check this box if you want to show albums description.",
			"id" => "gallery_page_full_three_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Albums Description Length In Symbols",
			"desc" => "Please choose this template albums description length in symbols.",
			"id" => "gallery_page_full_three_description_number",
			"std" => "150",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Albums Read More Button",
			"desc" => "Check this box if you want to show albums read more button.",
			"id" => "gallery_page_full_three_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Four Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Albums Description",
			"desc" => "Check this box if you want to show albums description.",
			"id" => "gallery_page_full_four_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Albums Description Length In Symbols",
			"desc" => "Please choose this template albums description length in symbols.",
			"id" => "gallery_page_full_four_description_number",
			"std" => "100",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Albums Read More Button",
			"desc" => "Check this box if you want to show albums read more button.",
			"id" => "gallery_page_full_four_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
			
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Gallery With Sidebar Templates Options",
			"id" => "gallery_options_sb",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "One Column Template",
			"type" => "title_h3_nobutton"),
		
		array(	"name" => "Albums Description",
			"desc" => "Check this box if you want to show albums description.",
			"id" => "gallery_page_sidebar_one_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Albums Description Length In Symbols",
			"desc" => "Please choose this template albums description length in symbols.",
			"id" => "gallery_page_sidebar_one_description_number",
			"std" => "125",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
			
		array(	"name" => "Albums Read More Button",
			"desc" => "Check this box if you want to show albums read more button.",
			"id" => "gallery_page_sidebar_one_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Two Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Albums Description",
			"desc" => "Check this box if you want to show albums description.",
			"id" => "gallery_page_sidebar_two_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Albums Description Length In Symbols",
			"desc" => "Please choose this template albums description length in symbols.",
			"id" => "gallery_page_sidebar_two_description_number",
			"std" => "150",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Albums Read More Button",
			"desc" => "Check this box if you want to show albums read more button.",
			"id" => "gallery_page_sidebar_two_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		
		array(	"name" => "Three Columns Template",
			"type" => "title_h3"),
		
		array(	"name" => "Albums Description",
			"desc" => "Check this box if you want to show albums description.",
			"id" => "gallery_page_sidebar_three_description",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Albums Description Length In Symbols",
			"desc" => "Please choose this template albums description length in symbols.",
			"id" => "gallery_page_sidebar_three_description_number",
			"std" => "75",
			"type" => "spinner",
			"min" => "0",
			"max" => "500",
			"step" => "5"),
		
		array(	"name" => "Albums Read More Button",
			"desc" => "Check this box if you want to show albums read more button.",
			"id" => "gallery_page_sidebar_three_link",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab"),
		
		
		
		array(	"name" => "Gallery Albums Default Options",
			"id" => "gallery_options_ab",
			"type" => "opentab"),
			
		array(	"type" => "title_h2"),
		
		array(	"name" => "Gallery Album Layout Default",
			"desc" => "Right Sidebar",
			"desc2" => "Left Sidebar",
			"desc3" => "Full Width",
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			"std" => "nobg",
			"help" => "You can choose here your gallery album layout type.",
			"id" => "gallery_post_layout",
			"type" => "radio_three"),
		
		array(	"name" => "Album Share This Block",
			"desc" => "Check this box if you want to show album share this block.",
			"id" => "gallery_post_share",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Gallery Latest Albums Block Default",
			"desc" => "Check this box if you want to show latest albums block.",
			"id" => "gallery_post_popularrecent",
			"std" => "true",
			"labelon" => "Show",
			"labeloff" => "Hide",
			"type" => "checkbox"),
		
		array(	"name" => "Gallery Latest Albums Number Default",
			"desc" => "Please choose latest albums block items number.",
			"id" => "gallery_post_popularrecent_number",
			"std" => "4",
			"type" => "spinner",
			"min" => "2",
			"max" => "10",
			"step" => "2"),
		
		array(	"type" => "close"),
		
		array(	"type" => "submit"),
		
		array(	"type" => "closetab")
		
);

?>
