(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode1');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode1', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode1', function() {
				ed.windowManager.open({
					file : url + '/window_button.php',
					width : 500 + ed.getLang('cmsmasters_shortcode1.delta_width', 0),
					height : 360 + ed.getLang('cmsmasters_shortcode1.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode1', {
				title : 'cmsmasters_shortcode1.desc',
				cmd : 'mcecmsmasters_shortcode1',
				image : url + '/button.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode1', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode1',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode1', tinymce.plugins.cmsmasters_shortcode1);
})();
