(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode4');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode4', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode4', function() {
				ed.windowManager.open({
					file : url + '/window_divider.php',
					width : 400 + ed.getLang('cmsmasters_shortcode4.delta_width', 0),
					height : 210 + ed.getLang('cmsmasters_shortcode4.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode4', {
				title : 'cmsmasters_shortcode4.desc',
				cmd : 'mcecmsmasters_shortcode4',
				image : url + '/divider.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode4', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode4',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode4', tinymce.plugins.cmsmasters_shortcode4);
})();
