(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode5');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode5', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode5', function() {
				ed.windowManager.open({
					file : url + '/window_dropcap.php',
					width : 450 + ed.getLang('cmsmasters_shortcode5.delta_width', 0),
					height : 240 + ed.getLang('cmsmasters_shortcode5.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode5', {
				title : 'cmsmasters_shortcode5.desc',
				cmd : 'mcecmsmasters_shortcode5',
				image : url + '/dropcap.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode5', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode5',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode5', tinymce.plugins.cmsmasters_shortcode5);
})();
