(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode9');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode9', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode9', function() {
				ed.windowManager.open({
					file : url + '/window_list.php',
					width : 530 + ed.getLang('cmsmasters_shortcode9.delta_width', 0),
					height : 350 + ed.getLang('cmsmasters_shortcode9.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode9', {
				title : 'cmsmasters_shortcode9.desc',
				cmd : 'mcecmsmasters_shortcode9',
				image : url + '/lists.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode9', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode9',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode9', tinymce.plugins.cmsmasters_shortcode9);
})();
