(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode6');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode6', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode6', function() {
				ed.windowManager.open({
					file : url + '/window_shadow.php',
					width : 500 + ed.getLang('cmsmasters_shortcode6.delta_width', 0),
					height : 350 + ed.getLang('cmsmasters_shortcode6.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode6', {
				title : 'cmsmasters_shortcode6.desc',
				cmd : 'mcecmsmasters_shortcode6',
				image : url + '/shadow.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode6', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode6',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode6', tinymce.plugins.cmsmasters_shortcode6);
})();
