(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode11');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode11', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode11', function() {
				ed.windowManager.open({
					file : url + '/window_table.php',
					width : 420 + ed.getLang('cmsmasters_shortcode11.delta_width', 0),
					height : 275 + ed.getLang('cmsmasters_shortcode11.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode11', {
				title : 'cmsmasters_shortcode11.desc',
				cmd : 'mcecmsmasters_shortcode11',
				image : url + '/table.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode11', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode11',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode11', tinymce.plugins.cmsmasters_shortcode11);
})();
