(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode8');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode8', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode8', function() {
				ed.windowManager.open({
					file : url + '/window_tabs.php',
					width : 750 + ed.getLang('cmsmasters_shortcode8.delta_width', 0),
					height : 680 + ed.getLang('cmsmasters_shortcode8.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode8', {
				title : 'cmsmasters_shortcode8.desc',
				cmd : 'mcecmsmasters_shortcode8',
				image : url + '/tabs.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode8', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode8',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode8', tinymce.plugins.cmsmasters_shortcode8);
})();
