(function() {
	tinymce.PluginManager.requireLangPack('cmsmasters_shortcode');
	tinymce.create('tinymce.plugins.cmsmasters_shortcode', {
		init : function(ed, url) {

			ed.addCommand('mcecmsmasters_shortcode', function() {
				ed.windowManager.open({
					file : url + '/window_video.php',
					width : 600 + ed.getLang('cmsmasters_shortcode.delta_width', 0),
					height : 530 + ed.getLang('cmsmasters_shortcode.delta_height', 0),
					inline : 1
				}, {
					plugin_url : url 
				});
			});

			ed.addButton('cmsmasters_shortcode', {
				title : 'cmsmasters_shortcode.desc',
				cmd : 'mcecmsmasters_shortcode',
				image : url + '/media.gif'
			});

			ed.onNodeChange.add(function(ed, cm, n) {
				cm.setActive('cmsmasters_shortcode', n.nodeName == 'IMG');
			});
		},

		createControl : function(n, cm) {
			return null;
		},

		getInfo : function() {
			return {
					longname  : 'cmsmasters_shortcode',
					author 	  : 'CMSMasters',
					authorurl : 'http://cmsmasters.net',
					infourl   : 'http://cmsmasters.net',
					version   : "1.0"
			};
		}
	});

	tinymce.PluginManager.add('cmsmasters_shortcode', tinymce.plugins.cmsmasters_shortcode);
})();
