<?php
class add_cmsmasters_button {
	
	var $pluginname = 'cmsmasters_shortcode';
	var $pluginname1 = 'cmsmasters_shortcode1';
	var $pluginname2 = 'cmsmasters_shortcode2';
	var $pluginname3 = 'cmsmasters_shortcode3';
	var $pluginname4 = 'cmsmasters_shortcode4';
	var $pluginname5 = 'cmsmasters_shortcode5';
	var $pluginname6 = 'cmsmasters_shortcode6';
	var $pluginname7 = 'cmsmasters_shortcode7';
	var $pluginname8 = 'cmsmasters_shortcode8';
	var $pluginname9 = 'cmsmasters_shortcode9';
	var $pluginname10 = 'cmsmasters_shortcode10';
	var $pluginname11 = 'cmsmasters_shortcode11';
	var $pluginname12 = 'cmsmasters_shortcode12';
	var $path = '';
	var $internalVersion = 100;
	
	function add_cmsmasters_button()  {
		
		$this->path = get_template_directory_uri() . '/theme/administrator/tinymce/';	
		
		add_filter('tiny_mce_version', array (&$this, 'change_tinymce_version') );

		add_action('init', array (&$this, 'addbuttons') );
	}
	
	function addbuttons() {
		global $page_handle;
	
		if ( !current_user_can('edit_posts') && !current_user_can('edit_pages') ) 
			return;
		
		if ( get_user_option('rich_editing') == 'true') {
		 
			$svr_uri = $_SERVER['REQUEST_URI'];
			if ( strstr($svr_uri, 'post.php') || strstr($svr_uri, 'post-new.php') || strstr($svr_uri, 'page.php') || strstr($svr_uri, 'page-new.php') || strstr($svr_uri, $page_handle) ) {
				add_filter("mce_external_plugins", array (&$this, 'add_tinymce_plugin' ), 5);
				add_filter('mce_buttons_4', array (&$this, 'register_button' ), 5);
				add_filter('mce_external_languages', array (&$this, 'add_tinymce_langs_path'));
			}
		}
	}
	
	function register_button($buttons) {
	
		array_push($buttons, $this->pluginname5, $this->pluginname6, $this->pluginname9, 'separator', $this->pluginname1, $this->pluginname3, $this->pluginname7, $this->pluginname4, 'separator', $this->pluginname11, $this->pluginname8, $this->pluginname10, 'separator', $this->pluginname2, $this->pluginname12, $this->pluginname );
	
		return $buttons;
	}
	
	function add_tinymce_plugin($plugin_array) {
		if(isset($_GET['post_type'])) {
			$post_type_get = $_GET['post_type'];
		}
		$post_id = $_GET['post'];
		$post = get_post($post_id);
		$post_type = $post->post_type;
		
		if($post_type == 'post' || $post_type == 'page' || $post_type == 'testimonials' || $post_type == 'news' || $post_type == 'products' || $post_type == 'slides' || $post_type == 'portfolio' || $post_type == 'gallery'){
			$plugin_array[$this->pluginname] =  $this->path . 'editor_plugin_video.js';
			$plugin_array[$this->pluginname1] =  $this->path . 'editor_plugin_button.js';
			$plugin_array[$this->pluginname2] =  $this->path . 'editor_plugin_contact.js';
			$plugin_array[$this->pluginname3] =  $this->path . 'editor_plugin_box.js';
			$plugin_array[$this->pluginname4] =  $this->path . 'editor_plugin_divider.js';
			$plugin_array[$this->pluginname5] =  $this->path . 'editor_plugin_dropcap.js';
			$plugin_array[$this->pluginname6] =  $this->path . 'editor_plugin_shadow.js';
			$plugin_array[$this->pluginname7] =  $this->path . 'editor_plugin_pricing.js';
			$plugin_array[$this->pluginname8] =  $this->path . 'editor_plugin_tabs.js';
			$plugin_array[$this->pluginname9] =  $this->path . 'editor_plugin_list.js';
			$plugin_array[$this->pluginname10] =  $this->path . 'editor_plugin_column.js';
			$plugin_array[$this->pluginname11] =  $this->path . 'editor_plugin_table.js';
			$plugin_array[$this->pluginname12] =  $this->path . 'editor_plugin_widget.js';
		}
		
		return $plugin_array;
	}
	
	function add_tinymce_langs_path($plugin_array) {
		$plugin_array[$this->pluginname] = CMSMASTERS_ADMIN . '/tinymce/langs.php';
		return $plugin_array;
	}
	
	function change_tinymce_version($version) {
			$version = $version + $this->internalVersion;
		return $version;
	}
	
}

$tinymce_button = new add_cmsmasters_button ();

?>
