function init(){
	tinyMCEPopup.resizeToInnerSize()
}

function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}

function insertCMSMastersLink() {
	
	var tagtext;
	
	var size_button = document.getElementById('size_button_panel');
	var style_button = document.getElementById('style_button_panel');
	var color_button = document.getElementById('color_button_panel');
	
	if (size_button.className.indexOf('current') != -1){
		var text = document.getElementById('size_button_text').value;
		var link = document.getElementById('size_button_link').value;
		var type = document.getElementById('size_button_type').value;
		var target = document.getElementById('size_button_target').value;
		var lightbox = document.getElementById('size_button_lightbox');
		var tooltip = document.getElementById('size_button_tooltip');
		var tooltiptext = document.getElementById('size_button_tooltip_text').value;
		
		if (text != 0 && link != 0 && type != 0){
			tagtext = "[button link=\"" + link + "\" type=\"" + type + "\"";
			
			if (target != '_self'){
				tagtext = tagtext + " target=\"" + target + "\"";
			}
			
			if (lightbox.checked){
				tagtext = tagtext + " lightbox=\"lightbox\"";
			}
			
			if (tooltip.checked && tooltiptext != 0){
				tagtext = tagtext + " tooltip=\"" + tooltiptext + "\"";
			}
			
			tagtext = tagtext + "]" + text + "[/button]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	
	if (style_button.className.indexOf('current') != -1){
		var text = document.getElementById('style_button_text').value;
		var link = document.getElementById('style_button_link').value;
		var icon = document.getElementById('style_button_icon').value;
		var target = document.getElementById('style_button_target').value;
		var lightbox = document.getElementById('style_button_lightbox');
		var tooltip = document.getElementById('style_button_tooltip');
		var tooltiptext = document.getElementById('style_button_tooltip_text').value;
		
		if (text != 0 && link != 0 && icon != 0){
			tagtext = "[button link=\"" + link + "\" icon=\"" + icon + "\"";
			
			if (target != '_self'){
				tagtext = tagtext + " target=\"" + target + "\"";
			}
			
			if (lightbox.checked){
				tagtext = tagtext + " lightbox=\"lightbox\"";
			}
			
			if (tooltip.checked && tooltiptext != 0){
				tagtext = tagtext + " tooltip=\"" + tooltiptext + "\"";
			}
			
			tagtext = tagtext + "]" + text + "[/button]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	
	if (color_button.className.indexOf('current') != -1){
		var text = document.getElementById('color_button_text').value;
		var link = document.getElementById('color_button_link').value;
		var bgcolor = document.getElementById('color_button_bgcolor').value;
		var target = document.getElementById('color_button_target').value;
		var lightbox = document.getElementById('color_button_lightbox');
		var tooltip = document.getElementById('color_button_tooltip');
		var tooltiptext = document.getElementById('color_button_tooltip_text').value;
		
		if (text != 0 && link != 0 && bgcolor != 0){
			tagtext = "[button link=\"" + link + "\" bgcolor=\"" + bgcolor + "\"";
			
			if (target != '_self'){
				tagtext = tagtext + " target=\"" + target + "\"";
			}
			
			if (lightbox.checked){
				tagtext = tagtext + " lightbox=\"lightbox\"";
			}
			
			if (tooltip.checked && tooltiptext != 0){
				tagtext = tagtext + " tooltip=\"" + tooltiptext + "\"";
			}
			
			tagtext = tagtext + "]" + text + "[/button]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	
	if (window.tinyMCE) {
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, tagtext);
		tinyMCEPopup.editor.execCommand('mceRepaint');
		tinyMCEPopup.close();
	}
	return;
}
