function init(){
	tinyMCEPopup.resizeToInnerSize()
}

function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}

function insertCMSMastersLink(){
	var tagtext;
	
	var featured = document.getElementById('featured_panel');
	var shadow = document.getElementById('shadow_panel');

	if (featured.className.indexOf('current') != -1){
		var image = document.getElementById('featured_image').value;
		var title = document.getElementById('featured_title').value;
		var subtitle = document.getElementById('featured_subtitle').value;
		var text = document.getElementById('featured_text').value;
		if (image != 0 && text != 0){
			tagtext = "[featured image=\""+image+"\"";
			if (title != 0){
				tagtext = tagtext + " title=\""+title+"\"";
			}
			if (subtitle != 0){
				tagtext = tagtext + " subtitle=\""+subtitle+"\"";
			}
			tagtext = tagtext + "]"+text+"[/featured]";
		} else {
			alert('Fill in the required fields!');
		}
	}

	if (shadow.className.indexOf('current') != -1){
		var width = document.getElementById('shadow_width').value;
		var align = document.getElementById('shadow_align').value;
		var image = document.getElementById('shadow_image').value;
		if (width != 0){
			tagtext = "[shadow width=\""+width+"\"";
			if (align != 0){
				tagtext = tagtext + " align=\""+align+"\"";
			}
			tagtext = tagtext + "]";
			if (image != 0){
				tagtext = tagtext + image;
			} else {
				tagtext = tagtext + " ";
			}
			tagtext = tagtext + "[/shadow]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	
	if (window.tinyMCE){
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, tagtext);
		tinyMCEPopup.editor.execCommand('mceRepaint');
		tinyMCEPopup.close();
	}
	
	return;
}
