function init(){
	tinyMCEPopup.resizeToInnerSize()
}

function getCheckedValue(radioObj) {
	if(!radioObj)
		return "";
	var radioLength = radioObj.length;
	if(radioLength == undefined)
		if(radioObj.checked)
			return radioObj.value;
		else
			return "";
	for(var i = 0; i < radioLength; i++) {
		if(radioObj[i].checked) {
			return radioObj[i].value;
		}
	}
	return "";
}

function insertCMSMastersLink() {
	
	var tagtext;
	
	var video = document.getElementById('video_panel');
	var html5video = document.getElementById('html5video_panel');
	var html5audio = document.getElementById('html5audio_panel');

	if (video.className.indexOf('current') != -1) {
		var id = document.getElementById('video_id').value;
		var width = document.getElementById('video_width').value;
		var height = document.getElementById('video_height').value;
		if (id != 0 && width != 0 && height != 0) {
			tagtext = "[video url=\"" + id + "\" width=\"" + width + "\" height=\"" + height + "\"]";
		} else {
			if (id != 0) {
				tagtext = "[video url=\"" + id + "\"]";
			} else {
				alert('Fill in the required fields!');
			}
		}
	}
	
	if (html5video.className.indexOf('current') != -1) {
		var ogg = document.getElementById('html5video_ogg').value;
		var mp4 = document.getElementById('html5video_mp4').value;
		var webm = document.getElementById('html5video_webm').value;
		var poster = document.getElementById('html5video_poster').value;
		var text = document.getElementById('html5video_text').value;
		var width = document.getElementById('html5video_width').value;
		var height = document.getElementById('html5video_height').value;
		var controls = document.getElementById('html5video_controls').value;
		var autoplay = document.getElementById('html5video_autoplay').value;
		var videoaudio = document.getElementById('html5video_videoaudio').value;
		var loop = document.getElementById('html5video_loop').value;
		var preload = document.getElementById('html5video_preload').value;
		if (ogg != 0 || mp4 != 0 || webm != 0) {
			tagtext = "[html5video";
			if (ogg != 0) {
				tagtext = tagtext + " ogg=\"" + ogg + "\"";
			}
			if (mp4 != 0) {
				tagtext = tagtext + " mp4=\"" + mp4 + "\"";
			}
			if (webm != 0) {
				tagtext = tagtext + " webm=\"" + webm + "\"";
			}
			if (poster != 0) {
				tagtext = tagtext + " poster=\"" + poster + "\"";
			}
			if (width != 0) {
				tagtext = tagtext + " width=\"" + width + "\"";
			}
			if (height != 0) {
				tagtext = tagtext + " height=\"" + height + "\"";
			}
			if (controls != 0) {
				tagtext = tagtext + " controls=\"" + controls + "\"";
			}
			if (autoplay != 0) {
				tagtext = tagtext + " autoplay=\"" + autoplay + "\"";
			}
			if (videoaudio != 0) {
				tagtext = tagtext + " audio=\"" + videoaudio + "\"";
			}
			if (loop != 0) {
				tagtext = tagtext + " loop=\"" + loop + "\"";
			}
			if (preload != 0) {
				tagtext = tagtext + " preload=\"" + preload + "\"";
			}
			tagtext = tagtext + "]";
			if (text != 0) {
				tagtext = tagtext + text;
			} else {
				tagtext = tagtext + "Your browser does not support the video tag.";
			}
			tagtext = tagtext + "[/html5video]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	
	if (html5audio.className.indexOf('current') != -1) {
		var mp3 = document.getElementById('html5audio_mp3').value;
		var ogg = document.getElementById('html5audio_ogg').value;
		var text = document.getElementById('html5audio_text').value;
		var controls = document.getElementById('html5audio_controls').value;
		var autoplay = document.getElementById('html5audio_autoplay').value;
		var loop = document.getElementById('html5audio_loop').value;
		var preload = document.getElementById('html5audio_preload').value;
		if (mp3 != 0 || ogg != 0) {
			tagtext = "[html5audio";
			if (mp3 != 0){
				tagtext = tagtext + " mp3=\"" + mp3 + "\"";
			}
			if (ogg != 0){
				tagtext = tagtext + " ogg=\"" + ogg + "\"";
			}
			if (controls != 0){
				tagtext = tagtext + " controls=\"" + controls + "\"";
			}
			if (autoplay != 0){
				tagtext = tagtext + " autoplay=\"" + autoplay + "\"";
			}
			if (loop != 0){
				tagtext = tagtext + " loop=\"" + loop + "\"";
			}
			if (preload != 0){
				tagtext = tagtext + " preload=\"" + preload + "\"";
			}
			tagtext = tagtext + "]";
			if (text != 0){
				tagtext = tagtext + text;
			} else {
				tagtext = tagtext + "Your browser does not support the audio tag.";
			}
			tagtext = tagtext + "[/html5audio]";
		} else {
			alert('Fill in the required fields!');
		}
	}
	
	if(window.tinyMCE) {
		window.tinyMCE.execInstanceCommand('content', 'mceInsertContent', false, tagtext);
		tinyMCEPopup.editor.execCommand('mceRepaint');
		tinyMCEPopup.close();
	}
	return;
}
