<?php

require_once('config.php');

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $themename .' Box Shortcode'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/theme/administrator/css/colorpicker.css" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/tinymce/tinymce_box.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/js/jquery-1.6.1.min.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/js/colorpicker.js"></script>
	<script type="text/javascript">
		jQuery(document).ready(function(){
			jQuery('#block_text_color').ColorPicker({
				onSubmit:function(hsb, hex, rgb, el){
					jQuery('#block_text_color').val(hex);
					jQuery(el).ColorPickerHide();
				},
				onBeforeShow:function(){
					jQuery(this).ColorPickerSetColor(jQuery('#block_text_color').val());
				}
			});
		});
	</script>
	<base target="_self" />
	<style type="text/css">
		.tabs a, td, legend, textarea, input, select {font-size:11px;}
	</style>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display: none">
	<form name="cmsmasters_portfolio" action="#">
	<div class="tabs">
		<ul>
			<li id="infobox_tab" class="current"><span><a href="javascript:mcTabs.displayTab('infobox_tab','infobox_panel');" onmousedown="return false;"><?php echo 'InfoBoxes'; ?></a></span></li>
			<li id="blockquote_tab"><span><a href="javascript:mcTabs.displayTab('blockquote_tab','blockquote_panel');" onmousedown="return false;"><?php echo 'BlockQuote'; ?></a></span></li>
			<li id="code_tab"><span><a href="javascript:mcTabs.displayTab('code_tab','code_panel');" onmousedown="return false;"><?php echo 'Code'; ?></a></span></li>
			<li id="block_tab"><span><a href="javascript:mcTabs.displayTab('block_tab','block_panel');" onmousedown="return false;"><?php echo 'Custom Block'; ?></a></span></li>
		</ul>
	</div>
	
	<div class="panel_wrapper" style="height:240px;">
		<div id="infobox_panel" class="panel current" style="height:auto;">
		<br />
		<fieldset>
			<legend>Choose your infobox type and enter text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="infobox_type">InfoBox Type:</label> <span style="color:#ff0000;">*</span></td>
            <td>
				<select name="infobox_type" id="infobox_type">
					<option value="download">Download Box</option>
					<option value="warning">Warning Box</option>
					<option value="text">Text Box</option>
					<option value="error">Error Box</option>
					<option value="info">Info Box</option>
					<option value="custom">Custom Box</option>
				</select>
				<br />
			</td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="infobox_text">InfoBox Text:</label></td>
            <td><textarea id="infobox_text" name="infobox_text" cols="50" rows="4"></textarea><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		
		<div id="blockquote_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your blockquote box text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="blockquote_text">BlockQuote Text:</label></td>
            <td><textarea id="blockquote_text" name="blockquote_text" cols="50" rows="4"></textarea><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		
		<div id="code_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your code box text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="code_text">Code Text:</label></td>
            <td><textarea id="code_text" name="code_text" cols="50" rows="4"></textarea><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		
		<div id="block_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your custom block box text, button link and text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
		  <tr>
			<td nowrap="nowrap"><label for="block_text_color">Custom Block Title Color: <span style="color:#ff0000;">*</span></label></td>
			<td><input name="block_text_color" id="block_text_color" type="text" size="10" style="float:right;" /><br /></td>
		  </tr>
          <tr>
            <td nowrap="nowrap"><label for="block_text">Custom Block Title: <span style="color:#ff0000;">*</span></label></td>
            <td><textarea id="block_text" name="block_text" cols="50" rows="4"></textarea><br /></td>
		  </tr>
          <tr>
            <td nowrap="nowrap"><label for="block_button">Custom Block Button Text:</label></td>
            <td><input id="block_button" name="block_button" size="50" type="text" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="block_link">Custom Block Button Link:</label></td>
            <td><input id="block_link" name="block_link" size="50" type="text" /><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		<br />
		<span style="color:#ff0000;">* - Requaired fields</span>
	</div>

	<div class="mceActionPanel">
		<br />
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onclick="insertCMSMastersLink();" />
		</div>
	</div>
</form>
</body>
</html>
