<?php

require_once('config.php');

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $themename .' Button Shortcode'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri() ?>/theme/administrator/css/colorpicker.css" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/tinymce/tinymce_button.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/js/jquery-1.6.1.min.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/js/colorpicker.js"></script>
	<script type="text/javascript">
		jQuery(document).ready(function(){
			jQuery('#color_button_bgcolor').ColorPicker({
				onSubmit:function(hsb, hex, rgb, el){
					jQuery('#color_button_bgcolor').val(hex);
					jQuery(el).ColorPickerHide();
				},
				onBeforeShow:function(){
					jQuery(this).ColorPickerSetColor(jQuery('#color_button_bgcolor').val());
				}
			});
		});
	</script>
	<base target="_self" />
	<style type="text/css">
		.tabs a, td, legend, textarea, input, select {font-size:11px;}
	</style>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display:none;">
	<form name="cmsmasters_portfolio" action="#">
	<div class="tabs">
		<ul>
			<li id="size_button_tab" class="current"><span><a href="javascript:mcTabs.displayTab('size_button_tab','size_button_panel');" onmousedown="return false;"><?php echo 'Buttons by Size'; ?></a></span></li>
			<li id="style_button_tab"><span><a href="javascript:mcTabs.displayTab('style_button_tab','style_button_panel');" onmousedown="return false;"><?php echo 'Styled Buttons'; ?></a></span></li>
			<li id="color_button_tab"><span><a href="javascript:mcTabs.displayTab('color_button_tab','color_button_panel');" onmousedown="return false;"><?php echo 'Color Buttons'; ?></a></span></li>
		</ul>
	</div>
	
	<div class="panel_wrapper" style="height:auto; min-height:230px;">
		<div id="size_button_panel" class="panel current" style="height:auto;">
			<br />
			<fieldset>
				<legend>Enter your button text, link choose type and parameters</legend>
			<table border="0" cellpadding="4" cellspacing="0">
			  <tr>
				<td nowrap="nowrap"><label for="size_button_text">Button Text: <span style="color:#ff0000;">*</span></label></td>
				<td><input type="text" id="size_button_text" name="size_button_text" size="50" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="size_button_link">Button Link: <span style="color:#ff0000;">*</span></label></td>
				<td><input type="text" id="size_button_link" name="size_button_link" size="50" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="size_button_type">Button Type: <span style="color:#ff0000;">*</span></label></td>
				<td>
					<select name="size_button_type" id="size_button_type">
						<option value="but_small_trans">Standard Button</option>
						<option value="but_medium_trans">Medium Standard Button</option>
						<option value="but_large_trans">Large Standard Button</option>
						<option value="button">Alternate Button</option>
						<option value="but_medium_white">Medium Alternate Button</option>
						<option value="but_large_white">Large Alternate Button</option>
					</select>
					<br />
				</td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="size_button_target">Button Target:</label></td>
				<td>
					<select name="size_button_target" id="size_button_target">
						<option value="_self">This Tab</option>
						<option value="_blank">New Tab</option>
					</select>
					<br />
				</td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="size_button_lightbox">Button Lighbox:</label></td>
				<td><input type="checkbox" id="size_button_lightbox" name="size_button_lightbox" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="size_button_tooltip">Button Tooltip:</label></td>
				<td><input type="checkbox" id="size_button_tooltip" name="size_button_tooltip" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="size_button_tooltip_text">Button Tooltip Text:</label></td>
				<td><input type="text" id="size_button_tooltip_text" name="size_button_tooltip_text" size="50" /><br /></td>
			  </tr>
			</table>
			</fieldset>
		</div>
		
		<div id="style_button_panel" class="panel" style="height:auto;">
			<br />
			<fieldset>
				<legend>Enter your button text, link choose icon and parameters</legend>
			<table border="0" cellpadding="4" cellspacing="0">
			  <tr>
				<td nowrap="nowrap"><label for="style_button_text">Button Text: <span style="color:#ff0000;">*</span></label></td>
				<td><input type="text" id="style_button_text" name="style_button_text" size="50" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="style_button_link">Button Link: <span style="color:#ff0000;">*</span></label></td>
				<td><input type="text" id="style_button_link" name="style_button_link" size="50" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="style_button_icon">Button Icon: <span style="color:#ff0000;">*</span></label></td>
				<td>
					<select name="style_button_icon" id="style_button_icon">
						<option value="arrow">Arrow Right</option>
						<option value="arrow_down">Arrow Down</option>
						<option value="check">Check</option>
						<option value="plus">Plus</option>
						<option value="minus">Minus</option>
						<option value="hearts">Hearts</option>
						<option value="star">Star</option>
						<option value="twitter">Twitter</option>
						<option value="tumblr">Tumblr</option>
						<option value="wordpress">Wordpress</option>
						<option value="user">User</option>
						<option value="comment">Comment</option>
						<option value="comments">Comments</option>
						<option value="edit">Edit</option>
						<option value="flag">Flag</option>
						<option value="arrow_2">Arrow Down Right</option>
						<option value="arrow_3">Arrow Up Right</option>
						<option value="arrow_down_2">Arrow Left Down</option>
						<option value="pencil">Pencil</option>
						<option value="bulb">Bulb</option>
						<option value="tag">Tag</option>
						<option value="price_tag">Price Tag</option>
						<option value="chart">Chart</option>
						<option value="clock">Clock</option>
						<option value="home">Home</option>
						<option value="marker">Marker</option>
						<option value="construction">Construction</option>
						<option value="config">Config</option>
						<option value="alert">Alert</option>
						<option value="info">Info</option>
						<option value="denied">Denied</option>
						<option value="document">Document</option>
						<option value="pdf">Pdf</option>
						<option value="zip">Zip</option>
						<option value="book">Book</option>
						<option value="calendar">Calendar</option>
						<option value="paperclip">Paperclip</option>
						<option value="link">Link</option>
						<option value="picture">Picture</option>
						<option value="video">Video</option>
						<option value="mail">Mail</option>
						<option value="sound">Sound</option>
					</select>
					<br />
				</td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="style_button_target">Button Target:</label></td>
				<td>
					<select name="style_button_target" id="style_button_target">
						<option value="_self">This Tab</option>
						<option value="_blank">New Tab</option>
					</select>
					<br />
				</td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="style_button_lightbox">Button Lighbox:</label></td>
				<td><input type="checkbox" id="style_button_lightbox" name="style_button_lightbox" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="style_button_tooltip">Button Tooltip:</label></td>
				<td><input type="checkbox" id="style_button_tooltip" name="style_button_tooltip" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="style_button_tooltip_text">Button Tooltip Text:</label></td>
				<td><input type="text" id="style_button_tooltip_text" name="style_button_tooltip_text" size="50" /><br /></td>
			  </tr>
			</table>
			</fieldset>
		</div>
		
		<div id="color_button_panel" class="panel" style="height:auto;">
			<br />
			<fieldset>
				<legend>Enter your button text, link choose color and parameters</legend>
			<table border="0" cellpadding="4" cellspacing="0">
			  <tr>
				<td nowrap="nowrap"><label for="color_button_text">Button Text: <span style="color:#ff0000;">*</span></label></td>
				<td><input type="text" id="color_button_text" name="color_button_text" size="50" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="color_button_link">Button Link: <span style="color:#ff0000;">*</span></label></td>
				<td><input type="text" id="color_button_link" name="color_button_link" size="50" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="color_button_bgcolor">Button Color: <span style="color:#ff0000;">*</span></label></td>
				<td><input name="color_button_bgcolor" id="color_button_bgcolor" type="text" size="10" style="float:right;" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="color_button_target">Button Target:</label></td>
				<td>
					<select name="color_button_target" id="color_button_target">
						<option value="_self">This Tab</option>
						<option value="_blank">New Tab</option>
					</select>
					<br />
				</td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="color_button_lightbox">Button Lighbox:</label></td>
				<td><input type="checkbox" id="color_button_lightbox" name="color_button_lightbox" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="color_button_tooltip">Button Tooltip:</label></td>
				<td><input type="checkbox" id="color_button_tooltip" name="color_button_tooltip" /><br /></td>
			  </tr>
			  <tr>
				<td nowrap="nowrap"><label for="color_button_tooltip_text">Button Tooltip Text:</label></td>
				<td><input type="text" id="color_button_tooltip_text" name="color_button_tooltip_text" size="50" /><br /></td>
			  </tr>
			</table>
			</fieldset>
		</div>
		<br />
		<span style="color:#ff0000;">* - Requaired fields</span>
	</div>
	
	<div class="mceActionPanel">
		<br />
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onclick="insertCMSMastersLink();" />
		</div>
	</div>
</form>
</body>
</html>
