<?php

require_once('config.php');

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $themename .' Columns Shortcode'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/tinymce/tinymce_column.js"></script>
	<base target="_self" />
	<style type="text/css">
		.tabs a, td, legend, textarea, input, select {font-size:11px;}
	</style>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display: none;">
	<form name="cmsmasters_portfolio" action="#">
	<div class="tabs">
		<ul>
			<li id="column_tab" class="current"><span><a href="javascript:mcTabs.displayTab('column_tab','column_panel');" onmousedown="return false;"><?php echo 'One Column'; ?></a></span></li>
			<li id="two_column_tab"><span><a href="javascript:mcTabs.displayTab('two_column_tab','two_column_panel');" onmousedown="return false;"><?php echo 'Two Column'; ?></a></span></li>
			<li id="three_column_tab"><span><a href="javascript:mcTabs.displayTab('three_column_tab','three_column_panel');" onmousedown="return false;"><?php echo 'Three Column'; ?></a></span></li>
			<li id="four_column_tab"><span><a href="javascript:mcTabs.displayTab('four_column_tab','four_column_panel');" onmousedown="return false;"><?php echo 'Four Column'; ?></a></span></li>
			<li id="five_column_tab"><span><a href="javascript:mcTabs.displayTab('five_column_tab','five_column_panel');" onmousedown="return false;"><?php echo 'Five Column'; ?></a></span></li>
		</ul>
	</div>
	
	<div class="panel_wrapper" style="height:auto; min-height:520px;">
		<div id="column_panel" class="panel current" style="height:auto;">
		<br />
		<fieldset>
			<legend>Select your column type and enter the text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
         <tr>
            <td nowrap="nowrap"><label for="column_type">Column Type: <span style="color:#ff0000;">*</span></label></td>
            <td>
				<select id="column_type" name="column_type">
					<option value="one_half">One Half</option>
					<option value="one_half_last">One Half Last</option>
					<option value="one_third">One Third</option>
					<option value="one_third_last">One Third Last</option>
					<option value="two_third">Two Third</option>
					<option value="two_third_last">Two Third Last</option>
					<option value="one_fourth">One Fourth</option>
					<option value="one_fourth_last">One Fourth Last</option>
					<option value="three_fourth">Three Fourth</option>
					<option value="three_fourth_last">Three Fourth Last</option>
					<option value="one_fifth">One Fifth</option>
					<option value="one_fifth_last">One Fifth Last</option>
					<option value="two_fifth">Two Fifth</option>
					<option value="two_fifth_last">Two Fifth Last</option>
					<option value="three_fifth">Three Fifth</option>
					<option value="three_fifth_last">Three Fifth Last</option>
					<option value="four_fifth">Four Fifth</option>
					<option value="four_fifth_last">Four Fifth Last</option>
				</select>
			</td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="column_text">Column Text:</label></td>
            <td><textarea id="column_text" name="column_text" cols="80" rows="4"></textarea><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		
		
		<div id="two_column_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Select two columns template type and enter the text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
         <tr>
            <td nowrap="nowrap"><label for="two_column_type">Column Type: <span style="color:#ff0000;">*</span></label></td>
            <td>
				<select id="two_column_type" name="two_column_type">
					<option value="onehalf_onehalf">One Half/One Half</option>
					<option value="onethird_twothird">One Third/Two Third</option>
					<option value="twothird_onethird">Two Third/One Third</option>
					<option value="onefourth_threefourth">One Fourth/Three Fourth</option>
					<option value="threefourth_onefourth">Three Fourth/One Fourth</option>
					<option value="onefifth_fourfifth">One Fifth/Four Fifth</option>
					<option value="fourfifth_onefifth">Four Fifth/One Fifth</option>
					<option value="twofifth_threefifth">Two Fifth/Three Fifth</option>
					<option value="threefifth_twofifth">Three Fifth/Two Fifth</option>
				</select>
			</td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="two_column_text1">First Column Text:</label></td>
            <td><textarea id="two_column_text1" name="two_column_text1" cols="80" rows="4"></textarea><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="two_column_text2">Second Column Text:</label></td>
            <td><textarea id="two_column_text2" name="two_column_text2" cols="80" rows="4"></textarea><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		

		<div id="three_column_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Select three columns template type and enter the text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
         <tr>
            <td nowrap="nowrap"><label for="three_column_type">Column Type: <span style="color:#ff0000;">*</span></label></td>
            <td>
				<select id="three_column_type" name="three_column_type">
					<option value="onethird_onethird_onethird">One Third/One Third/One Third</option>
					<option value="onefourth_onefourth_onehalf">One Fourth/One Fourth/One Half</option>
					<option value="onehalf_onefourth_onefourth">One Half/One Fourth/One Fourth</option>
					<option value="onefourth_onehalf_onefourth">One Fourth/One Half/One Fourth</option>
					<option value="onefifth_onefifth_threefifth">One Fifth/One Fifth/Three Fifth</option>
					<option value="onefifth_threefifth_onefifth">One Fifth/Three Fifth/One Fifth</option>
					<option value="threefifth_onefifth_onefifth">Three Fifth/One Fifth/One Fifth</option>
					<option value="onefifth_twofifth_twofifth">One Fifth/Two Fifth/Two Fifth</option>
					<option value="twofifth_onefifth_twofifth">Two Fifth/One Fifth/Two Fifth</option>
					<option value="twofifth_twofifth_onefifth">Two Fifth/Two Fifth/One Fifth</option>
				</select>
			</td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="three_column_text1">First Column Text:</label></td>
            <td><textarea id="three_column_text1" name="three_column_text1" cols="80" rows="4"></textarea><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="three_column_text2">Second Column Text:</label></td>
            <td><textarea id="three_column_text2" name="three_column_text2" cols="80" rows="4"></textarea><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="three_column_text3">Third Column Text:</label></td>
            <td><textarea id="three_column_text3" name="three_column_text3" cols="80" rows="4"></textarea><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		
		
		<div id="four_column_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your four columns template columns text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
		  <tr>
            <td nowrap="nowrap"><label for="four_column_type">Column Type: <span style="color:#ff0000;">*</span></label></td>
            <td>
				<select id="four_column_type" name="four_column_type">
					<option value="onefourth_onefourth_onefourth_onefourth">One Fourth/One Fourth/One Fourth/One Fourth</option>
					<option value="onefifth_onefifth_onefifth_twofifth">One Fifth/One Fifth/One Fifth/Two Fifth</option>
					<option value="onefifth_onefifth_twofifth_onefifth">One Fifth/One Fifth/Two Fifth/One Fifth</option>
					<option value="onefifth_twofifth_onefifth_onefifth">One Fifth/Two Fifth/One Fifth/One Fifth</option>
					<option value="twofifth_onefifth_onefifth_onefifth">Two Fifth/One Fifth/One Fifth/One Fifth</option>
				</select>
			</td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="four_column_text1">First Column Text:</label></td>
            <td><textarea id="four_column_text1" name="four_column_text1" cols="80" rows="4"></textarea><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="four_column_text2">Second Column Text:</label></td>
            <td><textarea id="four_column_text2" name="four_column_text2" cols="80" rows="4"></textarea><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="four_column_text3">Third Column Text:</label></td>
            <td><textarea id="four_column_text3" name="four_column_text3" cols="80" rows="4"></textarea><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="four_column_text4">Fourth Column Text:</label></td>
            <td><textarea id="four_column_text4" name="four_column_text4" cols="80" rows="4"></textarea><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>	
		
		
		<div id="five_column_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your five columns template columns text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
		  <tr>
            <td nowrap="nowrap"><label for="five_column_text1">First Column Text:</label></td>
            <td><textarea id="five_column_text1" name="five_column_text1" cols="80" rows="4"></textarea><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="five_column_text2">Second Column Text:</label></td>
            <td><textarea id="five_column_text2" name="five_column_text2" cols="80" rows="4"></textarea><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="five_column_text3">Third Column Text:</label></td>
            <td><textarea id="five_column_text3" name="five_column_text3" cols="80" rows="4"></textarea><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="five_column_text4">Fourth Column Text:</label></td>
            <td><textarea id="five_column_text4" name="five_column_text4" cols="80" rows="4"></textarea><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="five_column_text5">Fifth Column Text:</label></td>
            <td><textarea id="five_column_text5" name="five_column_text5" cols="80" rows="4"></textarea><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		<br />
		<span style="color:#ff0000;">* - Requaired fields</span>
	</div>
	
	<div class="mceActionPanel">
		<br />
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onclick="insertCMSMastersLink();" />
		</div>
		<div style="clear:both;"></div>
	</div>
</form>
</body>
</html>
