<?php

require_once('config.php');

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $themename .' Divider Shortcode'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/tinymce/tinymce_divider.js"></script>
	<base target="_self" />
	<style type="text/css">
		.tabs a, td, legend, textarea, input, select {font-size:11px;}
	</style>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display: none">
	<form name="cmsmasters_portfolio" action="#">
	<div class="tabs"></div>
	
	<div class="panel_wrapper" style="height:110px;">
		<div id="divider_panel" class="panel current" style="height:auto;">
		<br />
		<fieldset>
			<legend>Choose your divider type</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="divider_type">Divider Type: <span style="color:#ff0000;">*</span></label></td>
            <td>
				<select name="divider_type" id="divider_type">
					<option value="divider_top">Divider Top&nbsp;</option>
					<option value="divider">Divider&nbsp;</option>
					<option value="clearboth">Clear Both&nbsp;</option>
				</select>
			</td>
          </tr>
        </table>
		<br />
		</fieldset>
		</div>
		<br />
		<span style="color:#ff0000;">* - Requaired fields</span>
	</div>

	<div class="mceActionPanel">
		<br />
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onclick="insertCMSMastersLink();" />
		</div>
	</div>
</form>
</body>
</html>
