<?php

require_once('config.php');

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $themename .' List Shortcode'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/tinymce/tinymce_list.js"></script>
	<script language="javascript" type="text/javascript">
		function addList(){
			var table = document.getElementById('lists');
			var newtr1 = document.createElement('tr');
			var new1td1 = document.createElement('td');
			var new1td2 = document.createElement('td');
			var new1td1label = document.createElement('label');
			var new1td2input = document.createElement('input');
			var new1td2br = document.createElement('br');
			var hidden = document.getElementById('list_number');
			var number = (document.getElementById('list_number').value -1)+ 2;
			table.appendChild(newtr1);
			newtr1.appendChild(new1td1);
			newtr1.appendChild(new1td2);
			new1td1.appendChild(new1td1label);
			new1td2.appendChild(new1td2input);
			new1td2.appendChild(new1td2br);
			new1td1.setAttribute('nowrap','nowrap');
			new1td1label.setAttribute('for','list_text'+number);
			new1td1label.innerHTML = 'List Item '+number+' Text:';
			new1td2input.setAttribute('type','text');
			new1td2input.setAttribute('id','list_text'+number);
			new1td2input.setAttribute('name','list_text'+number);
			new1td2input.setAttribute('size','50');
			hidden.setAttribute('value',number);
		}
	</script>
	<base target="_self" />
	<style type="text/css">
		.tabs a, td, legend, textarea, input, select {font-size:11px;}
	</style>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display: none">
	<form name="cmsmasters_portfolio" action="#">
	<div class="tabs"></div>
	
	<div class="panel_wrapper" style="height:auto; min-height:250px;">
		<div id="list_panel" class="panel current" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter the list item text and add list items</legend>
		<table border="0" cellpadding="4" cellspacing="0" id="lists">
         <tr>
            <td nowrap="nowrap"><label for="list_type">Choose List Type: <span style="color:#ff0000;">*</span></label></td>
            <td>
				<select name="list_type" id="list_type">
						<option value="arrow">Arrow Right</option>
						<option value="arrow_down">Arrow Down</option>
						<option value="check">Check</option>
						<option value="plus">Plus</option>
						<option value="minus">Minus</option>
						<option value="hearts">Hearts</option>
						<option value="star">Star</option>
						<option value="twitter">Twitter</option>
						<option value="tumblr">Tumblr</option>
						<option value="wordpress">Wordpress</option>
						<option value="user">User</option>
						<option value="comment">Comment</option>
						<option value="comments">Comments</option>
						<option value="edit">Edit</option>
						<option value="flag">Flag</option>
						<option value="arrow_2">Arrow Down Right</option>
						<option value="arrow_3">Arrow Up Right</option>
						<option value="arrow_down_2">Arrow Left Down</option>
						<option value="pencil">Pencil</option>
						<option value="bulb">Bulb</option>
						<option value="tag">Tag</option>
						<option value="price_tag">Price Tag</option>
						<option value="chart">Chart</option>
						<option value="clock">Clock</option>
						<option value="home">Home</option>
						<option value="marker">Marker</option>
						<option value="construction">Construction</option>
						<option value="config">Config</option>
						<option value="alert">Alert</option>
						<option value="info">Info</option>
						<option value="denied">Denied</option>
						<option value="document">Document</option>
						<option value="pdf">Pdf</option>
						<option value="zip">Zip</option>
						<option value="book">Book</option>
						<option value="calendar">Calendar</option>
						<option value="paperclip">Paperclip</option>
						<option value="link">Link</option>
						<option value="picture">Picture</option>
						<option value="video">Video</option>
						<option value="mail">Mail</option>
						<option value="sound">Sound</option>
				</select>
				<br />
			</td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="list_text1">List Item 1 Text:</label></td>
            <td><input type="text" id="list_text1" name="list_text1" size="50" /><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="list_text2">List Item 2 Text:</label></td>
            <td><input type="text" id="list_text2" name="list_text2" size="50" /><br /></td>
         </tr>
        </table>
		<br />
		<input type="button" id="add_list" name="add_list" value="<?php echo "Add List Item"; ?>" onclick="addList();" />
		<input type="hidden" id="list_number" name="list_number" value="2" />
		</fieldset>
		</div>
		<br />
		<span style="color:#ff0000;">* - Requaired fields</span>
	</div>

	<div class="mceActionPanel">
		<br />
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onclick="insertCMSMastersLink();" />
		</div>
		<div style="clear:both;"></div>
	</div>
</form>
</body>
</html>
