<?php

require_once('config.php');

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $themename .' Featured Block &amp; Image Shadow Shortcode'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/tinymce/tinymce_shadow.js"></script>
	<base target="_self" />
	<style type="text/css">
		.tabs a, td, legend, textarea, input, select {font-size:11px;}
	</style>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display: none">
	<form name="cmsmasters_portfolio" action="#">
	<div class="tabs">
		<ul>
			<li id="featured_tab" class="current"><span><a href="javascript:mcTabs.displayTab('featured_tab','featured_panel');" onmousedown="return false;"><?php echo 'Featured Block'; ?></a></span></li>
			<li id="shadow_tab"><span><a href="javascript:mcTabs.displayTab('shadow_tab','shadow_panel');" onmousedown="return false;"><?php echo 'Image Shadow'; ?></a></span></li>
		</ul>
	</div>
	
	<div class="panel_wrapper" style="height:250px;">
		<div id="featured_panel" class="panel current" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter image source and width, title, subtitle and text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="featured_image">Image Source: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="featured_image" name="featured_image" size="50" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="featured_title">Block Title:</label></td>
            <td><input type="text" id="featured_title" name="featured_title" size="50" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="featured_subtitle">Block SubTitle:</label></td>
            <td><input type="text" id="featured_subtitle" name="featured_subtitle" size="50" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="featured_text">Block Text: <span style="color:#ff0000;">*</span></label></td>
            <td><textarea id="featured_text" name="featured_text" rows="4" cols="50"></textarea><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		
		<div id="shadow_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your image shadow width, text and choose align</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="shadow_width">Shadow Width: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="shadow_width" name="shadow_width" size="10" /><br /></td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="shadow_align">Image Align:</label></td>
            <td>
				<select id="shadow_align" name="shadow_align">
					<option value="">None</option>
					<option value="alignleft">Left</option>
					<option value="alignright">Right</option>
					<option value="aligncenter">Center</option>
				</select>
				<br />
			</td>
          </tr>
          <tr>
            <td nowrap="nowrap"><label for="shadow_image">Shadow Image Code:</label></td>
            <td><textarea id="shadow_image" name="shadow_image" rows="4" cols="50"></textarea><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		<br />
		<span style="color:#ff0000;">* - Requaired fields</span>
	</div>

	<div class="mceActionPanel">
		<br />
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onclick="insertCMSMastersLink();" />
		</div>
	</div>
</form>
</body>
</html>
