<?php

require_once('config.php');

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $themename .' Flickr and Twitter Widget Shortcode'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/tinymce/tinymce_widget.js"></script>
	<base target="_self" />
	<style type="text/css">
		.tabs a, td, legend, textarea, input, select {font-size:11px;}
	</style>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display: none">
	<form name="cmsmasters_portfolio" action="#">
	<div class="tabs">
		<ul>
			<li id="flickr_tab" class="current"><span><a href="javascript:mcTabs.displayTab('flickr_tab','flickr_panel');" onmousedown="return false;"><?php echo 'Flickr Widget'; ?></a></span></li>
			<li id="twitter_tab"><span><a href="javascript:mcTabs.displayTab('twitter_tab','twitter_panel');" onmousedown="return false;"><?php echo 'Twitter Widget'; ?></a></span></li>
		</ul>
	</div>
	
	<div class="panel_wrapper" style="height:130px;">
		<div id="flickr_panel" class="panel current" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your flickr user ID and count of photos</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="flickr_id">User ID: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="flickr_id" name="flickr_id" size="35" /><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="flickr_count">Count of Photos: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="flickr_count" name="flickr_count" size="10" /><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		

		<div id="twitter_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter your twitter username and count of posts</legend>
		<table border="0" cellpadding="4" cellspacing="0">
          <tr>
            <td nowrap="nowrap"><label for="twitter_username">Username: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="twitter_username" name="twitter_username" size="35" /><br /></td>
          </tr>
		  <tr>
            <td nowrap="nowrap"><label for="twitter_count">Count of Posts: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="twitter_count" name="twitter_count" size="10" /><br /></td>
          </tr>
        </table>
		</fieldset>
		</div>
		<br />
		<span style="color:#ff0000;">* - Requaired fields</span>
	</div>

	<div class="mceActionPanel">
		<br />
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onclick="insertCMSMastersLink();" />
		</div>
	</div>
</form>
</body>
</html>
