<?php 

require('../../../../../wp-load.php');
global $wpdb;

if (isset($_REQUEST['active']) && $_REQUEST['active'] == 'true'){
	
	$objDOM = new DOMDocument();
	$objDOM->load(TEMPLATEPATH.'/theme/import/links.xml');
	$links = $objDOM->getElementsByTagName("wp_links");
	foreach ( $links as $link ) {
		$link_id = $link->getElementsByTagName("link_id");
		$id = $link_id->item(0)->nodeValue;
		$link_url = $link->getElementsByTagName("link_url");
		$url = $link_url->item(0)->nodeValue;
		$link_name = $link->getElementsByTagName("link_name");
		$name = $link_name->item(0)->nodeValue;
		$link_image = $link->getElementsByTagName("link_image");
		$image = $link_image->item(0)->nodeValue;
		$link_target = $link->getElementsByTagName("link_target");
		$target = $link_target->item(0)->nodeValue;
		$link_description = $link->getElementsByTagName("link_description");
		$description = $link_description->item(0)->nodeValue;
		$link_visible = $link->getElementsByTagName("link_visible");
		$visible = $link_visible->item(0)->nodeValue;
		$link_owner = $link->getElementsByTagName("link_owner");
		$owner = $link_owner->item(0)->nodeValue;
		$link_rating = $link->getElementsByTagName("link_rating");
		$rating = $link_rating->item(0)->nodeValue;
		$link_updated = $link->getElementsByTagName("link_updated");
		$updated = $link_updated->item(0)->nodeValue;
		$link_rel = $link->getElementsByTagName("link_rel");
		$rel = $link_rel->item(0)->nodeValue;
		$link_notes = $link->getElementsByTagName("link_notes");
		$notes = $link_notes->item(0)->nodeValue;
		$link_rss = $link->getElementsByTagName("link_rss");
		$rss = $link_rss->item(0)->nodeValue;
		$update = $wpdb->get_var($wpdb->prepare("SELECT link_name FROM $wpdb->links WHERE link_id = %s", $id));
		if ( $update == '' ) { 
			$wpdb->query( $wpdb->prepare("INSERT INTO $wpdb->links ( link_id, link_url, link_name, link_image, link_target, link_description, link_visible, link_owner, link_rating, link_updated, link_rel, link_notes, link_rss ) VALUES ( %d, %s, %s, %s, %s, %s, %s, %d, %d, %s, %s, %s, %s )", array($id, $url, $name, $image, $target, $description, $visible, $owner, $rating, $updated, $rel, $notes, $rss) ) ); 
		} else { 
			$wpdb->update( $wpdb->links, array( 'link_url' => $url, 'link_name' => $name, 'link_image' => $image, 'link_target' => $target, 'link_description' => $description, 'link_visible' => $visible, 'link_owner' => $owner, 'link_rating' => $rating, 'link_updated' => $updated, 'link_rel' => $rel, 'link_notes' => $notes, 'link_rss' => $rss ), array( 'link_id' => $id ), array( '%s', '%s', '%s', '%s', '%s', '%s', '%d', '%d', '%s', '%s', '%s', '%s' ), array( '%d' ) );
		}
	}
	
	
	$objDOM->load(TEMPLATEPATH.'/theme/import/comments.xml');
	$comments = $objDOM->getElementsByTagName("wp_comments");
	foreach ( $comments as $comment ) {
		$comment_id = $comment->getElementsByTagName("comment_ID");
		$id = $comment_id->item(0)->nodeValue;
		$comment_post_id = $comment->getElementsByTagName("comment_post_ID");
		$post_id = $comment_post_id->item(0)->nodeValue;
		$comment_author = $comment->getElementsByTagName("comment_author");
		$author = $comment_author->item(0)->nodeValue;
		$comment_author_email = $comment->getElementsByTagName("comment_author_email");
		$author_email = $comment_author_email->item(0)->nodeValue;
		$comment_author_url = $comment->getElementsByTagName("comment_author_url");
		$author_url = $comment_author_url->item(0)->nodeValue;
		$comment_author_ip = $comment->getElementsByTagName("comment_author_IP");
		$author_ip = $comment_author_ip->item(0)->nodeValue;
		$comment_date = $comment->getElementsByTagName("comment_date");
		$date = $comment_date->item(0)->nodeValue;
		$comment_date_gmt = $comment->getElementsByTagName("comment_date_gmt");
		$date_gmt = $comment_date_gmt->item(0)->nodeValue;
		$comment_content = $comment->getElementsByTagName("comment_content");
		$content = $comment_content->item(0)->nodeValue;
		$comment_karma = $comment->getElementsByTagName("comment_karma");
		$karma = $comment_karma->item(0)->nodeValue;
		$comment_approved = $comment->getElementsByTagName("comment_approved");
		$approved = $comment_approved->item(0)->nodeValue;
		$comment_agent = $comment->getElementsByTagName("comment_agent");
		$agent = $comment_agent->item(0)->nodeValue;
		$comment_type = $comment->getElementsByTagName("comment_type");
		$type = $comment_type->item(0)->nodeValue;
		$comment_parent = $comment->getElementsByTagName("comment_parent");
		$parent = $comment_parent->item(0)->nodeValue;
		$users_id = $comment->getElementsByTagName("user_id");
		$user_id = $users_id->item(0)->nodeValue;
		$update = $wpdb->get_var($wpdb->prepare("SELECT comment_author FROM $wpdb->comments WHERE comment_ID = %s", $id));
		$wpdb->query( "DELETE FROM $wpdb->comments WHERE comment_ID = '1'" );
		if ( $update == '' ) { 
			$wpdb->query( $wpdb->prepare("INSERT INTO $wpdb->comments ( comment_ID, comment_post_ID, comment_author, comment_author_email, comment_author_url, comment_author_IP, comment_date, comment_date_gmt, comment_content, comment_karma, comment_approved, comment_agent, comment_type, comment_parent, user_id ) VALUES ( %d, %d, %s, %s, %s, %s, %s, %s, %s, %d, %d, %s, %s, %d, %d )", array($id, $post_id, $author, $author_email, $author_url, $author_ip, $date, $date_gmt, $content, $karma, $approved, $agent, $type, $parent, $user_id) ) );
		} else { 
			$wpdb->update( $wpdb->comments, array( 'comment_post_ID' => $post_id, 'comment_author' => $author, 'comment_author_email' => $author_email, 'comment_author_url' => $author_url, 'comment_author_IP' => $author_ip, 'comment_date' => $date, 'comment_date_gmt' => $date_gmt, 'comment_content' => $content, 'comment_karma' => $karma, 'comment_approved' => $approved, 'comment_agent' => $agent, 'comment_type' => $type, 'comment_parent' => $parent, 'user_id' => $user_id ), array( 'comment_ID' => $id ), array( '%d', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%d', '%d', '%s', '%s', '%d', '%d' ), array( '%d' ) );
		}
	}
	
	
	$objDOM->load(TEMPLATEPATH.'/theme/import/options.xml');
	$options = $objDOM->getElementsByTagName("wp_options");
	foreach ( $options as $option ) {
		$option_id = $option->getElementsByTagName("option_id");
		$id = $option_id->item(0)->nodeValue;
		$blogs_id = $option->getElementsByTagName("blog_id");
		$blog_id = $blogs_id->item(0)->nodeValue;
		$option_name = $option->getElementsByTagName("option_name");
		$name = $option_name->item(0)->nodeValue;
		$option_value = $option->getElementsByTagName("option_value");
		$value = $option_value->item(0)->nodeValue;
		$autoloads = $option->getElementsByTagName("autoload");
		$autoload = $autoloads->item(0)->nodeValue;
		$update = $wpdb->get_var($wpdb->prepare("SELECT option_name FROM $wpdb->options WHERE option_id = %s", $id));
		if ( $update == '' ) { 
			$wpdb->query( $wpdb->prepare("INSERT INTO $wpdb->options ( option_id, blog_id, option_name, option_value, autoload ) VALUES ( %d, %d, %s, %s, %s )", array($id, $blog_id, $name, $value, $autoload) ) );
		} else { 
			$wpdb->update( $wpdb->options, array( 'blog_id' => $blog_id, 'option_name' => $name, 'option_value' => $value, 'autoload' => $autoload ), array( 'option_id' => $id ), array( '%d', '%s', '%s', '%s' ), array( '%d' ) );
		}
	}
	
	
	$objDOM->load(TEMPLATEPATH.'/theme/import/postmeta.xml');
	$postmetas = $objDOM->getElementsByTagName("wp_postmeta");
	foreach ( $postmetas as $postmeta ) {
		$meta_id = $postmeta->getElementsByTagName("meta_id");
		$id = $meta_id->item(0)->nodeValue;
		$posts_id = $postmeta->getElementsByTagName("post_id");
		$post_id = $posts_id->item(0)->nodeValue;
		$meta_key = $postmeta->getElementsByTagName("meta_key");
		$key = $meta_key->item(0)->nodeValue;
		$meta_value = $postmeta->getElementsByTagName("meta_value");
		$value = $meta_value->item(0)->nodeValue;
		$value = str_replace('http://clockstone.cmsmasters.net/wp-content/', home_url().'/wp-content/', $value);
		$update = $wpdb->get_var($wpdb->prepare("SELECT mete_key FROM $wpdb->postmeta WHERE meta_id = %s", $id));
		if ( $update == '' ) { 
			$wpdb->query( $wpdb->prepare("INSERT INTO $wpdb->postmeta ( meta_id, post_id, meta_key, meta_value ) VALUES ( %d, %d, %s, %s )", array($id, $post_id, $key, $value) ) );
		} else { 
			$wpdb->update( $wpdb->postmeta, array( 'post_id' => $post_id, 'meta_key' => $key, 'meta_value' => $value ), array( 'meta_id' => $id ), array( '%d', '%s', '%s' ), array( '%d' ) );
		}
	}
	
	
	$objDOM->load(TEMPLATEPATH.'/theme/import/posts.xml');
	$demoposts = $objDOM->getElementsByTagName("wp_posts");
	foreach ( $demoposts as $demopost ) {
		$ids = $demopost->getElementsByTagName("ID");
		$id = $ids->item(0)->nodeValue;
		$post_author = $demopost->getElementsByTagName("post_author");
		$author = $post_author->item(0)->nodeValue;
		$post_date = $demopost->getElementsByTagName("post_date");
		$date = $post_date->item(0)->nodeValue;
		$post_date_gmt = $demopost->getElementsByTagName("post_date_gmt");
		$date_gmt = $post_date_gmt->item(0)->nodeValue;
		$post_content = $demopost->getElementsByTagName("post_content");
		$content = $post_content->item(0)->nodeValue;
		$post_title = $demopost->getElementsByTagName("post_title");
		$title = $post_title->item(0)->nodeValue;
		$post_excerpt = $demopost->getElementsByTagName("post_excerpt");
		$excerpt = $post_excerpt->item(0)->nodeValue;
		$post_status = $demopost->getElementsByTagName("post_status");
		$status = $post_status->item(0)->nodeValue;
		$comments_status = $demopost->getElementsByTagName("comment_status");
		$comment_status = $comments_status->item(0)->nodeValue;
		$pings_status = $demopost->getElementsByTagName("ping_status");
		$ping_status = $pings_status->item(0)->nodeValue;
		$post_password = $demopost->getElementsByTagName("post_password");
		$password = $post_password->item(0)->nodeValue;
		$post_name = $demopost->getElementsByTagName("post_name");
		$name = $post_name->item(0)->nodeValue;
		$to_pings = $demopost->getElementsByTagName("to_ping");
		$to_ping = $to_pings->item(0)->nodeValue;
		$pingeds = $demopost->getElementsByTagName("pinged");
		$pinged = $pingeds->item(0)->nodeValue;
		$post_modified = $demopost->getElementsByTagName("post_modified");
		$modified = $post_modified->item(0)->nodeValue;
		$post_modified_gmt = $demopost->getElementsByTagName("post_modified_gmt");
		$modified_gmt = $post_modified_gmt->item(0)->nodeValue;
		$post_content_filtered = $demopost->getElementsByTagName("post_content_filtered");
		$content_filtered = $post_content_filtered->item(0)->nodeValue;
		$post_parent = $demopost->getElementsByTagName("post_parent");
		$parent = $post_parent->item(0)->nodeValue;
		$guids = $demopost->getElementsByTagName("guid");
		$guid = $guids->item(0)->nodeValue;
		$guid = str_replace('http://clockstone.cmsmasters.net/wp-content/', home_url().'/wp-content/', $guid);
		$menus_order = $demopost->getElementsByTagName("menu_order");
		$menu_order = $menus_order->item(0)->nodeValue;
		$post_type = $demopost->getElementsByTagName("post_type");
		$type = $post_type->item(0)->nodeValue;
		$post_mime_type = $demopost->getElementsByTagName("post_mime_type");
		$mime_type = $post_mime_type->item(0)->nodeValue;
		$comments_count = $demopost->getElementsByTagName("comment_count");
		$comment_count = $comments_count->item(0)->nodeValue;
		$update = $wpdb->get_var($wpdb->prepare("SELECT post_title FROM $wpdb->posts WHERE ID = %s", $id));
		$wpdb->query( "DELETE FROM $wpdb->posts WHERE ID = '1'" );
		if ( $update == '' ) { 
			$wpdb->query( $wpdb->prepare("INSERT INTO $wpdb->posts ( ID, post_author, post_date, post_date_gmt, post_content, post_title, post_excerpt, post_status, comment_status, ping_status, post_password, post_name, to_ping, pinged, post_modified, post_modified_gmt, post_content_filtered, post_parent, guid, menu_order, post_type, post_mime_type, comment_count ) VALUES ( %d, %d, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %d, %s, %d, %s, %s, %d )", array($id, $author, $date, $date_gmt, $content, $title, $excerpt, $status, $comment_status, $ping_status, $password, $name, $to_ping, $pinged, $modified, $modified_gmt, $content_filtered, $parent, $guid, $menu_order, $type, $mime_type, $comment_count) ) );
		} else { 
			$wpdb->update( $wpdb->posts, array( 'post_author' => $author, 'post_date' => $date, 'post_date_gmt' => $date_gmt, 'post_content' => $content, 'post_title' => $title, 'post_excerpt' => $excerpt, 'post_status' => $status, 'comment_status' => $comment_status, 'ping_status' => $ping_status, 'post_password' => $password, 'post_name' => $name, 'to_ping' => $to_ping, 'pinged' => $pinged, 'post_modified' => $modified, 'post_modified_gmt' => $modified_gmt, 'post_content_filtered' => $content_filtered, 'post_parent' => $parent, 'guid' => $guid, 'menu_order' => $menu_order, 'post_type' => $type, 'post_mime_type' => $mime_type, 'comment_count' => $comment_count ), array( 'ID' => $id ), array( '%d', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%s', '%d', '%s', '%d', '%s', '%s', '%d' ), array( '%d' ) );
		}
	}
	
	
	$objDOM->load(TEMPLATEPATH.'/theme/import/terms.xml');
	$terms = $objDOM->getElementsByTagName("wp_terms");
	foreach ( $terms as $term ) {
		$term_id = $term->getElementsByTagName("term_id");
		$id = $term_id->item(0)->nodeValue;
		$names = $term->getElementsByTagName("name");
		$name = $names->item(0)->nodeValue;
		$slugs = $term->getElementsByTagName("slug");
		$slug = $slugs->item(0)->nodeValue;
		$term_group = $term->getElementsByTagName("term_group");
		$group = $term_group->item(0)->nodeValue;
		$update = $wpdb->get_var($wpdb->prepare("SELECT slug FROM $wpdb->terms WHERE term_id = %s", $id));
		if ( $update == '' ) { 
			$wpdb->query( $wpdb->prepare("INSERT INTO $wpdb->terms ( term_id, name, slug, term_group ) VALUES ( %d, %s, %s, %d )", array($id, $name, $slug, $group) ) );
		} else { 
			$wpdb->update( $wpdb->terms, array( 'name' => $name, 'slug' => $slug, 'term_group' => $group ), array( 'term_id' => $id ), array( '%s', '%s', '%d' ), array( '%d' ) );
		}
	}
	
	
	$objDOM->load(TEMPLATEPATH.'/theme/import/term_relationships.xml');
	$term_relationships = $objDOM->getElementsByTagName("wp_term_relationships");
	foreach ( $term_relationships as $term_relationship ) {
		$objects_id = $term_relationship->getElementsByTagName("object_id");
		$object_id = $objects_id->item(0)->nodeValue;
		$term_taxonomy_id = $term_relationship->getElementsByTagName("term_taxonomy_id");
		$taxonomy_id = $term_taxonomy_id->item(0)->nodeValue;
		$term_order = $term_relationship->getElementsByTagName("term_order");
		$order = $term_order->item(0)->nodeValue;
		$wpdb->query( $wpdb->prepare("INSERT INTO $wpdb->term_relationships ( object_id, term_taxonomy_id, term_order ) VALUES ( %d, %d, %d )", array($object_id, $taxonomy_id, $order) ) );
	}
	
	
	$objDOM->load(TEMPLATEPATH.'/theme/import/term_taxonomy.xml');
	$term_taxonomys = $objDOM->getElementsByTagName("wp_term_taxonomy");
	foreach ( $term_taxonomys as $term_taxonomy ) {
		$term_taxonomy_id = $term_taxonomy->getElementsByTagName("term_taxonomy_id");
		$taxonomy_id = $term_taxonomy_id->item(0)->nodeValue;
		$term_id = $term_taxonomy->getElementsByTagName("term_id");
		$id = $term_id->item(0)->nodeValue;
		$taxonomys = $term_taxonomy->getElementsByTagName("taxonomy");
		$taxonomy = $taxonomys->item(0)->nodeValue;
		$descriptions = $term_taxonomy->getElementsByTagName("description");
		$description = $descriptions->item(0)->nodeValue;
		$parents = $term_taxonomy->getElementsByTagName("parent");
		$parent = $parents->item(0)->nodeValue;
		$counts = $term_taxonomy->getElementsByTagName("count");
		$count = $counts->item(0)->nodeValue;
		$update = $wpdb->get_var($wpdb->prepare("SELECT taxonomy FROM $wpdb->term_taxonomy WHERE term_taxonomy_id = %s", $taxonomy_id));
		if ( $update == '' ) { 
			$wpdb->query( $wpdb->prepare("INSERT INTO $wpdb->term_taxonomy ( term_taxonomy_id, term_id, taxonomy, description, parent, count ) VALUES ( %d, %d, %s, %s, %d, %d )", array($taxonomy_id, $id, $taxonomy, $description, $parent, $count) ) );
		} else { 
			$wpdb->update( $wpdb->term_taxonomy, array( 'term_id' => $id, 'taxonomy' => $taxonomy, 'description' => $description, 'parent' => $parent, 'count' => $count ), array( 'term_taxonomy_id' => $taxonomy_id ), array( '%d', '%s', '%s', '%d', '%d' ), array( '%d' ) );
		}
	}

}

?>
