<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2.1
 */

get_header();

require CMSMASTERS_CLASSES.'/var.php';

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$album_numbercolumns_full = get_post_meta(get_the_ID(), 'album_numbercolumns_full', true); 
$album_numbercolumns_sidebar = get_post_meta(get_the_ID(), 'album_numbercolumns_sidebar', true);
if ($page_layout == 'nobg'){ 
	$numbercolumns = $album_numbercolumns_full;
} else { 
	$numbercolumns = $album_numbercolumns_sidebar;
}
$sharing_box = get_post_meta(get_the_ID(), 'sharing_box_active', true); 
$posts_box = get_post_meta(get_the_ID(), 'posts_box_active', true); 
$attachments =& get_children('post_type=attachment&post_mime_type=image&post_parent='.get_the_ID().'&orderby=menu_order&order=ASC'); 

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
					?>
								<div class="entry">
									<?php
										the_content();
										wp_link_pages('before=<div><strong>'.__('Pages', 'clockstone').':</strong>&link_before= . &after=</div>');
									?>
									<?php 
										if ($numbercolumns == 'five'){ 
											echo '<div class="portfolio five_blocks">';
										} elseif ($numbercolumns == 'four'){ 
											echo '<div class="portfolio four_blocks">';
										} elseif ($numbercolumns == 'three'){ 
											echo '<div class="portfolio three_blocks">';
										} elseif ($numbercolumns == 'two'){ 
											echo '<div class="portfolio two_blocks">';
										} else { 
											echo '<div class="portfolio one_blocks">';
										}
									?>
									<?php 
										if (has_post_thumbnail()){ 
											if (sizeof($attachments) > 1){
									?>
									<?php foreach ($attachments as $attachment){ ?>
										<div class="post<?php if ($numbercolumns != 'five' && $numbercolumns != 'four' && $numbercolumns != 'three' && $numbercolumns != 'two') echo ' hauto'; ?>">
											<span class="image_shadow_container">
												<a href="<?php echo $attachment->guid; ?>" rel="prettyPhoto[album]" class="preloader">
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=
													<?php 
														echo get_image_path_attachments($attachment->guid); 
														if ($page_layout == 'nobg'){ 
															if ($numbercolumns == 'five'){ 
																echo '&amp;w=154&amp;h=73&amp;zc=1'; 
															} elseif ($numbercolumns == 'four'){ 
																echo '&amp;w=200&amp;h=95&amp;zc=1'; 
															} elseif ($numbercolumns == 'three'){ 
																echo '&amp;w=280&amp;h=134&amp;zc=1'; 
															} elseif ($numbercolumns == 'two'){ 
																echo '&amp;w=440&amp;h=210&amp;zc=1'; 
															} else { 
																echo '&amp;w=920'; 
															}
														} else { 
															if ($numbercolumns == 'three'){ 
																echo '&amp;w=173&amp;h=82&amp;zc=1'; 
															} elseif ($numbercolumns == 'two'){ 
																echo '&amp;w=280&amp;h=134&amp;zc=1'; 
															} else { 
																echo '&amp;w=600'; 
															}
														} 
													?>
													" alt="<?php echo $attachment->post_title; ?>" class="image_shadow" />
												</a>
												<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png
												<?php 
													if ($page_layout == 'nobg'){ 
														if ($numbercolumns == 'five'){ 
															echo '&amp;w=164'; 
														} elseif ($numbercolumns == 'four'){ 
															echo '&amp;w=210'; 
														} elseif ($numbercolumns == 'three'){ 
															echo '&amp;w=290'; 
														} elseif ($numbercolumns == 'two'){ 
															echo '&amp;w=450'; 
														} else { 
															echo '&amp;w=930'; 
														}
													} else { 
														if ($numbercolumns == 'three'){ 
															echo '&amp;w=183'; 
														} elseif ($numbercolumns == 'two'){ 
															echo '&amp;w=290'; 
														} else { 
															echo '&amp;w=610'; 
														}
													} 
												?>
												" alt="" class="noimgbg" />
											</span>
										</div>
									<?php } ?>
									</div>
									<?php } else { ?>
										<div class="post hauto">
											<span class="image_shadow_container">
												<a href="<?php echo get_image_path_array(get_the_ID()); ?>" rel="prettyPhoto[album]" class="preloader">
													<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=920'; } else { echo '&amp;w=600'; } ?>" alt="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>" class="image_shadow" />
												</a>
												<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=930'; } else { echo '&amp;w=620'; } ?>" alt="" class="noimgbg" />
											</span>
										</div>
									</div>
									<?php 
											}
										}
										if ($sharing_box == 'true'){ 
									?>
										<div class="share_posts">
											<a href="#" class="share"><span><span><?php _e('Share This', 'clockstone') ?></span></span></a>
											<div class="social"></div>
										</div>
									<?php
										}
										if ($posts_box == 'true'){ 
									?>
										<br />
										<div class="related_posts">
											<ul>
												<li><a href="#" class="current"><?php _e('Latest Albums', 'clockstone'); ?></a></li>
											</ul>
											<div class="related_posts_content">
												<?php 
													$r = new WP_Query(array('posts_per_page' => $gallery_post_popularrecent_number, 'post_status' => 'publish', 'ignore_sticky_posts' => 1, 'post_type' => 'gallery'));
													if ($r->have_posts()) :
													$numb = 0;
													while ($r->have_posts()) : $r->the_post(); 
														$numb = $numb + 1;
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '<div class="one_half last">'; } else { echo '<div class="one_half">'; }
												?>
													<table class="feature_shortcode">
														<tbody>
															<tr>
															<?php if (has_post_thumbnail()){ ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=80&amp;h=80&amp;zc=1" alt="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>" class="noimgbg" />
																		</a>
																	</span>
																</td>
															<?php } else { ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/no_thumbnail.jpg&amp;w=80&amp;h=80&amp;zc=1" alt="" class="noimgbg" />
																		</a>
																	</span>
																</td>
															<?php } ?>
																<td class="feature_txt"><a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a></td>
															</tr>
														</tbody>
													</table>
												<?php 
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '</div><div class="cl"></div>'; } else { echo '</div>'; }
													endwhile;
													else : 
														_e('No Latest Albums Found', 'clockstone');
													endif;
													wp_reset_postdata();
												?>
											</div>
										</div>
									<?php } ?>
								</div>
							<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include TEMPLATEPATH.'/footer.php'; ?>
