<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */

get_header();

require CMSMASTERS_CLASSES.'/var.php';

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$product_atts = get_post_meta(get_the_ID(), 'product_atts', true);
$product_atts_vals = get_post_meta(get_the_ID(), 'product_atts_vals', true);
$product_price = get_post_meta(get_the_ID(), 'product_price', true); 
$product_buy = get_post_meta(get_the_ID(), 'product_buy', true);
$product_buy_text = get_post_meta(get_the_ID(), 'product_buy_text', true);
$sharing_box = get_post_meta(get_the_ID(), 'sharing_box_active', true); 
$posts_box = get_post_meta(get_the_ID(), 'posts_box_active', true); 

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
					?>
								<div class="entry">
									<div class="post product" style="padding-bottom:0;">
									<?php if (has_post_thumbnail()){ ?>
										<div class="fl" style="padding-bottom:20px;">
											<a href="<?php echo get_image_path_array(get_the_ID()); ?>" rel="prettyPhoto" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
												<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=200&amp;h=200&amp;zc=1" alt="" class="noimgbg" />
											</a>
										</div>
										<?php } ?>
										<div class="feature_txt fl">
											<?php if ($products_post_date){ ?><p><strong><?php _e('Date Added', 'clockstone') ?>: </strong><?php the_time('l j F Y'); ?></p><?php } ?>
											<?php 
												$attrs = explode(";", $product_atts);
												$attrvs = explode(";", $product_atts_vals);
												$numbatt = 0;
												foreach ($attrs as $attr){ 
													if ($attr != ''){
														echo '<p><strong>'.$attr.': </strong>'.$attrvs[$numbatt].'</p>';
														$numbatt = $numbatt + 1;
													}
												}
											?>
											<?php if ($products_post_price && $product_price){ ?><p><strong><?php _e('Price', 'clockstone') ?>: </strong><?php echo $product_price; ?></p><?php } ?>
											<?php if ($products_post_buy){ ?><br /><a href="<?php echo $product_buy; ?>" class="but_small_trans"<?php if ($products_post_buy_target){ echo ' target="_blank"'; } ?>><span><?php echo $product_buy_text; ?></span></a><?php } ?>
										</div>
										<div class="cl"></div>
									<?php
										the_content();
										wp_link_pages('before=<div><strong>'.__('Pages', 'clockstone').':</strong>&link_before= . &after=</div>');
										echo '</div>';
										if ($sharing_box == 'true'){ 
									?>
										<div class="share_posts">
											<a href="#" class="share"><span><span><?php _e('Share This', 'clockstone'); ?></span></span></a>
											<div class="social"></div>
										</div>
									<?php
										}
										if ($posts_box == 'true'){ 
									?>
										<br />
										<div class="related_posts">
											<ul>
												<li><a href="#" class="current"><?php _e('Latest Products', 'clockstone'); ?></a></li>
											</ul>
											<div class="related_posts_content">
												<?php 
													$r = new WP_Query(array('posts_per_page' => $products_post_popularrecent_number, 'post_status' => 'publish', 'ignore_sticky_posts' => 1, 'post_type' => 'products'));
													if ($r->have_posts()) :
													$numb = 0;
													while ($r->have_posts()) : $r->the_post(); 
														$numb = $numb + 1;
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '<div class="one_half last">'; } else { echo '<div class="one_half">'; }
												?>
													<table class="feature_shortcode">
														<tbody>
															<tr>
															<?php if (has_post_thumbnail()){ ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=80&amp;h=80&amp;zc=1" alt="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>" class="noimgbg" />
																		</a>
																	</span>
																</td>
															<?php } else { ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/no_thumbnail.jpg&amp;w=80&amp;h=80&amp;zc=1" alt="" class="noimgbg" />
																		</a>
																	</span>
																</td>
															<?php } ?>
																<td class="feature_txt"><a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a></td>
															</tr>
														</tbody>
													</table>
												<?php 
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '</div><div class="cl"></div>'; } else { echo '</div>'; }
													endwhile;
													else : 
														_e('No Latest Products Found', 'clockstone');
													endif;
													wp_reset_postdata();
												?>
											</div>
										</div>
									<?php
										}
										comments_template();
									?>
								</div>
							<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include TEMPLATEPATH.'/footer.php'; ?>
